diff -pruN 6.0.0-2/CMakeLists.txt 6.3.0-1/CMakeLists.txt
--- 6.0.0-2/CMakeLists.txt	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/CMakeLists.txt	2024-05-31 13:29:45.000000000 +0000
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.0.0")
+set(KF_VERSION "6.3.0")
 project(KSyntaxHighlighting VERSION ${KF_VERSION})
 
-find_package(ECM 6.0.0 REQUIRED NO_MODULE)
+find_package(ECM 6.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
diff -pruN 6.0.0-2/autotests/folding/highlight.mapcss.fold 6.3.0-1/autotests/folding/highlight.mapcss.fold
--- 6.0.0-2/autotests/folding/highlight.mapcss.fold	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/folding/highlight.mapcss.fold	2024-05-31 13:29:45.000000000 +0000
@@ -133,3 +133,8 @@ line|z16-[highway=service][service="driv
     set .service;
     width: 1.5m;
 <endfold id='2'>}</endfold id='2'>
+
+// single quote strings
+*[service='drive-through'] <beginfold id='2'>{</beginfold id='2'>
+    text: 'abc\'def"ghi\njkl';
+<endfold id='2'>}</endfold id='2'>
diff -pruN 6.0.0-2/autotests/folding/highlight.stan.fold 6.3.0-1/autotests/folding/highlight.stan.fold
--- 6.0.0-2/autotests/folding/highlight.stan.fold	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/folding/highlight.stan.fold	2024-05-31 13:29:45.000000000 +0000
@@ -393,4 +393,7 @@ generated quantities <beginfold id='2'>{
   real Y;
   // rng function
   Y = normal_rng(0., 1.);
+
+  tuple(real, int) tupl = (1.5, 2);
+  complex_matrix C_mike = mike;
 <endfold id='2'>}</endfold id='2'>
diff -pruN 6.0.0-2/autotests/folding/test.cash.fold 6.3.0-1/autotests/folding/test.cash.fold
--- 6.0.0-2/autotests/folding/test.cash.fold	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/folding/test.cash.fold	2024-05-31 13:29:45.000000000 +0000
@@ -0,0 +1,81 @@
+<beginfold id='1'>/*</beginfold id='1'> The below does not represent a functional lock/unlock script.
+ * It is intended to test KDE's Syntax Highlighting framework.
+ <endfold id='1'>*/</endfold id='1'>
+
+// Pragma comment.
+pragma cashscript ^0.9.2;
+
+// Locking Script/Function.
+contract TestContract(
+	address addressExampple,
+	int intExample,
+	bool boolExample,
+	string stringExample,
+	pubkey pubkeyExample,
+	sig sigExample,
+	datasig datasigExample
+) <beginfold id='2'>{</beginfold id='2'>
+	// Unlocking Script/Function.
+	function testUnlock(
+		byte singleByte,
+		bytes bytesUnspecifiedLength,
+		bytes1 bytes1Length,
+		bytes99 bytes99Length
+	) <beginfold id='2'>{</beginfold id='2'>
+		// General.
+		require(singleByte == bytes1Length);
+
+		// Arithmetic.
+		int resultAbs = abs(intExample);
+		int resultMin = min(intExample, 100);
+		int resultMax = max(intExample, 100);
+		int resultWithin = within(intExample, 0, 100);
+
+		// Hashing.
+		bool resultHash160 = hash160(bytesUnspecifiedLength);
+		bool resultHash256 = hash256(bytesUnspecifiedLength);
+		bool resultRipeMd160 = ripemd160(bytesUnspecifiedLength);
+		bool resultSha1 = sha1(bytesUnspecifiedLength);
+		bool resultSha256 = sha256(bytesUnspecifiedLength);
+
+		// Signature checking.
+		bool resultChecksig = checkSig(sigExample, pubkeyExample);
+		bool resultCheckMultiSig = checkMultiSig([sigExample], [pubkeyExample]);
+		bool resultCheckDataSig = checkDataSig(datasigExample, bytesUnspecifiedLength, pubkeyExample);
+
+		// Locking Bytecode.
+		bytes p2pkh = new LockingBytecodeP2PKH(bytesUnspecifiedLength);
+		bytes p2sh20 = new LockingBytecodeP2SH20(bytesUnspecifiedLength);
+		bytes p2sh32 = new LockingBytecodeP2SH32(bytesUnspecifiedLength);
+		bytes nullData = new LockingBytecodeNullData(bytesUnspecifiedLength);
+
+		// Keywods.
+		bool exampleTrue = true;
+		bool exampleFalse = false;
+
+		// Control structures.
+		if (exampleTrue) <beginfold id='2'>{</beginfold id='2'>
+			require(singleByte == bytes1Length);
+		<endfold id='2'>}</endfold id='2'> else if (exampleFalse) <beginfold id='2'>{</beginfold id='2'>
+			require(singleByte == bytes1Length);
+		<endfold id='2'>}</endfold id='2'> else <beginfold id='2'>{</beginfold id='2'>
+			require(singleByte == bytes1Length);
+		<endfold id='2'>}</endfold id='2'>
+
+		// Units.
+		int exampleSatoshis = 1 satoshis;
+		int exampleSats = 1 sats;
+		int exampleFinney = 1 finney;
+		int exampleBits = 1 bits;
+		int exampleBitcoin = 1 bitcoin;
+		int exampleSeconds = 1 seconds;
+		int exampleMinutes = 1 minutes;
+		int exampleHours = 1 hours;
+		int exampleDays = 1 days;
+		int exampleWeeks = 1 weeks;
+
+		// Misc.
+		string exampleString = "This is an example string";
+		bytes exampleHex = 0xaabbccddeeff;
+	<endfold id='2'>}</endfold id='2'>
+<endfold id='2'>}</endfold id='2'>
diff -pruN 6.0.0-2/autotests/folding/test.gpr.fold 6.3.0-1/autotests/folding/test.gpr.fold
--- 6.0.0-2/autotests/folding/test.gpr.fold	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/folding/test.gpr.fold	2024-05-31 13:29:45.000000000 +0000
@@ -0,0 +1,25 @@
+--  GPRBuild example project file for highlightning
+--  (c) 2024 Léo Germond, AdaCore, The MIT License
+
+project Test is
+
+   type T is ("a", "b", "c");
+   --  typed variable
+   A : T := external ("PARAM");
+
+   for Main use ("main.adb");
+   for Source_Dirs use ("src", "src2/");
+   for Object_Dir use "obj";
+
+   package Compiler is
+      for Default_Switches ("Ada") use ("-g", "-o2");
+   <endfold id='1'>end</endfold id='1'> Compiler;
+
+   --  untyped variable
+   B := "test";
+
+   package Builder is
+      for Global_Configuration_Pragmas use "prj.adc";
+   <endfold id='1'>end</endfold id='1'> Builder;
+
+<endfold id='1'>end</endfold id='1'> Test;
diff -pruN 6.0.0-2/autotests/folding/test.nix.fold 6.3.0-1/autotests/folding/test.nix.fold
--- 6.0.0-2/autotests/folding/test.nix.fold	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/folding/test.nix.fold	2024-05-31 13:29:45.000000000 +0000
@@ -45,4 +45,20 @@ in <beginfold id='1'>{</beginfold id='1'
         inherit (import ./.);
         x = a;
     <endfold id='1'>}</endfold id='1'>;
+
+    var5 = <beginfold id='1'>{</beginfold id='1'>
+        inherit a b c;
+        inherit (expr) a b c;
+    <endfold id='1'>}</endfold id='1'>;
+
+    var6 = <beginfold id='1'>{</beginfold id='1'>
+        ${foo} = bar;
+        ${bar} = baz;
+        a.${b} = c;
+    <endfold id='1'>}</endfold id='1'>;
+
+    var7 = <beginfold id='1'>{</beginfold id='1'>
+        "first" = 1;
+        "second" = 2;
+    <endfold id='1'>}</endfold id='1'>;
 <endfold id='1'>}</endfold id='1'>
diff -pruN 6.0.0-2/autotests/folding/test.vue.fold 6.3.0-1/autotests/folding/test.vue.fold
--- 6.0.0-2/autotests/folding/test.vue.fold	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/folding/test.vue.fold	2024-05-31 13:29:45.000000000 +0000
@@ -0,0 +1,149 @@
+<beginfold id='1'><!--</beginfold id='1'>
+    SPDX-FileCopyrightText: 2024 James Zuccon
+    SPDX-License-Identifier: MIT
+<endfold id='1'>--></endfold id='1'>
+<beginfold id='1'><!--</beginfold id='1'>
+    This uses HTML syntax as a base with some customizations for handling Vue-Template-specific syntax.
+    It uses the following third-party scripts.
+    Script:
+    - JS (default - no lang attribute)
+    - Typescript (lang="ts")
+    Style:
+    - CSS (default - no lang attribute)
+    - SASS (lang="sass")
+    - SCSS (lang="scss")
+    NOTE: The tests below test attributes before/after the lang="..." attribute as doing this requires pushing a new context.
+          In practice, a Vue Template would generally only contain zero or one <template>, <script> or <style> blocks.
+<endfold id='1'>--></endfold id='1'>
+
+<beginfold id='1'><!--</beginfold id='1'> Template without attributes <endfold id='1'>--></endfold id='1'>
+<template>
+    <<beginfold id='2'>div</beginfold id='2'>>
+        <beginfold id='1'><!--</beginfold id='1'> Vue event-shorthand should support "@" prefix <endfold id='1'>--></endfold id='1'>
+        <p @click="test">Testing HTML</p>
+        <p>{{ someVar }}</p>
+        <beginfold id='1'><!--</beginfold id='1'> Important to test this as it is used at root also <endfold id='1'>--></endfold id='1'>
+        <template>
+            Nested template tag
+        </template>
+    </<endfold id='2'>div</endfold id='2'>>
+</template>
+
+<beginfold id='1'><!--</beginfold id='1'> Template with attributes <endfold id='1'>--></endfold id='1'>
+<template loneAttribute attribute="value">
+    <<beginfold id='2'>div</beginfold id='2'>>
+        <beginfold id='1'><!--</beginfold id='1'> Vue event-shorthand should support "@" prefix <endfold id='1'>--></endfold id='1'>
+        <p @click="test">Testing HTML</p>
+        <p>{{ someVar }}</p>
+        <beginfold id='1'><!--</beginfold id='1'> Important to test this as it is used at root also <endfold id='1'>--></endfold id='1'>
+        <template>
+            Nested template tag
+        </template>
+    </<endfold id='2'>div</endfold id='2'>>
+</template>
+
+<beginfold id='1'><!--</beginfold id='1'> Style without attributes <endfold id='1'>--></endfold id='1'>
+<beginfold id='1'><!--</beginfold id='1'> This references the syntax highlighting file for CSS. <endfold id='1'>--></endfold id='1'>
+<<beginfold id='3'>style</beginfold id='3'>>
+	body <beginfold id='4'>{</beginfold id='4'>
+		font: 100% Helvetica, sans-serif;
+		color: #333;
+	<endfold id='4'>}</endfold id='4'>
+</<endfold id='3'>style</endfold id='3'>>
+
+<beginfold id='1'><!--</beginfold id='1'> Style with attributes <endfold id='1'>--></endfold id='1'>
+<beginfold id='1'><!--</beginfold id='1'> This references the syntax highlighting file for CSS. <endfold id='1'>--></endfold id='1'>
+<<beginfold id='3'>style</beginfold id='3'> loneAttribute attribute="value">
+	body <beginfold id='4'>{</beginfold id='4'>
+		font: 100% Helvetica, sans-serif;
+		color: #333;
+	<endfold id='4'>}</endfold id='4'>
+</<endfold id='3'>style</endfold id='3'>>
+
+<beginfold id='1'><!--</beginfold id='1'> Style lang="sass" without attributes <endfold id='1'>--></endfold id='1'>
+<beginfold id='1'><!--</beginfold id='1'> This references the syntax highlighting file for SASS. <endfold id='1'>--></endfold id='1'>
+<<beginfold id='3'>style</beginfold id='3'> lang="sass">
+<indentfold>	// single-line comment to make sure it's SASS and not CSS
+</indentfold>	$font-stack: Helvetica, sans-serif
+	$primary-color: #333
+
+	body
+		font: 100% $font-stack
+		color: $primary-color
+</<endfold id='3'>style</endfold id='3'>>
+
+<beginfold id='1'><!--</beginfold id='1'> Style lang="sass" with attributes <endfold id='1'>--></endfold id='1'>
+<beginfold id='1'><!--</beginfold id='1'> This references the syntax highlighting file for SASS. <endfold id='1'>--></endfold id='1'>
+<<beginfold id='3'>style</beginfold id='3'> beforeLangLoneAttribute beforeLangAttribute="asd" lang="sass" afterLangLoneAttribute afterLangAttribute="asd">
+<indentfold>	// single-line comment to make sure it's SASS and not CSS
+</indentfold>	$font-stack: Helvetica, sans-serif
+	$primary-color: #333
+
+	body
+		font: 100% $font-stack
+		color: $primary-color
+</<endfold id='3'>style</endfold id='3'>>
+
+<beginfold id='1'><!--</beginfold id='1'> Style lang="scss" without attributes <endfold id='1'>--></endfold id='1'>
+<beginfold id='1'><!--</beginfold id='1'> This references the syntax highlighting file for SCSS. <endfold id='1'>--></endfold id='1'>
+<<beginfold id='3'>style</beginfold id='3'> lang="scss">
+	// single-line comment to make sure it's SCSS and not CSS
+	$font-stack: Helvetica, sans-serif
+	$primary-color: #333
+
+	body <beginfold id='5'>{</beginfold id='5'>
+		font: 100% $font-stack;
+		color: $primary-color;
+    <endfold id='5'>}</endfold id='5'>
+</<endfold id='3'>style</endfold id='3'>>
+
+<beginfold id='1'><!--</beginfold id='1'> Style lang="scss" with attributes <endfold id='1'>--></endfold id='1'>
+<beginfold id='1'><!--</beginfold id='1'> This references the syntax highlighting file for SCSS. <endfold id='1'>--></endfold id='1'>
+<<beginfold id='3'>style</beginfold id='3'> beforeLangLoneAttribute beforeLangAttribute="asd" lang="scss" afterLangLoneAttribute afterLangAttribute="asd">
+	// single-line comment to make sure it's SCSS and not CSS
+	$font-stack: Helvetica, sans-serif
+	$primary-color: #333
+
+	body <beginfold id='5'>{</beginfold id='5'>
+		font: 100% $font-stack;
+		color: $primary-color;
+    <endfold id='5'>}</endfold id='5'>
+</<endfold id='3'>style</endfold id='3'>>
+
+<beginfold id='1'><!--</beginfold id='1'> Script without attributes <endfold id='1'>--></endfold id='1'>
+<beginfold id='1'><!--</beginfold id='1'> This references the syntax highlighting file for Javascript. <endfold id='1'>--></endfold id='1'>
+<<beginfold id='6'>script</beginfold id='6'>>
+// Single-line comment
+const a = 'abc';
+</<endfold id='6'>script</endfold id='6'>>
+
+<beginfold id='1'><!--</beginfold id='1'> Script with attributes <endfold id='1'>--></endfold id='1'>
+<beginfold id='1'><!--</beginfold id='1'> This references the syntax highlighting file for Javascript. <endfold id='1'>--></endfold id='1'>
+<<beginfold id='6'>script</beginfold id='6'> loneAttribute attribute="value">
+// Single-line comment
+const a = 'abc';
+</<endfold id='6'>script</endfold id='6'>>
+
+<beginfold id='1'><!--</beginfold id='1'> Script lang="ts" without attributes <endfold id='1'>--></endfold id='1'>
+<beginfold id='1'><!--</beginfold id='1'> This references the syntax highlighting file for Typescript. <endfold id='1'>--></endfold id='1'>
+<<beginfold id='6'>script</beginfold id='6'> lang="ts">
+// Single-line comment
+const a = 'abc';
+
+// Typescript
+interface SomeInterface <beginfold id='7'>{</beginfold id='7'>
+    value: string;
+<endfold id='7'>}</endfold id='7'>
+</<endfold id='6'>script</endfold id='6'>>
+
+<beginfold id='1'><!--</beginfold id='1'> Script lang="ts" with attributes <endfold id='1'>--></endfold id='1'>
+<beginfold id='1'><!--</beginfold id='1'> This references the syntax highlighting file for Typescript. <endfold id='1'>--></endfold id='1'>
+<<beginfold id='6'>script</beginfold id='6'> beforeLangLoneAttribute beforeLangAttribute="asd" lang="ts" afterLangLoneAttribute afterLangAttribute="asd">
+// Single-line comment
+const a = 'abc';
+
+// Typescript
+interface SomeInterface <beginfold id='7'>{</beginfold id='7'>
+    value: string;
+<endfold id='7'>}</endfold id='7'>
+</<endfold id='6'>script</endfold id='6'>>
diff -pruN 6.0.0-2/autotests/html/highlight.ly.dark.html 6.3.0-1/autotests/html/highlight.ly.dark.html
--- 6.0.0-2/autotests/html/highlight.ly.dark.html	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/html/highlight.ly.dark.html	2024-05-31 13:29:45.000000000 +0000
@@ -15,7 +15,7 @@
 <span style="color:#7a7c7d">%}</span>
 
 <span style="font-weight:bold">\header {</span>
-  title = <span style="color:#f44f4f">"Katepart Lilypond syntax highlighting test file"</span>
+  <span style="color:#2980b9">title</span> = <span style="color:#f44f4f">"Katepart Lilypond syntax highlighting test file"</span>
   <span style="color:#2980b9">composer</span> = <span style="color:#7a7c7d">%{"Wilbert Berendsen"%}</span> <span style="color:#f44f4f">"Anonymus"</span>
   <span style="color:#2980b9">poet</span> = <span style="color:#f44f4f">"The KDE team"</span>
   <span style="color:#2980b9">opus</span> = <span style="color:#f44f4f">"1"</span>
diff -pruN 6.0.0-2/autotests/html/highlight.ly.html 6.3.0-1/autotests/html/highlight.ly.html
--- 6.0.0-2/autotests/html/highlight.ly.html	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/html/highlight.ly.html	2024-05-31 13:29:45.000000000 +0000
@@ -15,7 +15,7 @@
 <span style="color:#898887">%}</span>
 
 <span style="font-weight:bold">\header {</span>
-  title = <span style="color:#bf0303">"Katepart Lilypond syntax highlighting test file"</span>
+  <span style="color:#0057ae">title</span> = <span style="color:#bf0303">"Katepart Lilypond syntax highlighting test file"</span>
   <span style="color:#0057ae">composer</span> = <span style="color:#898887">%{"Wilbert Berendsen"%}</span> <span style="color:#bf0303">"Anonymus"</span>
   <span style="color:#0057ae">poet</span> = <span style="color:#bf0303">"The KDE team"</span>
   <span style="color:#0057ae">opus</span> = <span style="color:#bf0303">"1"</span>
diff -pruN 6.0.0-2/autotests/html/highlight.mapcss.dark.html 6.3.0-1/autotests/html/highlight.mapcss.dark.html
--- 6.0.0-2/autotests/html/highlight.mapcss.dark.html	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/html/highlight.mapcss.dark.html	2024-05-31 13:29:45.000000000 +0000
@@ -139,4 +139,9 @@
     <span style="font-weight:bold">set</span> <span style="color:#27aeae">.service</span>;
     <span style="color:#7f8c8d">width</span>: <span style="color:#f67400">1.5</span><span style="font-weight:bold">m</span>;
 }
+
+<span style="color:#7a7c7d">// single quote strings</span>
+<span style="color:#2980b9">*</span>[service=<span style="color:#f44f4f">'drive-through'</span>] {
+    <span style="color:#7f8c8d">text</span>: <span style="color:#f44f4f">'abc</span><span style="color:#3daee9">\'</span><span style="color:#f44f4f">def"ghi</span><span style="color:#3daee9">\n</span><span style="color:#f44f4f">jkl'</span>;
+}
 </pre></body></html>
diff -pruN 6.0.0-2/autotests/html/highlight.mapcss.html 6.3.0-1/autotests/html/highlight.mapcss.html
--- 6.0.0-2/autotests/html/highlight.mapcss.html	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/html/highlight.mapcss.html	2024-05-31 13:29:45.000000000 +0000
@@ -139,4 +139,9 @@
     <span style="font-weight:bold">set</span> <span style="color:#0057ae">.service</span>;
     <span style="color:#644a9b;font-weight:bold">width</span>: <span style="color:#b08000">1.5</span><span style="font-weight:bold">m</span>;
 }
+
+<span style="color:#898887">// single quote strings</span>
+<span style="color:#0057ae">*</span>[service=<span style="color:#bf0303">'drive-through'</span>] {
+    <span style="color:#644a9b;font-weight:bold">text</span>: <span style="color:#bf0303">'abc</span><span style="color:#924c9d">\'</span><span style="color:#bf0303">def"ghi</span><span style="color:#924c9d">\n</span><span style="color:#bf0303">jkl'</span>;
+}
 </pre></body></html>
diff -pruN 6.0.0-2/autotests/html/highlight.stan.dark.html 6.3.0-1/autotests/html/highlight.stan.dark.html
--- 6.0.0-2/autotests/html/highlight.stan.dark.html	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/html/highlight.stan.dark.html	2024-05-31 13:29:45.000000000 +0000
@@ -399,5 +399,8 @@
   <span style="color:#2980b9">real</span> Y;
   <span style="color:#7a7c7d">// rng function</span>
   Y = normal_rng(<span style="color:#f67400">0.</span>, <span style="color:#f67400">1.</span>);
+
+  <span style="color:#2980b9">tuple</span>(<span style="color:#2980b9">real</span>, <span style="color:#2980b9">int</span>) tupl = (<span style="color:#f67400">1.5</span>, <span style="color:#f67400">2</span>);
+  <span style="color:#2980b9">complex_matrix</span> C_mike = mike;
 }
 </pre></body></html>
diff -pruN 6.0.0-2/autotests/html/highlight.stan.html 6.3.0-1/autotests/html/highlight.stan.html
--- 6.0.0-2/autotests/html/highlight.stan.html	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/html/highlight.stan.html	2024-05-31 13:29:45.000000000 +0000
@@ -399,5 +399,8 @@
   <span style="color:#0057ae">real</span> Y;
   <span style="color:#898887">// rng function</span>
   Y = normal_rng(<span style="color:#b08000">0.</span>, <span style="color:#b08000">1.</span>);
+
+  <span style="color:#0057ae">tuple</span>(<span style="color:#0057ae">real</span>, <span style="color:#0057ae">int</span>) tupl = (<span style="color:#b08000">1.5</span>, <span style="color:#b08000">2</span>);
+  <span style="color:#0057ae">complex_matrix</span> C_mike = mike;
 }
 </pre></body></html>
diff -pruN 6.0.0-2/autotests/html/test.cash.dark.html 6.3.0-1/autotests/html/test.cash.dark.html
--- 6.0.0-2/autotests/html/test.cash.dark.html	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/html/test.cash.dark.html	2024-05-31 13:29:45.000000000 +0000
@@ -0,0 +1,88 @@
+<!DOCTYPE html>
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
+<title>test.cash</title>
+<meta name="generator" content="KF5::SyntaxHighlighting - Definition (CashScript) - Theme (Breeze Dark)"/>
+</head><body style="background-color:#232629;color:#cfcfc2"><pre>
+<span style="color:#7a7c7d">/* The below does not represent a functional lock/unlock script.</span>
+<span style="color:#7a7c7d"> * It is intended to test KDE's Syntax Highlighting framework.</span>
+<span style="color:#7a7c7d"> */</span>
+
+<span style="color:#7a7c7d">// Pragma comment.</span>
+<span style="font-weight:bold">pragma</span> <span style="color:#7f8c8d">cashscript</span> ^0.9.2;
+
+<span style="color:#7a7c7d">// Locking Script/Function.</span>
+<span style="color:#fdbc4b;font-weight:bold">contract</span> TestContract<span style="color:#3f8058">(</span>
+	<span style="color:#2980b9">address</span> addressExampple<span style="color:#3f8058">,</span>
+	<span style="color:#2980b9">int</span> intExample<span style="color:#3f8058">,</span>
+	<span style="color:#2980b9">bool</span> boolExample<span style="color:#3f8058">,</span>
+	<span style="color:#2980b9">string</span> stringExample<span style="color:#3f8058">,</span>
+	<span style="color:#2980b9">pubkey</span> pubkeyExample<span style="color:#3f8058">,</span>
+	<span style="color:#2980b9">sig</span> sigExample<span style="color:#3f8058">,</span>
+	<span style="color:#2980b9">datasig</span> datasigExample
+<span style="color:#3f8058">)</span> <span style="color:#3f8058">{</span>
+	<span style="color:#7a7c7d">// Unlocking Script/Function.</span>
+	<span style="color:#fdbc4b;font-weight:bold">function</span> testUnlock<span style="color:#3f8058">(</span>
+		<span style="color:#2980b9">byte</span> singleByte<span style="color:#3f8058">,</span>
+		<span style="color:#2980b9">bytes</span> bytesUnspecifiedLength<span style="color:#3f8058">,</span>
+		<span style="color:#2980b9">bytes1</span> bytes1Length<span style="color:#3f8058">,</span>
+		<span style="color:#2980b9">bytes99</span> bytes99Length
+	<span style="color:#3f8058">)</span> <span style="color:#3f8058">{</span>
+		<span style="color:#7a7c7d">// General.</span>
+		<span style="color:#7f8c8d">require</span><span style="color:#3f8058">(</span>singleByte <span style="color:#3f8058">==</span> bytes1Length<span style="color:#3f8058">);</span>
+
+		<span style="color:#7a7c7d">// Arithmetic.</span>
+		<span style="color:#2980b9">int</span> resultAbs <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">abs</span><span style="color:#3f8058">(</span>intExample<span style="color:#3f8058">);</span>
+		<span style="color:#2980b9">int</span> resultMin <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">min</span><span style="color:#3f8058">(</span>intExample<span style="color:#3f8058">,</span> <span style="color:#f67400">100</span><span style="color:#3f8058">);</span>
+		<span style="color:#2980b9">int</span> resultMax <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">max</span><span style="color:#3f8058">(</span>intExample<span style="color:#3f8058">,</span> <span style="color:#f67400">100</span><span style="color:#3f8058">);</span>
+		<span style="color:#2980b9">int</span> resultWithin <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">within</span><span style="color:#3f8058">(</span>intExample<span style="color:#3f8058">,</span> <span style="color:#f67400">0</span><span style="color:#3f8058">,</span> <span style="color:#f67400">100</span><span style="color:#3f8058">);</span>
+
+		<span style="color:#7a7c7d">// Hashing.</span>
+		<span style="color:#2980b9">bool</span> resultHash160 <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">hash160</span><span style="color:#3f8058">(</span>bytesUnspecifiedLength<span style="color:#3f8058">);</span>
+		<span style="color:#2980b9">bool</span> resultHash256 <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">hash256</span><span style="color:#3f8058">(</span>bytesUnspecifiedLength<span style="color:#3f8058">);</span>
+		<span style="color:#2980b9">bool</span> resultRipeMd160 <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">ripemd160</span><span style="color:#3f8058">(</span>bytesUnspecifiedLength<span style="color:#3f8058">);</span>
+		<span style="color:#2980b9">bool</span> resultSha1 <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">sha1</span><span style="color:#3f8058">(</span>bytesUnspecifiedLength<span style="color:#3f8058">);</span>
+		<span style="color:#2980b9">bool</span> resultSha256 <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">sha256</span><span style="color:#3f8058">(</span>bytesUnspecifiedLength<span style="color:#3f8058">);</span>
+
+		<span style="color:#7a7c7d">// Signature checking.</span>
+		<span style="color:#2980b9">bool</span> resultChecksig <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">checkSig</span><span style="color:#3f8058">(</span>sigExample<span style="color:#3f8058">,</span> pubkeyExample<span style="color:#3f8058">);</span>
+		<span style="color:#2980b9">bool</span> resultCheckMultiSig <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">checkMultiSig</span><span style="color:#3f8058">([</span>sigExample<span style="color:#3f8058">],</span> <span style="color:#3f8058">[</span>pubkeyExample<span style="color:#3f8058">]);</span>
+		<span style="color:#2980b9">bool</span> resultCheckDataSig <span style="color:#3f8058">=</span> <span style="color:#7f8c8d">checkDataSig</span><span style="color:#3f8058">(</span>datasigExample<span style="color:#3f8058">,</span> bytesUnspecifiedLength<span style="color:#3f8058">,</span> pubkeyExample<span style="color:#3f8058">);</span>
+
+		<span style="color:#7a7c7d">// Locking Bytecode.</span>
+		<span style="color:#2980b9">bytes</span> p2pkh <span style="color:#3f8058">=</span> <span style="font-weight:bold">new</span> <span style="color:#7f8c8d">LockingBytecodeP2PKH</span><span style="color:#3f8058">(</span>bytesUnspecifiedLength<span style="color:#3f8058">);</span>
+		<span style="color:#2980b9">bytes</span> p2sh20 <span style="color:#3f8058">=</span> <span style="font-weight:bold">new</span> <span style="color:#7f8c8d">LockingBytecodeP2SH20</span><span style="color:#3f8058">(</span>bytesUnspecifiedLength<span style="color:#3f8058">);</span>
+		<span style="color:#2980b9">bytes</span> p2sh32 <span style="color:#3f8058">=</span> <span style="font-weight:bold">new</span> <span style="color:#7f8c8d">LockingBytecodeP2SH32</span><span style="color:#3f8058">(</span>bytesUnspecifiedLength<span style="color:#3f8058">);</span>
+		<span style="color:#2980b9">bytes</span> nullData <span style="color:#3f8058">=</span> <span style="font-weight:bold">new</span> <span style="color:#7f8c8d">LockingBytecodeNullData</span><span style="color:#3f8058">(</span>bytesUnspecifiedLength<span style="color:#3f8058">);</span>
+
+		<span style="color:#7a7c7d">// Keywods.</span>
+		<span style="color:#2980b9">bool</span> exampleTrue <span style="color:#3f8058">=</span> <span style="font-weight:bold">true</span><span style="color:#3f8058">;</span>
+		<span style="color:#2980b9">bool</span> exampleFalse <span style="color:#3f8058">=</span> <span style="font-weight:bold">false</span><span style="color:#3f8058">;</span>
+
+		<span style="color:#7a7c7d">// Control structures.</span>
+		<span style="color:#fdbc4b;font-weight:bold">if</span> <span style="color:#3f8058">(</span>exampleTrue<span style="color:#3f8058">)</span> <span style="color:#3f8058">{</span>
+			<span style="color:#7f8c8d">require</span><span style="color:#3f8058">(</span>singleByte <span style="color:#3f8058">==</span> bytes1Length<span style="color:#3f8058">);</span>
+		<span style="color:#3f8058">}</span> <span style="color:#fdbc4b;font-weight:bold">else</span> <span style="color:#fdbc4b;font-weight:bold">if</span> <span style="color:#3f8058">(</span>exampleFalse<span style="color:#3f8058">)</span> <span style="color:#3f8058">{</span>
+			<span style="color:#7f8c8d">require</span><span style="color:#3f8058">(</span>singleByte <span style="color:#3f8058">==</span> bytes1Length<span style="color:#3f8058">);</span>
+		<span style="color:#3f8058">}</span> <span style="color:#fdbc4b;font-weight:bold">else</span> <span style="color:#3f8058">{</span>
+			<span style="color:#7f8c8d">require</span><span style="color:#3f8058">(</span>singleByte <span style="color:#3f8058">==</span> bytes1Length<span style="color:#3f8058">);</span>
+		<span style="color:#3f8058">}</span>
+
+		<span style="color:#7a7c7d">// Units.</span>
+		<span style="color:#2980b9">int</span> exampleSatoshis <span style="color:#3f8058">=</span> <span style="color:#f67400">1</span> <span style="color:#27aeae">satoshis</span><span style="color:#3f8058">;</span>
+		<span style="color:#2980b9">int</span> exampleSats <span style="color:#3f8058">=</span> <span style="color:#f67400">1</span> <span style="color:#27aeae">sats</span><span style="color:#3f8058">;</span>
+		<span style="color:#2980b9">int</span> exampleFinney <span style="color:#3f8058">=</span> <span style="color:#f67400">1</span> <span style="color:#27aeae">finney</span><span style="color:#3f8058">;</span>
+		<span style="color:#2980b9">int</span> exampleBits <span style="color:#3f8058">=</span> <span style="color:#f67400">1</span> <span style="color:#27aeae">bits</span><span style="color:#3f8058">;</span>
+		<span style="color:#2980b9">int</span> exampleBitcoin <span style="color:#3f8058">=</span> <span style="color:#f67400">1</span> <span style="color:#27aeae">bitcoin</span><span style="color:#3f8058">;</span>
+		<span style="color:#2980b9">int</span> exampleSeconds <span style="color:#3f8058">=</span> <span style="color:#f67400">1</span> <span style="color:#27aeae">seconds</span><span style="color:#3f8058">;</span>
+		<span style="color:#2980b9">int</span> exampleMinutes <span style="color:#3f8058">=</span> <span style="color:#f67400">1</span> <span style="color:#27aeae">minutes</span><span style="color:#3f8058">;</span>
+		<span style="color:#2980b9">int</span> exampleHours <span style="color:#3f8058">=</span> <span style="color:#f67400">1</span> <span style="color:#27aeae">hours</span><span style="color:#3f8058">;</span>
+		<span style="color:#2980b9">int</span> exampleDays <span style="color:#3f8058">=</span> <span style="color:#f67400">1</span> <span style="color:#27aeae">days</span><span style="color:#3f8058">;</span>
+		<span style="color:#2980b9">int</span> exampleWeeks <span style="color:#3f8058">=</span> <span style="color:#f67400">1</span> <span style="color:#27aeae">weeks</span><span style="color:#3f8058">;</span>
+
+		<span style="color:#7a7c7d">// Misc.</span>
+		<span style="color:#2980b9">string</span> exampleString <span style="color:#3f8058">=</span> <span style="color:#f44f4f">"This is an example string"</span><span style="color:#3f8058">;</span>
+		<span style="color:#2980b9">bytes</span> exampleHex <span style="color:#3f8058">=</span> <span style="color:#f67400">0xaabbccddeeff</span><span style="color:#3f8058">;</span>
+	<span style="color:#3f8058">}</span>
+<span style="color:#3f8058">}</span>
+</pre></body></html>
diff -pruN 6.0.0-2/autotests/html/test.cash.html 6.3.0-1/autotests/html/test.cash.html
--- 6.0.0-2/autotests/html/test.cash.html	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/html/test.cash.html	2024-05-31 13:29:45.000000000 +0000
@@ -0,0 +1,88 @@
+<!DOCTYPE html>
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
+<title>test.cash</title>
+<meta name="generator" content="KF5::SyntaxHighlighting - Definition (CashScript) - Theme (Breeze Light)"/>
+</head><body style="background-color:#ffffff;color:#1f1c1b"><pre>
+<span style="color:#898887">/* The below does not represent a functional lock/unlock script.</span>
+<span style="color:#898887"> * It is intended to test KDE's Syntax Highlighting framework.</span>
+<span style="color:#898887"> */</span>
+
+<span style="color:#898887">// Pragma comment.</span>
+<span style="font-weight:bold">pragma</span> <span style="color:#644a9b;font-weight:bold">cashscript</span> ^0.9.2;
+
+<span style="color:#898887">// Locking Script/Function.</span>
+<span style="font-weight:bold">contract</span> TestContract<span style="color:#ca60ca">(</span>
+	<span style="color:#0057ae">address</span> addressExampple<span style="color:#ca60ca">,</span>
+	<span style="color:#0057ae">int</span> intExample<span style="color:#ca60ca">,</span>
+	<span style="color:#0057ae">bool</span> boolExample<span style="color:#ca60ca">,</span>
+	<span style="color:#0057ae">string</span> stringExample<span style="color:#ca60ca">,</span>
+	<span style="color:#0057ae">pubkey</span> pubkeyExample<span style="color:#ca60ca">,</span>
+	<span style="color:#0057ae">sig</span> sigExample<span style="color:#ca60ca">,</span>
+	<span style="color:#0057ae">datasig</span> datasigExample
+<span style="color:#ca60ca">)</span> <span style="color:#ca60ca">{</span>
+	<span style="color:#898887">// Unlocking Script/Function.</span>
+	<span style="font-weight:bold">function</span> testUnlock<span style="color:#ca60ca">(</span>
+		<span style="color:#0057ae">byte</span> singleByte<span style="color:#ca60ca">,</span>
+		<span style="color:#0057ae">bytes</span> bytesUnspecifiedLength<span style="color:#ca60ca">,</span>
+		<span style="color:#0057ae">bytes1</span> bytes1Length<span style="color:#ca60ca">,</span>
+		<span style="color:#0057ae">bytes99</span> bytes99Length
+	<span style="color:#ca60ca">)</span> <span style="color:#ca60ca">{</span>
+		<span style="color:#898887">// General.</span>
+		<span style="color:#644a9b;font-weight:bold">require</span><span style="color:#ca60ca">(</span>singleByte <span style="color:#ca60ca">==</span> bytes1Length<span style="color:#ca60ca">);</span>
+
+		<span style="color:#898887">// Arithmetic.</span>
+		<span style="color:#0057ae">int</span> resultAbs <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">abs</span><span style="color:#ca60ca">(</span>intExample<span style="color:#ca60ca">);</span>
+		<span style="color:#0057ae">int</span> resultMin <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">min</span><span style="color:#ca60ca">(</span>intExample<span style="color:#ca60ca">,</span> <span style="color:#b08000">100</span><span style="color:#ca60ca">);</span>
+		<span style="color:#0057ae">int</span> resultMax <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">max</span><span style="color:#ca60ca">(</span>intExample<span style="color:#ca60ca">,</span> <span style="color:#b08000">100</span><span style="color:#ca60ca">);</span>
+		<span style="color:#0057ae">int</span> resultWithin <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">within</span><span style="color:#ca60ca">(</span>intExample<span style="color:#ca60ca">,</span> <span style="color:#b08000">0</span><span style="color:#ca60ca">,</span> <span style="color:#b08000">100</span><span style="color:#ca60ca">);</span>
+
+		<span style="color:#898887">// Hashing.</span>
+		<span style="color:#0057ae">bool</span> resultHash160 <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">hash160</span><span style="color:#ca60ca">(</span>bytesUnspecifiedLength<span style="color:#ca60ca">);</span>
+		<span style="color:#0057ae">bool</span> resultHash256 <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">hash256</span><span style="color:#ca60ca">(</span>bytesUnspecifiedLength<span style="color:#ca60ca">);</span>
+		<span style="color:#0057ae">bool</span> resultRipeMd160 <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">ripemd160</span><span style="color:#ca60ca">(</span>bytesUnspecifiedLength<span style="color:#ca60ca">);</span>
+		<span style="color:#0057ae">bool</span> resultSha1 <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">sha1</span><span style="color:#ca60ca">(</span>bytesUnspecifiedLength<span style="color:#ca60ca">);</span>
+		<span style="color:#0057ae">bool</span> resultSha256 <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">sha256</span><span style="color:#ca60ca">(</span>bytesUnspecifiedLength<span style="color:#ca60ca">);</span>
+
+		<span style="color:#898887">// Signature checking.</span>
+		<span style="color:#0057ae">bool</span> resultChecksig <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">checkSig</span><span style="color:#ca60ca">(</span>sigExample<span style="color:#ca60ca">,</span> pubkeyExample<span style="color:#ca60ca">);</span>
+		<span style="color:#0057ae">bool</span> resultCheckMultiSig <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">checkMultiSig</span><span style="color:#ca60ca">([</span>sigExample<span style="color:#ca60ca">],</span> <span style="color:#ca60ca">[</span>pubkeyExample<span style="color:#ca60ca">]);</span>
+		<span style="color:#0057ae">bool</span> resultCheckDataSig <span style="color:#ca60ca">=</span> <span style="color:#644a9b;font-weight:bold">checkDataSig</span><span style="color:#ca60ca">(</span>datasigExample<span style="color:#ca60ca">,</span> bytesUnspecifiedLength<span style="color:#ca60ca">,</span> pubkeyExample<span style="color:#ca60ca">);</span>
+
+		<span style="color:#898887">// Locking Bytecode.</span>
+		<span style="color:#0057ae">bytes</span> p2pkh <span style="color:#ca60ca">=</span> <span style="font-weight:bold">new</span> <span style="color:#644a9b;font-weight:bold">LockingBytecodeP2PKH</span><span style="color:#ca60ca">(</span>bytesUnspecifiedLength<span style="color:#ca60ca">);</span>
+		<span style="color:#0057ae">bytes</span> p2sh20 <span style="color:#ca60ca">=</span> <span style="font-weight:bold">new</span> <span style="color:#644a9b;font-weight:bold">LockingBytecodeP2SH20</span><span style="color:#ca60ca">(</span>bytesUnspecifiedLength<span style="color:#ca60ca">);</span>
+		<span style="color:#0057ae">bytes</span> p2sh32 <span style="color:#ca60ca">=</span> <span style="font-weight:bold">new</span> <span style="color:#644a9b;font-weight:bold">LockingBytecodeP2SH32</span><span style="color:#ca60ca">(</span>bytesUnspecifiedLength<span style="color:#ca60ca">);</span>
+		<span style="color:#0057ae">bytes</span> nullData <span style="color:#ca60ca">=</span> <span style="font-weight:bold">new</span> <span style="color:#644a9b;font-weight:bold">LockingBytecodeNullData</span><span style="color:#ca60ca">(</span>bytesUnspecifiedLength<span style="color:#ca60ca">);</span>
+
+		<span style="color:#898887">// Keywods.</span>
+		<span style="color:#0057ae">bool</span> exampleTrue <span style="color:#ca60ca">=</span> <span style="font-weight:bold">true</span><span style="color:#ca60ca">;</span>
+		<span style="color:#0057ae">bool</span> exampleFalse <span style="color:#ca60ca">=</span> <span style="font-weight:bold">false</span><span style="color:#ca60ca">;</span>
+
+		<span style="color:#898887">// Control structures.</span>
+		<span style="font-weight:bold">if</span> <span style="color:#ca60ca">(</span>exampleTrue<span style="color:#ca60ca">)</span> <span style="color:#ca60ca">{</span>
+			<span style="color:#644a9b;font-weight:bold">require</span><span style="color:#ca60ca">(</span>singleByte <span style="color:#ca60ca">==</span> bytes1Length<span style="color:#ca60ca">);</span>
+		<span style="color:#ca60ca">}</span> <span style="font-weight:bold">else</span> <span style="font-weight:bold">if</span> <span style="color:#ca60ca">(</span>exampleFalse<span style="color:#ca60ca">)</span> <span style="color:#ca60ca">{</span>
+			<span style="color:#644a9b;font-weight:bold">require</span><span style="color:#ca60ca">(</span>singleByte <span style="color:#ca60ca">==</span> bytes1Length<span style="color:#ca60ca">);</span>
+		<span style="color:#ca60ca">}</span> <span style="font-weight:bold">else</span> <span style="color:#ca60ca">{</span>
+			<span style="color:#644a9b;font-weight:bold">require</span><span style="color:#ca60ca">(</span>singleByte <span style="color:#ca60ca">==</span> bytes1Length<span style="color:#ca60ca">);</span>
+		<span style="color:#ca60ca">}</span>
+
+		<span style="color:#898887">// Units.</span>
+		<span style="color:#0057ae">int</span> exampleSatoshis <span style="color:#ca60ca">=</span> <span style="color:#b08000">1</span> <span style="color:#aa5500">satoshis</span><span style="color:#ca60ca">;</span>
+		<span style="color:#0057ae">int</span> exampleSats <span style="color:#ca60ca">=</span> <span style="color:#b08000">1</span> <span style="color:#aa5500">sats</span><span style="color:#ca60ca">;</span>
+		<span style="color:#0057ae">int</span> exampleFinney <span style="color:#ca60ca">=</span> <span style="color:#b08000">1</span> <span style="color:#aa5500">finney</span><span style="color:#ca60ca">;</span>
+		<span style="color:#0057ae">int</span> exampleBits <span style="color:#ca60ca">=</span> <span style="color:#b08000">1</span> <span style="color:#aa5500">bits</span><span style="color:#ca60ca">;</span>
+		<span style="color:#0057ae">int</span> exampleBitcoin <span style="color:#ca60ca">=</span> <span style="color:#b08000">1</span> <span style="color:#aa5500">bitcoin</span><span style="color:#ca60ca">;</span>
+		<span style="color:#0057ae">int</span> exampleSeconds <span style="color:#ca60ca">=</span> <span style="color:#b08000">1</span> <span style="color:#aa5500">seconds</span><span style="color:#ca60ca">;</span>
+		<span style="color:#0057ae">int</span> exampleMinutes <span style="color:#ca60ca">=</span> <span style="color:#b08000">1</span> <span style="color:#aa5500">minutes</span><span style="color:#ca60ca">;</span>
+		<span style="color:#0057ae">int</span> exampleHours <span style="color:#ca60ca">=</span> <span style="color:#b08000">1</span> <span style="color:#aa5500">hours</span><span style="color:#ca60ca">;</span>
+		<span style="color:#0057ae">int</span> exampleDays <span style="color:#ca60ca">=</span> <span style="color:#b08000">1</span> <span style="color:#aa5500">days</span><span style="color:#ca60ca">;</span>
+		<span style="color:#0057ae">int</span> exampleWeeks <span style="color:#ca60ca">=</span> <span style="color:#b08000">1</span> <span style="color:#aa5500">weeks</span><span style="color:#ca60ca">;</span>
+
+		<span style="color:#898887">// Misc.</span>
+		<span style="color:#0057ae">string</span> exampleString <span style="color:#ca60ca">=</span> <span style="color:#bf0303">"This is an example string"</span><span style="color:#ca60ca">;</span>
+		<span style="color:#0057ae">bytes</span> exampleHex <span style="color:#ca60ca">=</span> <span style="color:#b08000">0xaabbccddeeff</span><span style="color:#ca60ca">;</span>
+	<span style="color:#ca60ca">}</span>
+<span style="color:#ca60ca">}</span>
+</pre></body></html>
diff -pruN 6.0.0-2/autotests/html/test.gpr.dark.html 6.3.0-1/autotests/html/test.gpr.dark.html
--- 6.0.0-2/autotests/html/test.gpr.dark.html	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/html/test.gpr.dark.html	2024-05-31 13:29:45.000000000 +0000
@@ -0,0 +1,32 @@
+<!DOCTYPE html>
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
+<title>test.gpr</title>
+<meta name="generator" content="KF5::SyntaxHighlighting - Definition (GPRBuild) - Theme (Breeze Dark)"/>
+</head><body style="background-color:#232629;color:#cfcfc2"><pre>
+<span style="color:#7a7c7d">--  GPRBuild example project file for highlightning</span>
+<span style="color:#7a7c7d">--  (c) 2024 Léo Germond, AdaCore, The MIT License</span>
+
+<span style="font-weight:bold">project</span> Test <span style="font-weight:bold">is</span>
+
+   <span style="font-weight:bold">type</span> T <span style="font-weight:bold">is</span> <span style="color:#3f8058">(</span><span style="color:#f44f4f">"a"</span><span style="color:#3f8058">,</span> <span style="color:#f44f4f">"b"</span><span style="color:#3f8058">,</span> <span style="color:#f44f4f">"c"</span><span style="color:#3f8058">)</span>;
+   <span style="color:#7a7c7d">--  typed variable</span>
+   A <span style="color:#3f8058">:</span> T <span style="color:#3f8058">:=</span> <span style="font-weight:bold">external</span> <span style="color:#3f8058">(</span><span style="color:#f44f4f">"PARAM"</span><span style="color:#3f8058">)</span>;
+
+   <span style="font-weight:bold">for</span> <span style="font-weight:bold">Main</span> <span style="font-weight:bold">use</span> <span style="color:#3f8058">(</span><span style="color:#f44f4f">"main.adb"</span><span style="color:#3f8058">)</span>;
+   <span style="font-weight:bold">for</span> <span style="font-weight:bold">Source_Dirs</span> <span style="font-weight:bold">use</span> <span style="color:#3f8058">(</span><span style="color:#f44f4f">"src"</span><span style="color:#3f8058">,</span> <span style="color:#f44f4f">"src2/"</span><span style="color:#3f8058">)</span>;
+   <span style="font-weight:bold">for</span> <span style="font-weight:bold">Object_Dir</span> <span style="font-weight:bold">use</span> <span style="color:#f44f4f">"obj"</span>;
+
+   <span style="font-weight:bold">package</span> <span style="font-weight:bold">Compiler</span> <span style="font-weight:bold">is</span>
+      <span style="font-weight:bold">for</span> <span style="font-weight:bold">Default_Switches</span> <span style="color:#3f8058">(</span><span style="color:#f44f4f">"Ada"</span><span style="color:#3f8058">)</span> <span style="font-weight:bold">use</span> <span style="color:#3f8058">(</span><span style="color:#f44f4f">"-g"</span><span style="color:#3f8058">,</span> <span style="color:#f44f4f">"-o2"</span><span style="color:#3f8058">)</span>;
+   <span style="font-weight:bold">end</span> <span style="font-weight:bold">Compiler</span>;
+
+   <span style="color:#7a7c7d">--  untyped variable</span>
+   B <span style="color:#3f8058">:=</span> <span style="color:#f44f4f">"test"</span>;
+
+   <span style="font-weight:bold">package</span> <span style="font-weight:bold">Builder</span> <span style="font-weight:bold">is</span>
+      <span style="font-weight:bold">for</span> <span style="font-weight:bold">Global_Configuration_Pragmas</span> <span style="font-weight:bold">use</span> <span style="color:#f44f4f">"prj.adc"</span>;
+   <span style="font-weight:bold">end</span> <span style="font-weight:bold">Builder</span>;
+
+<span style="font-weight:bold">end</span> Test;
+</pre></body></html>
diff -pruN 6.0.0-2/autotests/html/test.gpr.html 6.3.0-1/autotests/html/test.gpr.html
--- 6.0.0-2/autotests/html/test.gpr.html	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/html/test.gpr.html	2024-05-31 13:29:45.000000000 +0000
@@ -0,0 +1,32 @@
+<!DOCTYPE html>
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
+<title>test.gpr</title>
+<meta name="generator" content="KF5::SyntaxHighlighting - Definition (GPRBuild) - Theme (Breeze Light)"/>
+</head><body style="background-color:#ffffff;color:#1f1c1b"><pre>
+<span style="color:#898887">--  GPRBuild example project file for highlightning</span>
+<span style="color:#898887">--  (c) 2024 Léo Germond, AdaCore, The MIT License</span>
+
+<span style="font-weight:bold">project</span> Test <span style="font-weight:bold">is</span>
+
+   <span style="font-weight:bold">type</span> T <span style="font-weight:bold">is</span> <span style="color:#ca60ca">(</span><span style="color:#bf0303">"a"</span><span style="color:#ca60ca">,</span> <span style="color:#bf0303">"b"</span><span style="color:#ca60ca">,</span> <span style="color:#bf0303">"c"</span><span style="color:#ca60ca">)</span>;
+   <span style="color:#898887">--  typed variable</span>
+   A <span style="color:#ca60ca">:</span> T <span style="color:#ca60ca">:=</span> <span style="font-weight:bold">external</span> <span style="color:#ca60ca">(</span><span style="color:#bf0303">"PARAM"</span><span style="color:#ca60ca">)</span>;
+
+   <span style="font-weight:bold">for</span> <span style="font-weight:bold">Main</span> <span style="font-weight:bold">use</span> <span style="color:#ca60ca">(</span><span style="color:#bf0303">"main.adb"</span><span style="color:#ca60ca">)</span>;
+   <span style="font-weight:bold">for</span> <span style="font-weight:bold">Source_Dirs</span> <span style="font-weight:bold">use</span> <span style="color:#ca60ca">(</span><span style="color:#bf0303">"src"</span><span style="color:#ca60ca">,</span> <span style="color:#bf0303">"src2/"</span><span style="color:#ca60ca">)</span>;
+   <span style="font-weight:bold">for</span> <span style="font-weight:bold">Object_Dir</span> <span style="font-weight:bold">use</span> <span style="color:#bf0303">"obj"</span>;
+
+   <span style="font-weight:bold">package</span> <span style="font-weight:bold">Compiler</span> <span style="font-weight:bold">is</span>
+      <span style="font-weight:bold">for</span> <span style="font-weight:bold">Default_Switches</span> <span style="color:#ca60ca">(</span><span style="color:#bf0303">"Ada"</span><span style="color:#ca60ca">)</span> <span style="font-weight:bold">use</span> <span style="color:#ca60ca">(</span><span style="color:#bf0303">"-g"</span><span style="color:#ca60ca">,</span> <span style="color:#bf0303">"-o2"</span><span style="color:#ca60ca">)</span>;
+   <span style="font-weight:bold">end</span> <span style="font-weight:bold">Compiler</span>;
+
+   <span style="color:#898887">--  untyped variable</span>
+   B <span style="color:#ca60ca">:=</span> <span style="color:#bf0303">"test"</span>;
+
+   <span style="font-weight:bold">package</span> <span style="font-weight:bold">Builder</span> <span style="font-weight:bold">is</span>
+      <span style="font-weight:bold">for</span> <span style="font-weight:bold">Global_Configuration_Pragmas</span> <span style="font-weight:bold">use</span> <span style="color:#bf0303">"prj.adc"</span>;
+   <span style="font-weight:bold">end</span> <span style="font-weight:bold">Builder</span>;
+
+<span style="font-weight:bold">end</span> Test;
+</pre></body></html>
diff -pruN 6.0.0-2/autotests/html/test.nix.dark.html 6.3.0-1/autotests/html/test.nix.dark.html
--- 6.0.0-2/autotests/html/test.nix.dark.html	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/html/test.nix.dark.html	2024-05-31 13:29:45.000000000 +0000
@@ -13,7 +13,7 @@
     <span style="color:#7a7c7d">/*</span>
 <span style="color:#7a7c7d">       Multi-line comments</span>
 <span style="color:#7a7c7d">    */</span>
-    <span style="font-weight:bold">inherit</span> var1<span style="color:#3f8058">;</span>
+    <span style="font-weight:bold">inherit</span> <span style="color:#27aeae">var1</span><span style="color:#3f8058">;</span>
 
     <span style="color:#27aeae">var2</span> <span style="color:#3f8058">=</span> <span style="font-weight:bold">with</span> <span style="color:#7f8c8d">builtins</span><span style="color:#3f8058">;</span> <span style="color:#3f8058">[</span>
         <span style="color:#f67400">0</span> <span style="color:#f67400">1</span> <span style="color:#f67400">2</span> <span style="color:#3f8058">(</span><span style="color:#3f8058">-</span><span style="color:#f67400">3</span><span style="color:#3f8058">)</span> <span style="color:#3f8058">(</span><span style="color:#3f8058">-</span><span style="color:#f67400">4</span><span style="color:#3f8058">)</span>
@@ -38,7 +38,7 @@
 <span style="color:#f44f4f">          which is </span><span style="color:#3daee9">''$</span><span style="color:#f44f4f">{var1}</span>
 <span style="color:#f44f4f">        ''</span>
         <span style="color:#f44f4f">''</span>
-<span style="color:#f44f4f">          My home: </span><span style="color:#3daee9">${</span><span style="color:#7f8c8d">builtins</span>.getEnv <span style="color:#f44f4f">"HOME"</span><span style="color:#3daee9">}</span>
+<span style="color:#f44f4f">          My home: </span><span style="color:#3daee9">${</span><span style="color:#7f8c8d">builtins</span><span style="color:#3f8058">.</span>getEnv <span style="color:#f44f4f">"HOME"</span><span style="color:#3daee9">}</span>
 <span style="color:#f44f4f">          Escaped tab: </span><span style="color:#3daee9">''\\</span><span style="color:#f44f4f">t</span>
 <span style="color:#f44f4f">        ''</span>
     <span style="color:#3f8058">];</span>
@@ -51,5 +51,21 @@
         <span style="font-weight:bold">inherit</span> <span style="color:#3f8058">(</span><span style="color:#7f8c8d">import</span> <span style="color:#da4453">./.</span><span style="color:#3f8058">);</span>
         <span style="color:#27aeae">x</span> <span style="color:#3f8058">=</span> a<span style="color:#3f8058">;</span>
     <span style="color:#3f8058">};</span>
+
+    <span style="color:#27aeae">var5</span> <span style="color:#3f8058">=</span> <span style="color:#3f8058">{</span>
+        <span style="font-weight:bold">inherit</span> <span style="color:#27aeae">a</span> <span style="color:#27aeae">b</span> <span style="color:#27aeae">c</span><span style="color:#3f8058">;</span>
+        <span style="font-weight:bold">inherit</span> <span style="color:#3f8058">(</span>expr<span style="color:#3f8058">)</span> <span style="color:#27aeae">a</span> <span style="color:#27aeae">b</span> <span style="color:#27aeae">c</span><span style="color:#3f8058">;</span>
+    <span style="color:#3f8058">};</span>
+
+    <span style="color:#27aeae">var6</span> <span style="color:#3f8058">=</span> <span style="color:#3f8058">{</span>
+        <span style="color:#3daee9">${</span>foo<span style="color:#3daee9">}</span> <span style="color:#3f8058">=</span> bar<span style="color:#3f8058">;</span>
+        <span style="color:#3daee9">${</span>bar<span style="color:#3daee9">}</span> <span style="color:#3f8058">=</span> baz<span style="color:#3f8058">;</span>
+        <span style="color:#27aeae">a</span>.<span style="color:#3daee9">${</span>b<span style="color:#3daee9">}</span> <span style="color:#3f8058">=</span> c<span style="color:#3f8058">;</span>
+    <span style="color:#3f8058">};</span>
+
+    <span style="color:#27aeae">var7</span> <span style="color:#3f8058">=</span> <span style="color:#3f8058">{</span>
+        <span style="color:#f44f4f">"first"</span> <span style="color:#3f8058">=</span> <span style="color:#f67400">1</span><span style="color:#3f8058">;</span>
+        <span style="color:#f44f4f">"second"</span> <span style="color:#3f8058">=</span> <span style="color:#f67400">2</span><span style="color:#3f8058">;</span>
+    <span style="color:#3f8058">};</span>
 <span style="color:#3f8058">}</span>
 </pre></body></html>
diff -pruN 6.0.0-2/autotests/html/test.nix.html 6.3.0-1/autotests/html/test.nix.html
--- 6.0.0-2/autotests/html/test.nix.html	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/html/test.nix.html	2024-05-31 13:29:45.000000000 +0000
@@ -13,7 +13,7 @@
     <span style="color:#898887">/*</span>
 <span style="color:#898887">       Multi-line comments</span>
 <span style="color:#898887">    */</span>
-    <span style="font-weight:bold">inherit</span> var1<span style="color:#ca60ca">;</span>
+    <span style="font-weight:bold">inherit</span> <span style="color:#0057ae">var1</span><span style="color:#ca60ca">;</span>
 
     <span style="color:#0057ae">var2</span> <span style="color:#ca60ca">=</span> <span style="font-weight:bold">with</span> <span style="color:#644a9b;font-weight:bold">builtins</span><span style="color:#ca60ca">;</span> <span style="color:#ca60ca">[</span>
         <span style="color:#b08000">0</span> <span style="color:#b08000">1</span> <span style="color:#b08000">2</span> <span style="color:#ca60ca">(</span><span style="color:#ca60ca">-</span><span style="color:#b08000">3</span><span style="color:#ca60ca">)</span> <span style="color:#ca60ca">(</span><span style="color:#ca60ca">-</span><span style="color:#b08000">4</span><span style="color:#ca60ca">)</span>
@@ -38,7 +38,7 @@
 <span style="color:#bf0303">          which is </span><span style="color:#3daee9">''$</span><span style="color:#bf0303">{var1}</span>
 <span style="color:#bf0303">        ''</span>
         <span style="color:#bf0303">''</span>
-<span style="color:#bf0303">          My home: </span><span style="color:#3daee9">${</span><span style="color:#644a9b;font-weight:bold">builtins</span>.getEnv <span style="color:#bf0303">"HOME"</span><span style="color:#3daee9">}</span>
+<span style="color:#bf0303">          My home: </span><span style="color:#3daee9">${</span><span style="color:#644a9b;font-weight:bold">builtins</span><span style="color:#ca60ca">.</span>getEnv <span style="color:#bf0303">"HOME"</span><span style="color:#3daee9">}</span>
 <span style="color:#bf0303">          Escaped tab: </span><span style="color:#3daee9">''\\</span><span style="color:#bf0303">t</span>
 <span style="color:#bf0303">        ''</span>
     <span style="color:#ca60ca">];</span>
@@ -51,5 +51,21 @@
         <span style="font-weight:bold">inherit</span> <span style="color:#ca60ca">(</span><span style="color:#644a9b;font-weight:bold">import</span> <span style="color:#ff5500">./.</span><span style="color:#ca60ca">);</span>
         <span style="color:#0057ae">x</span> <span style="color:#ca60ca">=</span> a<span style="color:#ca60ca">;</span>
     <span style="color:#ca60ca">};</span>
+
+    <span style="color:#0057ae">var5</span> <span style="color:#ca60ca">=</span> <span style="color:#ca60ca">{</span>
+        <span style="font-weight:bold">inherit</span> <span style="color:#0057ae">a</span> <span style="color:#0057ae">b</span> <span style="color:#0057ae">c</span><span style="color:#ca60ca">;</span>
+        <span style="font-weight:bold">inherit</span> <span style="color:#ca60ca">(</span>expr<span style="color:#ca60ca">)</span> <span style="color:#0057ae">a</span> <span style="color:#0057ae">b</span> <span style="color:#0057ae">c</span><span style="color:#ca60ca">;</span>
+    <span style="color:#ca60ca">};</span>
+
+    <span style="color:#0057ae">var6</span> <span style="color:#ca60ca">=</span> <span style="color:#ca60ca">{</span>
+        <span style="color:#3daee9">${</span>foo<span style="color:#3daee9">}</span> <span style="color:#ca60ca">=</span> bar<span style="color:#ca60ca">;</span>
+        <span style="color:#3daee9">${</span>bar<span style="color:#3daee9">}</span> <span style="color:#ca60ca">=</span> baz<span style="color:#ca60ca">;</span>
+        <span style="color:#0057ae">a</span>.<span style="color:#3daee9">${</span>b<span style="color:#3daee9">}</span> <span style="color:#ca60ca">=</span> c<span style="color:#ca60ca">;</span>
+    <span style="color:#ca60ca">};</span>
+
+    <span style="color:#0057ae">var7</span> <span style="color:#ca60ca">=</span> <span style="color:#ca60ca">{</span>
+        <span style="color:#bf0303">"first"</span> <span style="color:#ca60ca">=</span> <span style="color:#b08000">1</span><span style="color:#ca60ca">;</span>
+        <span style="color:#bf0303">"second"</span> <span style="color:#ca60ca">=</span> <span style="color:#b08000">2</span><span style="color:#ca60ca">;</span>
+    <span style="color:#ca60ca">};</span>
 <span style="color:#ca60ca">}</span>
 </pre></body></html>
diff -pruN 6.0.0-2/autotests/html/test.vue.dark.html 6.3.0-1/autotests/html/test.vue.dark.html
--- 6.0.0-2/autotests/html/test.vue.dark.html	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/html/test.vue.dark.html	2024-05-31 13:29:45.000000000 +0000
@@ -0,0 +1,156 @@
+<!DOCTYPE html>
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
+<title>test.vue</title>
+<meta name="generator" content="KF5::SyntaxHighlighting - Definition (Vue) - Theme (Breeze Dark)"/>
+</head><body style="background-color:#232629;color:#cfcfc2"><pre>
+<span style="color:#7a7c7d">&lt;!--</span>
+<span style="color:#7a7c7d">    </span><span style="color:#3f8058;font-style:italic">SPDX-FileCopyrightText:</span><span style="color:#7a7c7d"> 2024 James Zuccon</span>
+<span style="color:#7a7c7d">    </span><span style="color:#3f8058;font-style:italic">SPDX-License-Identifier:</span><span style="color:#3f8058;font-style:italic"> </span><span style="color:#3f8058;font-style:italic">MIT</span>
+<span style="color:#7a7c7d">--></span>
+<span style="color:#7a7c7d">&lt;!--</span>
+<span style="color:#7a7c7d">    This uses HTML syntax as a base with some customizations for handling Vue-Template-specific syntax.</span>
+<span style="color:#7a7c7d">    It uses the following third-party scripts.</span>
+<span style="color:#7a7c7d">    Script:</span>
+<span style="color:#7a7c7d">    - JS (default - no lang attribute)</span>
+<span style="color:#7a7c7d">    - Typescript (lang="ts")</span>
+<span style="color:#7a7c7d">    Style:</span>
+<span style="color:#7a7c7d">    - CSS (default - no lang attribute)</span>
+<span style="color:#7a7c7d">    - SASS (lang="sass")</span>
+<span style="color:#7a7c7d">    - SCSS (lang="scss")</span>
+<span style="color:#7a7c7d">    </span><span style="color:#81ca2d;background-color:#4d1f24;font-weight:bold">NOTE</span><span style="color:#7a7c7d">: The tests below test attributes before/after the lang="..." attribute as doing this requires pushing a new context.</span>
+<span style="color:#7a7c7d">          In practice, a Vue Template would generally only contain zero or one &lt;template>, &lt;script> or &lt;style> blocks.</span>
+<span style="color:#7a7c7d">--></span>
+
+<span style="color:#7a7c7d">&lt;!-- Template without attributes --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">template</span><span style="color:#2980b9">></span>
+    <span style="color:#2980b9">&lt;</span><span style="font-weight:bold">div</span><span style="color:#2980b9">></span>
+        <span style="color:#7a7c7d">&lt;!-- Vue event-shorthand should support "@" prefix --></span>
+        <span style="color:#2980b9">&lt;</span><span style="font-weight:bold">p</span><span style="color:#27ae60"> @click</span><span style="color:#3f8058">=</span><span style="color:#f44f4f">"test"</span><span style="color:#2980b9">></span>Testing HTML<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">p</span><span style="color:#2980b9">></span>
+        <span style="color:#2980b9">&lt;</span><span style="font-weight:bold">p</span><span style="color:#2980b9">></span>{{ someVar }}<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">p</span><span style="color:#2980b9">></span>
+        <span style="color:#7a7c7d">&lt;!-- Important to test this as it is used at root also --></span>
+        <span style="color:#2980b9">&lt;</span><span style="font-weight:bold">template</span><span style="color:#2980b9">></span>
+            Nested template tag
+        <span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">template</span><span style="color:#2980b9">></span>
+    <span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">div</span><span style="color:#2980b9">></span>
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">template</span><span style="color:#2980b9">></span>
+
+<span style="color:#7a7c7d">&lt;!-- Template with attributes --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">template</span><span style="color:#27ae60"> loneAttribute attribute</span><span style="color:#3f8058">=</span><span style="color:#f44f4f">"value"</span><span style="color:#2980b9">></span>
+    <span style="color:#2980b9">&lt;</span><span style="font-weight:bold">div</span><span style="color:#2980b9">></span>
+        <span style="color:#7a7c7d">&lt;!-- Vue event-shorthand should support "@" prefix --></span>
+        <span style="color:#2980b9">&lt;</span><span style="font-weight:bold">p</span><span style="color:#27ae60"> @click</span><span style="color:#3f8058">=</span><span style="color:#f44f4f">"test"</span><span style="color:#2980b9">></span>Testing HTML<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">p</span><span style="color:#2980b9">></span>
+        <span style="color:#2980b9">&lt;</span><span style="font-weight:bold">p</span><span style="color:#2980b9">></span>{{ someVar }}<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">p</span><span style="color:#2980b9">></span>
+        <span style="color:#7a7c7d">&lt;!-- Important to test this as it is used at root also --></span>
+        <span style="color:#2980b9">&lt;</span><span style="font-weight:bold">template</span><span style="color:#2980b9">></span>
+            Nested template tag
+        <span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">template</span><span style="color:#2980b9">></span>
+    <span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">div</span><span style="color:#2980b9">></span>
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">template</span><span style="color:#2980b9">></span>
+
+<span style="color:#7a7c7d">&lt;!-- Style without attributes --></span>
+<span style="color:#7a7c7d">&lt;!-- This references the syntax highlighting file for CSS. --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">style</span><span style="color:#2980b9">></span>
+	body {
+		<span style="font-weight:bold">font</span><span style="color:#3daee9">:</span> <span style="color:#f67400">100</span><span style="color:#2980b9">%</span> Helvetica<span style="color:#3f8058">,</span> <span style="color:#f67400">sans-serif</span><span style="color:#3f8058">;</span>
+		<span style="font-weight:bold">color</span><span style="color:#3daee9">:</span> <span style="color:#27aeae;font-weight:bold">#333</span><span style="color:#3f8058">;</span>
+	}
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#2980b9">></span>
+
+<span style="color:#7a7c7d">&lt;!-- Style with attributes --></span>
+<span style="color:#7a7c7d">&lt;!-- This references the syntax highlighting file for CSS. --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">style</span><span style="color:#27ae60"> loneAttribute attribute</span><span style="color:#3f8058">=</span><span style="color:#f44f4f">"value"</span><span style="color:#2980b9">></span>
+	body {
+		<span style="font-weight:bold">font</span><span style="color:#3daee9">:</span> <span style="color:#f67400">100</span><span style="color:#2980b9">%</span> Helvetica<span style="color:#3f8058">,</span> <span style="color:#f67400">sans-serif</span><span style="color:#3f8058">;</span>
+		<span style="font-weight:bold">color</span><span style="color:#3daee9">:</span> <span style="color:#27aeae;font-weight:bold">#333</span><span style="color:#3f8058">;</span>
+	}
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#2980b9">></span>
+
+<span style="color:#7a7c7d">&lt;!-- Style lang="sass" without attributes --></span>
+<span style="color:#7a7c7d">&lt;!-- This references the syntax highlighting file for SASS. --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">style</span><span style="color:#27ae60"> lang=</span><span style="color:#f44f4f">"sass"</span><span style="color:#2980b9">></span>
+	<span style="color:#7a7c7d">// single-line comment to make sure it's SASS and not CSS</span>
+	<span style="color:#27aeae">$font-stack</span>: Helvetica<span style="color:#3f8058">,</span> <span style="color:#f67400">sans-serif</span>
+	<span style="color:#27aeae">$primary-color</span>: <span style="color:#27aeae;font-weight:bold">#333</span>
+
+	body
+		<span style="font-weight:bold">font</span>: <span style="color:#f67400">100</span><span style="color:#2980b9">%</span> <span style="color:#27aeae">$font-stack</span>
+		<span style="font-weight:bold">color</span>: <span style="color:#27aeae">$primary-color</span>
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#2980b9">></span>
+
+<span style="color:#7a7c7d">&lt;!-- Style lang="sass" with attributes --></span>
+<span style="color:#7a7c7d">&lt;!-- This references the syntax highlighting file for SASS. --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">style</span><span style="color:#27ae60"> beforeLangLoneAttribute beforeLangAttribute</span><span style="color:#3f8058">=</span><span style="color:#f44f4f">"asd"</span><span style="color:#27ae60"> lang=</span><span style="color:#f44f4f">"sass"</span><span style="color:#27ae60"> afterLangLoneAttribute afterLangAttribute</span><span style="color:#3f8058">=</span><span style="color:#f44f4f">"asd"</span><span style="color:#2980b9">></span>
+	<span style="color:#7a7c7d">// single-line comment to make sure it's SASS and not CSS</span>
+	<span style="color:#27aeae">$font-stack</span>: Helvetica<span style="color:#3f8058">,</span> <span style="color:#f67400">sans-serif</span>
+	<span style="color:#27aeae">$primary-color</span>: <span style="color:#27aeae;font-weight:bold">#333</span>
+
+	body
+		<span style="font-weight:bold">font</span>: <span style="color:#f67400">100</span><span style="color:#2980b9">%</span> <span style="color:#27aeae">$font-stack</span>
+		<span style="font-weight:bold">color</span>: <span style="color:#27aeae">$primary-color</span>
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#2980b9">></span>
+
+<span style="color:#7a7c7d">&lt;!-- Style lang="scss" without attributes --></span>
+<span style="color:#7a7c7d">&lt;!-- This references the syntax highlighting file for SCSS. --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">style</span><span style="color:#27ae60"> lang=</span><span style="color:#f44f4f">"scss"</span><span style="color:#2980b9">></span>
+	<span style="color:#7a7c7d">// single-line comment to make sure it's SCSS and not CSS</span>
+	<span style="color:#27aeae">$font-stack</span><span style="color:#3daee9">:</span> Helvetica<span style="color:#3f8058">,</span> <span style="color:#f67400">sans-serif</span>
+	<span style="color:#27aeae">$primary-color</span>: <span style="color:#27aeae;font-weight:bold">#333</span>
+
+	body {
+		<span style="font-weight:bold">font</span><span style="color:#3daee9">:</span> <span style="color:#f67400">100</span><span style="color:#2980b9">%</span> <span style="color:#27aeae">$font-stack</span><span style="color:#3f8058">;</span>
+		<span style="font-weight:bold">color</span><span style="color:#3daee9">:</span> <span style="color:#27aeae">$primary-color</span><span style="color:#3f8058">;</span>
+    }
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#2980b9">></span>
+
+<span style="color:#7a7c7d">&lt;!-- Style lang="scss" with attributes --></span>
+<span style="color:#7a7c7d">&lt;!-- This references the syntax highlighting file for SCSS. --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">style</span><span style="color:#27ae60"> beforeLangLoneAttribute beforeLangAttribute</span><span style="color:#3f8058">=</span><span style="color:#f44f4f">"asd"</span><span style="color:#27ae60"> lang=</span><span style="color:#f44f4f">"scss"</span><span style="color:#27ae60"> afterLangLoneAttribute afterLangAttribute</span><span style="color:#3f8058">=</span><span style="color:#f44f4f">"asd"</span><span style="color:#2980b9">></span>
+	<span style="color:#7a7c7d">// single-line comment to make sure it's SCSS and not CSS</span>
+	<span style="color:#27aeae">$font-stack</span><span style="color:#3daee9">:</span> Helvetica<span style="color:#3f8058">,</span> <span style="color:#f67400">sans-serif</span>
+	<span style="color:#27aeae">$primary-color</span>: <span style="color:#27aeae;font-weight:bold">#333</span>
+
+	body {
+		<span style="font-weight:bold">font</span><span style="color:#3daee9">:</span> <span style="color:#f67400">100</span><span style="color:#2980b9">%</span> <span style="color:#27aeae">$font-stack</span><span style="color:#3f8058">;</span>
+		<span style="font-weight:bold">color</span><span style="color:#3daee9">:</span> <span style="color:#27aeae">$primary-color</span><span style="color:#3f8058">;</span>
+    }
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#2980b9">></span>
+
+<span style="color:#7a7c7d">&lt;!-- Script without attributes --></span>
+<span style="color:#7a7c7d">&lt;!-- This references the syntax highlighting file for Javascript. --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">script</span><span style="color:#2980b9">></span>
+<span style="color:#7a7c7d">// Single-line comment</span>
+<span style="font-weight:bold">const</span> a <span style="color:#3f8058">=</span> <span style="color:#f44f4f">'abc'</span><span style="color:#3f8058">;</span>
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">script</span><span style="color:#2980b9">></span>
+
+<span style="color:#7a7c7d">&lt;!-- Script with attributes --></span>
+<span style="color:#7a7c7d">&lt;!-- This references the syntax highlighting file for Javascript. --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">script</span><span style="color:#27ae60"> loneAttribute attribute</span><span style="color:#3f8058">=</span><span style="color:#f44f4f">"value"</span><span style="color:#2980b9">></span>
+<span style="color:#7a7c7d">// Single-line comment</span>
+<span style="font-weight:bold">const</span> a <span style="color:#3f8058">=</span> <span style="color:#f44f4f">'abc'</span><span style="color:#3f8058">;</span>
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">script</span><span style="color:#2980b9">></span>
+
+<span style="color:#7a7c7d">&lt;!-- Script lang="ts" without attributes --></span>
+<span style="color:#7a7c7d">&lt;!-- This references the syntax highlighting file for Typescript. --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">script</span><span style="color:#27ae60"> lang=</span><span style="color:#f44f4f">"ts"</span><span style="color:#2980b9">></span>
+<span style="color:#7a7c7d">// Single-line comment</span>
+<span style="font-weight:bold">const</span> a <span style="color:#3f8058">=</span> <span style="color:#f44f4f">'abc'</span><span style="color:#3f8058">;</span>
+
+<span style="color:#7a7c7d">// Typescript</span>
+<span style="font-weight:bold;font-style:italic">interface</span> SomeInterface {
+    value<span style="color:#3f8058">:</span> <span style="color:#2980b9">string</span><span style="color:#3f8058">;</span>
+}
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">script</span><span style="color:#2980b9">></span>
+
+<span style="color:#7a7c7d">&lt;!-- Script lang="ts" with attributes --></span>
+<span style="color:#7a7c7d">&lt;!-- This references the syntax highlighting file for Typescript. --></span>
+<span style="color:#2980b9">&lt;</span><span style="font-weight:bold">script</span><span style="color:#27ae60"> beforeLangLoneAttribute beforeLangAttribute</span><span style="color:#3f8058">=</span><span style="color:#f44f4f">"asd"</span><span style="color:#27ae60"> lang=</span><span style="color:#f44f4f">"ts"</span><span style="color:#27ae60"> afterLangLoneAttribute afterLangAttribute</span><span style="color:#3f8058">=</span><span style="color:#f44f4f">"asd"</span><span style="color:#2980b9">></span>
+<span style="color:#7a7c7d">// Single-line comment</span>
+<span style="font-weight:bold">const</span> a <span style="color:#3f8058">=</span> <span style="color:#f44f4f">'abc'</span><span style="color:#3f8058">;</span>
+
+<span style="color:#7a7c7d">// Typescript</span>
+<span style="font-weight:bold;font-style:italic">interface</span> SomeInterface {
+    value<span style="color:#3f8058">:</span> <span style="color:#2980b9">string</span><span style="color:#3f8058">;</span>
+}
+<span style="color:#2980b9">&lt;/</span><span style="font-weight:bold">script</span><span style="color:#2980b9">></span>
+</pre></body></html>
diff -pruN 6.0.0-2/autotests/html/test.vue.html 6.3.0-1/autotests/html/test.vue.html
--- 6.0.0-2/autotests/html/test.vue.html	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/html/test.vue.html	2024-05-31 13:29:45.000000000 +0000
@@ -0,0 +1,156 @@
+<!DOCTYPE html>
+<html><head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
+<title>test.vue</title>
+<meta name="generator" content="KF5::SyntaxHighlighting - Definition (Vue) - Theme (Breeze Light)"/>
+</head><body style="background-color:#ffffff;color:#1f1c1b"><pre>
+<span style="color:#898887">&lt;!--</span>
+<span style="color:#898887">    </span><span style="color:#ca60ca;font-style:italic">SPDX-FileCopyrightText:</span><span style="color:#898887"> 2024 James Zuccon</span>
+<span style="color:#898887">    </span><span style="color:#ca60ca;font-style:italic">SPDX-License-Identifier:</span><span style="color:#ca60ca;font-style:italic"> </span><span style="color:#ca60ca;font-style:italic">MIT</span>
+<span style="color:#898887">--></span>
+<span style="color:#898887">&lt;!--</span>
+<span style="color:#898887">    This uses HTML syntax as a base with some customizations for handling Vue-Template-specific syntax.</span>
+<span style="color:#898887">    It uses the following third-party scripts.</span>
+<span style="color:#898887">    Script:</span>
+<span style="color:#898887">    - JS (default - no lang attribute)</span>
+<span style="color:#898887">    - Typescript (lang="ts")</span>
+<span style="color:#898887">    Style:</span>
+<span style="color:#898887">    - CSS (default - no lang attribute)</span>
+<span style="color:#898887">    - SASS (lang="sass")</span>
+<span style="color:#898887">    - SCSS (lang="scss")</span>
+<span style="color:#898887">    </span><span style="color:#81ca2d;background-color:#f7e6e6;font-weight:bold">NOTE</span><span style="color:#898887">: The tests below test attributes before/after the lang="..." attribute as doing this requires pushing a new context.</span>
+<span style="color:#898887">          In practice, a Vue Template would generally only contain zero or one &lt;template>, &lt;script> or &lt;style> blocks.</span>
+<span style="color:#898887">--></span>
+
+<span style="color:#898887">&lt;!-- Template without attributes --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">template</span><span style="color:#0057ae">></span>
+    <span style="color:#0057ae">&lt;</span><span style="font-weight:bold">div</span><span style="color:#0057ae">></span>
+        <span style="color:#898887">&lt;!-- Vue event-shorthand should support "@" prefix --></span>
+        <span style="color:#0057ae">&lt;</span><span style="font-weight:bold">p</span><span style="color:#006e28"> @click</span><span style="color:#ca60ca">=</span><span style="color:#bf0303">"test"</span><span style="color:#0057ae">></span>Testing HTML<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">p</span><span style="color:#0057ae">></span>
+        <span style="color:#0057ae">&lt;</span><span style="font-weight:bold">p</span><span style="color:#0057ae">></span>{{ someVar }}<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">p</span><span style="color:#0057ae">></span>
+        <span style="color:#898887">&lt;!-- Important to test this as it is used at root also --></span>
+        <span style="color:#0057ae">&lt;</span><span style="font-weight:bold">template</span><span style="color:#0057ae">></span>
+            Nested template tag
+        <span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">template</span><span style="color:#0057ae">></span>
+    <span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">div</span><span style="color:#0057ae">></span>
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">template</span><span style="color:#0057ae">></span>
+
+<span style="color:#898887">&lt;!-- Template with attributes --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">template</span><span style="color:#006e28"> loneAttribute attribute</span><span style="color:#ca60ca">=</span><span style="color:#bf0303">"value"</span><span style="color:#0057ae">></span>
+    <span style="color:#0057ae">&lt;</span><span style="font-weight:bold">div</span><span style="color:#0057ae">></span>
+        <span style="color:#898887">&lt;!-- Vue event-shorthand should support "@" prefix --></span>
+        <span style="color:#0057ae">&lt;</span><span style="font-weight:bold">p</span><span style="color:#006e28"> @click</span><span style="color:#ca60ca">=</span><span style="color:#bf0303">"test"</span><span style="color:#0057ae">></span>Testing HTML<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">p</span><span style="color:#0057ae">></span>
+        <span style="color:#0057ae">&lt;</span><span style="font-weight:bold">p</span><span style="color:#0057ae">></span>{{ someVar }}<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">p</span><span style="color:#0057ae">></span>
+        <span style="color:#898887">&lt;!-- Important to test this as it is used at root also --></span>
+        <span style="color:#0057ae">&lt;</span><span style="font-weight:bold">template</span><span style="color:#0057ae">></span>
+            Nested template tag
+        <span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">template</span><span style="color:#0057ae">></span>
+    <span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">div</span><span style="color:#0057ae">></span>
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">template</span><span style="color:#0057ae">></span>
+
+<span style="color:#898887">&lt;!-- Style without attributes --></span>
+<span style="color:#898887">&lt;!-- This references the syntax highlighting file for CSS. --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">style</span><span style="color:#0057ae">></span>
+	body {
+		<span style="font-weight:bold">font</span><span style="color:#924c9d">:</span> <span style="color:#b08000">100</span><span style="color:#0057ae">%</span> Helvetica<span style="color:#ca60ca">,</span> <span style="color:#b08000">sans-serif</span><span style="color:#ca60ca">;</span>
+		<span style="font-weight:bold">color</span><span style="color:#924c9d">:</span> <span style="color:#aa5500">#333</span><span style="color:#ca60ca">;</span>
+	}
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#0057ae">></span>
+
+<span style="color:#898887">&lt;!-- Style with attributes --></span>
+<span style="color:#898887">&lt;!-- This references the syntax highlighting file for CSS. --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">style</span><span style="color:#006e28"> loneAttribute attribute</span><span style="color:#ca60ca">=</span><span style="color:#bf0303">"value"</span><span style="color:#0057ae">></span>
+	body {
+		<span style="font-weight:bold">font</span><span style="color:#924c9d">:</span> <span style="color:#b08000">100</span><span style="color:#0057ae">%</span> Helvetica<span style="color:#ca60ca">,</span> <span style="color:#b08000">sans-serif</span><span style="color:#ca60ca">;</span>
+		<span style="font-weight:bold">color</span><span style="color:#924c9d">:</span> <span style="color:#aa5500">#333</span><span style="color:#ca60ca">;</span>
+	}
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#0057ae">></span>
+
+<span style="color:#898887">&lt;!-- Style lang="sass" without attributes --></span>
+<span style="color:#898887">&lt;!-- This references the syntax highlighting file for SASS. --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">style</span><span style="color:#006e28"> lang=</span><span style="color:#bf0303">"sass"</span><span style="color:#0057ae">></span>
+	<span style="color:#898887">// single-line comment to make sure it's SASS and not CSS</span>
+	<span style="color:#0057ae">$font-stack</span>: Helvetica<span style="color:#ca60ca">,</span> <span style="color:#b08000">sans-serif</span>
+	<span style="color:#0057ae">$primary-color</span>: <span style="color:#aa5500">#333</span>
+
+	body
+		<span style="font-weight:bold">font</span>: <span style="color:#b08000">100</span><span style="color:#0057ae">%</span> <span style="color:#0057ae">$font-stack</span>
+		<span style="font-weight:bold">color</span>: <span style="color:#0057ae">$primary-color</span>
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#0057ae">></span>
+
+<span style="color:#898887">&lt;!-- Style lang="sass" with attributes --></span>
+<span style="color:#898887">&lt;!-- This references the syntax highlighting file for SASS. --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">style</span><span style="color:#006e28"> beforeLangLoneAttribute beforeLangAttribute</span><span style="color:#ca60ca">=</span><span style="color:#bf0303">"asd"</span><span style="color:#006e28"> lang=</span><span style="color:#bf0303">"sass"</span><span style="color:#006e28"> afterLangLoneAttribute afterLangAttribute</span><span style="color:#ca60ca">=</span><span style="color:#bf0303">"asd"</span><span style="color:#0057ae">></span>
+	<span style="color:#898887">// single-line comment to make sure it's SASS and not CSS</span>
+	<span style="color:#0057ae">$font-stack</span>: Helvetica<span style="color:#ca60ca">,</span> <span style="color:#b08000">sans-serif</span>
+	<span style="color:#0057ae">$primary-color</span>: <span style="color:#aa5500">#333</span>
+
+	body
+		<span style="font-weight:bold">font</span>: <span style="color:#b08000">100</span><span style="color:#0057ae">%</span> <span style="color:#0057ae">$font-stack</span>
+		<span style="font-weight:bold">color</span>: <span style="color:#0057ae">$primary-color</span>
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#0057ae">></span>
+
+<span style="color:#898887">&lt;!-- Style lang="scss" without attributes --></span>
+<span style="color:#898887">&lt;!-- This references the syntax highlighting file for SCSS. --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">style</span><span style="color:#006e28"> lang=</span><span style="color:#bf0303">"scss"</span><span style="color:#0057ae">></span>
+	<span style="color:#898887">// single-line comment to make sure it's SCSS and not CSS</span>
+	<span style="color:#0057ae">$font-stack</span><span style="color:#924c9d">:</span> Helvetica<span style="color:#ca60ca">,</span> <span style="color:#b08000">sans-serif</span>
+	<span style="color:#0057ae">$primary-color</span>: <span style="color:#aa5500">#333</span>
+
+	body {
+		<span style="font-weight:bold">font</span><span style="color:#924c9d">:</span> <span style="color:#b08000">100</span><span style="color:#0057ae">%</span> <span style="color:#0057ae">$font-stack</span><span style="color:#ca60ca">;</span>
+		<span style="font-weight:bold">color</span><span style="color:#924c9d">:</span> <span style="color:#0057ae">$primary-color</span><span style="color:#ca60ca">;</span>
+    }
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#0057ae">></span>
+
+<span style="color:#898887">&lt;!-- Style lang="scss" with attributes --></span>
+<span style="color:#898887">&lt;!-- This references the syntax highlighting file for SCSS. --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">style</span><span style="color:#006e28"> beforeLangLoneAttribute beforeLangAttribute</span><span style="color:#ca60ca">=</span><span style="color:#bf0303">"asd"</span><span style="color:#006e28"> lang=</span><span style="color:#bf0303">"scss"</span><span style="color:#006e28"> afterLangLoneAttribute afterLangAttribute</span><span style="color:#ca60ca">=</span><span style="color:#bf0303">"asd"</span><span style="color:#0057ae">></span>
+	<span style="color:#898887">// single-line comment to make sure it's SCSS and not CSS</span>
+	<span style="color:#0057ae">$font-stack</span><span style="color:#924c9d">:</span> Helvetica<span style="color:#ca60ca">,</span> <span style="color:#b08000">sans-serif</span>
+	<span style="color:#0057ae">$primary-color</span>: <span style="color:#aa5500">#333</span>
+
+	body {
+		<span style="font-weight:bold">font</span><span style="color:#924c9d">:</span> <span style="color:#b08000">100</span><span style="color:#0057ae">%</span> <span style="color:#0057ae">$font-stack</span><span style="color:#ca60ca">;</span>
+		<span style="font-weight:bold">color</span><span style="color:#924c9d">:</span> <span style="color:#0057ae">$primary-color</span><span style="color:#ca60ca">;</span>
+    }
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">style</span><span style="color:#0057ae">></span>
+
+<span style="color:#898887">&lt;!-- Script without attributes --></span>
+<span style="color:#898887">&lt;!-- This references the syntax highlighting file for Javascript. --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">script</span><span style="color:#0057ae">></span>
+<span style="color:#898887">// Single-line comment</span>
+<span style="font-weight:bold">const</span> a <span style="color:#ca60ca">=</span> <span style="color:#bf0303">'abc'</span><span style="color:#ca60ca">;</span>
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">script</span><span style="color:#0057ae">></span>
+
+<span style="color:#898887">&lt;!-- Script with attributes --></span>
+<span style="color:#898887">&lt;!-- This references the syntax highlighting file for Javascript. --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">script</span><span style="color:#006e28"> loneAttribute attribute</span><span style="color:#ca60ca">=</span><span style="color:#bf0303">"value"</span><span style="color:#0057ae">></span>
+<span style="color:#898887">// Single-line comment</span>
+<span style="font-weight:bold">const</span> a <span style="color:#ca60ca">=</span> <span style="color:#bf0303">'abc'</span><span style="color:#ca60ca">;</span>
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">script</span><span style="color:#0057ae">></span>
+
+<span style="color:#898887">&lt;!-- Script lang="ts" without attributes --></span>
+<span style="color:#898887">&lt;!-- This references the syntax highlighting file for Typescript. --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">script</span><span style="color:#006e28"> lang=</span><span style="color:#bf0303">"ts"</span><span style="color:#0057ae">></span>
+<span style="color:#898887">// Single-line comment</span>
+<span style="font-weight:bold">const</span> a <span style="color:#ca60ca">=</span> <span style="color:#bf0303">'abc'</span><span style="color:#ca60ca">;</span>
+
+<span style="color:#898887">// Typescript</span>
+<span style="font-weight:bold;font-style:italic">interface</span> SomeInterface {
+    value<span style="color:#ca60ca">:</span> <span style="color:#0057ae">string</span><span style="color:#ca60ca">;</span>
+}
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">script</span><span style="color:#0057ae">></span>
+
+<span style="color:#898887">&lt;!-- Script lang="ts" with attributes --></span>
+<span style="color:#898887">&lt;!-- This references the syntax highlighting file for Typescript. --></span>
+<span style="color:#0057ae">&lt;</span><span style="font-weight:bold">script</span><span style="color:#006e28"> beforeLangLoneAttribute beforeLangAttribute</span><span style="color:#ca60ca">=</span><span style="color:#bf0303">"asd"</span><span style="color:#006e28"> lang=</span><span style="color:#bf0303">"ts"</span><span style="color:#006e28"> afterLangLoneAttribute afterLangAttribute</span><span style="color:#ca60ca">=</span><span style="color:#bf0303">"asd"</span><span style="color:#0057ae">></span>
+<span style="color:#898887">// Single-line comment</span>
+<span style="font-weight:bold">const</span> a <span style="color:#ca60ca">=</span> <span style="color:#bf0303">'abc'</span><span style="color:#ca60ca">;</span>
+
+<span style="color:#898887">// Typescript</span>
+<span style="font-weight:bold;font-style:italic">interface</span> SomeInterface {
+    value<span style="color:#ca60ca">:</span> <span style="color:#0057ae">string</span><span style="color:#ca60ca">;</span>
+}
+<span style="color:#0057ae">&lt;/</span><span style="font-weight:bold">script</span><span style="color:#0057ae">></span>
+</pre></body></html>
diff -pruN 6.0.0-2/autotests/input/highlight.mapcss 6.3.0-1/autotests/input/highlight.mapcss
--- 6.0.0-2/autotests/input/highlight.mapcss	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/input/highlight.mapcss	2024-05-31 13:29:45.000000000 +0000
@@ -133,3 +133,8 @@ line|z16-[highway=service][service="driv
     set .service;
     width: 1.5m;
 }
+
+// single quote strings
+*[service='drive-through'] {
+    text: 'abc\'def"ghi\njkl';
+}
diff -pruN 6.0.0-2/autotests/input/highlight.stan 6.3.0-1/autotests/input/highlight.stan
--- 6.0.0-2/autotests/input/highlight.stan	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/input/highlight.stan	2024-05-31 13:29:45.000000000 +0000
@@ -393,4 +393,7 @@ generated quantities {
   real Y;
   // rng function
   Y = normal_rng(0., 1.);
+
+  tuple(real, int) tupl = (1.5, 2);
+  complex_matrix C_mike = mike;
 }
diff -pruN 6.0.0-2/autotests/input/test.cash 6.3.0-1/autotests/input/test.cash
--- 6.0.0-2/autotests/input/test.cash	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/input/test.cash	2024-05-31 13:29:46.000000000 +0000
@@ -0,0 +1,81 @@
+/* The below does not represent a functional lock/unlock script.
+ * It is intended to test KDE's Syntax Highlighting framework.
+ */
+
+// Pragma comment.
+pragma cashscript ^0.9.2;
+
+// Locking Script/Function.
+contract TestContract(
+	address addressExampple,
+	int intExample,
+	bool boolExample,
+	string stringExample,
+	pubkey pubkeyExample,
+	sig sigExample,
+	datasig datasigExample
+) {
+	// Unlocking Script/Function.
+	function testUnlock(
+		byte singleByte,
+		bytes bytesUnspecifiedLength,
+		bytes1 bytes1Length,
+		bytes99 bytes99Length
+	) {
+		// General.
+		require(singleByte == bytes1Length);
+
+		// Arithmetic.
+		int resultAbs = abs(intExample);
+		int resultMin = min(intExample, 100);
+		int resultMax = max(intExample, 100);
+		int resultWithin = within(intExample, 0, 100);
+
+		// Hashing.
+		bool resultHash160 = hash160(bytesUnspecifiedLength);
+		bool resultHash256 = hash256(bytesUnspecifiedLength);
+		bool resultRipeMd160 = ripemd160(bytesUnspecifiedLength);
+		bool resultSha1 = sha1(bytesUnspecifiedLength);
+		bool resultSha256 = sha256(bytesUnspecifiedLength);
+
+		// Signature checking.
+		bool resultChecksig = checkSig(sigExample, pubkeyExample);
+		bool resultCheckMultiSig = checkMultiSig([sigExample], [pubkeyExample]);
+		bool resultCheckDataSig = checkDataSig(datasigExample, bytesUnspecifiedLength, pubkeyExample);
+
+		// Locking Bytecode.
+		bytes p2pkh = new LockingBytecodeP2PKH(bytesUnspecifiedLength);
+		bytes p2sh20 = new LockingBytecodeP2SH20(bytesUnspecifiedLength);
+		bytes p2sh32 = new LockingBytecodeP2SH32(bytesUnspecifiedLength);
+		bytes nullData = new LockingBytecodeNullData(bytesUnspecifiedLength);
+
+		// Keywods.
+		bool exampleTrue = true;
+		bool exampleFalse = false;
+
+		// Control structures.
+		if (exampleTrue) {
+			require(singleByte == bytes1Length);
+		} else if (exampleFalse) {
+			require(singleByte == bytes1Length);
+		} else {
+			require(singleByte == bytes1Length);
+		}
+
+		// Units.
+		int exampleSatoshis = 1 satoshis;
+		int exampleSats = 1 sats;
+		int exampleFinney = 1 finney;
+		int exampleBits = 1 bits;
+		int exampleBitcoin = 1 bitcoin;
+		int exampleSeconds = 1 seconds;
+		int exampleMinutes = 1 minutes;
+		int exampleHours = 1 hours;
+		int exampleDays = 1 days;
+		int exampleWeeks = 1 weeks;
+
+		// Misc.
+		string exampleString = "This is an example string";
+		bytes exampleHex = 0xaabbccddeeff;
+	}
+}
diff -pruN 6.0.0-2/autotests/input/test.gpr 6.3.0-1/autotests/input/test.gpr
--- 6.0.0-2/autotests/input/test.gpr	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/input/test.gpr	2024-05-31 13:29:46.000000000 +0000
@@ -0,0 +1,25 @@
+--  GPRBuild example project file for highlightning
+--  (c) 2024 Léo Germond, AdaCore, The MIT License
+
+project Test is
+
+   type T is ("a", "b", "c");
+   --  typed variable
+   A : T := external ("PARAM");
+
+   for Main use ("main.adb");
+   for Source_Dirs use ("src", "src2/");
+   for Object_Dir use "obj";
+
+   package Compiler is
+      for Default_Switches ("Ada") use ("-g", "-o2");
+   end Compiler;
+
+   --  untyped variable
+   B := "test";
+
+   package Builder is
+      for Global_Configuration_Pragmas use "prj.adc";
+   end Builder;
+
+end Test;
diff -pruN 6.0.0-2/autotests/input/test.nix 6.3.0-1/autotests/input/test.nix
--- 6.0.0-2/autotests/input/test.nix	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/input/test.nix	2024-05-31 13:29:46.000000000 +0000
@@ -45,4 +45,20 @@ in {
         inherit (import ./.);
         x = a;
     };
+
+    var5 = {
+        inherit a b c;
+        inherit (expr) a b c;
+    };
+
+    var6 = {
+        ${foo} = bar;
+        ${bar} = baz;
+        a.${b} = c;
+    };
+
+    var7 = {
+        "first" = 1;
+        "second" = 2;
+    };
 }
diff -pruN 6.0.0-2/autotests/input/test.vue 6.3.0-1/autotests/input/test.vue
--- 6.0.0-2/autotests/input/test.vue	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/input/test.vue	2024-05-31 13:29:46.000000000 +0000
@@ -0,0 +1,149 @@
+<!--
+    SPDX-FileCopyrightText: 2024 James Zuccon
+    SPDX-License-Identifier: MIT
+-->
+<!--
+    This uses HTML syntax as a base with some customizations for handling Vue-Template-specific syntax.
+    It uses the following third-party scripts.
+    Script:
+    - JS (default - no lang attribute)
+    - Typescript (lang="ts")
+    Style:
+    - CSS (default - no lang attribute)
+    - SASS (lang="sass")
+    - SCSS (lang="scss")
+    NOTE: The tests below test attributes before/after the lang="..." attribute as doing this requires pushing a new context.
+          In practice, a Vue Template would generally only contain zero or one <template>, <script> or <style> blocks.
+-->
+
+<!-- Template without attributes -->
+<template>
+    <div>
+        <!-- Vue event-shorthand should support "@" prefix -->
+        <p @click="test">Testing HTML</p>
+        <p>{{ someVar }}</p>
+        <!-- Important to test this as it is used at root also -->
+        <template>
+            Nested template tag
+        </template>
+    </div>
+</template>
+
+<!-- Template with attributes -->
+<template loneAttribute attribute="value">
+    <div>
+        <!-- Vue event-shorthand should support "@" prefix -->
+        <p @click="test">Testing HTML</p>
+        <p>{{ someVar }}</p>
+        <!-- Important to test this as it is used at root also -->
+        <template>
+            Nested template tag
+        </template>
+    </div>
+</template>
+
+<!-- Style without attributes -->
+<!-- This references the syntax highlighting file for CSS. -->
+<style>
+	body {
+		font: 100% Helvetica, sans-serif;
+		color: #333;
+	}
+</style>
+
+<!-- Style with attributes -->
+<!-- This references the syntax highlighting file for CSS. -->
+<style loneAttribute attribute="value">
+	body {
+		font: 100% Helvetica, sans-serif;
+		color: #333;
+	}
+</style>
+
+<!-- Style lang="sass" without attributes -->
+<!-- This references the syntax highlighting file for SASS. -->
+<style lang="sass">
+	// single-line comment to make sure it's SASS and not CSS
+	$font-stack: Helvetica, sans-serif
+	$primary-color: #333
+
+	body
+		font: 100% $font-stack
+		color: $primary-color
+</style>
+
+<!-- Style lang="sass" with attributes -->
+<!-- This references the syntax highlighting file for SASS. -->
+<style beforeLangLoneAttribute beforeLangAttribute="asd" lang="sass" afterLangLoneAttribute afterLangAttribute="asd">
+	// single-line comment to make sure it's SASS and not CSS
+	$font-stack: Helvetica, sans-serif
+	$primary-color: #333
+
+	body
+		font: 100% $font-stack
+		color: $primary-color
+</style>
+
+<!-- Style lang="scss" without attributes -->
+<!-- This references the syntax highlighting file for SCSS. -->
+<style lang="scss">
+	// single-line comment to make sure it's SCSS and not CSS
+	$font-stack: Helvetica, sans-serif
+	$primary-color: #333
+
+	body {
+		font: 100% $font-stack;
+		color: $primary-color;
+    }
+</style>
+
+<!-- Style lang="scss" with attributes -->
+<!-- This references the syntax highlighting file for SCSS. -->
+<style beforeLangLoneAttribute beforeLangAttribute="asd" lang="scss" afterLangLoneAttribute afterLangAttribute="asd">
+	// single-line comment to make sure it's SCSS and not CSS
+	$font-stack: Helvetica, sans-serif
+	$primary-color: #333
+
+	body {
+		font: 100% $font-stack;
+		color: $primary-color;
+    }
+</style>
+
+<!-- Script without attributes -->
+<!-- This references the syntax highlighting file for Javascript. -->
+<script>
+// Single-line comment
+const a = 'abc';
+</script>
+
+<!-- Script with attributes -->
+<!-- This references the syntax highlighting file for Javascript. -->
+<script loneAttribute attribute="value">
+// Single-line comment
+const a = 'abc';
+</script>
+
+<!-- Script lang="ts" without attributes -->
+<!-- This references the syntax highlighting file for Typescript. -->
+<script lang="ts">
+// Single-line comment
+const a = 'abc';
+
+// Typescript
+interface SomeInterface {
+    value: string;
+}
+</script>
+
+<!-- Script lang="ts" with attributes -->
+<!-- This references the syntax highlighting file for Typescript. -->
+<script beforeLangLoneAttribute beforeLangAttribute="asd" lang="ts" afterLangLoneAttribute afterLangAttribute="asd">
+// Single-line comment
+const a = 'abc';
+
+// Typescript
+interface SomeInterface {
+    value: string;
+}
+</script>
diff -pruN 6.0.0-2/autotests/reference/highlight.ly.ref 6.3.0-1/autotests/reference/highlight.ly.ref
--- 6.0.0-2/autotests/reference/highlight.ly.ref	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/reference/highlight.ly.ref	2024-05-31 13:29:46.000000000 +0000
@@ -9,7 +9,7 @@
 <Comment>%}</Comment><br/>
 <Normal Text></Normal Text><br/>
 <Keyword>\header {</Keyword><br/>
-<Normal Text>  title = </Normal Text><Quoted Text>"Katepart Lilypond syntax highlighting test file"</Quoted Text><br/>
+<Normal Text>  </Normal Text><Variable>title</Variable><Normal Text> = </Normal Text><Quoted Text>"Katepart Lilypond syntax highlighting test file"</Quoted Text><br/>
 <Normal Text>  </Normal Text><Variable>composer</Variable><Normal Text> = </Normal Text><Comment>%{"Wilbert Berendsen"%}</Comment><Normal Text> </Normal Text><Quoted Text>"Anonymus"</Quoted Text><br/>
 <Normal Text>  </Normal Text><Variable>poet</Variable><Normal Text> = </Normal Text><Quoted Text>"The KDE team"</Quoted Text><br/>
 <Normal Text>  </Normal Text><Variable>opus</Variable><Normal Text> = </Normal Text><Quoted Text>"1"</Quoted Text><br/>
diff -pruN 6.0.0-2/autotests/reference/highlight.mapcss.ref 6.3.0-1/autotests/reference/highlight.mapcss.ref
--- 6.0.0-2/autotests/reference/highlight.mapcss.ref	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/reference/highlight.mapcss.ref	2024-05-31 13:29:46.000000000 +0000
@@ -133,3 +133,8 @@
 <Normal>    </Normal><Keyword>set</Keyword><Normal> </Normal><Class>.service</Class><Normal>;</Normal><br/>
 <Normal>    </Normal><Properties>width</Properties><Normal>: </Normal><Float>1.5</Float><Keyword>m</Keyword><Normal>;</Normal><br/>
 <Normal>}</Normal><br/>
+<Normal></Normal><br/>
+<Comment>// single quote strings</Comment><br/>
+<Type>*</Type><Normal>[service=</Normal><String>'drive-through'</String><Normal>] {</Normal><br/>
+<Normal>    </Normal><Properties>text</Properties><Normal>: </Normal><String>'abc</String><Special Character>\'</Special Character><String>def"ghi</String><Special Character>\n</Special Character><String>jkl'</String><Normal>;</Normal><br/>
+<Normal>}</Normal><br/>
diff -pruN 6.0.0-2/autotests/reference/highlight.stan.ref 6.3.0-1/autotests/reference/highlight.stan.ref
--- 6.0.0-2/autotests/reference/highlight.stan.ref	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/reference/highlight.stan.ref	2024-05-31 13:29:46.000000000 +0000
@@ -393,4 +393,7 @@
 <Normal Text>  </Normal Text><Data Type>real</Data Type><Normal Text> </Normal Text><Identifier>Y</Identifier><Normal Text>;</Normal Text><br/>
 <Normal Text>  </Normal Text><Comment>// rng function</Comment><br/>
 <Normal Text>  </Normal Text><Identifier>Y</Identifier><Normal Text> </Normal Text><Assignment>=</Assignment><Normal Text> </Normal Text><Identifier>normal_rng</Identifier><Punctuation>(</Punctuation><Real>0.</Real><Punctuation>,</Punctuation><Normal Text> </Normal Text><Real>1.</Real><Operator>)</Operator><Normal Text>;</Normal Text><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>  </Normal Text><Data Type>tuple</Data Type><Punctuation>(</Punctuation><Data Type>real</Data Type><Punctuation>,</Punctuation><Normal Text> </Normal Text><Data Type>int</Data Type><Operator>)</Operator><Normal Text> </Normal Text><Identifier>tupl</Identifier><Normal Text> </Normal Text><Assignment>=</Assignment><Normal Text> </Normal Text><Punctuation>(</Punctuation><Real>1.5</Real><Punctuation>,</Punctuation><Normal Text> </Normal Text><Int>2</Int><Operator>)</Operator><Normal Text>;</Normal Text><br/>
+<Normal Text>  </Normal Text><Data Type>complex_matrix</Data Type><Normal Text> </Normal Text><Identifier>C_mike</Identifier><Normal Text> </Normal Text><Assignment>=</Assignment><Normal Text> </Normal Text><Identifier>mike</Identifier><Normal Text>;</Normal Text><br/>
 <Punctuation>}</Punctuation><br/>
diff -pruN 6.0.0-2/autotests/reference/test.cash.ref 6.3.0-1/autotests/reference/test.cash.ref
--- 6.0.0-2/autotests/reference/test.cash.ref	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/reference/test.cash.ref	2024-05-31 13:29:46.000000000 +0000
@@ -0,0 +1,81 @@
+<Comment>/* The below does not represent a functional lock/unlock script.</Comment><br/>
+<Comment> * It is intended to test KDE's Syntax Highlighting framework.</Comment><br/>
+<Comment> */</Comment><br/>
+<Normal Text></Normal Text><br/>
+<Comment>// Pragma comment.</Comment><br/>
+<Keyword>pragma</Keyword><Normal Text> </Normal Text><Built-in>cashscript</Built-in><Normal Text> ^0.9.2;</Normal Text><br/>
+<Normal Text></Normal Text><br/>
+<Comment>// Locking Script/Function.</Comment><br/>
+<Control Structures>contract</Control Structures><Normal Text> TestContract</Normal Text><Symbol>(</Symbol><br/>
+<Normal Text>	</Normal Text><Data Type>address</Data Type><Normal Text> addressExampple</Normal Text><Symbol>,</Symbol><br/>
+<Normal Text>	</Normal Text><Data Type>int</Data Type><Normal Text> intExample</Normal Text><Symbol>,</Symbol><br/>
+<Normal Text>	</Normal Text><Data Type>bool</Data Type><Normal Text> boolExample</Normal Text><Symbol>,</Symbol><br/>
+<Normal Text>	</Normal Text><Data Type>string</Data Type><Normal Text> stringExample</Normal Text><Symbol>,</Symbol><br/>
+<Normal Text>	</Normal Text><Data Type>pubkey</Data Type><Normal Text> pubkeyExample</Normal Text><Symbol>,</Symbol><br/>
+<Normal Text>	</Normal Text><Data Type>sig</Data Type><Normal Text> sigExample</Normal Text><Symbol>,</Symbol><br/>
+<Normal Text>	</Normal Text><Data Type>datasig</Data Type><Normal Text> datasigExample</Normal Text><br/>
+<Symbol>)</Symbol><Normal Text> </Normal Text><Symbol>{</Symbol><br/>
+<Normal Text>	</Normal Text><Comment>// Unlocking Script/Function.</Comment><br/>
+<Normal Text>	</Normal Text><Control Structures>function</Control Structures><Normal Text> testUnlock</Normal Text><Symbol>(</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>byte</Data Type><Normal Text> singleByte</Normal Text><Symbol>,</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bytes</Data Type><Normal Text> bytesUnspecifiedLength</Normal Text><Symbol>,</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bytes1</Data Type><Normal Text> bytes1Length</Normal Text><Symbol>,</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bytes99</Data Type><Normal Text> bytes99Length</Normal Text><br/>
+<Normal Text>	</Normal Text><Symbol>)</Symbol><Normal Text> </Normal Text><Symbol>{</Symbol><br/>
+<Normal Text>		</Normal Text><Comment>// General.</Comment><br/>
+<Normal Text>		</Normal Text><Built-in>require</Built-in><Symbol>(</Symbol><Normal Text>singleByte </Normal Text><Symbol>==</Symbol><Normal Text> bytes1Length</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>		</Normal Text><Comment>// Arithmetic.</Comment><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> resultAbs </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>abs</Built-in><Symbol>(</Symbol><Normal Text>intExample</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> resultMin </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>min</Built-in><Symbol>(</Symbol><Normal Text>intExample</Normal Text><Symbol>,</Symbol><Normal Text> </Normal Text><Decimal>100</Decimal><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> resultMax </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>max</Built-in><Symbol>(</Symbol><Normal Text>intExample</Normal Text><Symbol>,</Symbol><Normal Text> </Normal Text><Decimal>100</Decimal><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> resultWithin </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>within</Built-in><Symbol>(</Symbol><Normal Text>intExample</Normal Text><Symbol>,</Symbol><Normal Text> </Normal Text><Decimal>0</Decimal><Symbol>,</Symbol><Normal Text> </Normal Text><Decimal>100</Decimal><Symbol>);</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>		</Normal Text><Comment>// Hashing.</Comment><br/>
+<Normal Text>		</Normal Text><Data Type>bool</Data Type><Normal Text> resultHash160 </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>hash160</Built-in><Symbol>(</Symbol><Normal Text>bytesUnspecifiedLength</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bool</Data Type><Normal Text> resultHash256 </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>hash256</Built-in><Symbol>(</Symbol><Normal Text>bytesUnspecifiedLength</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bool</Data Type><Normal Text> resultRipeMd160 </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>ripemd160</Built-in><Symbol>(</Symbol><Normal Text>bytesUnspecifiedLength</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bool</Data Type><Normal Text> resultSha1 </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>sha1</Built-in><Symbol>(</Symbol><Normal Text>bytesUnspecifiedLength</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bool</Data Type><Normal Text> resultSha256 </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>sha256</Built-in><Symbol>(</Symbol><Normal Text>bytesUnspecifiedLength</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>		</Normal Text><Comment>// Signature checking.</Comment><br/>
+<Normal Text>		</Normal Text><Data Type>bool</Data Type><Normal Text> resultChecksig </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>checkSig</Built-in><Symbol>(</Symbol><Normal Text>sigExample</Normal Text><Symbol>,</Symbol><Normal Text> pubkeyExample</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bool</Data Type><Normal Text> resultCheckMultiSig </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>checkMultiSig</Built-in><Symbol>([</Symbol><Normal Text>sigExample</Normal Text><Symbol>],</Symbol><Normal Text> </Normal Text><Symbol>[</Symbol><Normal Text>pubkeyExample</Normal Text><Symbol>]);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bool</Data Type><Normal Text> resultCheckDataSig </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Built-in>checkDataSig</Built-in><Symbol>(</Symbol><Normal Text>datasigExample</Normal Text><Symbol>,</Symbol><Normal Text> bytesUnspecifiedLength</Normal Text><Symbol>,</Symbol><Normal Text> pubkeyExample</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>		</Normal Text><Comment>// Locking Bytecode.</Comment><br/>
+<Normal Text>		</Normal Text><Data Type>bytes</Data Type><Normal Text> p2pkh </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Keyword>new</Keyword><Normal Text> </Normal Text><Built-in>LockingBytecodeP2PKH</Built-in><Symbol>(</Symbol><Normal Text>bytesUnspecifiedLength</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bytes</Data Type><Normal Text> p2sh20 </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Keyword>new</Keyword><Normal Text> </Normal Text><Built-in>LockingBytecodeP2SH20</Built-in><Symbol>(</Symbol><Normal Text>bytesUnspecifiedLength</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bytes</Data Type><Normal Text> p2sh32 </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Keyword>new</Keyword><Normal Text> </Normal Text><Built-in>LockingBytecodeP2SH32</Built-in><Symbol>(</Symbol><Normal Text>bytesUnspecifiedLength</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bytes</Data Type><Normal Text> nullData </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Keyword>new</Keyword><Normal Text> </Normal Text><Built-in>LockingBytecodeNullData</Built-in><Symbol>(</Symbol><Normal Text>bytesUnspecifiedLength</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>		</Normal Text><Comment>// Keywods.</Comment><br/>
+<Normal Text>		</Normal Text><Data Type>bool</Data Type><Normal Text> exampleTrue </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Keyword>true</Keyword><Symbol>;</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bool</Data Type><Normal Text> exampleFalse </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Keyword>false</Keyword><Symbol>;</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>		</Normal Text><Comment>// Control structures.</Comment><br/>
+<Normal Text>		</Normal Text><Control Structures>if</Control Structures><Normal Text> </Normal Text><Symbol>(</Symbol><Normal Text>exampleTrue</Normal Text><Symbol>)</Symbol><Normal Text> </Normal Text><Symbol>{</Symbol><br/>
+<Normal Text>			</Normal Text><Built-in>require</Built-in><Symbol>(</Symbol><Normal Text>singleByte </Normal Text><Symbol>==</Symbol><Normal Text> bytes1Length</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Symbol>}</Symbol><Normal Text> </Normal Text><Control Structures>else</Control Structures><Normal Text> </Normal Text><Control Structures>if</Control Structures><Normal Text> </Normal Text><Symbol>(</Symbol><Normal Text>exampleFalse</Normal Text><Symbol>)</Symbol><Normal Text> </Normal Text><Symbol>{</Symbol><br/>
+<Normal Text>			</Normal Text><Built-in>require</Built-in><Symbol>(</Symbol><Normal Text>singleByte </Normal Text><Symbol>==</Symbol><Normal Text> bytes1Length</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Symbol>}</Symbol><Normal Text> </Normal Text><Control Structures>else</Control Structures><Normal Text> </Normal Text><Symbol>{</Symbol><br/>
+<Normal Text>			</Normal Text><Built-in>require</Built-in><Symbol>(</Symbol><Normal Text>singleByte </Normal Text><Symbol>==</Symbol><Normal Text> bytes1Length</Normal Text><Symbol>);</Symbol><br/>
+<Normal Text>		</Normal Text><Symbol>}</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>		</Normal Text><Comment>// Units.</Comment><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> exampleSatoshis </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Decimal>1</Decimal><Normal Text> </Normal Text><Unit>satoshis</Unit><Symbol>;</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> exampleSats </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Decimal>1</Decimal><Normal Text> </Normal Text><Unit>sats</Unit><Symbol>;</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> exampleFinney </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Decimal>1</Decimal><Normal Text> </Normal Text><Unit>finney</Unit><Symbol>;</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> exampleBits </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Decimal>1</Decimal><Normal Text> </Normal Text><Unit>bits</Unit><Symbol>;</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> exampleBitcoin </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Decimal>1</Decimal><Normal Text> </Normal Text><Unit>bitcoin</Unit><Symbol>;</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> exampleSeconds </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Decimal>1</Decimal><Normal Text> </Normal Text><Unit>seconds</Unit><Symbol>;</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> exampleMinutes </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Decimal>1</Decimal><Normal Text> </Normal Text><Unit>minutes</Unit><Symbol>;</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> exampleHours </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Decimal>1</Decimal><Normal Text> </Normal Text><Unit>hours</Unit><Symbol>;</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> exampleDays </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Decimal>1</Decimal><Normal Text> </Normal Text><Unit>days</Unit><Symbol>;</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>int</Data Type><Normal Text> exampleWeeks </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Decimal>1</Decimal><Normal Text> </Normal Text><Unit>weeks</Unit><Symbol>;</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>		</Normal Text><Comment>// Misc.</Comment><br/>
+<Normal Text>		</Normal Text><Data Type>string</Data Type><Normal Text> exampleString </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><String>"This is an example string"</String><Symbol>;</Symbol><br/>
+<Normal Text>		</Normal Text><Data Type>bytes</Data Type><Normal Text> exampleHex </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><Hex>0xaabbccddeeff</Hex><Symbol>;</Symbol><br/>
+<Normal Text>	</Normal Text><Symbol>}</Symbol><br/>
+<Symbol>}</Symbol><br/>
diff -pruN 6.0.0-2/autotests/reference/test.gpr.ref 6.3.0-1/autotests/reference/test.gpr.ref
--- 6.0.0-2/autotests/reference/test.gpr.ref	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/reference/test.gpr.ref	2024-05-31 13:29:46.000000000 +0000
@@ -0,0 +1,25 @@
+<Comment>--  GPRBuild example project file for highlightning</Comment><br/>
+<Comment>--  (c) 2024 Léo Germond, AdaCore, The MIT License</Comment><br/>
+<Normal Text></Normal Text><br/>
+<Keyword>project</Keyword><Normal Text> Test </Normal Text><Keyword>is</Keyword><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>   </Normal Text><Keyword>type</Keyword><Normal Text> T </Normal Text><Keyword>is</Keyword><Normal Text> </Normal Text><Symbol>(</Symbol><String>"a"</String><Symbol>,</Symbol><Normal Text> </Normal Text><String>"b"</String><Symbol>,</Symbol><Normal Text> </Normal Text><String>"c"</String><Symbol>)</Symbol><Normal Text>;</Normal Text><br/>
+<Normal Text>   </Normal Text><Comment>--  typed variable</Comment><br/>
+<Normal Text>   A </Normal Text><Symbol>:</Symbol><Normal Text> T </Normal Text><Symbol>:=</Symbol><Normal Text> </Normal Text><Keyword>external</Keyword><Normal Text> </Normal Text><Symbol>(</Symbol><String>"PARAM"</String><Symbol>)</Symbol><Normal Text>;</Normal Text><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>   </Normal Text><Keyword>for</Keyword><Normal Text> </Normal Text><Keyword>Main</Keyword><Normal Text> </Normal Text><Keyword>use</Keyword><Normal Text> </Normal Text><Symbol>(</Symbol><String>"main.adb"</String><Symbol>)</Symbol><Normal Text>;</Normal Text><br/>
+<Normal Text>   </Normal Text><Keyword>for</Keyword><Normal Text> </Normal Text><Keyword>Source_Dirs</Keyword><Normal Text> </Normal Text><Keyword>use</Keyword><Normal Text> </Normal Text><Symbol>(</Symbol><String>"src"</String><Symbol>,</Symbol><Normal Text> </Normal Text><String>"src2/"</String><Symbol>)</Symbol><Normal Text>;</Normal Text><br/>
+<Normal Text>   </Normal Text><Keyword>for</Keyword><Normal Text> </Normal Text><Keyword>Object_Dir</Keyword><Normal Text> </Normal Text><Keyword>use</Keyword><Normal Text> </Normal Text><String>"obj"</String><Normal Text>;</Normal Text><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>   </Normal Text><Keyword>package</Keyword><Normal Text> </Normal Text><Keyword>Compiler</Keyword><Normal Text> </Normal Text><Keyword>is</Keyword><br/>
+<Normal Text>      </Normal Text><Keyword>for</Keyword><Normal Text> </Normal Text><Keyword>Default_Switches</Keyword><Normal Text> </Normal Text><Symbol>(</Symbol><String>"Ada"</String><Symbol>)</Symbol><Normal Text> </Normal Text><Keyword>use</Keyword><Normal Text> </Normal Text><Symbol>(</Symbol><String>"-g"</String><Symbol>,</Symbol><Normal Text> </Normal Text><String>"-o2"</String><Symbol>)</Symbol><Normal Text>;</Normal Text><br/>
+<Normal Text>   </Normal Text><Keyword>end</Keyword><Normal Text> </Normal Text><Keyword>Compiler</Keyword><Normal Text>;</Normal Text><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>   </Normal Text><Comment>--  untyped variable</Comment><br/>
+<Normal Text>   B </Normal Text><Symbol>:=</Symbol><Normal Text> </Normal Text><String>"test"</String><Normal Text>;</Normal Text><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>   </Normal Text><Keyword>package</Keyword><Normal Text> </Normal Text><Keyword>Builder</Keyword><Normal Text> </Normal Text><Keyword>is</Keyword><br/>
+<Normal Text>      </Normal Text><Keyword>for</Keyword><Normal Text> </Normal Text><Keyword>Global_Configuration_Pragmas</Keyword><Normal Text> </Normal Text><Keyword>use</Keyword><Normal Text> </Normal Text><String>"prj.adc"</String><Normal Text>;</Normal Text><br/>
+<Normal Text>   </Normal Text><Keyword>end</Keyword><Normal Text> </Normal Text><Keyword>Builder</Keyword><Normal Text>;</Normal Text><br/>
+<Normal Text></Normal Text><br/>
+<Keyword>end</Keyword><Normal Text> Test;</Normal Text><br/>
diff -pruN 6.0.0-2/autotests/reference/test.nix.ref 6.3.0-1/autotests/reference/test.nix.ref
--- 6.0.0-2/autotests/reference/test.nix.ref	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/autotests/reference/test.nix.ref	2024-05-31 13:29:46.000000000 +0000
@@ -7,7 +7,7 @@
 <Normal Text>    </Normal Text><Comment>/*</Comment><br/>
 <Comment>       Multi-line comments</Comment><br/>
 <Comment>    */</Comment><br/>
-<Normal Text>    </Normal Text><Keyword>inherit</Keyword><Normal Text> var1</Normal Text><Symbol>;</Symbol><br/>
+<Normal Text>    </Normal Text><Keyword>inherit</Keyword><Normal Text> </Normal Text><Identifier>var1</Identifier><Symbol>;</Symbol><br/>
 <Normal Text></Normal Text><br/>
 <Normal Text>    </Normal Text><Identifier>var2</Identifier><Normal Text> </Normal Text><Operator>=</Operator><Normal Text> </Normal Text><Keyword>with</Keyword><Normal Text> </Normal Text><Builtin>builtins</Builtin><Symbol>;</Symbol><Normal Text> </Normal Text><Symbol>[</Symbol><br/>
 <Normal Text>        </Normal Text><Int>0</Int><Normal Text> </Normal Text><Int>1</Int><Normal Text> </Normal Text><Int>2</Int><Normal Text> </Normal Text><Symbol>(</Symbol><Operator>-</Operator><Int>3</Int><Symbol>)</Symbol><Normal Text> </Normal Text><Symbol>(</Symbol><Operator>-</Operator><Int>4</Int><Symbol>)</Symbol><br/>
@@ -32,7 +32,7 @@
 <String>          which is </String><Special Char>''$</Special Char><String>{var1}</String><br/>
 <String>        ''</String><br/>
 <Normal Text>        </Normal Text><String>''</String><br/>
-<String>          My home: </String><Special Char>${</Special Char><Builtin>builtins</Builtin><Normal Text>.getEnv </Normal Text><String>"HOME"</String><Special Char>}</Special Char><br/>
+<String>          My home: </String><Special Char>${</Special Char><Builtin>builtins</Builtin><Symbol>.</Symbol><Normal Text>getEnv </Normal Text><String>"HOME"</String><Special Char>}</Special Char><br/>
 <String>          Escaped tab: </String><Special Char>''\\</Special Char><String>t</String><br/>
 <String>        ''</String><br/>
 <Normal Text>    </Normal Text><Symbol>];</Symbol><br/>
@@ -45,4 +45,20 @@
 <Normal Text>        </Normal Text><Keyword>inherit</Keyword><Normal Text> </Normal Text><Symbol>(</Symbol><Builtin>import</Builtin><Normal Text> </Normal Text><Path>./.</Path><Symbol>);</Symbol><br/>
 <Normal Text>        </Normal Text><Identifier>x</Identifier><Normal Text> </Normal Text><Operator>=</Operator><Normal Text> a</Normal Text><Symbol>;</Symbol><br/>
 <Normal Text>    </Normal Text><Symbol>};</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>    </Normal Text><Identifier>var5</Identifier><Normal Text> </Normal Text><Operator>=</Operator><Normal Text> </Normal Text><Symbol>{</Symbol><br/>
+<Normal Text>        </Normal Text><Keyword>inherit</Keyword><Normal Text> </Normal Text><Identifier>a</Identifier><Normal Text> </Normal Text><Identifier>b</Identifier><Normal Text> </Normal Text><Identifier>c</Identifier><Symbol>;</Symbol><br/>
+<Normal Text>        </Normal Text><Keyword>inherit</Keyword><Normal Text> </Normal Text><Symbol>(</Symbol><Normal Text>expr</Normal Text><Symbol>)</Symbol><Normal Text> </Normal Text><Identifier>a</Identifier><Normal Text> </Normal Text><Identifier>b</Identifier><Normal Text> </Normal Text><Identifier>c</Identifier><Symbol>;</Symbol><br/>
+<Normal Text>    </Normal Text><Symbol>};</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>    </Normal Text><Identifier>var6</Identifier><Normal Text> </Normal Text><Operator>=</Operator><Normal Text> </Normal Text><Symbol>{</Symbol><br/>
+<Normal Text>        </Normal Text><Special Char>${</Special Char><Normal Text>foo</Normal Text><Special Char>}</Special Char><Normal Text> </Normal Text><Operator>=</Operator><Normal Text> bar</Normal Text><Symbol>;</Symbol><br/>
+<Normal Text>        </Normal Text><Special Char>${</Special Char><Normal Text>bar</Normal Text><Special Char>}</Special Char><Normal Text> </Normal Text><Operator>=</Operator><Normal Text> baz</Normal Text><Symbol>;</Symbol><br/>
+<Normal Text>        </Normal Text><Identifier>a</Identifier><Normal Text>.</Normal Text><Special Char>${</Special Char><Normal Text>b</Normal Text><Special Char>}</Special Char><Normal Text> </Normal Text><Operator>=</Operator><Normal Text> c</Normal Text><Symbol>;</Symbol><br/>
+<Normal Text>    </Normal Text><Symbol>};</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>    </Normal Text><Identifier>var7</Identifier><Normal Text> </Normal Text><Operator>=</Operator><Normal Text> </Normal Text><Symbol>{</Symbol><br/>
+<Normal Text>        </Normal Text><String>"first"</String><Normal Text> </Normal Text><Operator>=</Operator><Normal Text> </Normal Text><Int>1</Int><Symbol>;</Symbol><br/>
+<Normal Text>        </Normal Text><String>"second"</String><Normal Text> </Normal Text><Operator>=</Operator><Normal Text> </Normal Text><Int>2</Int><Symbol>;</Symbol><br/>
+<Normal Text>    </Normal Text><Symbol>};</Symbol><br/>
 <Symbol>}</Symbol><br/>
diff -pruN 6.0.0-2/autotests/reference/test.vue.ref 6.3.0-1/autotests/reference/test.vue.ref
--- 6.0.0-2/autotests/reference/test.vue.ref	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/autotests/reference/test.vue.ref	2024-05-31 13:29:46.000000000 +0000
@@ -0,0 +1,149 @@
+<Comment><!--</Comment><br/>
+<Comment>    </Comment><SPDX Tag>SPDX-FileCopyrightText:</SPDX Tag><Comment> 2024 James Zuccon</Comment><br/>
+<Comment>    </Comment><SPDX Tag>SPDX-License-Identifier:</SPDX Tag><SPDX Value> </SPDX Value><SPDX License>MIT</SPDX License><br/>
+<Comment>--></Comment><br/>
+<Comment><!--</Comment><br/>
+<Comment>    This uses HTML syntax as a base with some customizations for handling Vue-Template-specific syntax.</Comment><br/>
+<Comment>    It uses the following third-party scripts.</Comment><br/>
+<Comment>    Script:</Comment><br/>
+<Comment>    - JS (default - no lang attribute)</Comment><br/>
+<Comment>    - Typescript (lang="ts")</Comment><br/>
+<Comment>    Style:</Comment><br/>
+<Comment>    - CSS (default - no lang attribute)</Comment><br/>
+<Comment>    - SASS (lang="sass")</Comment><br/>
+<Comment>    - SCSS (lang="scss")</Comment><br/>
+<Comment>    </Comment><Alert Level 3>NOTE</Alert Level 3><Comment>: The tests below test attributes before/after the lang="..." attribute as doing this requires pushing a new context.</Comment><br/>
+<Comment>          In practice, a Vue Template would generally only contain zero or one <template>, <script> or <style> blocks.</Comment><br/>
+<Comment>--></Comment><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Template without attributes --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>template</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>    </Normal Text><Element Symbols><</Element Symbols><Element>div</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>        </Normal Text><Comment><!-- Vue event-shorthand should support "@" prefix --></Comment><br/>
+<Normal Text>        </Normal Text><Element Symbols><</Element Symbols><Element>p</Element><Attribute> @click</Attribute><Attribute Separator>=</Attribute Separator><Value>"test"</Value><Element Symbols>></Element Symbols><Normal Text>Testing HTML</Normal Text><Element Symbols></</Element Symbols><Element>p</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>        </Normal Text><Element Symbols><</Element Symbols><Element>p</Element><Element Symbols>></Element Symbols><Normal Text>{{ someVar }}</Normal Text><Element Symbols></</Element Symbols><Element>p</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>        </Normal Text><Comment><!-- Important to test this as it is used at root also --></Comment><br/>
+<Normal Text>        </Normal Text><Element Symbols><</Element Symbols><Element>template</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>            Nested template tag</Normal Text><br/>
+<Normal Text>        </Normal Text><Element Symbols></</Element Symbols><Element>template</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>    </Normal Text><Element Symbols></</Element Symbols><Element>div</Element><Element Symbols>></Element Symbols><br/>
+<Element Symbols></</Element Symbols><Element>template</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Template with attributes --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>template</Element><Attribute> loneAttribute attribute</Attribute><Attribute Separator>=</Attribute Separator><Value>"value"</Value><Element Symbols>></Element Symbols><br/>
+<Normal Text>    </Normal Text><Element Symbols><</Element Symbols><Element>div</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>        </Normal Text><Comment><!-- Vue event-shorthand should support "@" prefix --></Comment><br/>
+<Normal Text>        </Normal Text><Element Symbols><</Element Symbols><Element>p</Element><Attribute> @click</Attribute><Attribute Separator>=</Attribute Separator><Value>"test"</Value><Element Symbols>></Element Symbols><Normal Text>Testing HTML</Normal Text><Element Symbols></</Element Symbols><Element>p</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>        </Normal Text><Element Symbols><</Element Symbols><Element>p</Element><Element Symbols>></Element Symbols><Normal Text>{{ someVar }}</Normal Text><Element Symbols></</Element Symbols><Element>p</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>        </Normal Text><Comment><!-- Important to test this as it is used at root also --></Comment><br/>
+<Normal Text>        </Normal Text><Element Symbols><</Element Symbols><Element>template</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>            Nested template tag</Normal Text><br/>
+<Normal Text>        </Normal Text><Element Symbols></</Element Symbols><Element>template</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>    </Normal Text><Element Symbols></</Element Symbols><Element>div</Element><Element Symbols>></Element Symbols><br/>
+<Element Symbols></</Element Symbols><Element>template</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Style without attributes --></Comment><br/>
+<Comment><!-- This references the syntax highlighting file for CSS. --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>style</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text>	</Normal Text><Selector Tag>body</Selector Tag><Normal Text> </Normal Text><Block Symbol>{</Block Symbol><br/>
+<Normal Text>		</Normal Text><Property>font</Property><Property Separator>:</Property Separator><Normal Text> </Normal Text><Number>100</Number><Unit>%</Unit><Normal Text> Helvetica</Normal Text><Separator Symbol>,</Separator Symbol><Normal Text> </Normal Text><Value>sans-serif</Value><Separator Symbol>;</Separator Symbol><br/>
+<Normal Text>		</Normal Text><Property>color</Property><Property Separator>:</Property Separator><Normal Text> </Normal Text><Color>#333</Color><Separator Symbol>;</Separator Symbol><br/>
+<Normal Text>	</Normal Text><Block Symbol>}</Block Symbol><br/>
+<Element Symbols></</Element Symbols><Element>style</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Style with attributes --></Comment><br/>
+<Comment><!-- This references the syntax highlighting file for CSS. --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>style</Element><Attribute> loneAttribute attribute</Attribute><Attribute Separator>=</Attribute Separator><Value>"value"</Value><Element Symbols>></Element Symbols><br/>
+<Normal Text>	</Normal Text><Selector Tag>body</Selector Tag><Normal Text> </Normal Text><Block Symbol>{</Block Symbol><br/>
+<Normal Text>		</Normal Text><Property>font</Property><Property Separator>:</Property Separator><Normal Text> </Normal Text><Number>100</Number><Unit>%</Unit><Normal Text> Helvetica</Normal Text><Separator Symbol>,</Separator Symbol><Normal Text> </Normal Text><Value>sans-serif</Value><Separator Symbol>;</Separator Symbol><br/>
+<Normal Text>		</Normal Text><Property>color</Property><Property Separator>:</Property Separator><Normal Text> </Normal Text><Color>#333</Color><Separator Symbol>;</Separator Symbol><br/>
+<Normal Text>	</Normal Text><Block Symbol>}</Block Symbol><br/>
+<Element Symbols></</Element Symbols><Element>style</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Style lang="sass" without attributes --></Comment><br/>
+<Comment><!-- This references the syntax highlighting file for SASS. --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>style</Element><Attribute> lang=</Attribute><Value>"sass"</Value><Element Symbols>></Element Symbols><br/>
+<Normal Text>	</Normal Text><Comment>// single-line comment to make sure it's SASS and not CSS</Comment><br/>
+<Normal Text>	</Normal Text><Variable>$font-stack</Variable><Normal Text>: Helvetica</Normal Text><Separator Symbol>,</Separator Symbol><Normal Text> </Normal Text><Value>sans-serif</Value><br/>
+<Normal Text>	</Normal Text><Variable>$primary-color</Variable><Normal Text>: </Normal Text><Color>#333</Color><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>	body</Normal Text><br/>
+<Normal Text>		</Normal Text><Property>font</Property><Normal Text>: </Normal Text><Number>100</Number><Unit>%</Unit><Normal Text> </Normal Text><Variable>$font-stack</Variable><br/>
+<Normal Text>		</Normal Text><Property>color</Property><Normal Text>: </Normal Text><Variable>$primary-color</Variable><br/>
+<Element Symbols></</Element Symbols><Element>style</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Style lang="sass" with attributes --></Comment><br/>
+<Comment><!-- This references the syntax highlighting file for SASS. --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>style</Element><Attribute> beforeLangLoneAttribute beforeLangAttribute</Attribute><Attribute Separator>=</Attribute Separator><Value>"asd"</Value><Attribute> lang=</Attribute><Value>"sass"</Value><Attribute> afterLangLoneAttribute afterLangAttribute</Attribute><Attribute Separator>=</Attribute Separator><Value>"asd"</Value><Element Symbols>></Element Symbols><br/>
+<Normal Text>	</Normal Text><Comment>// single-line comment to make sure it's SASS and not CSS</Comment><br/>
+<Normal Text>	</Normal Text><Variable>$font-stack</Variable><Normal Text>: Helvetica</Normal Text><Separator Symbol>,</Separator Symbol><Normal Text> </Normal Text><Value>sans-serif</Value><br/>
+<Normal Text>	</Normal Text><Variable>$primary-color</Variable><Normal Text>: </Normal Text><Color>#333</Color><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>	body</Normal Text><br/>
+<Normal Text>		</Normal Text><Property>font</Property><Normal Text>: </Normal Text><Number>100</Number><Unit>%</Unit><Normal Text> </Normal Text><Variable>$font-stack</Variable><br/>
+<Normal Text>		</Normal Text><Property>color</Property><Normal Text>: </Normal Text><Variable>$primary-color</Variable><br/>
+<Element Symbols></</Element Symbols><Element>style</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Style lang="scss" without attributes --></Comment><br/>
+<Comment><!-- This references the syntax highlighting file for SCSS. --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>style</Element><Attribute> lang=</Attribute><Value>"scss"</Value><Element Symbols>></Element Symbols><br/>
+<Normal Text>	</Normal Text><Comment>// single-line comment to make sure it's SCSS and not CSS</Comment><br/>
+<Normal Text>	</Normal Text><Variable>$font-stack</Variable><Property Separator>:</Property Separator><Normal Text> Helvetica</Normal Text><Separator Symbol>,</Separator Symbol><Normal Text> </Normal Text><Value>sans-serif</Value><br/>
+<Normal Text>	</Normal Text><Variable>$primary-color</Variable><Normal Text>: </Normal Text><Color>#333</Color><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>	body </Normal Text><Block Symbol>{</Block Symbol><br/>
+<Normal Text>		</Normal Text><Property>font</Property><Property Separator>:</Property Separator><Normal Text> </Normal Text><Number>100</Number><Unit>%</Unit><Normal Text> </Normal Text><Variable>$font-stack</Variable><Separator Symbol>;</Separator Symbol><br/>
+<Normal Text>		</Normal Text><Property>color</Property><Property Separator>:</Property Separator><Normal Text> </Normal Text><Variable>$primary-color</Variable><Separator Symbol>;</Separator Symbol><br/>
+<Normal Text>    </Normal Text><Block Symbol>}</Block Symbol><br/>
+<Element Symbols></</Element Symbols><Element>style</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Style lang="scss" with attributes --></Comment><br/>
+<Comment><!-- This references the syntax highlighting file for SCSS. --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>style</Element><Attribute> beforeLangLoneAttribute beforeLangAttribute</Attribute><Attribute Separator>=</Attribute Separator><Value>"asd"</Value><Attribute> lang=</Attribute><Value>"scss"</Value><Attribute> afterLangLoneAttribute afterLangAttribute</Attribute><Attribute Separator>=</Attribute Separator><Value>"asd"</Value><Element Symbols>></Element Symbols><br/>
+<Normal Text>	</Normal Text><Comment>// single-line comment to make sure it's SCSS and not CSS</Comment><br/>
+<Normal Text>	</Normal Text><Variable>$font-stack</Variable><Property Separator>:</Property Separator><Normal Text> Helvetica</Normal Text><Separator Symbol>,</Separator Symbol><Normal Text> </Normal Text><Value>sans-serif</Value><br/>
+<Normal Text>	</Normal Text><Variable>$primary-color</Variable><Normal Text>: </Normal Text><Color>#333</Color><br/>
+<Normal Text></Normal Text><br/>
+<Normal Text>	body </Normal Text><Block Symbol>{</Block Symbol><br/>
+<Normal Text>		</Normal Text><Property>font</Property><Property Separator>:</Property Separator><Normal Text> </Normal Text><Number>100</Number><Unit>%</Unit><Normal Text> </Normal Text><Variable>$font-stack</Variable><Separator Symbol>;</Separator Symbol><br/>
+<Normal Text>		</Normal Text><Property>color</Property><Property Separator>:</Property Separator><Normal Text> </Normal Text><Variable>$primary-color</Variable><Separator Symbol>;</Separator Symbol><br/>
+<Normal Text>    </Normal Text><Block Symbol>}</Block Symbol><br/>
+<Element Symbols></</Element Symbols><Element>style</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Script without attributes --></Comment><br/>
+<Comment><!-- This references the syntax highlighting file for Javascript. --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>script</Element><Element Symbols>></Element Symbols><br/>
+<Comment>// Single-line comment</Comment><br/>
+<Keyword>const</Keyword><Normal Text> a </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><String>'abc'</String><Symbol>;</Symbol><br/>
+<Element Symbols></</Element Symbols><Element>script</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Script with attributes --></Comment><br/>
+<Comment><!-- This references the syntax highlighting file for Javascript. --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>script</Element><Attribute> loneAttribute attribute</Attribute><Attribute Separator>=</Attribute Separator><Value>"value"</Value><Element Symbols>></Element Symbols><br/>
+<Comment>// Single-line comment</Comment><br/>
+<Keyword>const</Keyword><Normal Text> a </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><String>'abc'</String><Symbol>;</Symbol><br/>
+<Element Symbols></</Element Symbols><Element>script</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Script lang="ts" without attributes --></Comment><br/>
+<Comment><!-- This references the syntax highlighting file for Typescript. --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>script</Element><Attribute> lang=</Attribute><Value>"ts"</Value><Element Symbols>></Element Symbols><br/>
+<Comment>// Single-line comment</Comment><br/>
+<Keyword>const</Keyword><Normal Text> </Normal Text><Normal Text>a </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><String>'abc'</String><Symbol>;</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Comment>// Typescript</Comment><br/>
+<Reserved>interface</Reserved><Normal Text> </Normal Text><Normal Text>SomeInterface </Normal Text><Normal Text>{</Normal Text><br/>
+<Normal Text>    </Normal Text><Parameter>value</Parameter><Symbol>:</Symbol><Normal Text> </Normal Text><Types>string</Types><Symbol>;</Symbol><br/>
+<Normal Text>}</Normal Text><br/>
+<Element Symbols></</Element Symbols><Element>script</Element><Element Symbols>></Element Symbols><br/>
+<Normal Text></Normal Text><br/>
+<Comment><!-- Script lang="ts" with attributes --></Comment><br/>
+<Comment><!-- This references the syntax highlighting file for Typescript. --></Comment><br/>
+<Element Symbols><</Element Symbols><Element>script</Element><Attribute> beforeLangLoneAttribute beforeLangAttribute</Attribute><Attribute Separator>=</Attribute Separator><Value>"asd"</Value><Attribute> lang=</Attribute><Value>"ts"</Value><Attribute> afterLangLoneAttribute afterLangAttribute</Attribute><Attribute Separator>=</Attribute Separator><Value>"asd"</Value><Element Symbols>></Element Symbols><br/>
+<Comment>// Single-line comment</Comment><br/>
+<Keyword>const</Keyword><Normal Text> </Normal Text><Normal Text>a </Normal Text><Symbol>=</Symbol><Normal Text> </Normal Text><String>'abc'</String><Symbol>;</Symbol><br/>
+<Normal Text></Normal Text><br/>
+<Comment>// Typescript</Comment><br/>
+<Reserved>interface</Reserved><Normal Text> </Normal Text><Normal Text>SomeInterface </Normal Text><Normal Text>{</Normal Text><br/>
+<Normal Text>    </Normal Text><Parameter>value</Parameter><Symbol>:</Symbol><Normal Text> </Normal Text><Types>string</Types><Symbol>;</Symbol><br/>
+<Normal Text>}</Normal Text><br/>
+<Element Symbols></</Element Symbols><Element>script</Element><Element Symbols>></Element Symbols><br/>
diff -pruN 6.0.0-2/data/generators/cmake.xml.tpl 6.3.0-1/data/generators/cmake.xml.tpl
--- 6.0.0-2/data/generators/cmake.xml.tpl	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/generators/cmake.xml.tpl	2024-05-31 13:29:46.000000000 +0000
@@ -18,9 +18,8 @@
  -->
 
 <!-- ***** THIS FILE WAS GENERATED BY A SCRIPT - DO NOT EDIT *****
-  cd data/generators
-  # increase version of cmake.xml.tpl then
-  ./generate-cmake-syntax.py cmake.yaml > ../syntax/cmake.xml
+  $ cd data/generators
+  $ ./generate-cmake-syntax.py cmake.yaml > ../syntax/cmake.xml
 -->
 
 <language
@@ -196,7 +195,9 @@
         <WordDetect String="<!--{command.has_target_name_after_kw}-->" attribute="Named Args" context="Target Name" />
           <!--[- endif ]-->
           <!--[- if command.has_target_names_after_kw ]-->
-        <WordDetect String="<!--{command.has_target_names_after_kw}-->" attribute="Named Args" context="<!--{command.name}-->_tgts" />
+            <!--[- for kw in command.has_target_names_after_kw ]-->
+        <WordDetect String="<!--{kw}-->" attribute="Named Args" context="<!--{command.name}-->_tgts" />
+            <!--[- endfor ]-->
           <!--[- endif ]-->
         <keyword attribute="Named Args" context="#stay" String="<!--{command.name}-->_nargs" />
         <!--[- endif ]-->
@@ -231,7 +232,7 @@
       <context attribute="Normal Text" lineEndContext="#stay" name="<!--{command.name}-->_tgts">
         <DetectSpaces />
         <DetectChar attribute="Normal Text" context="#pop" char=")" lookAhead="true" />
-        <keyword attribute="Named Args" context="#pop" String="<!--{command.name}-->_nargs" />
+        <keyword attribute="Named Args" context="#pop" String="<!--{command.name}-->_nargs" lookAhead="true" />
         <IncludeRules context="Detect Aliased Targets" />
         <IncludeRules context="Detect Targets" />
         <IncludeRules context="User Function Args" />
diff -pruN 6.0.0-2/data/generators/cmake.yaml 6.3.0-1/data/generators/cmake.yaml
--- 6.0.0-2/data/generators/cmake.yaml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/generators/cmake.yaml	2024-05-31 13:29:46.000000000 +0000
@@ -1,4 +1,4 @@
-version: 50
+version: 51
 
 global-properties:
     - ALLOW_DUPLICATE_CUSTOM_TARGETS
@@ -358,10 +358,13 @@ target-properties:
     - STATIC_LIBRARY_FLAGS
     - STATIC_LIBRARY_OPTIONS                                # Since 3.13
     - SUFFIX
+    - Swift_COMPILATION_MODE                                # Since 3.29
     - Swift_DEPENDENCIES_FILE                               # Since 3.15
+    - Swift_LANGUAGE_VERSION                                # Since 3.16
     - Swift_MODULE_DIRECTORY                                # Since 3.15
     - Swift_MODULE_NAME                                     # Since 3.15
     - SYSTEM                                                # Since 3.25
+    - TEST_LAUNCHER                                         # Since 3.29
     - TYPE
     - UNITY_BUILD                                           # Since 3.16
     - UNITY_BUILD_BATCH_SIZE                                # Since 3.16
@@ -788,6 +791,10 @@ variables:
     - CMAKE_JOB_POOLS                                       # Since 3.11
     - CMAKE_<LANG>_COMPILER_AR
     - CMAKE_<LANG>_COMPILER_FRONTEND_VARIANT                # Since 3.14
+    - CMAKE_<LANG>_COMPILER_LINKER                          # Since 3.29
+    - CMAKE_<LANG>_COMPILER_LINKER_FRONTEND_VARIANT         # Since 3.29
+    - CMAKE_<LANG>_COMPILER_LINKER_ID                       # Since 3.29
+    - CMAKE_<LANG>_COMPILER_LINKER_VERSION                  # Since 3.29
     - CMAKE_<LANG>_COMPILER_RANLIB
     - CMAKE_LINK_LIBRARY_SUFFIX
     - CMAKE_LINK_SEARCH_END_STATIC
@@ -827,7 +834,10 @@ variables:
     - CMAKE_SOURCE_DIR
     - CMAKE_STATIC_LIBRARY_PREFIX
     - CMAKE_STATIC_LIBRARY_SUFFIX
+    - CMAKE_Swift_COMPILATION_MODE                          # Since 3.29
     - CMAKE_Swift_MODULE_DIRECTORY                          # Since 3.15
+    - CMAKE_Swift_NUM_THREADS                               # Since 3.15
+    - CMAKE_TEST_LAUNCHER                                   # Since 3.29
     - CMAKE_TOOLCHAIN_FILE
     - CMAKE_TWEAK_VERSION
     - CMAKE_VERBOSE_MAKEFILE
@@ -955,6 +965,7 @@ variables:
     - CMAKE_PROJECT_TOP_LEVEL_INCLUDES                      # Since 3.24
     - CMAKE_REQUIRE_FIND_PACKAGE_<PackageName>              # Since 3.22
     - CMAKE_SKIP_INSTALL_ALL_DEPENDENCY
+    - CMAKE_SKIP_TEST_ALL_DEPENDENCY                        # Since 3.29
     - CMAKE_STAGING_PREFIX
     - CMAKE_SUBLIME_TEXT_2_ENV_SETTINGS
     - CMAKE_SUBLIME_TEXT_2_EXCLUDE_BUILD_TREE
@@ -1148,14 +1159,16 @@ variables:
     - CMAKE_<LANG>_CPPCHECK                                 # Since 3.10
     - CMAKE_<LANG>_CPPLINT
     - CMAKE_<LANG>_INCLUDE_WHAT_YOU_USE
-    - CMAKE_<LANG>_LINK_LIBRARY_USING_<FEATURE>             # Since 3.24
-    - CMAKE_<LANG>_LINK_LIBRARY_USING_<FEATURE>_SUPPORTED   # Since 3.24
-    - CMAKE_<LANG>_LINKER_LAUNCHER                          # Since 3.21
     - CMAKE_<LANG>_LINK_GROUP_USING_<FEATURE>               # Since 3.24
     - CMAKE_<LANG>_LINK_GROUP_USING_<FEATURE>_SUPPORTED     # Since 3.24
     - CMAKE_<LANG>_LINK_LIBRARY_FILE_FLAG                   # Since 3.16
     - CMAKE_<LANG>_LINK_LIBRARY_FLAG                        # Since 3.16
+    - CMAKE_<LANG>_LINK_LIBRARY_USING_<FEATURE>             # Since 3.24
+    - CMAKE_<LANG>_LINK_LIBRARY_USING_<FEATURE>_SUPPORTED   # Since 3.24
     - CMAKE_<LANG>_LINK_WHAT_YOU_USE_FLAG                   # Since 3.22
+    - CMAKE_<LANG>_LINKER_LAUNCHER                          # Since 3.21
+    - CMAKE_<LANG>_USING_LINKER_MODE                        # Since 3.29
+    - CMAKE_<LANG>_USING_LINKER_<TYPE>                      # Since 3.29
     - CMAKE_<LANG>_VISIBILITY_PRESET
     - CMAKE_LIBRARY_OUTPUT_DIRECTORY
     - CMAKE_LIBRARY_OUTPUT_DIRECTORY_<CONFIG>
@@ -1172,6 +1185,7 @@ variables:
     - CMAKE_LINK_LIBRARY_USING_<FEATURE>_SUPPORTED          # Since 3.24
     - CMAKE_LINK_WHAT_YOU_USE
     - CMAKE_LINK_WHAT_YOU_USE_CHECK                         # Since 3.22
+    - CMAKE_LINKER_TYPE                                     # Since 3.29
     - CMAKE_MACOSX_BUNDLE
     - CMAKE_MACOSX_RPATH
     - CMAKE_MAP_IMPORTED_CONFIG_<CONFIG>
@@ -2025,6 +2039,7 @@ variables:
     - CPACK_WIX_CUSTOM_XMLNS                                # Since 3.19
     - CPACK_WIX_SKIP_WIX_UI_EXTENSION                       # Since 3.23
     - CPACK_WIX_ARCHITECTURE                                # Since 3.24
+    - CPACK_WIX_INSTALL_SCOPE                               # Since 3.29
     # - CTest
     # - Dart
     - BUILD_TESTING
@@ -2790,6 +2805,7 @@ environment-variables:
     - CMAKE_GENERATOR_PLATFORM
     - CMAKE_GENERATOR_TOOLSET
     - CMAKE_INSTALL_MODE                                    # Since 3.22
+    - CMAKE_INSTALL_PREFIX                                  # Since 3.29
     - CMAKE_<LANG>_COMPILER_LAUNCHER                        # Since 3.17
     - CMAKE_<LANG>_LINKER_LAUNCHER                          # Since 3.21
     - CMAKE_MSVCIDE_RUN_PATH
@@ -2935,6 +2951,8 @@ scripting-commands:
           , SUPPORTED_METHODS
             # Since 3.25
           , GET_MESSAGE_LOG_LEVEL
+            # Since 3.29
+          , EXIT
           ]
         # Since 3.24
         special-args: [FIND_PACKAGE, FETCHCONTENT_MAKEAVAILABLE_SERIAL]
@@ -3026,6 +3044,9 @@ scripting-commands:
           , TARGET
           , TEST
           , EXISTS
+          , IS_READABLE                                     # Since 3.29
+          , IS_WRITABLE                                     # Since 3.29
+          , IS_EXECUTABLE                                   # Since 3.29
           , IS_NEWER_THAN
           , IS_DIRECTORY
           , IS_SYMLINK
@@ -3814,8 +3835,23 @@ project-commands:
         name: enable_testing
     -
         name: export
-        named-args: [EXPORT, NAMESPACE, FILE, TARGETS, APPEND, EXPORT_LINK_INTERFACE_LIBRARIES, ANDROID_MK]
-        has-target-names-after-kw: TARGETS
+        named-args: [
+            EXPORT
+          , NAMESPACE
+          , FILE
+          , TARGETS
+          , APPEND
+          , EXPORT_LINK_INTERFACE_LIBRARIES
+          , ANDROID_MK
+            # Since 3.29
+          , SETUP
+          , PACKAGE_DEPENDENCY
+          , ENABLED
+          , AUTO
+          , TARGET
+          , XCFRAMEWORK_LOCATION
+          ]
+        has-target-names-after-kw: [TARGETS, TARGET]
     -
         name: fltk_wrap_ui
     -
@@ -4259,6 +4295,8 @@ ctest-commands:
           , INCLUDE
           , EXCLUDE_LABEL
           , INCLUDE_LABEL
+          , EXCLUDE_FROM_FILE                               # Since 3.29
+          , INCLUDE_FROM_FILE                               # Since 3.29
           , EXCLUDE_FIXTURE
           , EXCLUDE_FIXTURE_SETUP
           , EXCLUDE_FIXTURE_CLEANUP
@@ -4741,6 +4779,32 @@ standard-module-commands:
             - COMPATIBILITY
             - ARCH_INDEPENDENT
         special-args: [AnyNewerVersion, SameMajorVersion, SameMinorVersion, ExactVersion]
+    -
+        # Since 3.29
+        name: generate_apple_platform_selection_file
+        named-args:
+            - INSTALL_DESTINATION
+            - INSTALL_PREFIX
+            - MACOS_INCLUDE_FILE
+            - IOS_INCLUDE_FILE
+            - IOS_SIMULATOR_INCLUDE_FILE
+            - TVOS_INCLUDE_FILE
+            - TVOS_SIMULATOR_INCLUDE_FILE
+            - WATCHOS_INCLUDE_FILE
+            - WATCHOS_SIMULATOR_INCLUDE_FILE
+            - VISIONOS_INCLUDE_FILE
+            - VISIONOS_SIMULATOR_INCLUDE_FILE
+    -
+        name: generate_apple_architecture_selection_file
+        named-args:
+            - INSTALL_DESTINATION
+            - INSTALL_PREFIX
+            - SINGLE_ARCHITECTURES
+            - SINGLE_ARCHITECTURE_INCLUDE_FILES
+            - UNIVERSAL_ARCHITECTURES
+            - UNIVERSAL_INCLUDE_FILE
+            - ERROR_VARIABLE
+
     # CMakePrintHelpers
     -
         name: cmake_print_properties
diff -pruN 6.0.0-2/data/generators/generate-cmake-syntax.py 6.3.0-1/data/generators/generate-cmake-syntax.py
--- 6.0.0-2/data/generators/generate-cmake-syntax.py	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/generators/generate-cmake-syntax.py	2024-05-31 13:29:46.000000000 +0000
@@ -1,9 +1,8 @@
 #!/usr/bin/env python3
-# -*- coding: utf-8 -*-
 #
 # Generate Kate syntax file for CMake
 #
-# SPDX-FileCopyrightText: 2017-2023 Alex Turbov <i.zaufi@gmail.com>
+# SPDX-FileCopyrightText: 2017-2024 Alex Turbov <i.zaufi@gmail.com>
 #
 # To install prerequisites:
 #
@@ -156,14 +155,18 @@ class RegexCollection:
 
     def update_tree(self, name_parts: list[str]) -> RegexCollection:
         safe_var_ref = _VAR_REF_ENTITY.replace('_', '%')
-        current = functools.reduce(
+        functools.reduce(
             lambda current, part: (
                 self.re_tree if current is None else current.children
               ).setdefault(part, RePartNode())
-          , safe_var_ref.join(name_parts).replace(f'{safe_var_ref}_{safe_var_ref}', safe_var_ref).split('_')
+          , (
+                safe_var_ref
+                  .join(name_parts)
+                  .replace(f'{safe_var_ref}_{safe_var_ref}', safe_var_ref)
+                  .split('_')
+              )
           , None
-          )
-        current.is_leaf = True
+          ).is_leaf = True
         return self
 
 
@@ -327,7 +330,13 @@ def transform_command(cmd):
         can_be_nulary = False
 
     if 'has-target-names-after-kw' in cmd:
-        cmd['has_target_names_after_kw'] = cmd['has-target-names-after-kw']
+        match cmd['has-target-names-after-kw']:
+            case str():
+                cmd['has_target_names_after_kw'] = [cmd['has-target-names-after-kw']]
+            case list():
+                cmd['has_target_names_after_kw'] = cmd['has-target-names-after-kw']
+            case _:
+                raise TypeError('Unexpected type for `has-target-names-after-kw`')
         can_be_nulary = False
 
     if 'second-arg-is-target?' in cmd:
@@ -348,33 +357,30 @@ def transform_command(cmd):
     return cmd
 
 
-def remove_duplicate_list_nodes(contexts, highlighting):
+def remove_duplicate_list_nodes(root):
     remap = {}
-
     items_by_kws = {}
+
     # extract duplicate keyword list
-    for items in highlighting:
-        if items.tag != 'list':
-            break
-        k = '<'.join(item.text for item in items)
+    for items in root.iterfind('highlighting/list'):
+        key = '<'.join(item.text for item in items)
         name = items.attrib['name']
-        rename = items_by_kws.get(k)
-        if rename:
+        if rename := items_by_kws.get(key):
             remap[name] = rename
-            highlighting.remove(items)
+            items.getparent().remove(items)
         else:
-            items_by_kws[k] = name
+            items_by_kws[key] = name
 
     # update keyword list name referenced by each rule
-    for context in contexts:
-        for rule in context:
-            if rule.tag == 'keyword':
-                name = rule.attrib['String']
-                rule.attrib['String'] = remap.get(name, name)
+    for rule in root.iterfind('highlighting/contexts/context/keyword'):
+        name = rule.attrib['String']
+        rule.attrib['String'] = remap.get(name, name)
 
 
-def remove_duplicate_context_nodes(contexts):
+def remove_duplicate_context_nodes(root):
+    contexts = root[0].find('contexts')
     # 3 levels: ctx, ctx_op and ctx_op_nested
+    # TODO Refactor it!
     for _ in range(3):
         remap = {}
         duplicated = {}
@@ -402,12 +408,9 @@ def remove_duplicate_context_nodes(conte
 def remove_duplicate_nodes(xml_string):
     parser = etree.XMLParser(resolve_entities=False, collect_ids=False)
     root = etree.fromstring(xml_string.encode(), parser=parser)
-    highlighting = root[0]
-
-    contexts = highlighting.find('contexts')
 
-    remove_duplicate_list_nodes(contexts, highlighting)
-    remove_duplicate_context_nodes(contexts)
+    remove_duplicate_list_nodes(root)
+    remove_duplicate_context_nodes(root)
 
     # reformat comments
     xml = etree.tostring(root)
@@ -426,12 +429,12 @@ def remove_duplicate_nodes(xml_string):
     return f'{doctype}{xml.decode()}{last_comment}'
 
 
-#BEGIN Jinja filters
+# BEGIN Jinja filters
 
 def cmd_is_nulary(cmd):
     return cmd.setdefault('nulary?', False)
 
-#END Jinja filters
+# END Jinja filters
 
 
 @click.command()
diff -pruN 6.0.0-2/data/schema/language.xsd 6.3.0-1/data/schema/language.xsd
--- 6.0.0-2/data/schema/language.xsd	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/schema/language.xsd	2024-05-31 13:29:46.000000000 +0000
@@ -109,6 +109,7 @@
   <!--
     Language specification
       name:        The name of this syntax description. Used in the Highlightning Mode menu
+      alternativeNames:    A list of alternative names to match the language on. [optional]
       section:     The logical group to which this syntax description belongs. Used for sub menus
       extensions:  A file glob or pattern to decide for which documents to use this syntax description
       style:       The style that this highlighter provides. It is used through required-syntax-style by the indenters. [optional]
@@ -130,6 +131,7 @@
         <xs:element minOccurs="0" ref="spellchecking"/>
       </xs:sequence>
       <xs:attribute name="name" use="required"/>
+      <xs:attribute name="alternativeNames"/>
       <xs:attribute name="section" use="required" type="xs:NMTOKEN"/>
       <xs:attribute name="extensions" use="required"/>
       <xs:attribute name="version" use="required" type="xs:integer"/>
diff -pruN 6.0.0-2/data/syntax/cashscript.xml 6.3.0-1/data/syntax/cashscript.xml
--- 6.0.0-2/data/syntax/cashscript.xml	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/data/syntax/cashscript.xml	2024-05-31 13:29:46.000000000 +0000
@@ -0,0 +1,240 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE language>
+<language name="CashScript" section="Sources" version="1" kateversion="5.0" indenter="cstyle" mimetype="" extensions="*.cash" priority="5" author="James Zuccon" license="MIT">
+    <highlighting>
+        <list name="types">
+            <item>address</item>
+            <item>int</item>
+            <item>bool</item>
+            <item>string</item>
+            <item>pubkey</item>
+            <item>sig</item>
+            <item>datasig</item>
+            <item>byte</item>
+            <item>bytes</item>
+            <item>bytes1</item>
+            <item>bytes2</item>
+            <item>bytes3</item>
+            <item>bytes4</item>
+            <item>bytes5</item>
+            <item>bytes6</item>
+            <item>bytes7</item>
+            <item>bytes8</item>
+            <item>bytes9</item>
+            <item>bytes10</item>
+            <item>bytes11</item>
+            <item>bytes12</item>
+            <item>bytes13</item>
+            <item>bytes14</item>
+            <item>bytes15</item>
+            <item>bytes16</item>
+            <item>bytes17</item>
+            <item>bytes18</item>
+            <item>bytes19</item>
+            <item>bytes20</item>
+            <item>bytes21</item>
+            <item>bytes22</item>
+            <item>bytes23</item>
+            <item>bytes24</item>
+            <item>bytes25</item>
+            <item>bytes26</item>
+            <item>bytes27</item>
+            <item>bytes28</item>
+            <item>bytes29</item>
+            <item>bytes30</item>
+            <item>bytes31</item>
+            <item>bytes32</item>
+            <item>bytes33</item>
+            <item>bytes34</item>
+            <item>bytes35</item>
+            <item>bytes36</item>
+            <item>bytes37</item>
+            <item>bytes38</item>
+            <item>bytes39</item>
+            <item>bytes40</item>
+            <item>bytes41</item>
+            <item>bytes42</item>
+            <item>bytes43</item>
+            <item>bytes44</item>
+            <item>bytes45</item>
+            <item>bytes46</item>
+            <item>bytes47</item>
+            <item>bytes48</item>
+            <item>bytes49</item>
+            <item>bytes50</item>
+            <item>bytes51</item>
+            <item>bytes52</item>
+            <item>bytes53</item>
+            <item>bytes54</item>
+            <item>bytes55</item>
+            <item>bytes56</item>
+            <item>bytes57</item>
+            <item>bytes58</item>
+            <item>bytes59</item>
+            <item>bytes60</item>
+            <item>bytes61</item>
+            <item>bytes62</item>
+            <item>bytes63</item>
+            <item>bytes64</item>
+            <item>bytes65</item>
+            <item>bytes66</item>
+            <item>bytes67</item>
+            <item>bytes68</item>
+            <item>bytes69</item>
+            <item>bytes70</item>
+            <item>bytes71</item>
+            <item>bytes72</item>
+            <item>bytes73</item>
+            <item>bytes74</item>
+            <item>bytes75</item>
+            <item>bytes76</item>
+            <item>bytes77</item>
+            <item>bytes78</item>
+            <item>bytes79</item>
+            <item>bytes80</item>
+            <item>bytes81</item>
+            <item>bytes82</item>
+            <item>bytes83</item>
+            <item>bytes84</item>
+            <item>bytes85</item>
+            <item>bytes86</item>
+            <item>bytes87</item>
+            <item>bytes88</item>
+            <item>bytes89</item>
+            <item>bytes90</item>
+            <item>bytes91</item>
+            <item>bytes92</item>
+            <item>bytes93</item>
+            <item>bytes94</item>
+            <item>bytes95</item>
+            <item>bytes96</item>
+            <item>bytes97</item>
+            <item>bytes98</item>
+            <item>bytes99</item>
+        </list>
+        <list name="units">
+            <item>satoshis</item>
+            <item>sats</item>
+            <item>finney</item>
+            <item>bits</item>
+            <item>bitcoin</item>
+            <item>seconds</item>
+            <item>minutes</item>
+            <item>hours</item>
+            <item>days</item>
+            <item>weeks</item>
+        </list>
+        <list name="globals">
+            <!-- General -->
+            <item>require</item>
+            <!-- Arithmetic functions -->
+            <item>abs</item>
+            <item>min</item>
+            <item>max</item>
+            <item>within</item>
+            <!-- Hashing functions -->
+            <item>hash160</item>
+            <item>hash256</item>
+            <item>ripemd160</item>
+            <item>sha1</item>
+            <item>sha256</item>
+            <!-- Signature checking functions -->
+            <item>checkSig</item>
+            <item>checkMultiSig</item>
+            <item>checkDataSig</item>
+            <!-- LockingBytecode -->
+            <item>LockingBytecodeP2PKH</item>
+            <item>LockingBytecodeP2SH20</item>
+            <item>LockingBytecodeP2SH32</item>
+            <item>LockingBytecodeNullData</item>
+        </list>
+        <list name="keywords">
+            <item>true</item>
+            <item>false</item>
+            <item>new</item>
+        </list>
+        <list name="controlstructures">
+            <item>if</item>
+            <item>else</item>
+            <item>contract</item>
+            <item>function</item>
+        </list>
+        <contexts>
+            <context name="Normal" attribute="Normal Text" lineEndContext="#stay">
+                <DetectSpaces/>
+                <StringDetect attribute="Keyword" String="pragma" context="Pragma" firstNonSpace="true" insensitive="true"/>
+                <keyword attribute="Control Structures" context="#stay" String="controlstructures"/>
+                <keyword attribute="Keyword" context="#stay" String="keywords"/>
+                <keyword attribute="Data Type" context="#stay" String="types"/>
+                <keyword attribute="Unit" context="#stay" String="units"/>
+                <keyword attribute="Built-in" context="#stay" String="globals"/>
+                <DetectIdentifier/>
+                <DetectChar attribute="Symbol" context="#stay" char="{" beginRegion="Brace1"/>
+                <DetectChar attribute="Symbol" context="#stay" char="}" endRegion="Brace1"/>
+                <HlCHex attribute="Hex" context="#stay"/>
+                <Float attribute="Decimal" context="#stay"/>
+                <Int attribute="Decimal" context="#stay"/>
+                <HlCChar attribute="Char" context="#stay"/>
+                <DetectChar attribute="String" context="String" char="&quot;"/>
+                <Detect2Chars attribute="Built-in" context="#stay" char="+" char1="+"/>
+                <Detect2Chars attribute="Built-in" context="#stay" char="-" char1="-"/>
+                <Detect2Chars attribute="Comment" context="MatchComment" char="/" char1="/" lookAhead="true"/>
+                <Detect2Chars attribute="Comment" context="MatchComment" char="/" char1="*" lookAhead="true"/>
+                <AnyChar attribute="Symbol" context="#stay" String=":!%&amp;()+,-/.*&lt;=&gt;?[]|~^;"/>
+            </context>
+            <context name="MatchComment" attribute="Normal Text" lineEndContext="#pop" fallthrough="true" fallthroughContext="#pop">
+                <IncludeRules context="##Doxygen"/>
+                <Detect2Chars attribute="Comment" context="#pop!Comment Single" char="/" char1="/"/>
+                <Detect2Chars attribute="Comment" context="#pop!Comment Multi" char="/" char1="*" beginRegion="Comment"/>
+            </context>
+            <context name="Pragma" attribute="Normal Text" lineEndContext="#pop">
+                <WordDetect attribute="Built-in" String="cashscript" context="Pragma CashScript" insensitive="true"/>
+                <RegExpr attribute="Error" context="#pop" String="[^\s;]+"/>
+            </context>
+            <context name="Pragma CashScript" attribute="Normal Text" lineEndContext="#pop">
+                <RegExpr attribute="Normal Text" context="#pop" String="[\^\. \-&lt;&gt;=\|\d\w]+"/>
+                <RegExpr attribute="Error" context="#pop" String="[^\s;]+"/>
+            </context>
+            <context name="String" attribute="String" lineEndContext="#pop">
+                <LineContinue attribute="String" context="#stay"/>
+                <HlCStringChar attribute="String Char" context="#stay"/>
+                <DetectChar attribute="String" context="#pop" char="&quot;"/>
+            </context>
+            <context name="Comment Single" attribute="Comment" lineEndContext="#pop">
+                <LineContinue attribute="Comment" context="#stay"/>
+                <DetectSpaces/>
+                <IncludeRules context="##Comments"/>
+                <DetectIdentifier/>
+            </context>
+            <context name="Comment Multi" attribute="Comment" lineEndContext="#stay">
+                <DetectSpaces/>
+                <Detect2Chars attribute="Comment" context="#pop" char="*" char1="/" endRegion="Comment"/>
+                <IncludeRules context="##Comments"/>
+                <DetectIdentifier/>
+            </context>
+        </contexts>
+        <itemDatas>
+            <itemData name="Normal Text" defStyleNum="dsNormal" spellChecking="false"/>
+            <itemData name="Keyword" defStyleNum="dsKeyword" spellChecking="false"/>
+            <itemData name="Control Structures" defStyleNum="dsControlFlow" spellChecking="false"/>
+            <itemData name="Symbol" defStyleNum="dsOperator" spellChecking="false"/>
+            <itemData name="Built-in" defStyleNum="dsBuiltIn" spellChecking="false"/>
+            <itemData name="Unit" defStyleNum="dsConstant" bold="0" spellChecking="false"/>
+            <itemData name="Data Type" defStyleNum="dsDataType" spellChecking="false"/>
+            <itemData name="Hex" defStyleNum="dsBaseN" spellChecking="false"/>
+            <itemData name="Decimal" defStyleNum="dsDecVal" spellChecking="false"/>
+            <itemData name="String" defStyleNum="dsString"/>
+            <itemData name="Char" defStyleNum="dsChar"/>
+            <itemData name="String Char" defStyleNum="dsSpecialChar"/>
+            <itemData name="Comment" defStyleNum="dsComment"/>
+            <itemData name="Error" defStyleNum="dsError" spellChecking="false"/>
+        </itemDatas>
+    </highlighting>
+    <general>
+        <comments>
+            <comment name="singleLine" start="//"/>
+            <comment name="multiLine" start="/*" end="*/" region="Comment"/>
+        </comments>
+        <keywords casesensitive="1"/>
+    </general>
+</language>
diff -pruN 6.0.0-2/data/syntax/clojure.xml 6.3.0-1/data/syntax/clojure.xml
--- 6.0.0-2/data/syntax/clojure.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/clojure.xml	2024-05-31 13:29:46.000000000 +0000
@@ -22,7 +22,7 @@
  * Boston, MA  02110-1301, USA.                                       *
  **********************************************************************
  -->
-<language version="16" kateversion="5.0" name="Clojure" section="Sources" extensions="*.clj;*.cljs;*.cljc" mimetype="" author="Dominik Haumann [lisp] modified for clojure by Caspar Hasenclever" license="LGPLv2+">
+<language version="17" kateversion="5.0" name="Clojure" alternativeNames="CLJ" section="Sources" extensions="*.clj;*.cljs;*.cljc" mimetype="" author="Dominik Haumann [lisp] modified for clojure by Caspar Hasenclever" license="LGPLv2+">
   <highlighting>
     <list name="definitions">
       <item>def</item>
diff -pruN 6.0.0-2/data/syntax/cmake.xml 6.3.0-1/data/syntax/cmake.xml
--- 6.0.0-2/data/syntax/cmake.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/cmake.xml	2024-05-31 13:29:46.000000000 +0000
@@ -18,14 +18,13 @@
  -->
 
 <!-- ***** THIS FILE WAS GENERATED BY A SCRIPT - DO NOT EDIT *****
-  cd data/generators
-  # increase version of cmake.xml.tpl then
-  ./generate-cmake-syntax.py cmake.yaml > ../syntax/cmake.xml
+  $ cd data/generators
+  $ ./generate-cmake-syntax.py cmake.yaml > ../syntax/cmake.xml
 -->
 
 <language
     name="CMake"
-    version="50"
+    version="51"
     kateversion="5.62"
     section="Other"
     extensions="CMakeLists.txt;*.cmake;*.cmake.in"
@@ -214,6 +213,7 @@
       <item>DEFER</item>
       <item>DIRECTORY</item>
       <item>EVAL</item>
+      <item>EXIT</item>
       <item>GET_CALL</item>
       <item>GET_CALL_IDS</item>
       <item>GET_MESSAGE_LOG_LEVEL</item>
@@ -315,8 +315,11 @@
       <item>IN_LIST</item>
       <item>IS_ABSOLUTE</item>
       <item>IS_DIRECTORY</item>
+      <item>IS_EXECUTABLE</item>
       <item>IS_NEWER_THAN</item>
+      <item>IS_READABLE</item>
       <item>IS_SYMLINK</item>
+      <item>IS_WRITABLE</item>
       <item>LESS</item>
       <item>LESS_EQUAL</item>
       <item>MATCHES</item>
@@ -970,11 +973,17 @@
     <list name="export_nargs">
       <item>ANDROID_MK</item>
       <item>APPEND</item>
+      <item>AUTO</item>
+      <item>ENABLED</item>
       <item>EXPORT</item>
       <item>EXPORT_LINK_INTERFACE_LIBRARIES</item>
       <item>FILE</item>
       <item>NAMESPACE</item>
+      <item>PACKAGE_DEPENDENCY</item>
+      <item>SETUP</item>
+      <item>TARGET</item>
       <item>TARGETS</item>
+      <item>XCFRAMEWORK_LOCATION</item>
     </list>
     <list name="get_source_file_property_nargs">
       <item>DIRECTORY</item>
@@ -1358,8 +1367,10 @@
       <item>EXCLUDE_FIXTURE</item>
       <item>EXCLUDE_FIXTURE_CLEANUP</item>
       <item>EXCLUDE_FIXTURE_SETUP</item>
+      <item>EXCLUDE_FROM_FILE</item>
       <item>EXCLUDE_LABEL</item>
       <item>INCLUDE</item>
+      <item>INCLUDE_FROM_FILE</item>
       <item>INCLUDE_LABEL</item>
       <item>PARALLEL_LEVEL</item>
       <item>QUIET</item>
@@ -1468,6 +1479,28 @@
       <item>SameMajorVersion</item>
       <item>SameMinorVersion</item>
     </list>
+    <list name="generate_apple_platform_selection_file_nargs">
+      <item>INSTALL_DESTINATION</item>
+      <item>INSTALL_PREFIX</item>
+      <item>IOS_INCLUDE_FILE</item>
+      <item>IOS_SIMULATOR_INCLUDE_FILE</item>
+      <item>MACOS_INCLUDE_FILE</item>
+      <item>TVOS_INCLUDE_FILE</item>
+      <item>TVOS_SIMULATOR_INCLUDE_FILE</item>
+      <item>VISIONOS_INCLUDE_FILE</item>
+      <item>VISIONOS_SIMULATOR_INCLUDE_FILE</item>
+      <item>WATCHOS_INCLUDE_FILE</item>
+      <item>WATCHOS_SIMULATOR_INCLUDE_FILE</item>
+    </list>
+    <list name="generate_apple_architecture_selection_file_nargs">
+      <item>ERROR_VARIABLE</item>
+      <item>INSTALL_DESTINATION</item>
+      <item>INSTALL_PREFIX</item>
+      <item>SINGLE_ARCHITECTURES</item>
+      <item>SINGLE_ARCHITECTURE_INCLUDE_FILES</item>
+      <item>UNIVERSAL_ARCHITECTURES</item>
+      <item>UNIVERSAL_INCLUDE_FILE</item>
+    </list>
     <list name="cmake_print_properties_nargs">
       <item>CACHE_ENTRIES</item>
       <item>DIRECTORIES</item>
@@ -2424,6 +2457,7 @@
       <item>CMAKE_LIBRARY_OUTPUT_DIRECTORY</item>
       <item>CMAKE_LIBRARY_PATH</item>
       <item>CMAKE_LIBRARY_PATH_FLAG</item>
+      <item>CMAKE_LINKER_TYPE</item>
       <item>CMAKE_LINK_DEF_FILE_FLAG</item>
       <item>CMAKE_LINK_DEPENDS_NO_SHARED</item>
       <item>CMAKE_LINK_DEPENDS_USE_LINKER</item>
@@ -2523,6 +2557,7 @@
       <item>CMAKE_SKIP_INSTALL_RPATH</item>
       <item>CMAKE_SKIP_INSTALL_RULES</item>
       <item>CMAKE_SKIP_RPATH</item>
+      <item>CMAKE_SKIP_TEST_ALL_DEPENDENCY</item>
       <item>CMAKE_SOURCE_DIR</item>
       <item>CMAKE_STAGING_PREFIX</item>
       <item>CMAKE_STATIC_LIBRARY_PREFIX</item>
@@ -2549,9 +2584,12 @@
       <item>CMAKE_SYSTEM_PROCESSOR</item>
       <item>CMAKE_SYSTEM_PROGRAM_PATH</item>
       <item>CMAKE_SYSTEM_VERSION</item>
+      <item>CMAKE_Swift_COMPILATION_MODE</item>
       <item>CMAKE_Swift_LANGUAGE_VERSION</item>
       <item>CMAKE_Swift_MODULE_DIRECTORY</item>
+      <item>CMAKE_Swift_NUM_THREADS</item>
       <item>CMAKE_TASKING_TOOLSET</item>
+      <item>CMAKE_TEST_LAUNCHER</item>
       <item>CMAKE_THREAD_LIBS_INIT</item>
       <item>CMAKE_THREAD_PREFER_PTHREAD</item>
       <item>CMAKE_TOOLCHAIN_FILE</item>
@@ -2987,6 +3025,7 @@
       <item>CPACK_WIX_EXTENSIONS</item>
       <item>CPACK_WIX_EXTRA_OBJECTS</item>
       <item>CPACK_WIX_EXTRA_SOURCES</item>
+      <item>CPACK_WIX_INSTALL_SCOPE</item>
       <item>CPACK_WIX_LICENSE_RTF</item>
       <item>CPACK_WIX_PATCH_FILE</item>
       <item>CPACK_WIX_PRODUCT_GUID</item>
@@ -3568,6 +3607,7 @@
       <item>CMAKE_GENERATOR_PLATFORM</item>
       <item>CMAKE_GENERATOR_TOOLSET</item>
       <item>CMAKE_INSTALL_MODE</item>
+      <item>CMAKE_INSTALL_PREFIX</item>
       <item>CMAKE_MSVCIDE_RUN_PATH</item>
       <item>CMAKE_NO_VERBOSE</item>
       <item>CMAKE_OSX_ARCHITECTURES</item>
@@ -3914,9 +3954,12 @@
       <item>STATIC_LIBRARY_OPTIONS</item>
       <item>SUFFIX</item>
       <item>SYSTEM</item>
+      <item>Swift_COMPILATION_MODE</item>
       <item>Swift_DEPENDENCIES_FILE</item>
+      <item>Swift_LANGUAGE_VERSION</item>
       <item>Swift_MODULE_DIRECTORY</item>
       <item>Swift_MODULE_NAME</item>
+      <item>TEST_LAUNCHER</item>
       <item>TYPE</item>
       <item>UNITY_BUILD</item>
       <item>UNITY_BUILD_BATCH_SIZE</item>
@@ -4719,6 +4762,8 @@
         <WordDetect String="find_dependency" insensitive="true" attribute="CMake Provided Function/Macro" context="function_ctx"/>
         <WordDetect String="configure_package_config_file" insensitive="true" attribute="CMake Provided Function/Macro" context="configure_package_config_file_ctx"/>
         <WordDetect String="write_basic_package_version_file" insensitive="true" attribute="CMake Provided Function/Macro" context="write_basic_package_version_file_ctx"/>
+        <WordDetect String="generate_apple_platform_selection_file" insensitive="true" attribute="CMake Provided Function/Macro" context="generate_apple_platform_selection_file_ctx"/>
+        <WordDetect String="generate_apple_architecture_selection_file" insensitive="true" attribute="CMake Provided Function/Macro" context="generate_apple_architecture_selection_file_ctx"/>
         <WordDetect String="cmake_print_properties" insensitive="true" attribute="CMake Provided Function/Macro" context="cmake_print_properties_ctx"/>
         <WordDetect String="cmake_push_check_state" insensitive="true" attribute="CMake Provided Function/Macro" context="cmake_push_check_state_ctx"/>
         <WordDetect String="cmake_pop_check_state" insensitive="true" attribute="CMake Provided Function/Macro" context="function_ctx"/>
@@ -5469,13 +5514,14 @@
         <DetectSpaces/>
         <DetectChar attribute="Normal Text" context="#pop" char=")" lookAhead="true"/>
         <WordDetect String="TARGETS" attribute="Named Args" context="export_tgts"/>
+        <WordDetect String="TARGET" attribute="Named Args" context="export_tgts"/>
         <keyword attribute="Named Args" context="#stay" String="export_nargs"/>
         <IncludeRules context="User Function Args"/>
       </context>
       <context attribute="Normal Text" lineEndContext="#stay" name="export_tgts">
         <DetectSpaces/>
         <DetectChar attribute="Normal Text" context="#pop" char=")" lookAhead="true"/>
-        <keyword attribute="Named Args" context="#pop" String="export_nargs"/>
+        <keyword attribute="Named Args" context="#pop" String="export_nargs" lookAhead="true"/>
         <IncludeRules context="Detect Aliased Targets"/>
         <IncludeRules context="Detect Targets"/>
         <IncludeRules context="User Function Args"/>
@@ -5550,7 +5596,7 @@
       <context attribute="Normal Text" lineEndContext="#stay" name="install_tgts">
         <DetectSpaces/>
         <DetectChar attribute="Normal Text" context="#pop" char=")" lookAhead="true"/>
-        <keyword attribute="Named Args" context="#pop" String="install_nargs"/>
+        <keyword attribute="Named Args" context="#pop" String="install_nargs" lookAhead="true"/>
         <IncludeRules context="Detect Aliased Targets"/>
         <IncludeRules context="Detect Targets"/>
         <IncludeRules context="User Function Args"/>
@@ -6023,6 +6069,26 @@
         <keyword attribute="Special Args" context="#stay" String="write_basic_package_version_file_sargs"/>
         <IncludeRules context="User Function Args"/>
       </context>
+      <context attribute="Normal Text" lineEndContext="#stay" name="generate_apple_platform_selection_file_ctx">
+        <DetectChar attribute="Normal Text" context="generate_apple_platform_selection_file_ctx_op" char="("/>
+        <DetectChar attribute="Normal Text" context="#pop" char=")"/>
+      </context>
+      <context attribute="Normal Text" lineEndContext="#stay" name="generate_apple_platform_selection_file_ctx_op">
+        <DetectSpaces/>
+        <DetectChar attribute="Normal Text" context="#pop" char=")" lookAhead="true"/>
+        <keyword attribute="Named Args" context="#stay" String="generate_apple_platform_selection_file_nargs"/>
+        <IncludeRules context="User Function Args"/>
+      </context>
+      <context attribute="Normal Text" lineEndContext="#stay" name="generate_apple_architecture_selection_file_ctx">
+        <DetectChar attribute="Normal Text" context="generate_apple_architecture_selection_file_ctx_op" char="("/>
+        <DetectChar attribute="Normal Text" context="#pop" char=")"/>
+      </context>
+      <context attribute="Normal Text" lineEndContext="#stay" name="generate_apple_architecture_selection_file_ctx_op">
+        <DetectSpaces/>
+        <DetectChar attribute="Normal Text" context="#pop" char=")" lookAhead="true"/>
+        <keyword attribute="Named Args" context="#stay" String="generate_apple_architecture_selection_file_nargs"/>
+        <IncludeRules context="User Function Args"/>
+      </context>
       <context attribute="Normal Text" lineEndContext="#stay" name="cmake_print_properties_ctx">
         <DetectChar attribute="Normal Text" context="cmake_print_properties_ctx_op" char="("/>
         <DetectChar attribute="Normal Text" context="#pop" char=")"/>
@@ -6037,7 +6103,7 @@
       <context attribute="Normal Text" lineEndContext="#stay" name="cmake_print_properties_tgts">
         <DetectSpaces/>
         <DetectChar attribute="Normal Text" context="#pop" char=")" lookAhead="true"/>
-        <keyword attribute="Named Args" context="#pop" String="cmake_print_properties_nargs"/>
+        <keyword attribute="Named Args" context="#pop" String="cmake_print_properties_nargs" lookAhead="true"/>
         <IncludeRules context="Detect Aliased Targets"/>
         <IncludeRules context="Detect Targets"/>
         <IncludeRules context="User Function Args"/>
@@ -6381,7 +6447,7 @@
       <context attribute="Normal Text" lineEndContext="#stay" name="install_jar_exports_tgts">
         <DetectSpaces/>
         <DetectChar attribute="Normal Text" context="#pop" char=")" lookAhead="true"/>
-        <keyword attribute="Named Args" context="#pop" String="install_jar_exports_nargs"/>
+        <keyword attribute="Named Args" context="#pop" String="install_jar_exports_nargs" lookAhead="true"/>
         <IncludeRules context="Detect Aliased Targets"/>
         <IncludeRules context="Detect Targets"/>
         <IncludeRules context="User Function Args"/>
@@ -6401,7 +6467,7 @@
       <context attribute="Normal Text" lineEndContext="#stay" name="export_jars_tgts">
         <DetectSpaces/>
         <DetectChar attribute="Normal Text" context="#pop" char=")" lookAhead="true"/>
-        <keyword attribute="Named Args" context="#pop" String="export_jars_nargs"/>
+        <keyword attribute="Named Args" context="#pop" String="export_jars_nargs" lookAhead="true"/>
         <IncludeRules context="Detect Aliased Targets"/>
         <IncludeRules context="Detect Targets"/>
         <IncludeRules context="User Function Args"/>
@@ -6632,7 +6698,7 @@
 
       <context attribute="Normal Text" lineEndContext="#stay" name="Detect More Builtin Variables">
         <RegExpr attribute="CMake Internal Variable" context="#stay" String="\b(?:CMAKE_&var_ref_re;_(COMPILER_(ABI|ARCHITECTURE_ID|VERSION_INTERNAL)|PLATFORM_ID))\b"/>
-        <RegExpr attribute="Builtin Variable" context="#stay" String="\b(?:&var_ref_re;_(((STATIC_)?LINK_)?LIBRARIES|(BINARY|SOURCE)_DIR|(C|LD)FLAGS(_OTHER)?|(INCLUDE|LIBRARY)_DIRS|CONFIG|CONSIDERED_(CONFIGS|VERSIONS)|DESCRIPTION|FIND_(COMPONENTS|REQUIRED(_&var_ref_re;)?|VERSION_(COMPLETE|COUNT|EXACT|M(AX|IN)(_(COUNT|MAJOR|MINOR|PATCH|TWEAK))?|RANGE(_(MAX|MIN))?)|QUIETLY)|FOUND|HOMEPAGE_URL|IS_TOP_LEVEL|KEYWORDS_MISSING_VALUES|MODULE_NAME|ROOT|UNPARSED_ARGUMENTS|VERSION(_(MAJOR|MINOR|PATCH|TWEAK|COUNT|STRING))?)|&var_ref_re;__TRYRUN_OUTPUT|(DOXYGEN|ExternalData_(CUSTOM_SCRIPT|URL_ALGO)|FETCHCONTENT_(SOURCE_DIR|UPDATES_DISCONNECTED))_&var_ref_re;|ARGV[0-9]+|BISON_&var_ref_re;_(COMPILE_FLAGS|DEFINED|INPUT|OUTPUT(S|_(HEADER|SOURCE)))|Boost_&var_ref_re;_LIBRARY(_(DEBUG|RELEASE))?|CMAKE_(&var_ref_re;_(ANDROID_TOOLCHAIN_((PRE|SUF)FIX|MACHINE)|ARCHIVE_(APPEND|CREATE|FINISH)|BYTE_ORDER|CLANG_TIDY(_EXPORT_FIXES_DIR)?|COMPILER(_(AR|EXTERNAL_TOOLCHAIN|FRONTEND_VARIANT|ID|LAUNCHER|LOADED|RANLIB|TARGET|VERSION))?|COMPILE_OBJECT|CPP(CHECK|LINT)|CREATE_(SHARED_(LIBRARY|MODULE)|STATIC_LIBRARY)|EXTENSIONS(_DEFAULT)?|FLAGS(_((DEBUG|MINSIZEREL|REL(EASE|WITHDEBINFO)|&var_ref_re;)(_INIT)?|INIT))?|GHS_KERNEL_FLAGS_(DEBUG|MINSIZEREL|REL(EASE|WITHDEBINFO))|IGNORE_EXTENSIONS|IMPLICIT_(INCLUDE_DIRECTORIES|LINK_((FRAMEWORK_)?DIRECTORIES|LIBRARIES))|INCLUDE_WHAT_YOU_USE|LIBRARY_ARCHITECTURE|LINKER_(LAUNCHER|PREFERENCE(_PROPAGATES)?|WRAPPER_FLAG(_SEP)?)|LINK_(EXECUTABLE|GROUP_USING_&var_ref_re;(_SUPPORTED)?|LIBRARY_(FILE_FLAG|FLAG|USING_&var_ref_re;(_SUPPORTED)?)|WHAT_YOU_USE_FLAG)|OUTPUT_EXTENSION|POSTFIX|SIMULATE_(ID|VERSION)|SIZEOF_DATA_PTR|SOURCE_FILE_EXTENSIONS|STANDARD_(INCLUDE_DIRECTO|LIBRA)RIES|VISIBILITY_PRESET)|((ARCHIVE|(COMPILE_)?PDB|LIBRARY|RUNTIME)_OUTPUT_DIRECTORY|(DISABLE|REQUIRE)_FIND_PACKAGE|FRAMEWORK_MULTI_CONFIG_POSTFIX|GET_OS_RELEASE_FALLBACK_RESULT|INTERPROCEDURAL_OPTIMIZATION|MAP_IMPORTED_CONFIG|USER_MAKE_RULES_OVERRIDE|XCODE_ATTRIBUTE)_&var_ref_re;|(EXE|MODULE|SHARED|STATIC)_LINKER_FLAGS_&var_ref_re;(_INIT)?|LINK_(GROUP|LIBRARY)_USING_&var_ref_re;(_SUPPORTED)?|PROJECT_&var_ref_re;_INCLUDE(_BEFORE)?)|CMAKE_(ARGV|MATCH_)[0-9]+|CMAKE_POLICY_(DEFAULT|WARNING)_CMP[0-9]{4}|CPACK_(&var_ref_re;_COMPONENT_INSTALL|ARCHIVE_&var_ref_re;_FILE_NAME|BINARY_&var_ref_re;|COMPONENT_&var_ref_re;_(DEPENDS|DESCRIPTION|DIS(ABLED|PLAY_NAME)|GROUP|HIDDEN|REQUIRED)|DEBIAN_&var_ref_re;_(DESCRIPTION|FILE_NAME|PACKAGE_((PRE)?DEPENDS|ARCHITECTURE|BREAKS|CONFLICTS|CONTROL_(EXTRA|STRICT_PERMISSION)|ENHANCES|NAME|PRIORITY|PROVIDES|RECOMMENDS|REPLACES|SECTION|SHLIBDEPS|SOURCE|SUGGESTS)|DEBUGINFO_PACKAGE)|DMG_&var_ref_re;_FILE_NAME|INNOSETUP_(&var_ref_re;_INSTALL_DIRECTORY|(DEFINE|SETUP)_&var_ref_re;)|NSIS_&var_ref_re;_INSTALL_DIRECTORY|NUGET_(&var_ref_re;_PACKAGE_(AUTHORS|COPYRIGHT|DEPENDENCIES(_&var_ref_re;_VERSION)?|DESCRIPTION(_SUMMARY)?|HOMEPAGE_URL|ICON(URL)?|LANGUAGE|LICENSE(URL|_(EXPRESSION|FILE_NAME))|NAME|OWNERS|RELEASE_NOTES|TAGS|TITLE|VERSION)|PACKAGE_DEPENDENCIES_&var_ref_re;_VERSION)|P(RE|OST)FLIGHT_&var_ref_re;_SCRIPT|RPM_(&var_ref_re;_(DEFAULT_((DIR|FILE)_PERMISSIONS|GROUP|USER)|BUILD_SOURCE_DIRS_PREFIX|DEBUGINFO_(FILE_NAME|PACKAGE)|FILE_NAME|PACKAGE_(ARCHITECTURE|AUTO(PROV|REQ(PROV)?)|CONFLICTS|DESCRIPTION|GROUP|NAME|OBSOLETES|PREFIX|PROVIDES|REQUIRES(_P(RE|OST)(UN)?)?|SUGGESTS|SUMMARY|URL)|USER_(FILELIST|BINARY_SPECFILE))|NO_&var_ref_re;_INSTALL_PREFIX_RELOCATION)|WIX_(&var_ref_re;_EXT(ENSIONS|RA_FLAGS)|PROPERTY_&var_ref_re;))|ICU_&var_ref_re;_(LIBRARY|EXECUTABLE)|MPI_&var_ref_re;_(ADDITIONAL_INCLUDE_VARS|COMPILE(R|_(DEFINI|OP)TIONS)|LIB(_NAMES|RARY))|OpenACC_&var_ref_re;_(FLAGS|OPTIONS|SPEC_DATE)|OpenMP_&var_ref_re;_(FLAGS|LIB(_NAMES|RARY)|SPEC_DATE)|SWIG_MODULE_&var_ref_re;_EXTRA_DEPS)\b"/>
+        <RegExpr attribute="Builtin Variable" context="#stay" String="\b(?:&var_ref_re;_(((STATIC_)?LINK_)?LIBRARIES|(BINARY|SOURCE)_DIR|(C|LD)FLAGS(_OTHER)?|(INCLUDE|LIBRARY)_DIRS|CONFIG|CONSIDERED_(CONFIGS|VERSIONS)|DESCRIPTION|FIND_(COMPONENTS|REQUIRED(_&var_ref_re;)?|VERSION_(COMPLETE|COUNT|EXACT|M(AX|IN)(_(COUNT|MAJOR|MINOR|PATCH|TWEAK))?|RANGE(_(MAX|MIN))?)|QUIETLY)|FOUND|HOMEPAGE_URL|IS_TOP_LEVEL|KEYWORDS_MISSING_VALUES|MODULE_NAME|ROOT|UNPARSED_ARGUMENTS|VERSION(_(MAJOR|MINOR|PATCH|TWEAK|COUNT|STRING))?)|&var_ref_re;__TRYRUN_OUTPUT|(DOXYGEN|ExternalData_(CUSTOM_SCRIPT|URL_ALGO)|FETCHCONTENT_(SOURCE_DIR|UPDATES_DISCONNECTED))_&var_ref_re;|ARGV[0-9]+|BISON_&var_ref_re;_(COMPILE_FLAGS|DEFINED|INPUT|OUTPUT(S|_(HEADER|SOURCE)))|Boost_&var_ref_re;_LIBRARY(_(DEBUG|RELEASE))?|CMAKE_(&var_ref_re;_(ANDROID_TOOLCHAIN_((PRE|SUF)FIX|MACHINE)|ARCHIVE_(APPEND|CREATE|FINISH)|BYTE_ORDER|CLANG_TIDY(_EXPORT_FIXES_DIR)?|COMPILER(_(AR|EXTERNAL_TOOLCHAIN|FRONTEND_VARIANT|ID|LAUNCHER|LINKER(_(FRONTEND_VARIANT|ID|VERSION))?|LOADED|RANLIB|TARGET|VERSION))?|COMPILE_OBJECT|CPP(CHECK|LINT)|CREATE_(SHARED_(LIBRARY|MODULE)|STATIC_LIBRARY)|EXTENSIONS(_DEFAULT)?|FLAGS(_((DEBUG|MINSIZEREL|REL(EASE|WITHDEBINFO)|&var_ref_re;)(_INIT)?|INIT))?|GHS_KERNEL_FLAGS_(DEBUG|MINSIZEREL|REL(EASE|WITHDEBINFO))|IGNORE_EXTENSIONS|IMPLICIT_(INCLUDE_DIRECTORIES|LINK_((FRAMEWORK_)?DIRECTORIES|LIBRARIES))|INCLUDE_WHAT_YOU_USE|LIBRARY_ARCHITECTURE|LINKER_(LAUNCHER|PREFERENCE(_PROPAGATES)?|WRAPPER_FLAG(_SEP)?)|LINK_(EXECUTABLE|GROUP_USING_&var_ref_re;(_SUPPORTED)?|LIBRARY_(FILE_FLAG|FLAG|USING_&var_ref_re;(_SUPPORTED)?)|WHAT_YOU_USE_FLAG)|OUTPUT_EXTENSION|POSTFIX|SIMULATE_(ID|VERSION)|SIZEOF_DATA_PTR|SOURCE_FILE_EXTENSIONS|STANDARD_(INCLUDE_DIRECTO|LIBRA)RIES|USING_LINKER_(&var_ref_re;|MODE)|VISIBILITY_PRESET)|((ARCHIVE|(COMPILE_)?PDB|LIBRARY|RUNTIME)_OUTPUT_DIRECTORY|(DISABLE|REQUIRE)_FIND_PACKAGE|FRAMEWORK_MULTI_CONFIG_POSTFIX|GET_OS_RELEASE_FALLBACK_RESULT|INTERPROCEDURAL_OPTIMIZATION|MAP_IMPORTED_CONFIG|USER_MAKE_RULES_OVERRIDE|XCODE_ATTRIBUTE)_&var_ref_re;|(EXE|MODULE|SHARED|STATIC)_LINKER_FLAGS_&var_ref_re;(_INIT)?|LINK_(GROUP|LIBRARY)_USING_&var_ref_re;(_SUPPORTED)?|PROJECT_&var_ref_re;_INCLUDE(_BEFORE)?)|CMAKE_(ARGV|MATCH_)[0-9]+|CMAKE_POLICY_(DEFAULT|WARNING)_CMP[0-9]{4}|CPACK_(&var_ref_re;_COMPONENT_INSTALL|ARCHIVE_&var_ref_re;_FILE_NAME|BINARY_&var_ref_re;|COMPONENT_&var_ref_re;_(DEPENDS|DESCRIPTION|DIS(ABLED|PLAY_NAME)|GROUP|HIDDEN|REQUIRED)|DEBIAN_&var_ref_re;_(DESCRIPTION|FILE_NAME|PACKAGE_((PRE)?DEPENDS|ARCHITECTURE|BREAKS|CONFLICTS|CONTROL_(EXTRA|STRICT_PERMISSION)|ENHANCES|NAME|PRIORITY|PROVIDES|RECOMMENDS|REPLACES|SECTION|SHLIBDEPS|SOURCE|SUGGESTS)|DEBUGINFO_PACKAGE)|DMG_&var_ref_re;_FILE_NAME|INNOSETUP_(&var_ref_re;_INSTALL_DIRECTORY|(DEFINE|SETUP)_&var_ref_re;)|NSIS_&var_ref_re;_INSTALL_DIRECTORY|NUGET_(&var_ref_re;_PACKAGE_(AUTHORS|COPYRIGHT|DEPENDENCIES(_&var_ref_re;_VERSION)?|DESCRIPTION(_SUMMARY)?|HOMEPAGE_URL|ICON(URL)?|LANGUAGE|LICENSE(URL|_(EXPRESSION|FILE_NAME))|NAME|OWNERS|RELEASE_NOTES|TAGS|TITLE|VERSION)|PACKAGE_DEPENDENCIES_&var_ref_re;_VERSION)|P(RE|OST)FLIGHT_&var_ref_re;_SCRIPT|RPM_(&var_ref_re;_(DEFAULT_((DIR|FILE)_PERMISSIONS|GROUP|USER)|BUILD_SOURCE_DIRS_PREFIX|DEBUGINFO_(FILE_NAME|PACKAGE)|FILE_NAME|PACKAGE_(ARCHITECTURE|AUTO(PROV|REQ(PROV)?)|CONFLICTS|DESCRIPTION|GROUP|NAME|OBSOLETES|PREFIX|PROVIDES|REQUIRES(_P(RE|OST)(UN)?)?|SUGGESTS|SUMMARY|URL)|USER_(FILELIST|BINARY_SPECFILE))|NO_&var_ref_re;_INSTALL_PREFIX_RELOCATION)|WIX_(&var_ref_re;_EXT(ENSIONS|RA_FLAGS)|PROPERTY_&var_ref_re;))|ICU_&var_ref_re;_(LIBRARY|EXECUTABLE)|MPI_&var_ref_re;_(ADDITIONAL_INCLUDE_VARS|COMPILE(R|_(DEFINI|OP)TIONS)|LIB(_NAMES|RARY))|OpenACC_&var_ref_re;_(FLAGS|OPTIONS|SPEC_DATE)|OpenMP_&var_ref_re;_(FLAGS|LIB(_NAMES|RARY)|SPEC_DATE)|SWIG_MODULE_&var_ref_re;_EXTRA_DEPS)\b"/>
       </context>
 
       <context attribute="Normal Text" lineEndContext="#stay" name="Detect Variable Substitutions">
diff -pruN 6.0.0-2/data/syntax/coffee.xml 6.3.0-1/data/syntax/coffee.xml
--- 6.0.0-2/data/syntax/coffee.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/coffee.xml	2024-05-31 13:29:46.000000000 +0000
@@ -2,7 +2,8 @@
 <!DOCTYPE language>
 
 <language name="CoffeeScript"
-          version="15"
+          alternativeNames="Coffee;Coffee-Script"
+          version="16"
           kateversion="5.53"
           section="Scripts"
           extensions="Cakefile;*.coffee;*.coco;*.cson"
diff -pruN 6.0.0-2/data/syntax/cpp.xml 6.3.0-1/data/syntax/cpp.xml
--- 6.0.0-2/data/syntax/cpp.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/cpp.xml	2024-05-31 13:29:46.000000000 +0000
@@ -10,8 +10,9 @@
   -->
 <language
     name="C++"
+    alternativeNames="CPP"
     section="Sources"
-    version="17"
+    version="19"
     kateversion="5.79"
     indenter="cstyle"
     style="C++"
@@ -675,7 +676,6 @@
     <item>QAbstract3DSeries</item>
     <item>QAbstractActionInput</item>
     <item>QAbstractAnimation</item>
-    <item>QAbstractAnimation</item>
     <item>QAbstractAnimationClip</item>
     <item>QAbstractAspect</item>
     <item>QAbstractAudioDeviceInfo</item>
@@ -692,11 +692,16 @@
     <item>QAbstractEventDispatcher</item>
     <item>QAbstractExtensionFactory</item>
     <item>QAbstractExtensionManager</item>
+    <item>QAbstractFileIconProvider</item>
     <item>QAbstractFormBuilder</item>
     <item>QAbstractFunctor</item>
     <item>QAbstractGraphicsShapeItem</item>
+    <item>QAbstractGrpcChannel</item>
+    <item>QAbstractGrpcClient</item>
+    <item>QAbstractHttpServer</item>
     <item>QAbstractItemDelegate</item>
     <item>QAbstractItemModel</item>
+    <item>QAbstractItemModelReplica</item>
     <item>QAbstractItemModelTester</item>
     <item>QAbstractItemView</item>
     <item>QAbstractLight</item>
@@ -712,6 +717,7 @@
     <item>QAbstractPhysicalDeviceProxy</item>
     <item>QAbstractPlanarVideoBuffer</item>
     <item>QAbstractPrintDialog</item>
+    <item>QAbstractProtobufSerializer</item>
     <item>QAbstractProxyModel</item>
     <item>QAbstractRayCaster</item>
     <item>QAbstractScrollArea</item>
@@ -742,6 +748,7 @@
     <item>QAccessibleInterface</item>
     <item>QAccessibleObject</item>
     <item>QAccessiblePlugin</item>
+    <item>QAccessibleSelectionInterface</item>
     <item>QAccessibleStateChangeEvent</item>
     <item>QAccessibleTableCellInterface</item>
     <item>QAccessibleTableInterface</item>
@@ -756,11 +763,11 @@
     <item>QAccessibleValueInterface</item>
     <item>QAccessibleWidget</item>
     <item>QAction</item>
-    <item>QAction</item>
     <item>QActionEvent</item>
     <item>QActionGroup</item>
     <item>QActionInput</item>
     <item>QAdditiveClipBlend</item>
+    <item>QAdoptSharedDataTag</item>
     <item>QAlphaCoverage</item>
     <item>QAlphaTest</item>
     <item>QAltimeter</item>
@@ -769,17 +776,21 @@
     <item>QAmbientLightFilter</item>
     <item>QAmbientLightReading</item>
     <item>QAmbientLightSensor</item>
+    <item>QAmbientSound</item>
     <item>QAmbientTemperatureFilter</item>
     <item>QAmbientTemperatureReading</item>
     <item>QAmbientTemperatureSensor</item>
     <item>QAnalogAxisInput</item>
     <item>QAndroidActivityResultReceiver</item>
+    <item>QAndroidApplication</item>
     <item>QAndroidBinder</item>
     <item>QAndroidIntent</item>
     <item>QAndroidJniEnvironment</item>
     <item>QAndroidJniExceptionCleaner</item>
     <item>QAndroidJniObject</item>
+    <item>QAndroidOffscreenSurface</item>
     <item>QAndroidParcel</item>
+    <item>QAndroidScreen</item>
     <item>QAndroidService</item>
     <item>QAndroidServiceConnection</item>
     <item>QAnimationAspect</item>
@@ -789,7 +800,7 @@
     <item>QAnimationClipLoader</item>
     <item>QAnimationController</item>
     <item>QAnimationGroup</item>
-    <item>QAnimationGroup</item>
+    <item>QAnyStringView</item>
     <item>QApplication</item>
     <item>QAreaLegendMarker</item>
     <item>QAreaSeries</item>
@@ -800,31 +811,41 @@
     <item>QAtomicInt</item>
     <item>QAtomicInteger</item>
     <item>QAtomicPointer</item>
+    <item>QAtomicScopedValueRollback</item>
     <item>QAttribute</item>
     <item>QAudioBuffer</item>
     <item>QAudioDecoder</item>
     <item>QAudioDecoderControl</item>
+    <item>QAudioDevice</item>
     <item>QAudioDeviceInfo</item>
     <item>QAudioEncoderSettings</item>
     <item>QAudioEncoderSettingsControl</item>
+    <item>QAudioEngine</item>
     <item>QAudioFormat</item>
     <item>QAudioInput</item>
     <item>QAudioInputSelectorControl</item>
+    <item>QAudioListener</item>
     <item>QAudioOutput</item>
     <item>QAudioOutputSelectorControl</item>
     <item>QAudioProbe</item>
     <item>QAudioRecorder</item>
     <item>QAudioRoleControl</item>
+    <item>QAudioRoom</item>
+    <item>QAudioSink</item>
+    <item>QAudioSource</item>
     <item>QAudioSystemPlugin</item>
     <item>QAuthenticator</item>
     <item>QAxAggregated</item>
     <item>QAxBase</item>
+    <item>QAxBaseObject</item>
+    <item>QAxBaseWidget</item>
     <item>QAxBindable</item>
     <item>QAxFactory</item>
     <item>QAxis</item>
     <item>QAxisAccumulator</item>
     <item>QAxisSetting</item>
     <item>QAxObject</item>
+    <item>QAxObjectInterface</item>
     <item>QAxScript</item>
     <item>QAxScriptEngine</item>
     <item>QAxScriptManager</item>
@@ -840,8 +861,10 @@
     <item>QBarLegendMarker</item>
     <item>QBarSeries</item>
     <item>QBarSet</item>
+    <item>QBaseIterator</item>
     <item>QBasicTimer</item>
     <item>QBEInteger</item>
+    <item>QBindable</item>
     <item>QBitArray</item>
     <item>QBitmap</item>
     <item>QBlendedClipAnimator</item>
@@ -853,6 +876,7 @@
     <item>QBluetoothDeviceInfo</item>
     <item>QBluetoothHostInfo</item>
     <item>QBluetoothLocalDevice</item>
+    <item>QBluetoothPermission</item>
     <item>QBluetoothServer</item>
     <item>QBluetoothServiceDiscoveryAgent</item>
     <item>QBluetoothServiceInfo</item>
@@ -861,13 +885,13 @@
     <item>QBluetoothTransferReply</item>
     <item>QBluetoothTransferRequest</item>
     <item>QBluetoothUuid</item>
+    <item>QBoundingVolume</item>
     <item>QBoxLayout</item>
     <item>QBoxPlotLegendMarker</item>
     <item>QBoxPlotSeries</item>
     <item>QBoxSet</item>
     <item>QBrush</item>
     <item>QBuffer</item>
-    <item>QBuffer</item>
     <item>QBufferCapture</item>
     <item>QBufferDataGenerator</item>
     <item>QButtonAxisInput</item>
@@ -875,15 +899,17 @@
     <item>QByteArray</item>
     <item>QByteArrayList</item>
     <item>QByteArrayMatcher</item>
+    <item>QByteArrayView</item>
     <item>QCache</item>
     <item>QCalendar</item>
+    <item>QCalendarPermission</item>
     <item>QCalendarWidget</item>
     <item>QCallbackMapping</item>
     <item>QCamera</item>
-    <item>QCamera</item>
     <item>QCameraCaptureBufferFormatControl</item>
     <item>QCameraCaptureDestinationControl</item>
     <item>QCameraControl</item>
+    <item>QCameraDevice</item>
     <item>QCameraExposure</item>
     <item>QCameraExposureControl</item>
     <item>QCameraFeedbackControl</item>
@@ -891,6 +917,7 @@
     <item>QCameraFocus</item>
     <item>QCameraFocusControl</item>
     <item>QCameraFocusZone</item>
+    <item>QCameraFormat</item>
     <item>QCameraImageCapture</item>
     <item>QCameraImageCaptureControl</item>
     <item>QCameraImageProcessing</item>
@@ -899,6 +926,7 @@
     <item>QCameraInfoControl</item>
     <item>QCameraLens</item>
     <item>QCameraLocksControl</item>
+    <item>QCameraPermission</item>
     <item>QCameraSelector</item>
     <item>QCameraViewfinderSettings</item>
     <item>QCameraViewfinderSettingsControl</item>
@@ -910,10 +938,16 @@
     <item>QCanBusFactory</item>
     <item>QCanBusFactoryV2</item>
     <item>QCanBusFrame</item>
+    <item>QCanDbcFileParser</item>
     <item>QCandlestickLegendMarker</item>
     <item>QCandlestickModelMapper</item>
     <item>QCandlestickSeries</item>
     <item>QCandlestickSet</item>
+    <item>QCanFrameProcessor</item>
+    <item>QCanMessageDescription</item>
+    <item>QCanSignalDescription</item>
+    <item>QCanUniqueIdDescription</item>
+    <item>QCapturableWindow</item>
     <item>QCategory3DAxis</item>
     <item>QCategoryAxis</item>
     <item>QCborArray</item>
@@ -932,6 +966,7 @@
     <item>QChartView</item>
     <item>QCheckBox</item>
     <item>QChildEvent</item>
+    <item>QChildWindowEvent</item>
     <item>QClearBuffers</item>
     <item>QClipAnimator</item>
     <item>QClipBlendNodeCreatedChangeBase</item>
@@ -939,11 +974,22 @@
     <item>QClipboard</item>
     <item>QClipPlane</item>
     <item>QCloseEvent</item>
+    <item>QCoapClient</item>
+    <item>QCoapMessage</item>
+    <item>QCoapOption</item>
+    <item>QCoapPrivateKey</item>
+    <item>QCoapReply</item>
+    <item>QCoapRequest</item>
+    <item>QCoapResource</item>
+    <item>QCoapResourceDiscoveryReply</item>
+    <item>QCoapSecurityConfiguration</item>
+    <item>QCocoaGLContext</item>
     <item>QCocoaNativeContext</item>
     <item>QCocoaWindowFunctions</item>
     <item>QCollator</item>
     <item>QCollatorSortKey</item>
     <item>QColor</item>
+    <item>QColorAxis</item>
     <item>QColorDialog</item>
     <item>QColormap</item>
     <item>QColorMask</item>
@@ -966,13 +1012,18 @@
     <item>QComputeCommand</item>
     <item>QConcatenateTablesProxyModel</item>
     <item>QConeGeometry</item>
+    <item>QConeGeometryView</item>
     <item>QConeMesh</item>
     <item>QConicalGradient</item>
+    <item>QConstIterator</item>
+    <item>QContactsPermission</item>
     <item>QContextMenuEvent</item>
     <item>QContiguousCache</item>
     <item>QCoreApplication</item>
+    <item>QCoreSettings</item>
     <item>QCryptographicHash</item>
     <item>QCuboidGeometry</item>
+    <item>QCuboidGeometryView</item>
     <item>QCuboidMesh</item>
     <item>QCullFace</item>
     <item>QCursor</item>
@@ -981,6 +1032,7 @@
     <item>QCustom3DVolume</item>
     <item>QCustomAudioRoleControl</item>
     <item>QCylinderGeometry</item>
+    <item>QCylinderGeometryView</item>
     <item>QCylinderMesh</item>
     <item>QDataStream</item>
     <item>QDataWidgetMapper</item>
@@ -1011,6 +1063,7 @@
     <item>QDBusVirtualObject</item>
     <item>QDeadlineTimer</item>
     <item>QDebug</item>
+    <item>QDebugOverlay</item>
     <item>QDebugStateSaver</item>
     <item>QDepthRange</item>
     <item>QDepthTest</item>
@@ -1084,6 +1137,7 @@
     <item>QEasingCurve</item>
     <item>QEffect</item>
     <item>QEglFSFunctions</item>
+    <item>QEGLContext</item>
     <item>QEGLNativeContext</item>
     <item>QElapsedTimer</item>
     <item>QEnableSharedFromThis</item>
@@ -1094,6 +1148,7 @@
     <item>QEvent</item>
     <item>QEventLoop</item>
     <item>QEventLoopLocker</item>
+    <item>QEventPoint</item>
     <item>QEventTransition</item>
     <item>QException</item>
     <item>QExplicitlySharedDataPointer</item>
@@ -1160,6 +1215,7 @@
     <item>QGeoManeuver</item>
     <item>QGeometry</item>
     <item>QGeometryRenderer</item>
+    <item>QGeometryView</item>
     <item>QGeoPath</item>
     <item>QGeoPolygon</item>
     <item>QGeoPositionInfo</item>
@@ -1195,6 +1251,7 @@
     <item>QGLShader</item>
     <item>QGLShaderProgram</item>
     <item>QGLWidget</item>
+    <item>QGLXContext</item>
     <item>QGLXNativeContext</item>
     <item>QGlyphRun</item>
     <item>QGoochMaterial</item>
@@ -1238,17 +1295,34 @@
     <item>QGraphicsSvgItem</item>
     <item>QGraphicsTextItem</item>
     <item>QGraphicsTransform</item>
+    <item>QGraphicsVideoItem</item>
     <item>QGraphicsView</item>
     <item>QGraphicsWidget</item>
+    <item>QGraphTheme</item>
     <item>QGregorianCalendar</item>
     <item>QGridLayout</item>
     <item>QGroupBox</item>
+    <item>QGrpcBidirStream</item>
+    <item>QGrpcCallOptions</item>
+    <item>QGrpcCallReply</item>
+    <item>QGrpcChannel</item>
+    <item>QGrpcChannelOperation</item>
+    <item>QGrpcChannelOptions</item>
+    <item>QGrpcClientInterceptor</item>
+    <item>QGrpcClientInterceptorManager</item>
+    <item>QGrpcClientStream</item>
+    <item>QGrpcHttp2Channel</item>
+    <item>QGrpcInterceptorContinuation</item>
+    <item>QGrpcOperation</item>
+    <item>QGrpcServerStream</item>
+    <item>QGrpcStatus</item>
     <item>QGuiApplication</item>
     <item>QGyroscope</item>
     <item>QGyroscopeFilter</item>
     <item>QGyroscopeReading</item>
     <item>QHash</item>
     <item>QHashIterator</item>
+    <item>QHashSeed</item>
     <item>QHBarModelMapper</item>
     <item>QHBoxLayout</item>
     <item>QHBoxPlotModelMapper</item>
@@ -1285,9 +1359,17 @@
     <item>QHoverEvent</item>
     <item>QHPieModelMapper</item>
     <item>QHstsPolicy</item>
+    <item>QHttp1Configuration</item>
     <item>QHttp2Configuration</item>
+    <item>QHttpHeaders</item>
     <item>QHttpMultiPart</item>
     <item>QHttpPart</item>
+    <item>QHttpServer</item>
+    <item>QHttpServerRequest</item>
+    <item>QHttpServerResponder</item>
+    <item>QHttpServerResponse</item>
+    <item>QHttpServerRouter</item>
+    <item>QHttpServerRouterRule</item>
     <item>QHumidityFilter</item>
     <item>QHumidityReading</item>
     <item>QHumiditySensor</item>
@@ -1298,6 +1380,7 @@
     <item>QIconEnginePlugin</item>
     <item>QIdentityProxyModel</item>
     <item>QImage</item>
+    <item>QImageCapture</item>
     <item>QImageEncoderControl</item>
     <item>QImageEncoderSettings</item>
     <item>QImageIOHandler</item>
@@ -1309,6 +1392,7 @@
     <item>QInAppTransaction</item>
     <item>QInputAspect</item>
     <item>QInputChord</item>
+    <item>QInputDevice</item>
     <item>QInputDeviceIntegration</item>
     <item>QInputDialog</item>
     <item>QInputEvent</item>
@@ -1319,6 +1403,7 @@
     <item>QInputSettings</item>
     <item>QIntValidator</item>
     <item>QIODevice</item>
+    <item>QIODeviceBase</item>
     <item>QIRProximityFilter</item>
     <item>QIRProximityReading</item>
     <item>QIRProximitySensor</item>
@@ -1332,20 +1417,29 @@
     <item>QItemSelection</item>
     <item>QItemSelectionModel</item>
     <item>QItemSelectionRange</item>
+    <item>QIterable</item>
+    <item>QIterator</item>
     <item>QJalaliCalendar</item>
+    <item>QJniEnvironment</item>
+    <item>QJniObject</item>
     <item>QJoint</item>
     <item>QJSEngine</item>
+    <item>QJSManagedValue</item>
     <item>QJsonArray</item>
     <item>QJsonDocument</item>
     <item>QJsonObject</item>
     <item>QJsonParseError</item>
     <item>QJsonValue</item>
+    <item>QJSPrimitiveNull</item>
+    <item>QJSPrimitiveUndefined</item>
+    <item>QJSPrimitiveValue</item>
     <item>QJSValue</item>
     <item>QJSValueIterator</item>
     <item>QJulianCalendar</item>
     <item>QKeyboardDevice</item>
     <item>QKeyboardHandler</item>
     <item>QKeyEvent</item>
+    <item>QKeyCombination</item>
     <item>QKeyEvent</item>
     <item>QKeyEventTransition</item>
     <item>QKeyFrame</item>
@@ -1356,6 +1450,8 @@
     <item>QLabel</item>
     <item>QLatin1Char</item>
     <item>QLatin1String</item>
+    <item>QLatin1StringMatcher</item>
+    <item>QLatin1StringView</item>
     <item>QLayer</item>
     <item>QLayerFilter</item>
     <item>QLayout</item>
@@ -1393,6 +1489,7 @@
     <item>QLocale</item>
     <item>QLocalServer</item>
     <item>QLocalSocket</item>
+    <item>QLocationPermission</item>
     <item>QLockFile</item>
     <item>QLoggingCategory</item>
     <item>QLogicalDevice</item>
@@ -1431,10 +1528,14 @@
     <item>QMediaAudioProbeControl</item>
     <item>QMediaAvailabilityControl</item>
     <item>QMediaBindableInterface</item>
+    <item>QMediaCaptureSession</item>
     <item>QMediaContainerControl</item>
     <item>QMediaContent</item>
     <item>QMediaControl</item>
+    <item>QMediaDevices</item>
+    <item>QMediaFormat</item>
     <item>QMediaGaplessPlaybackControl</item>
+    <item>QMediaMetaData</item>
     <item>QMediaNetworkAccessControl</item>
     <item>QMediaObject</item>
     <item>QMediaPlayer</item>
@@ -1470,7 +1571,9 @@
     <item>QMetaMethod</item>
     <item>QMetaObject</item>
     <item>QMetaProperty</item>
+    <item>QMetaSequence</item>
     <item>QMetaType</item>
+    <item>QMicrophonePermission</item>
     <item>QMilankovicCalendar</item>
     <item>QMimeData</item>
     <item>QMimeDatabase</item>
@@ -1484,13 +1587,17 @@
     <item>QModbusReply</item>
     <item>QModbusRequest</item>
     <item>QModbusResponse</item>
+    <item>QModbusRtuSerialClient</item>
     <item>QModbusRtuSerialMaster</item>
+    <item>QModbusRtuSerialServer</item>
     <item>QModbusRtuSerialSlave</item>
     <item>QModbusServer</item>
     <item>QModbusTcpClient</item>
     <item>QModbusTcpConnectionObserver</item>
     <item>QModbusTcpServer</item>
     <item>QModelIndex</item>
+    <item>QModelRoleData</item>
+    <item>QModelRoleDataSpan</item>
     <item>QMorphingAnimation</item>
     <item>QMorphPhongMaterial</item>
     <item>QMorphTarget</item>
@@ -1501,20 +1608,39 @@
     <item>QMouseHandler</item>
     <item>QMoveEvent</item>
     <item>QMovie</item>
+    <item>QMqttAuthenticationProperties</item>
+    <item>QMqttClient</item>
+    <item>QMqttConnectionProperties</item>
+    <item>QMqttLastWillProperties</item>
+    <item>QMqttMessage</item>
+    <item>QMqttMessageStatusProperties</item>
+    <item>QMqttPublishProperties</item>
+    <item>QMqttServerConnectionProperties</item>
+    <item>QMqttStringPair</item>
+    <item>QMqttSubscription</item>
+    <item>QMqttSubscriptionProperties</item>
+    <item>QMqttTopicFilter</item>
+    <item>QMqttTopicName</item>
+    <item>QMqttUnsubscriptionProperties</item>
+    <item>QMqttUserProperties</item>
     <item>QMultiHash</item>
     <item>QMultiMap</item>
+    <item>QMultiMapIterator</item>
     <item>QMultiSampleAntiAliasing</item>
     <item>QMutableHashIterator</item>
     <item>QMutableLinkedListIterator</item>
     <item>QMutableListIterator</item>
     <item>QMutableMapIterator</item>
+    <item>QMutableMultiMapIterator</item>
     <item>QMutableSetIterator</item>
     <item>QMutableVectorIterator</item>
     <item>QMutex</item>
     <item>QMutexLocker</item>
     <item>QNativeGestureEvent</item>
+    <item>QNativeIpcKey</item>
     <item>QNdefFilter</item>
     <item>QNdefMessage</item>
+    <item>QNdefNfcIconRecord</item>
     <item>QNdefNfcSmartPosterRecord</item>
     <item>QNdefNfcTextRecord</item>
     <item>QNdefNfcUriRecord</item>
@@ -1532,14 +1658,17 @@
     <item>QNetworkCookieJar</item>
     <item>QNetworkDatagram</item>
     <item>QNetworkDiskCache</item>
+    <item>QNetworkInformation</item>
     <item>QNetworkInterface</item>
     <item>QNetworkProxy</item>
     <item>QNetworkProxyFactory</item>
     <item>QNetworkProxyQuery</item>
     <item>QNetworkReply</item>
     <item>QNetworkRequest</item>
+    <item>QNetworkRequestFactory</item>
     <item>QNetworkSession</item>
     <item>QNmeaPositionInfoSource</item>
+    <item>QNmeaSatelliteInfoSource</item>
     <item>QNode</item>
     <item>QNodeCommand</item>
     <item>QNodeCreatedChange</item>
@@ -1552,14 +1681,85 @@
     <item>QNormalDiffuseMapAlphaMaterial</item>
     <item>QNormalDiffuseMapMaterial</item>
     <item>QNormalDiffuseSpecularMapMaterial</item>
+    <item>QNtfsPermissionCheckGuard</item>
     <item>QOAuth1</item>
     <item>QOAuth1Signature</item>
     <item>QOAuth2AuthorizationCodeFlow</item>
     <item>QObject</item>
+    <item>QObjectBindableProperty</item>
     <item>QObjectCleanupHandler</item>
+    <item>QObjectComputedProperty</item>
     <item>QObjectPicker</item>
     <item>QOcspResponse</item>
     <item>QOffscreenSurface</item>
+    <item>QOpcUaAddNodeItem</item>
+    <item>QOpcUaAddReferenceItem</item>
+    <item>QOpcUaApplicationDescription</item>
+    <item>QOpcUaApplicationIdentity</item>
+    <item>QOpcUaApplicationRecordDataType</item>
+    <item>QOpcUaArgument</item>
+    <item>QOpcUaAttributeOperand</item>
+    <item>QOpcUaAuthenticationInformation</item>
+    <item>QOpcUaAxisInformation</item>
+    <item>QOpcUaBinaryDataEncoding</item>
+    <item>QOpcUaBrowsePathTarget</item>
+    <item>QOpcUaBrowseRequest</item>
+    <item>QOpcUaClient</item>
+    <item>QOpcUaComplexNumber</item>
+    <item>QOpcUaConnectionSettings</item>
+    <item>QOpcUaContentFilterElement</item>
+    <item>QOpcUaContentFilterElementResult</item>
+    <item>QOpcUaDataValue</item>
+    <item>QOpcUaDeleteReferenceItem</item>
+    <item>QOpcUaDiagnosticInfo</item>
+    <item>QOpcUaDoubleComplexNumber</item>
+    <item>QOpcUaElementOperand</item>
+    <item>QOpcUaEndpointDescription</item>
+    <item>QOpcUaEnumDefinition</item>
+    <item>QOpcUaEnumField</item>
+    <item>QOpcUaErrorState</item>
+    <item>QOpcUaEUInformation</item>
+    <item>QOpcUaEventFilterResult</item>
+    <item>QOpcUaExpandedNodeId</item>
+    <item>QOpcUaExtensionObject</item>
+    <item>QOpcUaGdsClient</item>
+    <item>QOpcUaGenericStructHandler</item>
+    <item>QOpcUaGenericStructValue</item>
+    <item>QOpcUaHistoryData</item>
+    <item>QOpcUaHistoryEvent</item>
+    <item>QOpcUaHistoryReadEventRequest</item>
+    <item>QOpcUaHistoryReadRawRequest</item>
+    <item>QOpcUaHistoryReadResponse</item>
+    <item>QOpcUaKeyPair</item>
+    <item>QOpcUaLiteralOperand</item>
+    <item>QOpcUaLocalizedText</item>
+    <item>QOpcUaMonitoringParameters</item>
+    <item>QOpcUaMultiDimensionalArray</item>
+    <item>QOpcUaNode</item>
+    <item>QOpcUaNodeCreationAttributes</item>
+    <item>QOpcUaPkiConfiguration</item>
+    <item>QOpcUaProvider</item>
+    <item>QOpcUaQualifiedName</item>
+    <item>QOpcUaRange</item>
+    <item>QOpcUaReadItem</item>
+    <item>QOpcUaReadResult</item>
+    <item>QOpcUaReferenceDescription</item>
+    <item>QOpcUaRelativePathElement</item>
+    <item>QOpcUaSimpleAttributeOperand</item>
+    <item>QOpcUaStructureDefinition</item>
+    <item>QOpcUaStructureField</item>
+    <item>QOpcUaUserTokenPolicy</item>
+    <item>QOpcUaVariant</item>
+    <item>QOpcUaWriteItem</item>
+    <item>QOpcUaWriteResult</item>
+    <item>QOpcUaX509CertificateSigningRequest</item>
+    <item>QOpcUaX509DistinguishedName</item>
+    <item>QOpcUaX509Extension</item>
+    <item>QOpcUaX509ExtensionBasicConstraints</item>
+    <item>QOpcUaX509ExtensionExtendedKeyUsage</item>
+    <item>QOpcUaX509ExtensionKeyUsage</item>
+    <item>QOpcUaX509ExtensionSubjectAlternativeName</item>
+    <item>QOpcUaXValue</item>
     <item>QOpenGLBuffer</item>
     <item>QOpenGLContext</item>
     <item>QOpenGLContextGroup</item>
@@ -1604,6 +1804,7 @@
     <item>QOpenGLTextureBlitter</item>
     <item>QOpenGLTimeMonitor</item>
     <item>QOpenGLTimerQuery</item>
+    <item>QOpenGLVersionFunctionsFactory</item>
     <item>QOpenGLVersionProfile</item>
     <item>QOpenGLVertexArrayObject</item>
     <item>QOpenGLWidget</item>
@@ -1616,6 +1817,7 @@
     <item>qoutputrange</item>
     <item>QPagedPaintDevice</item>
     <item>QPageLayout</item>
+    <item>QPageRanges</item>
     <item>QPageSetupDialog</item>
     <item>QPageSize</item>
     <item>QPaintDevice</item>
@@ -1632,22 +1834,32 @@
     <item>QPanGesture</item>
     <item>QParallelAnimationGroup</item>
     <item>QParameter</item>
+    <item>QPartialOrdering</item>
     <item>QPauseAnimation</item>
+    <item>QPdfBookmarkModel</item>
     <item>QPdfDestination</item>
     <item>QPdfDocument</item>
     <item>QPdfDocumentRenderOptions</item>
+    <item>QPdfLink</item>
+    <item>QPdfLinkModel</item>
     <item>QPdfPageNavigation</item>
+    <item>QPdfPageNavigator</item>
     <item>QPdfPageRenderer</item>
+    <item>QPdfPageSelector</item>
+    <item>QPdfSearchModel</item>
     <item>QPdfSelection</item>
+    <item>QPdfView</item>
     <item>QPdfWriter</item>
     <item>QPen</item>
     <item>QPercentBarSeries</item>
+    <item>QPermission</item>
     <item>QPersistentModelIndex</item>
     <item>QPerVertexColorMaterial</item>
     <item>QPhongAlphaMaterial</item>
     <item>QPhongMaterial</item>
     <item>QPhysicalDeviceCreatedChangeBase</item>
     <item>QPickEvent</item>
+    <item>QPickingProxy</item>
     <item>QPickingSettings</item>
     <item>QPickLineEvent</item>
     <item>QPickPointEvent</item>
@@ -1692,12 +1904,15 @@
     <item>QPlainTextDocumentLayout</item>
     <item>QPlainTextEdit</item>
     <item>QPlaneGeometry</item>
+    <item>QPlaneGeometryView</item>
     <item>QPlaneMesh</item>
     <item>QPlatformSurfaceEvent</item>
     <item>QPluginLoader</item>
     <item>QPoint</item>
     <item>QPointer</item>
+    <item>QPointerEvent</item>
     <item>QPointF</item>
+    <item>QPointingDevice</item>
     <item>QPointingDeviceUniqueId</item>
     <item>QPointLight</item>
     <item>QPointSize</item>
@@ -1718,16 +1933,26 @@
     <item>QProcessEnvironment</item>
     <item>QProgressBar</item>
     <item>QProgressDialog</item>
+    <item>QPromise</item>
+    <item>QProperty</item>
     <item>QPropertyAnimation</item>
+    <item>QPropertyBindingError</item>
+    <item>QPropertyChangeHandler</item>
+    <item>QPropertyData</item>
     <item>QPropertyNodeAddedChange</item>
     <item>QPropertyNodeRemovedChange</item>
+    <item>QPropertyNotifier</item>
     <item>QPropertyUpdatedChange</item>
     <item>QPropertyUpdatedChangeBase</item>
     <item>QPropertyValueAddedChange</item>
     <item>QPropertyValueAddedChangeBase</item>
     <item>QPropertyValueRemovedChange</item>
     <item>QPropertyValueRemovedChangeBase</item>
-    <item>QProximityFilter</item>
+    <item>QProtobufBaseSerializer</item>
+    <item>QProtobufJsonSerializer</item>
+    <item>QProtobufMessage</item>
+    <item>QProtobufMessageDeleter</item>
+    <item>QProtobufSerializer</item>
     <item>QProximityFilter</item>
     <item>QProximityReading</item>
     <item>QProximitySensor</item>
@@ -1742,10 +1967,13 @@
     <item>QQmlEngineExtensionPlugin</item>
     <item>QQmlError</item>
     <item>QQmlExpression</item>
+    <item>QQmlExtensionPlugin</item>
+    <item>QQmlFile</item>
     <item>QQmlFileSelector</item>
     <item>QQmlImageProviderBase</item>
     <item>QQmlIncubationController</item>
     <item>QQmlIncubator</item>
+    <item>QQmlInfo</item>
     <item>QQmlListProperty</item>
     <item>QQmlListReference</item>
     <item>QQmlNdefRecord</item>
@@ -1758,16 +1986,26 @@
     <item>QQuaternion</item>
     <item>QQueue</item>
     <item>QQuick3D</item>
+    <item>QQuick3DExtensionHelpers</item>
     <item>QQuick3DGeometry</item>
+    <item>QQuick3DInstancing</item>
     <item>QQuick3DObject</item>
+    <item>QQuick3DRenderExtension</item>
+    <item>QQuick3DTextureData</item>
     <item>QQuickAsyncImageProvider</item>
+    <item>QQuickAttachedPropertyPropagator</item>
     <item>QQuickFramebufferObject</item>
+    <item>QQuickGraphicsConfiguration</item>
+    <item>QQuickGraphicsDevice</item>
     <item>QQuickImageProvider</item>
     <item>QQuickImageResponse</item>
     <item>QQuickItem</item>
     <item>QQuickItemGrabResult</item>
     <item>QQuickPaintedItem</item>
     <item>QQuickRenderControl</item>
+    <item>QQuickRenderTarget</item>
+    <item>QQuickRhiItem</item>
+    <item>QQuickRhiItemRenderer</item>
     <item>QQuickStyle</item>
     <item>QQuickTextDocument</item>
     <item>QQuickTextureFactory</item>
@@ -1828,7 +2066,65 @@
     <item>QRenderTargetSelector</item>
     <item>QResizeEvent</item>
     <item>QResource</item>
+    <item>QRestAccessManager</item>
+    <item>QRestReply</item>
     <item>QRgba64</item>
+    <item>QRgbaFloat</item>
+    <item>QRhi</item>
+    <item>QRhiBuffer</item>
+    <item>QRhiColorAttachment</item>
+    <item>QRhiCommandBuffer</item>
+    <item>QRhiComputePipeline</item>
+    <item>QRhiD3D11InitParams</item>
+    <item>QRhiD3D11NativeHandles</item>
+    <item>QRhiD3D12CommandBufferNativeHandles</item>
+    <item>QRhiD3D12InitParams</item>
+    <item>QRhiD3D12NativeHandles</item>
+    <item>QRhiDepthStencilClearValue</item>
+    <item>QRhiDriverInfo</item>
+    <item>QRhiGles2InitParams</item>
+    <item>QRhiGles2NativeHandles</item>
+    <item>QRhiGraphicsPipeline</item>
+    <item>QRhiInitParams</item>
+    <item>QRhiMetalCommandBufferNativeHandles</item>
+    <item>QRhiMetalInitParams</item>
+    <item>QRhiMetalNativeHandles</item>
+    <item>QRhiNativeHandles</item>
+    <item>QRhiNullInitParams</item>
+    <item>QRhiNullNativeHandles</item>
+    <item>QRhiReadbackDescription</item>
+    <item>QRhiReadbackResult</item>
+    <item>QRhiRenderBuffer</item>
+    <item>QRhiRenderPassDescriptor</item>
+    <item>QRhiRenderTarget</item>
+    <item>QRhiResource</item>
+    <item>QRhiResourceUpdateBatch</item>
+    <item>QRhiSampler</item>
+    <item>QRhiScissor</item>
+    <item>QRhiShaderResourceBinding</item>
+    <item>QRhiShaderResourceBindings</item>
+    <item>QRhiShaderStage</item>
+    <item>QRhiStats</item>
+    <item>QRhiSwapChain</item>
+    <item>QRhiSwapChainHdrInfo</item>
+    <item>QRhiSwapChainProxyData</item>
+    <item>QRhiSwapChainRenderTarget</item>
+    <item>QRhiTexture</item>
+    <item>QRhiTextureCopyDescription</item>
+    <item>QRhiTextureRenderTarget</item>
+    <item>QRhiTextureRenderTargetDescription</item>
+    <item>QRhiTextureSubresourceUploadDescription</item>
+    <item>QRhiTextureUploadDescription</item>
+    <item>QRhiTextureUploadEntry</item>
+    <item>QRhiVertexInputAttribute</item>
+    <item>QRhiVertexInputBinding</item>
+    <item>QRhiVertexInputLayout</item>
+    <item>QRhiViewport</item>
+    <item>QRhiVulkanCommandBufferNativeHandles</item>
+    <item>QRhiVulkanInitParams</item>
+    <item>QRhiVulkanNativeHandles</item>
+    <item>QRhiVulkanRenderPassNativeHandles</item>
+    <item>QRhiWidget</item>
     <item>QRomanCalendar</item>
     <item>QRotationFilter</item>
     <item>QRotationReading</item>
@@ -1846,9 +2142,11 @@
     <item>QScissorTest</item>
     <item>QScopedArrayPointer</item>
     <item>QScopedPointer</item>
+    <item>QScopedPropertyUpdateGroup</item>
     <item>QScopedValueRollback</item>
     <item>QScopeGuard</item>
     <item>QScreen</item>
+    <item>QScreenCapture</item>
     <item>QScreenRayCaster</item>
     <item>QScriptable</item>
     <item>QScriptClass</item>
@@ -1904,6 +2202,7 @@
     <item>QSequentialIterable</item>
     <item>QSerialPort</item>
     <item>QSerialPortInfo</item>
+    <item>QSeriesTheme</item>
     <item>QSessionManager</item>
     <item>QSet</item>
     <item>QSetFence</item>
@@ -1912,6 +2211,8 @@
     <item>QSGAbstractRenderer</item>
     <item>QSGBasicGeometryNode</item>
     <item>QSGClipNode</item>
+    <item>QSGD3D11Texture</item>
+    <item>QSGD3D12Texture</item>
     <item>QSGDynamicTexture</item>
     <item>QSGEngine</item>
     <item>QSGFlatColorMaterial</item>
@@ -1922,9 +2223,11 @@
     <item>QSGMaterialRhiShader</item>
     <item>QSGMaterialShader</item>
     <item>QSGMaterialType</item>
+    <item>QSGMetalTexture</item>
     <item>QSGNode</item>
     <item>QSGOpacityNode</item>
     <item>QSGOpaqueTextureMaterial</item>
+    <item>QSGOpenGLTexture</item>
     <item>QSGRectangleNode</item>
     <item>QSGRendererInterface</item>
     <item>QSGRenderNode</item>
@@ -1932,15 +2235,23 @@
     <item>QSGSimpleMaterialShader</item>
     <item>QSGSimpleRectNode</item>
     <item>QSGSimpleTextureNode</item>
+    <item>QSGTextNode</item>
     <item>QSGTexture</item>
     <item>QSGTextureMaterial</item>
     <item>QSGTextureProvider</item>
     <item>QSGTransformNode</item>
     <item>QSGVertexColorMaterial</item>
+    <item>QSGVulkanTexture</item>
+    <item>QShader</item>
+    <item>QShaderBaker</item>
+    <item>QShaderCode</item>
     <item>QShaderData</item>
+    <item>QShaderDescription</item>
     <item>QShaderImage</item>
+    <item>QShaderKey</item>
     <item>QShaderProgram</item>
     <item>QShaderProgramBuilder</item>
+    <item>QShaderVersion</item>
     <item>QSharedData</item>
     <item>QSharedDataPointer</item>
     <item>QSharedGLTexture</item>
@@ -1954,6 +2265,7 @@
     <item>QSignalSpy</item>
     <item>QSignalTransition</item>
     <item>QSimpleXmlNodeModel</item>
+    <item>QSinglePointEvent</item>
     <item>QSize</item>
     <item>QSizeF</item>
     <item>QSizeGrip</item>
@@ -1969,7 +2281,10 @@
     <item>QSoundEffect</item>
     <item>QSourceLocation</item>
     <item>QSpacerItem</item>
+    <item>QSpan</item>
+    <item>QSpatialSound</item>
     <item>QSphereGeometry</item>
+    <item>QSphereGeometryView</item>
     <item>QSphereMesh</item>
     <item>QSpinBox</item>
     <item>QSplashScreen</item>
@@ -1993,6 +2308,16 @@
     <item>QSqlRelationalTableModel</item>
     <item>QSqlResult</item>
     <item>QSqlTableModel</item>
+    <item>QSSGCameraHelpers</item>
+    <item>QSSGFrameData</item>
+    <item>QSSGModelHelpers</item>
+    <item>QSSGRenderContextInterface</item>
+    <item>QSSGRenderExtension</item>
+    <item>QSSGRenderExtensionHelpers</item>
+    <item>QSSGRenderHelpers</item>
+    <item>QSSGRhiContext</item>
+    <item>QSSGRhiGraphicsPipelineState</item>
+    <item>QSSGRhiSamplerDescription</item>
     <item>QSslCertificate</item>
     <item>QSslCertificateExtension</item>
     <item>QSslCipher</item>
@@ -2002,6 +2327,7 @@
     <item>QSslError</item>
     <item>QSslKey</item>
     <item>QSslPreSharedKeyAuthenticator</item>
+    <item>QSslServer</item>
     <item>QSslSocket</item>
     <item>QStack</item>
     <item>QStackedBarSeries</item>
@@ -2014,6 +2340,7 @@
     <item>QState</item>
     <item>QStateMachine</item>
     <item>QStaticByteArrayMatcher</item>
+    <item>QStaticLatin1StringMatcher</item>
     <item>QStaticPlugin</item>
     <item>QStaticPropertyUpdatedChangeBase</item>
     <item>QStaticPropertyValueAddedChangeBase</item>
@@ -2028,6 +2355,9 @@
     <item>QStencilTestArguments</item>
     <item>QStorageInfo</item>
     <item>QString</item>
+    <item>QStringConverter</item>
+    <item>QStringDecoder</item>
+    <item>QStringEncoder</item>
     <item>QStringList</item>
     <item>QStringListModel</item>
     <item>QStringMatcher</item>
@@ -2051,6 +2381,7 @@
     <item>QStyleOptionGraphicsItem</item>
     <item>QStyleOptionGroupBox</item>
     <item>QStyleOptionHeader</item>
+    <item>QStyleOptionHeaderV2</item>
     <item>QStyleOptionMenuItem</item>
     <item>QStyleOptionProgressBar</item>
     <item>QStyleOptionRubberBand</item>
@@ -2089,11 +2420,13 @@
     <item>QTableWidgetItem</item>
     <item>QTableWidgetSelectionRange</item>
     <item>QTabWidget</item>
+    <item>QTaggedIterator</item>
     <item>QTapAndHoldGesture</item>
     <item>QTapFilter</item>
     <item>QTapGesture</item>
     <item>QTapReading</item>
     <item>QTapSensor</item>
+    <item>QTaskBuilder</item>
     <item>QTcpServer</item>
     <item>QTcpSocket</item>
     <item>QTechnique</item>
@@ -2179,13 +2512,13 @@
     <item>QToolButton</item>
     <item>QToolTip</item>
     <item>QTorusGeometry</item>
+    <item>QTorusGeometryView</item>
     <item>QTorusMesh</item>
     <item>QTouch3DInputHandler</item>
     <item>QTouchDevice</item>
     <item>QTouchEvent</item>
     <item>QTouchEventSequence</item>
     <item>QTransform</item>
-    <item>QTransform</item>
     <item>QTranslator</item>
     <item>QTransposeProxyModel</item>
     <item>QTreeView</item>
@@ -2194,6 +2527,7 @@
     <item>QTreeWidgetItemIterator</item>
     <item>QtROClientFactory</item>
     <item>QtROServerFactory</item>
+    <item>QTypeRevision</item>
     <item>QUdpSocket</item>
     <item>QUiLoader</item>
     <item>QUndoCommand</item>
@@ -2201,8 +2535,11 @@
     <item>QUndoStack</item>
     <item>QUndoView</item>
     <item>QUnhandledException</item>
+    <item>QUntypedBindable</item>
     <item>QUrl</item>
     <item>QUrlQuery</item>
+    <item>QUtf8StringView</item>
+    <item>QUtiMimeConverter</item>
     <item>QUuid</item>
     <item>QValidator</item>
     <item>QValue3DAxis</item>
@@ -2213,6 +2550,9 @@
     <item>QVariantHash</item>
     <item>QVariantList</item>
     <item>QVariantMap</item>
+    <item>QVariantConstPointer</item>
+    <item>QVariantPointer</item>
+    <item>QVariantRef</item>
     <item>QVarLengthArray</item>
     <item>QVBarModelMapper</item>
     <item>QVBoxLayout</item>
@@ -2230,8 +2570,10 @@
     <item>QVideoEncoderSettingsControl</item>
     <item>QVideoFilterRunnable</item>
     <item>QVideoFrame</item>
+    <item>QVideoFrameFormat</item>
     <item>QVideoProbe</item>
     <item>QVideoRendererControl</item>
+    <item>QVideoSink</item>
     <item>QVideoSurfaceFormat</item>
     <item>QVideoWidget</item>
     <item>QVideoWidgetControl</item>
@@ -2239,8 +2581,11 @@
     <item>QViewport</item>
     <item>QVirtualKeyboardAbstractInputMethod</item>
     <item>QVirtualKeyboardExtensionPlugin</item>
+    <item>QVirtualKeyboardDictionary</item>
+    <item>QVirtualKeyboardDictionaryManager</item>
     <item>QVirtualKeyboardInputContext</item>
     <item>QVirtualKeyboardInputEngine</item>
+    <item>QVirtualKeyboardObserver</item>
     <item>QVirtualKeyboardSelectionListModel</item>
     <item>QVirtualKeyboardTrace</item>
     <item>QVoice</item>
@@ -2256,23 +2601,34 @@
     <item>QVXYModelMapper</item>
     <item>QWaitCondition</item>
     <item>QWaitFence</item>
+    <item>QWaylandApplication</item>
     <item>QWaylandBufferRef</item>
     <item>QWaylandClient</item>
     <item>QWaylandCompositor</item>
+    <item>QWaylandCompositorExtension</item>
+    <item>QWaylandCompositorExtensionTemplate</item>
     <item>QWaylandIdleInhibitManagerV1</item>
     <item>QWaylandIviApplication</item>
     <item>QWaylandIviSurface</item>
     <item>QWaylandKeyboard</item>
+    <item>QWaylandObject</item>
     <item>QWaylandOutput</item>
     <item>QWaylandOutputMode</item>
     <item>QWaylandPointer</item>
+    <item>QWaylandPresentationTime</item>
+    <item>QWaylandQtTextInputMethodManager</item>
     <item>QWaylandQuickItem</item>
     <item>QWaylandQuickShellIntegration</item>
     <item>QWaylandQuickShellSurfaceItem</item>
+    <item>QWaylandResource</item>
+    <item>QWaylandScreen</item>
     <item>QWaylandSeat</item>
     <item>QWaylandShellSurface</item>
+    <item>QWaylandShellSurfaceTemplate</item>
     <item>QWaylandSurface</item>
     <item>QWaylandSurfaceGrabber</item>
+    <item>QWaylandSurfaceRole</item>
+    <item>QWaylandTextInputManager</item>
     <item>QWaylandTouch</item>
     <item>QWaylandView</item>
     <item>QWaylandViewporter</item>
@@ -2295,10 +2651,23 @@
     <item>QWeakPointer</item>
     <item>QWebChannel</item>
     <item>QWebChannelAbstractTransport</item>
+    <item>QWebEngineCertificateError</item>
+    <item>QWebEngineClientCertificateSelection</item>
     <item>QWebEngineClientCertificateStore</item>
+    <item>QWebEngineContextMenuRequest</item>
     <item>QWebEngineCookieStore</item>
+    <item>QWebEngineDesktopMediaRequest</item>
+    <item>QWebEngineDownloadRequest</item>
+    <item>QWebEngineFileSystemAccessRequest</item>
     <item>QWebEngineFindTextResult</item>
+    <item>QWebEngineFullScreenRequest</item>
+    <item>QWebEngineHistory</item>
+    <item>QWebEngineHistoryItem</item>
+    <item>QWebEngineHistoryModel</item>
     <item>QWebEngineHttpRequest</item>
+    <item>QWebEngineLoadingInfo</item>
+    <item>QWebEngineNavigationRequest</item>
+    <item>QWebEngineNewWindowRequest</item>
     <item>QWebEngineNotification</item>
     <item>QWebEnginePage</item>
     <item>QWebEngineProfile</item>
@@ -2313,9 +2682,13 @@
     <item>QWebEngineUrlScheme</item>
     <item>QWebEngineUrlSchemeHandler</item>
     <item>QWebEngineView</item>
+    <item>QWebEngineWebAuthPinRequest</item>
+    <item>QWebEngineWebAuthUxRequest</item>
     <item>QWebSocket</item>
     <item>QWebSocketCorsAuthenticator</item>
+    <item>QWebSocketHandshakeOptions</item>
     <item>QWebSocketServer</item>
+    <item>QWGLContext</item>
     <item>QWGLNativeContext</item>
     <item>QWhatsThis</item>
     <item>QWhatsThisClickedEvent</item>
@@ -2325,6 +2698,9 @@
     <item>QWidgetAction</item>
     <item>QWidgetItem</item>
     <item>QWindow</item>
+    <item>QWindowCapture</item>
+    <item>QWindowsMimeConverter</item>
+    <item>QWindowsScreen</item>
     <item>QWindowStateChangeEvent</item>
     <item>QWindowsWindowFunctions</item>
     <item>QWinEventNotifier</item>
@@ -2339,6 +2715,7 @@
     <item>QWizard</item>
     <item>QWizardPage</item>
     <item>QWriteLocker</item>
+    <item>QX11Application</item>
     <item>QX11Info</item>
     <item>QXcbWindowFunctions</item>
     <item>QXmlAttributes</item>
@@ -2380,8 +2757,20 @@
     <item>QStringLiteral</item>
     <!-- Not actually classes, but namespaces -->
     <item>Qt</item>
+    <item>QNativeInterface</item>
+    <item>QQmlSA</item>
+    <item>QScxmlExecutableContent</item>
     <item>QTest</item>
+    <item>QWebEngineGlobalSettings</item>
+    <item>Qt3DAnimation</item>
+    <item>Qt3DCore</item>
+    <item>Qt3DExtras</item>
+    <item>Qt3DInput</item>
+    <item>Qt3DLogic</item>
+    <item>Qt3DRender</item>
     <item>QtConcurrent</item>
+    <item>QtFuture</item>
+    <item>QtProtobuf</item>
     <item>Phonon</item>
     <!-- Some public types, but not listed in main class list -->
     <item>QFileInfoList</item>
diff -pruN 6.0.0-2/data/syntax/cs.xml 6.3.0-1/data/syntax/cs.xml
--- 6.0.0-2/data/syntax/cs.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/cs.xml	2024-05-31 13:29:46.000000000 +0000
@@ -1,5 +1,5 @@
 <!DOCTYPE language>
-<language name="C#" version="13" kateversion="5.0" section="Sources" extensions="*.cs;*.ashx" mimetype="text/x-csharp-src;text/x-csharp-hde" indenter="cstyle" style="C++">
+<language name="C#" alternativeNames="CS;CSharp" version="14" kateversion="5.0" section="Sources" extensions="*.cs;*.ashx" mimetype="text/x-csharp-src;text/x-csharp-hde" indenter="cstyle" style="C++">
   <highlighting>
     <list name="keywords">
       <item>abstract</item>
diff -pruN 6.0.0-2/data/syntax/erlang.xml 6.3.0-1/data/syntax/erlang.xml
--- 6.0.0-2/data/syntax/erlang.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/erlang.xml	2024-05-31 13:29:46.000000000 +0000
@@ -36,7 +36,7 @@
                                    - fixed highlighting problem when '@' at end of atom/variable
 -->
 
-<language name="Erlang" version="6" kateversion="5.0" section="Scripts" extensions="*.erl" mimetype="" author="Bill Ross (bill@emailme.net.au)" license="LGPLv2">
+<language name="Erlang" alternativeNames="Erl" version="7" kateversion="5.0" section="Scripts" extensions="*.erl" mimetype="" author="Bill Ross (bill@emailme.net.au)" license="LGPLv2">
   <highlighting>
     <list name="keywords">
       <!-- ====== s3.8 p 24 of erlang spec ===== -->
diff -pruN 6.0.0-2/data/syntax/gpr.xml 6.3.0-1/data/syntax/gpr.xml
--- 6.0.0-2/data/syntax/gpr.xml	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/data/syntax/gpr.xml	2024-05-31 13:29:46.000000000 +0000
@@ -0,0 +1,390 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE language>
+<language name="GPRBuild"
+          version="1"
+          kateversion="5.79"
+          section="Sources"
+          extensions="*.gpr"
+          indenter="ada"
+          mimetype="text/x-adasrc"
+          author="Léo Germond (germond@adacore.com)"
+          license="MIT">
+  <highlighting>
+    <!-- https://github.com/AdaCore/gprbuild/blob/master/gpr/src/gpr-snames.adb -->
+    
+    <list name="keywords">
+      <item>c</item>
+      <item>abort</item>
+      <item>abs</item>
+      <item>accept</item>
+      <item>and</item>
+      <item>all</item>
+      <item>array</item>
+      <item>at</item>
+      <item>begin</item>
+      <item>body</item>
+      <item>case</item>
+      <item>constant</item>
+      <item>declare</item>
+      <item>delay</item>
+      <item>do</item>
+      <item>else</item>
+      <item>elsif</item>
+      <item>end</item>
+      <item>entry</item>
+      <item>exception</item>
+      <item>exit</item>
+      <item>for</item>
+      <item>function</item>
+      <item>generic</item>
+      <item>goto</item>
+      <item>if</item>
+      <item>in</item>
+      <item>is</item>
+      <item>limited</item>
+      <item>loop</item>
+      <item>new</item>
+      <item>not</item>
+      <item>null</item>
+      <item>of</item>
+      <item>or</item>
+      <item>others</item>
+      <item>out</item>
+      <item>package</item>
+      <item>pragma</item>
+      <item>private</item>
+      <item>procedure</item>
+      <item>raise</item>
+      <item>record</item>
+      <item>rem</item>
+      <item>renames</item>
+      <item>return</item>
+      <item>reverse</item>
+      <item>select</item>
+      <item>separate</item>
+      <item>subtype</item>
+      <item>task</item>
+      <item>terminate</item>
+      <item>then</item>
+      <item>type</item>
+      <item>use</item>
+      <item>when</item>
+      <item>while</item>
+      <item>with</item>
+      <item>xor</item>
+      <item>access</item>
+      <item>delta</item>
+      <item>digits</item>
+      <item>mod</item>
+      <item>range</item>
+      <item>abstract</item>
+      <item>aliased</item>
+      <item>protected</item>
+      <item>until</item>
+      <item>requeue</item>
+      <item>tagged</item>
+      <item>project</item>
+      <item>extends</item>
+      <item>external</item>
+      <item>external_as_list</item>
+      <item>interface</item>
+      <item>overriding</item>
+      <item>synchronized</item>
+      <item>some</item>
+      <item>active</item>
+      <item>aggregate</item>
+      <item>archive_builder</item>
+      <item>archive_builder_append_option</item>
+      <item>archive_indexer</item>
+      <item>archive_suffix</item>
+      <item>artifacts</item>
+      <item>artifacts_in_exec_dir</item>
+      <item>artifacts_in_object_dir</item>
+      <item>binder</item>
+      <item>bindfile_option_substitution</item>
+      <item>body_suffix</item>
+      <item>builder</item>
+      <item>clean</item>
+      <item>compiler</item>
+      <item>compiler_command</item>
+      <item>config_body_file_name</item>
+      <item>config_body_file_name_index</item>
+      <item>config_body_file_name_pattern</item>
+      <item>config_file_dependency_support</item>
+      <item>config_file_switches</item>
+      <item>config_file_unique</item>
+      <item>config_spec_file_name</item>
+      <item>config_spec_file_name_index</item>
+      <item>config_spec_file_name_pattern</item>
+      <item>configuration</item>
+      <item>cross_reference</item>
+      <item>def</item>
+      <item>default_language</item>
+      <item>default_switches</item>
+      <item>dependency_driver</item>
+      <item>dependency_kind</item>
+      <item>dependency_switches</item>
+      <item>driver</item>
+      <item>excluded_source_dirs</item>
+      <item>excluded_source_files</item>
+      <item>excluded_source_list_file</item>
+      <item>exec_dir</item>
+      <item>exec_subdir</item>
+      <item>excluded_patterns</item>
+      <item>executable</item>
+      <item>executable_suffix</item>
+      <item>externally_built</item>
+      <item>finder</item>
+      <item>flat</item>
+      <item>gcc</item>
+      <item>gcc_gnu</item>
+      <item>gcc_option_list</item>
+      <item>gcc_object_list</item>
+      <item>global_compilation_switches</item>
+      <item>global_configuration_pragmas</item>
+      <item>global_config_file</item>
+      <item>gnatls</item>
+      <item>gnatstub</item>
+      <item>gnu</item>
+      <item>ide</item>
+      <item>ignore_source_sub_dirs</item>
+      <item>implementation</item>
+      <item>implementation_exceptions</item>
+      <item>implementation_suffix</item>
+      <item>included_artifact_patterns</item>
+      <item>included_patterns</item>
+      <item>include_switches</item>
+      <item>include_path</item>
+      <item>include_path_file</item>
+      <item>inherit_source_path</item>
+      <item>install</item>
+      <item>install_project</item>
+      <item>languages</item>
+      <item>language_kind</item>
+      <item>leading_library_options</item>
+      <item>leading_required_switches</item>
+      <item>leading_switches</item>
+      <item>ali_subdir</item>
+      <item>lib_subdir</item>
+      <item>link_lib_subdir</item>
+      <item>library</item>
+      <item>library_ali_dir</item>
+      <item>library_auto_init</item>
+      <item>library_auto_init_supported</item>
+      <item>library_builder</item>
+      <item>library_dir</item>
+      <item>library_gcc</item>
+      <item>library_install_name_option</item>
+      <item>library_interface</item>
+      <item>library_kind</item>
+      <item>library_name</item>
+      <item>library_major_minor_id_supported</item>
+      <item>library_options</item>
+      <item>library_partial_linker</item>
+      <item>library_rpath_options</item>
+      <item>library_standalone</item>
+      <item>library_encapsulated_options</item>
+      <item>library_encapsulated_supported</item>
+      <item>library_src_dir</item>
+      <item>library_support</item>
+      <item>library_symbol_file</item>
+      <item>library_symbol_policy</item>
+      <item>library_version</item>
+      <item>library_version_switches</item>
+      <item>linker</item>
+      <item>linker_executable_option</item>
+      <item>linker_lib_dir_option</item>
+      <item>linker_lib_name_option</item>
+      <item>local_config_file</item>
+      <item>local_configuration_pragmas</item>
+      <item>locally_removed_files</item>
+      <item>map_file_option</item>
+      <item>mapping_file_switches</item>
+      <item>mapping_spec_suffix</item>
+      <item>mapping_body_suffix</item>
+      <item>max_command_line_length</item>
+      <item>metrics</item>
+      <item>multi_unit_object_separator</item>
+      <item>multi_unit_switches</item>
+      <item>naming</item>
+      <item>none</item>
+      <item>object_artifact_extensions</item>
+      <item>object_file_suffix</item>
+      <item>object_file_switches</item>
+      <item>object_generated</item>
+      <item>object_list</item>
+      <item>object_path_switches</item>
+      <item>objects_linked</item>
+      <item>objects_path</item>
+      <item>objects_path_file</item>
+      <item>object_dir</item>
+      <item>option_list</item>
+      <item>pic_option</item>
+      <item>pretty_printer</item>
+      <item>prefix</item>
+      <item>project_dir</item>
+      <item>project_files</item>
+      <item>project_path</item>
+      <item>project_subdir</item>
+      <item>remote</item>
+      <item>response_file_format</item>
+      <item>response_file_switches</item>
+      <item>root_dir</item>
+      <item>roots</item>
+      <item>required_artifacts</item>
+      <item>required_switches</item>
+      <item>run_path_option</item>
+      <item>run_path_origin</item>
+      <item>separate_run_path_options</item>
+      <item>shared_library_minimum_switches</item>
+      <item>shared_library_prefix</item>
+      <item>shared_library_suffix</item>
+      <item>separate_suffix</item>
+      <item>side_debug</item>
+      <item>source_artifact_extensions</item>
+      <item>source_dirs</item>
+      <item>source_file_switches</item>
+      <item>source_files</item>
+      <item>source_list_file</item>
+      <item>sources_subdir</item>
+      <item>spec</item>
+      <item>spec_suffix</item>
+      <item>specification</item>
+      <item>specification_exceptions</item>
+      <item>specification_suffix</item>
+      <item>stack</item>
+      <item>switches</item>
+      <item>symbolic_link_supported</item>
+      <item>toolchain_description</item>
+      <item>toolchain_version</item>
+      <item>trailing_required_switches</item>
+      <item>trailing_switches</item>
+      <item>runtime_library_dir</item>
+      <item>runtime_library_dirs</item>
+      <item>runtime_source_dir</item>
+      <item>ada</item>
+      <item>interfaces</item>
+      <item>main</item>
+      <item>target</item>
+      <item>casing</item>
+      <item>dot_replacement</item>
+      <item>standard</item>
+      <item>name</item>
+      <item>linker_options</item>
+      <item>runtime</item>
+      <item>mode</item>
+      <item>install_name</item>
+      <item>object_lister</item>
+      <item>object_lister_matcher</item>
+      <item>export_file_format</item>
+      <item>export_file_switch</item>
+      <item>runtime_source_dirs</item>
+      <item>runtime_dir</item>
+      <item>runtime_library_version</item>
+      <item>split</item>
+      <item>create_missing_dirs</item>
+      <item>canonical_target</item>
+      <item>warning_message</item>
+      <item>only_dirs_with_sources</item>
+      <item>include_switches_via_spec</item>
+      <item>required_toolchain_version</item>
+      <item>toolchain_name</item>
+      <item>check</item>
+      <item>eliminate</item>
+      <item>remote_host</item>
+      <item>program_host</item>
+      <item>communication_protocol</item>
+      <item>debugger_command</item>
+      <item>gnatlist</item>
+      <item>vcs_kind</item>
+      <item>vcs_file_check</item>
+      <item>vcs_log_check</item>
+      <item>documentation_dir</item>
+      <item>codepeer</item>
+      <item>output_directory</item>
+      <item>database_directory</item>
+      <item>message_patterns</item>
+      <item>additional_patterns</item>
+      <item>origin_project</item>
+      <item>library_reference_symbol_file</item>
+      <item>unconditional_linking</item>
+      <item>toolchain_path</item>
+    </list>
+
+    <list name="pragmas">
+    </list>
+
+    <list name="types">
+    </list>
+
+    <contexts>
+      <context attribute="Normal Text" lineEndContext="#stay" name="Default">
+        <DetectSpaces />
+
+        <StringDetect attribute="Region Marker" context="Region Marker" String="--  BEGIN" beginRegion="RegionMarker" firstNonSpace="true" />
+        <StringDetect attribute="Region Marker" context="Region Marker" String="--  END" endRegion="RegionMarker" firstNonSpace="true" />
+        <Detect2Chars attribute="Comment" context="Comment" char="-" char1="-"/>
+        <AnyChar attribute="Symbol" context="#stay" String=":!%&amp;()+,-/.*&lt;=&gt;|"/>
+        <DetectChar context="String" char="&quot;" lookAhead="1"/>
+
+        <WordDetect attribute="Keyword" context="#stay" String="record" insensitive="true" beginRegion="RecordRegion"/>
+        <WordDetect attribute="Keyword" context="#stay" String="case"   insensitive="true" beginRegion="CaseRegion"/>
+        <WordDetect attribute="Keyword" context="#stay" String="if"     insensitive="true" beginRegion="IfRegion"/>
+        <WordDetect attribute="Keyword" context="#stay" String="loop"   insensitive="true" beginRegion="LoopRegion"/>
+        <WordDetect attribute="Keyword" context="#stay" String="select" insensitive="true" beginRegion="SelectRegion"/>
+        <WordDetect attribute="Keyword" context="#stay" String="begin"  insensitive="true" beginRegion="BeginRegion"/>
+
+        <WordDetect attribute="Keyword" context="End"   String="end"    insensitive="true" lookAhead="1"/>
+        <WordDetect attribute="Keyword" context="Null"  String="null"   insensitive="true"/>
+
+        <keyword attribute="Keyword" context="#stay" String="keywords"/>
+       
+        <DetectIdentifier />
+      </context>
+
+      <context attribute="Keyword" lineEndContext="#pop" name="End">
+        <RegExpr    attribute="Keyword" context="#pop" String="end\s+record\b" insensitive="true"   endRegion="RecordRegion"/>
+        <RegExpr    attribute="Keyword" context="#pop" String="end\s+case\b"   insensitive="true"   endRegion="CaseRegion"/>
+        <RegExpr    attribute="Keyword" context="#pop" String="end\s+if\b"     insensitive="true"   endRegion="IfRegion"/>
+        <RegExpr    attribute="Keyword" context="#pop" String="end\s+loop\b"   insensitive="true"   endRegion="LoopRegion"/>
+        <RegExpr    attribute="Keyword" context="#pop" String="end\s+select\b" insensitive="true"   endRegion="SelectRegion"/>
+        <DetectIdentifier attribute="Keyword" context="#pop" endRegion="BeginRegion"/>
+      </context>
+
+      <context attribute="Normal Text" lineEndContext="#pop" name="Null" fallthroughContext="#pop">
+        <DetectSpaces attribute="Normal Text"/>
+        <WordDetect attribute="Keyword" context="#pop" String="record" insensitive="true"/>
+      </context>
+
+      <context attribute="Region Marker" lineEndContext="#pop" name="Region Marker">
+      </context>
+
+      <context attribute="String" lineEndContext="#pop" name="String" fallthroughContext="PartialString">
+        <RangeDetect attribute="String" context="#pop" char="&quot;" char1="&quot;"/>
+      </context>
+      <context attribute="String" lineEndContext="#pop#pop" name="PartialString">
+      </context>
+
+      <context attribute="Comment" lineEndContext="#pop" name="Comment">
+        <DetectSpaces attribute="Comment"/>
+        <IncludeRules context="##Comments" />
+        <DetectIdentifier attribute="Comment"/>
+      </context>
+    </contexts>
+    <itemDatas>
+      <itemData name="Normal Text" defStyleNum="dsNormal" />
+      <itemData name="Keyword"     defStyleNum="dsKeyword" />
+      <itemData name="String"      defStyleNum="dsString" />
+      <itemData name="Comment"     defStyleNum="dsComment" />
+      <itemData name="Symbol"      defStyleNum="dsOperator"/>
+      <itemData name="Region Marker" defStyleNum="dsRegionMarker" />
+    </itemDatas>
+  </highlighting>
+  <general>
+    <comments>
+      <comment name="singleLine" start="--" position="afterwhitespace" />
+    </comments>
+    <keywords casesensitive="0" />
+  </general>
+</language>
+<!-- kate: space-indent on; indent-width 2; replace-tabs on; -->
diff -pruN 6.0.0-2/data/syntax/graphql.xml 6.3.0-1/data/syntax/graphql.xml
--- 6.0.0-2/data/syntax/graphql.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/graphql.xml	2024-05-31 13:29:46.000000000 +0000
@@ -5,7 +5,7 @@
   Synatx: https://github.com/graphql/graphql-spec/blob/master/spec/Section%202%20- -%20Language.md
      and: https://github.com/graphql/graphql-spec/blob/master/spec/Appendix%20B%20- -%20Grammar%20Summary.md
 -->
-<language name="GraphQL" section="Other" version="3" kateversion="5.0" extensions="*.graphql" author="Volker Krause (vkrause@kde.org)" license="MIT">
+<language name="GraphQL" alternativeNames="GQL" section="Other" version="4" kateversion="5.0" extensions="*.graphql" author="Volker Krause (vkrause@kde.org)" license="MIT">
   <highlighting>
     <list name="listKeywords">
       <item>enum</item>
diff -pruN 6.0.0-2/data/syntax/haskell.xml 6.3.0-1/data/syntax/haskell.xml
--- 6.0.0-2/data/syntax/haskell.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/haskell.xml	2024-05-31 13:29:46.000000000 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE language [
   <!ENTITY symbolops "\-!#\$&#37;&amp;\*\+/&lt;=&gt;\?&#92;@\^\|~\.:">
 ]>
-<language name="Haskell" version="20" kateversion="5.53" section="Sources" extensions="*.hs;*.chs;*.hs-boot" mimetype="text/x-haskell" author="Nicolas Wu (zenzike@gmail.com)" license="LGPL" indenter="haskell" style="haskell">
+<language name="Haskell" alternativeNames="HS" version="21" kateversion="5.53" section="Sources" extensions="*.hs;*.chs;*.hs-boot" mimetype="text/x-haskell" author="Nicolas Wu (zenzike@gmail.com)" license="LGPL" indenter="haskell" style="haskell">
   <highlighting>
   <list name="keywords">
     <item>case</item>
diff -pruN 6.0.0-2/data/syntax/javascript.xml 6.3.0-1/data/syntax/javascript.xml
--- 6.0.0-2/data/syntax/javascript.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/javascript.xml	2024-05-31 13:29:46.000000000 +0000
@@ -23,7 +23,7 @@
    * QML
    * CoffeeScript (embedded)
 -->
-<language name="JavaScript" version="25" kateversion="5.53" section="Scripts" extensions="*.js;*.mjs;*.cjs;*.kwinscript;*.julius"
+<language name="JavaScript" alternativeNames="JS" version="26" kateversion="5.53" section="Scripts" extensions="*.js;*.mjs;*.cjs;*.kwinscript;*.julius"
           mimetype="text/x-javascript;application/x-javascript;application/javascript;text/javascript" indenter="cstyle"
           author="Anders Lund (anders@alweb.dk), Joseph Wenninger (jowenn@kde.org), Whitehawk Stormchaser (zerokode@gmx.net)" license="">
 
diff -pruN 6.0.0-2/data/syntax/julia.xml 6.3.0-1/data/syntax/julia.xml
--- 6.0.0-2/data/syntax/julia.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/julia.xml	2024-05-31 13:29:46.000000000 +0000
@@ -36,7 +36,7 @@
   <!ENTITY function_begin_boundary "(?:(?&lt;=[&function_disallowed_chars;!]|^)(?=[^&function_disallowed_first_char;]))">
 ]>
 
-<language name="Julia" style="julia" indenter="julia" section="Sources" version="14" kateversion="5.62" extensions="*.jl" casesensitive="1" priority="5" license="MIT">
+<language name="Julia" alternativeNames="JL" style="julia" indenter="julia" section="Sources" version="15" kateversion="5.62" extensions="*.jl" casesensitive="1" priority="5" license="MIT">
 
   <highlighting>
     <list name="cflow_begin">
diff -pruN 6.0.0-2/data/syntax/kotlin.xml 6.3.0-1/data/syntax/kotlin.xml
--- 6.0.0-2/data/syntax/kotlin.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/kotlin.xml	2024-05-31 13:29:46.000000000 +0000
@@ -8,7 +8,7 @@
     <!ENTITY hexfloat "\b0[xX](&hex;\.?+&hex;?+|\.&hex;?)[pP][-+]?&int;[fF]?\b">
 ]>
 <!-- kotlin language syntax http://kotlinlang.org -->
-<language name="Kotlin" version="11" kateversion="5.62" section="Sources" extensions="*.kt;*.kts" license="LGPLv2+" author="Sergey Mashkov (sergey.mashkov@jetbrains.com)" style="cstyle" indenter="cstyle">
+<language name="Kotlin" alternativeNames="KT" version="12" kateversion="5.62" section="Sources" extensions="*.kt;*.kts" license="LGPLv2+" author="Sergey Mashkov (sergey.mashkov@jetbrains.com)" style="cstyle" indenter="cstyle">
     <highlighting>
         <list name="keywords">
             <item>package</item>
diff -pruN 6.0.0-2/data/syntax/lilypond.xml 6.3.0-1/data/syntax/lilypond.xml
--- 6.0.0-2/data/syntax/lilypond.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/lilypond.xml	2024-05-31 13:29:46.000000000 +0000
@@ -23,7 +23,7 @@
   <!ENTITY markupnotextargs "arrow-head|beam|char|(semi|sesqui|double)?(flat|sharp)|draw-(circle|line)|epsfile|eyeglasses|filled-box|fret-diagram(-terse|-verbose)?|fromproperty|harp-pedal|(justify|wordwrap)-(field|string)|left-brace|lookup|markalphabet|markletter|musicglyph|natural|note-by-number|note|null|path|right-brace|simple|(back)?slashed-digit|stencil|strut|tied-lyric|triangle|verbatim-file">
   <!ENTITY markupwithtextargs "markup|bold|(rounded-)?box|bracket|caps|(center|general|left|right)-align|circle|((center|dir|left|right)-)?column|combine|concat|dynamic|fill-line|finger|fontCaps|(abs-)?fontsize|fraction|halign|hbracket|hcenter-in|hcenter|hspace|huge|italic|justify|larger?|line|lower|magnify|medium|normal-size-(sub|super)|normal-text|normalsize|number|on-the-fly|override|pad-(around|markup|to-box|x)|page-ref|postscript|put-adjacent|raise|roman|rotate|sans|small(er)?|smallCaps|sub|super|teeny|text|tiny|translate(-scaled)?|transparent|typewriter|underline|upright|vcenter|whiteout|with-(color|dimensions|url)|wordwrap|(markup|column-|justified-|override-|wordwrap-)lines|wordwrap-(string-)?internal">
   <!ENTITY deprecatedmarkup "bigger|h?center">
-  <!ENTITY headervars "dedication|(sub){,2}title|poet|composer|meter|opus|arranger|instrument|piece|breakbefore|copyright|tagline|mutopia(title|composer|poet|opus|instrument)|date|enteredby|source|style|maintainer(Email|Web)?|moreInfo|lastupdated|texidoc|footer">
+  <!ENTITY headervars "dedication|(?:sub){0,2}title|poet|composer|meter|opus|arranger|instrument|piece|breakbefore|copyright|tagline|mutopia(title|composer|poet|opus|instrument)|date|enteredby|source|style|maintainer(Email|Web)?|moreInfo|lastupdated|texidoc|footer">
 
   <!-- The '-new' entities are for for LilyPond 2.13.4 and higher, and '-old' for LilyPond up to 2.12 -->
   <!ENTITY paper-margin "(top|bottom|left|right)-margin|(foot|head)-separation|indent|short-indent|paper-(height|width)|horizontal-shift|line-width">
@@ -56,7 +56,7 @@
 ]>
 <language name="LilyPond" section="Other"
           style="lilypond" indenter="lilypond"
-          version="10" kateversion="5.0"
+          version="11" kateversion="5.0"
           extensions="*.ly;*.LY;*.ily;*.ILY;*.lyi;*.LYI"
           mimetype="text/x-lilypond"
           author="Wilbert Berendsen (info@wilbertberendsen.nl)" license="LGPL">
@@ -1076,7 +1076,7 @@
         <RegExpr String="(&quot;?)\b(?:&engravers00;|&engravers01;|&engravers02;|&engravers1;|&engravers2;)\b\1" attribute="Engraver"/>
         <keyword String="layoutobjects" attribute="Layout Object"/>
         <keyword String="properties" attribute="Property"/>
-        <RegExpr String="\b(&headervars;|&papervars;|&layoutvars;)\b" attribute="Variable"/>
+        <RegExpr String="\b(?:&headervars;|&papervars;|&layoutvars;)\b" attribute="Variable"/>
         <keyword String="deprecatedproperties" attribute="Deprecated Property"/>
         <IncludeRules context="default"/>
       </context>
diff -pruN 6.0.0-2/data/syntax/mapcss.xml 6.3.0-1/data/syntax/mapcss.xml
--- 6.0.0-2/data/syntax/mapcss.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/mapcss.xml	2024-05-31 13:29:46.000000000 +0000
@@ -4,7 +4,7 @@
   MapCSS: https://wiki.openstreetmap.org/wiki/MapCSS/0.2
   layer selector extension: https://wiki.openstreetmap.org/wiki/MapCSS/0.2/Proposal_layer_selector
 -->
-<language name="MapCSS" section="Markup" version="2" kateversion="5.0" extensions="*.mapcss" author="Volker Krause (vkrause@kde.org)" license="MIT">
+<language name="MapCSS" section="Markup" version="3" kateversion="5.0" extensions="*.mapcss" author="Volker Krause (vkrause@kde.org)" license="MIT">
   <highlighting>
     <list name="listKeywords">
       <item>@import</item>
@@ -114,7 +114,8 @@
         <keyword String="listFunctions" attribute="Function"/>
         <keyword String="listObjects" attribute="Type"/>
         <DetectChar char="*" attribute="Type"/>
-        <DetectChar attribute="String" context="ctxString" char="&quot;"/>
+        <DetectChar attribute="String" context="ctxDoubleQuoteString" char="&quot;"/>
+        <DetectChar attribute="String" context="ctxSingleQuoteString" char="'"/>
         <Detect2Chars attribute="Comment" context="ctxSingleLineComment" char="/" char1="/"/>
         <Detect2Chars attribute="Comment" context="ctxComment" char="/" char1="*" beginRegion="RegionComment"/>
         <RegExpr String="::\w+" context="#stay" attribute="Layer"/>
@@ -125,7 +126,8 @@
       <context name="ctxCondition" lineEndContext="#stay" attribute="Normal">
         <Float attribute="Float"/>
         <Int attribute="Decimal"/>
-        <DetectChar attribute="String" context="ctxString" char="&quot;"/>
+        <DetectChar attribute="String" context="ctxDoubleQuoteString" char="&quot;"/>
+        <DetectChar attribute="String" context="ctxSingleQuoteString" char="'"/>
         <DetectChar char="]" context="#pop"/>
       </context>
 
@@ -135,7 +137,8 @@
         <keyword String="listFunctions" attribute="Function"/>
         <keyword String="listObjects" attribute="Type"/>
         <keyword String="listProperties" attribute="Properties" context="ctxDeclaration"/>
-        <DetectChar attribute="String" context="ctxString" char="&quot;"/>
+        <DetectChar attribute="String" context="ctxDoubleQuoteString" char="&quot;"/>
+        <DetectChar attribute="String" context="ctxSingleQuoteString" char="'"/>
         <Detect2Chars attribute="Comment" context="ctxSingleLineComment" char="/" char1="/"/>
         <Detect2Chars attribute="Comment" context="ctxComment" char="/" char1="*" beginRegion="RegionComment"/>
         <RegExpr String="\.\w+" context="#stay" attribute="Class"/>
@@ -146,7 +149,8 @@
         <keyword String="listFunctions" attribute="Function"/>
         <Float attribute="Float"/>
         <Int attribute="Decimal"/>
-        <DetectChar attribute="String" context="ctxString" char="&quot;"/>
+        <DetectChar attribute="String" context="ctxDoubleQuoteString" char="&quot;"/>
+        <DetectChar attribute="String" context="ctxSingleQuoteString" char="'"/>
         <RegExpr String="#[0-9A-Fa-f]{3,8}" attribute="Color"/>
         <keyword String="listConstants" attribute="Constant"/>
         <keyword String="listUnits" attribute="Keyword"/>
@@ -155,10 +159,14 @@
         <RegExpr String="(?&lt;=-)\d+" attribute="Decimal"/>
       </context>
 
-      <context name="ctxString" attribute="String" lineEndContext="#pop">
+      <context name="ctxDoubleQuoteString" attribute="String" lineEndContext="#pop">
         <HlCStringChar attribute="Special Character" context="#stay"/>
         <DetectChar attribute="String" context="#pop" char="&quot;"/>
       </context>
+      <context name="ctxSingleQuoteString" attribute="String" lineEndContext="#pop">
+        <HlCStringChar attribute="Special Character" context="#stay"/>
+        <DetectChar attribute="String" context="#pop" char="'"/>
+      </context>
 
       <context name="ctxSingleLineComment" attribute="Comment" lineEndContext="#pop">
         <IncludeRules context="##Comments"/>
diff -pruN 6.0.0-2/data/syntax/nemerle.xml 6.3.0-1/data/syntax/nemerle.xml
--- 6.0.0-2/data/syntax/nemerle.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/nemerle.xml	2024-05-31 13:29:46.000000000 +0000
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE language>
 <!-- Nemerle syntax highlighting v0.2 by caminoix, approved of and corrected by Kamil Skalski (Nazgul) -->
-<language name="Nemerle" version="6" kateversion="5.0" section="Sources" extensions="*.n" mimetype="text/x-nemerle" casesensitive="1" author="caminoix + Kamil Skalski (Nazgul)" license="">
+<language name="Nemerle" alternativeNames="N" version="7" kateversion="5.0" section="Sources" extensions="*.n" mimetype="text/x-nemerle" casesensitive="1" author="caminoix + Kamil Skalski (Nazgul)" license="">
 	<highlighting>
 		<list name="Attributes">
 			<item>abstract</item>
diff -pruN 6.0.0-2/data/syntax/nix.xml 6.3.0-1/data/syntax/nix.xml
--- 6.0.0-2/data/syntax/nix.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/nix.xml	2024-05-31 13:29:46.000000000 +0000
@@ -4,7 +4,7 @@
 ]>
 
 <!--
-    SPDX-FileCopyrightText: 2021 Marco Rebhan <me@dblsaiko.net>
+    SPDX-FileCopyrightText: 2024 Marco Rebhan <me@dblsaiko.net>
     SPDX-FileContributor: Tuan Le <webmaster@michivi.com>
 
     SPDX-License-Identifier: MIT
@@ -12,7 +12,7 @@
 
 <language
     name="Nix"
-    version="2"
+    version="3"
     kateversion="5.79"
     section="Scripts"
     extensions="*.nix"
@@ -73,10 +73,15 @@
                 <RegExpr String="[a-zA-Z0-9-_.]*(/[a-zA-Z0-9-_.]+)+" attribute="Path" />
                 <Float attribute="Float" />
                 <Int attribute="Int" />
+                <DetectChar char="." attribute="Symbol" context="Set Access" />
                 <WordDetect String="true" attribute="Constant" />
                 <WordDetect String="false" attribute="Constant" />
                 <WordDetect String="null" attribute="Constant" />
             </context>
+            <context name="Set Access" attribute="Normal Text" lineEndContext="#stay">
+                <Detect2Chars char="$" char1="{" attribute="Special Char" context="#pop!Interpolated String" />
+                <DetectIdentifier context="#pop" />
+            </context>
             <context name="Parentheses" attribute="Normal Text" lineEndContext="#stay">
                 <DetectChar char=")" attribute="Symbol" context="#pop" />
 
@@ -129,6 +134,7 @@
                 <DetectChar char="=" attribute="Operator" context="Any Brace - Set Value" />
                 <DetectChar char="&quot;" attribute="String" context="Any Brace - String" />
                 <Detect2Chars char="'" char1="'" attribute="String" context="Any Brace - String2" />
+                <Detect2Chars char="$" char1="{" attribute="Special Char" context="Any Brace - Interpolated String" />
 
                 <DetectChar char="," attribute="Symbol" context="#pop!Set Expansion" />
                 <DetectChar char="?" attribute="Symbol" context="Any Brace - Default Value" />
@@ -146,11 +152,11 @@
                 <DetectChar char=";" attribute="Symbol" context="#pop#pop!Set" />
                 <IncludeRules context="Set Value" />
             </context>
-            <context name="Any Brace - String" attribute="Normal Text" lineEndContext="#stay">
+            <context name="Any Brace - String" attribute="String" lineEndContext="#stay">
                 <DetectChar char="&quot;" attribute="String" context="#pop#pop!Set" />
                 <IncludeRules context="String" />
             </context>
-            <context name="Any Brace - String2" attribute="Normal Text" lineEndContext="#stay">
+            <context name="Any Brace - String2" attribute="String" lineEndContext="#stay">
                 <Detect2Chars char="'" char1="'" attribute="String" context="#pop#pop!Set" />
                 <IncludeRules context="String" />
             </context>
@@ -158,6 +164,10 @@
                 <DetectChar char=";" attribute="Symbol" context="#pop#pop!Set" />
                 <IncludeRules context="Inherit" />
             </context>
+            <context name="Any Brace - Interpolated String" attribute="Normal Text">
+                <DetectChar char="}" attribute="Special Char" context="#pop!Set" />
+                <IncludeRules context="Interpolated String" />
+            </context>
             <context name="Any Brace - Default Value" attribute="Normal Text" lineEndContext="#stay">
                 <DetectChar char="," attribute="Symbol" context="#pop#pop!Set Expansion" />
                 <IncludeRules context="Default Value" />
@@ -168,12 +178,23 @@
                 <DetectChar char="&quot;" attribute="String" context="String" />
                 <Detect2Chars char="'" char1="'" attribute="String" context="String2" />
                 <DetectChar char="=" attribute="Operator" context="Set Value" />
+                <Detect2Chars char="$" char1="{" attribute="Special Char" context="Interpolated String" />
                 <RegExpr String="&ident;" attribute="Identifier" />
                 <IncludeRules context="Comment Rules" />
             </context>
             <context name="Inherit" attribute="Normal Text" lineEndContext="#stay">
-                <DetectChar char=";" attribute="Symbol" context="#pop" />
-                <IncludeRules context="Single Expression" />
+                <DetectChar char="(" attribute="Symbol" context="Inherit - Source" />
+                <DetectIdentifier attribute="Identifier" context="Inherit - Keys" />
+            </context>
+            <context name="Inherit - Source" attribute="Normal Text" lineEndContext="#stay">
+                <DetectChar char=")" attribute="Symbol" context="#pop!Inherit - Keys" />
+
+                <IncludeRules context="Parentheses" />
+            </context>
+            <context name="Inherit - Keys" attribute="Normal Text" lineEndContext="#stay">
+                <DetectChar char=";" attribute="Symbol" context="#pop#pop" />
+                <DetectChar char="(" attribute="Error" />
+                <DetectIdentifier attribute="Identifier" />
             </context>
 
             <context name="Set" attribute="Normal Text" lineEndContext="#stay">
diff -pruN 6.0.0-2/data/syntax/objectivec.xml 6.3.0-1/data/syntax/objectivec.xml
--- 6.0.0-2/data/syntax/objectivec.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/objectivec.xml	2024-05-31 13:29:46.000000000 +0000
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE language>
-<language name="Objective-C" version="7" kateversion="5.0" section="Sources" extensions="*.m;*.h" mimetype="text/x-objc-src;text/x-c-hdr">
+<language name="Objective-C" alternativeNames="ObjectiveC;ObjC" version="8" kateversion="5.0" section="Sources" extensions="*.m;*.h" mimetype="text/x-objc-src;text/x-c-hdr">
   <highlighting>
     <list name="keywords">
       <item>break</item>
diff -pruN 6.0.0-2/data/syntax/objectivecpp.xml 6.3.0-1/data/syntax/objectivecpp.xml
--- 6.0.0-2/data/syntax/objectivecpp.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/objectivecpp.xml	2024-05-31 13:29:46.000000000 +0000
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE language>
-<language name="Objective-C++" version="11" kateversion="5.0" section="Sources" extensions="*.mm;*.M;*.h" mimetype="text/x-objc++src;text/x-c-hdr" author="Gennady Telegin (gepo@lvk.cs.msu.su">
+<language name="Objective-C++" alternativeNames="ObjectiveC++;Objective-CPP;ObjectiveCPP;ObjC++;ObjCPP" version="12" kateversion="5.0" section="Sources" extensions="*.mm;*.M;*.h" mimetype="text/x-objc++src;text/x-c-hdr" author="Gennady Telegin (gepo@lvk.cs.msu.su">
   <highlighting>
     <list name="keywords">
       <item>break</item>
diff -pruN 6.0.0-2/data/syntax/perl.xml 6.3.0-1/data/syntax/perl.xml
--- 6.0.0-2/data/syntax/perl.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/perl.xml	2024-05-31 13:29:46.000000000 +0000
@@ -39,7 +39,7 @@
 
    Enhance tr/// and y/// support.
 -->
-<language name="Perl" version="19" kateversion="5.0" section="Scripts" extensions="*.pl;*.PL;*.pm" mimetype="application/x-perl;text/x-perl" priority="5" author="Anders Lund (anders@alweb.dk)" license="LGPLv2">
+<language name="Perl" alternativeNames="PL" version="20" kateversion="5.0" section="Scripts" extensions="*.pl;*.PL;*.pm" mimetype="application/x-perl;text/x-perl" priority="5" author="Anders Lund (anders@alweb.dk)" license="LGPLv2">
   <highlighting>
     <list name="keywords">
       <item>if</item>
diff -pruN 6.0.0-2/data/syntax/python.xml 6.3.0-1/data/syntax/python.xml
--- 6.0.0-2/data/syntax/python.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/python.xml	2024-05-31 13:29:46.000000000 +0000
@@ -53,7 +53,7 @@
 <!-- v2.07 add support for %prog and co, see bug 142832 -->
 <!-- v2.08 add missing overloaders, new Python 3 statements, builtins, and keywords -->
 <!-- v2.29 recognize escape sequenzes correctly -->
-<language name="Python" version="27" style="python" indenter="python" kateversion="5.0" section="Scripts" extensions="*.py;*.pyw;*.pyi;SConstruct;SConscript;*.FCMacro" mimetype="application/x-python;text/x-python;text/x-python3" casesensitive="1" author="Michael Bueker" license="">
+<language name="Python" alternativeNames="Py" version="28" style="python" indenter="python" kateversion="5.0" section="Scripts" extensions="*.py;*.pyw;*.pyi;SConstruct;SConscript;*.FCMacro" mimetype="application/x-python;text/x-python;text/x-python3" casesensitive="1" author="Michael Bueker" license="">
 	<highlighting>
 		<list name="import">
 			<item>import</item>
diff -pruN 6.0.0-2/data/syntax/ruby.xml 6.3.0-1/data/syntax/ruby.xml
--- 6.0.0-2/data/syntax/ruby.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/ruby.xml	2024-05-31 13:29:46.000000000 +0000
@@ -30,8 +30,8 @@
 -->
 
 <!-- Hold the "language" opening tag on a single line, as mentioned in "language.dtd". -->
-<language name="Ruby" section="Scripts"
-	  version="18" kateversion="5.0"
+<language name="Ruby" alternativeNames="RB;JRuby" section="Scripts"
+	  version="19" kateversion="5.0"
 	  extensions="*.rb;*.rjs;*.rxml;*.xml.erb;*.js.erb;*.rake;Rakefile;Gemfile;*.gemspec;Vagrantfile"
 	  mimetype="application/x-ruby"
 	  style="ruby" indenter="ruby"
diff -pruN 6.0.0-2/data/syntax/rust.xml 6.3.0-1/data/syntax/rust.xml
--- 6.0.0-2/data/syntax/rust.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/rust.xml	2024-05-31 13:29:46.000000000 +0000
@@ -40,7 +40,7 @@
 	<!ENTITY scope2 "::(?=[^\s\:])"> <!-- Points after keyword or group { } -->
 
 ]>
-<language name="Rust" version="14" kateversion="5.0" section="Sources" extensions="*.rs" mimetype="text/rust" indenter="cstyle" priority="15" license="MIT" author="The Rust Project Developers">
+<language name="Rust" alternativeNames="RS" version="15" kateversion="5.0" section="Sources" extensions="*.rs" mimetype="text/rust" indenter="cstyle" priority="15" license="MIT" author="The Rust Project Developers">
 <highlighting>
 	<list name="fn">
 		<item>fn</item>
diff -pruN 6.0.0-2/data/syntax/solidity.xml 6.3.0-1/data/syntax/solidity.xml
--- 6.0.0-2/data/syntax/solidity.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/solidity.xml	2024-05-31 13:29:46.000000000 +0000
@@ -2,8 +2,8 @@
 <!DOCTYPE language
 [
 ]>
-<language name="Solidity" section="Sources"
-          version="6" kateversion="5.0"
+<language name="Solidity" alternativeNames="Sol" section="Sources"
+          version="7" kateversion="5.0"
           indenter="cstyle"
           mimetype=""
           extensions="*.sol"
diff -pruN 6.0.0-2/data/syntax/stan.xml 6.3.0-1/data/syntax/stan.xml
--- 6.0.0-2/data/syntax/stan.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/stan.xml	2024-05-31 13:29:46.000000000 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE language>
 <language name="Stan"
           section="Scientific"
-          version="6"
+          version="7"
           kateversion="5.0"
           indenter="cstyle"
           extensions="*.stan;*.stanfunctions"
@@ -43,11 +43,15 @@
       <item>row_vector</item>
       <item>matrix</item>
       <item>array</item>
+      <item>tuple</item>
       <item>cholesky_factor_corr</item>
       <item>cholesky_factor_cov</item>
       <item>corr_matrix</item>
       <item>cov_matrix</item>
       <item>void</item>
+      <item>complex_matrix</item>
+      <item>complex_vector</item>
+      <item>complex_row_vector</item>
     </list>
     <contexts>
       <context attribute="Normal Text" lineEndContext="#stay" name="Normal">
diff -pruN 6.0.0-2/data/syntax/typescript.xml 6.3.0-1/data/syntax/typescript.xml
--- 6.0.0-2/data/syntax/typescript.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/typescript.xml	2024-05-31 13:29:46.000000000 +0000
@@ -67,7 +67,8 @@
 -->
 
 <language name="TypeScript"
-          version="17"
+          alternativeNames="TS"
+          version="18"
           kateversion="5.53"
           section="Scripts"
           extensions="*.ts;*.mts;*.cts"
diff -pruN 6.0.0-2/data/syntax/vue.xml 6.3.0-1/data/syntax/vue.xml
--- 6.0.0-2/data/syntax/vue.xml	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/data/syntax/vue.xml	2024-05-31 13:29:46.000000000 +0000
@@ -0,0 +1,252 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE language [
+<!ENTITY name "[A-Za-z_:][\w.:_-]*">
+<!ENTITY attributeName "[\@A-Za-z_:*#\(\[][\)\]\w.:_-]*">
+<!ENTITY entref "&amp;(?:#[0-9]+|#[xX][0-9A-Fa-f]+|&name;);">
+]>
+<language name="Vue" version="18" kateversion="5.79" section="Markup" extensions="*.vue" mimetype="text/html" author="James Zuccon" license="LGPL" priority="10">
+  <!--
+    This is a modified version of the HTML Syntax Highlighter to accommodate Vue JS template files (with some non-relevant parts removed).
+    While we could take the approach of just including rules from the HTML files, this introduces some problems:
+    1. Vue supports the <template> tag recursively - to support this, we would need to duplicate much of the HTML syntax file anyway.
+    2. Vue has some additional attributeName patterns that are not supported by HTML (e.g. '@' prefix as shorthand for events).
+    3. If we wanted to support Vue Attribute Bindings in future (e.g. :some-binded-param), we would have to duplicate much of the HTML syntax file  again.
+    4. If we wanted to support Vue JS Brackets in future (e.g. {{ echoSomeContent }}, we would also have to duplicate much of the HTML syntax file again.
+    If Syntax Highlighting supports over-riding third-party contexts at some point in future, it might be worth re-thinking how this file is constructed.
+    But, for now, it's probably saner to use HTML as the base template.
+    NOTE: We do not necessarily want to just integrate support for these features directly into the HTML syntax highlighter, as we want Vue to have its own mimetype.
+          One of the major reasons for this is so that we can identify Vue files for use with an LSP (e.g. Volar) in Kate.
+  -->
+  <highlighting>
+    <contexts>
+      <context name="Start" attribute="Normal Text" lineEndContext="#stay">
+        <IncludeRules context="FindHTML"/>
+      </context>
+      <context name="FindHTML" attribute="Normal Text" lineEndContext="#stay">
+        <DetectSpaces/>
+        <DetectIdentifier/>
+        <StringDetect attribute="Comment" context="Comment" String="&lt;!--" beginRegion="comment"/>
+        <IncludeRules context="FindElements"/>
+        <IncludeRules context="FindEntityRefs"/>
+      </context>
+      <context name="FindElements" attribute="Other Text" lineEndContext="#pop">
+        <RegExpr attribute="Element Symbols" context="ElementTagName" String="&lt;(?=(&name;))"/>
+        <RegExpr attribute="Element Symbols" context="ElementTagNameClose" String="&lt;/(?=(&name;))"/>
+      </context>
+      <context name="ElementTagName" attribute="Other Text" lineEndContext="#pop">
+        <IncludeRules context="FindHTMLTags"/>
+        <IncludeRules context="FindSpecialHTMLTags"/>
+        <StringDetect attribute="Element" context="#pop!El Open" String="%1" dynamic="true"/>
+      </context>
+      <context name="ElementTagNameClose" attribute="Other Text" lineEndContext="#pop">
+        <IncludeRules context="FindHTMLTagsClose"/>
+        <StringDetect attribute="Element" context="#pop!El Close" String="%1" dynamic="true"/>
+      </context>
+      <!-- This allows you to insert HTML tags in other syntax definitions -->
+      <context name="FindSpecialHTMLTags" attribute="Normal Text" lineEndContext="#stay">
+        <WordDetect attribute="Element" context="#pop!CSS" String="style" insensitive="true" beginRegion="style"/>
+        <WordDetect attribute="Element" context="#pop!JS" String="script" insensitive="true" beginRegion="script"/>
+      </context>
+      <context name="FindHTMLTags" attribute="Normal Text" lineEndContext="#stay">
+        <WordDetect attribute="Element" context="#pop!El Open" String="pre" insensitive="true" beginRegion="pre"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="div" insensitive="true" beginRegion="div"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="table" insensitive="true" beginRegion="table"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="ul" insensitive="true" beginRegion="ul"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="ol" insensitive="true" beginRegion="ol"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="dl" insensitive="true" beginRegion="dl"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="article" insensitive="true" beginRegion="article"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="aside" insensitive="true" beginRegion="aside"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="details" insensitive="true" beginRegion="details"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="figure" insensitive="true" beginRegion="figure"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="footer" insensitive="true" beginRegion="footer"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="header" insensitive="true" beginRegion="header"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="main" insensitive="true" beginRegion="main"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="nav" insensitive="true" beginRegion="nav"/>
+        <WordDetect attribute="Element" context="#pop!El Open" String="section" insensitive="true" beginRegion="section"/>
+      </context>
+      <context name="FindHTMLTagsClose" attribute="Normal Text" lineEndContext="#stay">
+        <WordDetect attribute="Element" context="#pop!El Close" String="pre" insensitive="true" endRegion="pre"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="div" insensitive="true" endRegion="div"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="table" insensitive="true" endRegion="table"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="ul" insensitive="true" endRegion="ul"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="ol" insensitive="true" endRegion="ol"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="dl" insensitive="true" endRegion="dl"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="article" insensitive="true" endRegion="article"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="aside" insensitive="true" endRegion="aside"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="details" insensitive="true" endRegion="details"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="figure" insensitive="true" endRegion="figure"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="footer" insensitive="true" endRegion="footer"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="header" insensitive="true" endRegion="header"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="main" insensitive="true" endRegion="main"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="nav" insensitive="true" endRegion="nav"/>
+        <WordDetect attribute="Element" context="#pop!El Close" String="section" insensitive="true" endRegion="section"/>
+      </context>
+      <context name="FindEntityRefs" attribute="Other Text" lineEndContext="#stay">
+        <RegExpr attribute="EntityRef" context="#stay" String="&entref;"/>
+        <AnyChar attribute="Error" context="#stay" String="&amp;&lt;"/>
+      </context>
+      <context name="FindAttributes" attribute="Other Text" lineEndContext="#stay">
+        <DetectChar attribute="Attribute Separator" context="Value" char="="/>
+        <RegExpr attribute="Attribute" context="#stay" String="(^|\s+)&attributeName;(\s+&attributeName;)*\s*|\s+"/>
+      </context>
+      <context name="Comment" attribute="Comment" lineEndContext="#stay">
+        <DetectSpaces/>
+        <StringDetect attribute="Comment" context="#pop" String="--&gt;" endRegion="comment"/>
+        <IncludeRules context="##Comments"/>
+        <DetectIdentifier/>
+        <RegExpr attribute="Error" context="#stay" String="-(?:-(?!-&gt;))+"/>
+      </context>
+      <context name="El Open" attribute="Error" lineEndContext="#stay">
+        <Detect2Chars attribute="Element Symbols" context="#pop" char="/" char1="&gt;"/>
+        <DetectChar attribute="Element Symbols" context="#pop" char="&gt;"/>
+        <IncludeRules context="FindAttributes"/>
+      </context>
+      <context name="El Close" attribute="Other Text" lineEndContext="#stay">
+        <DetectChar attribute="Element Symbols" context="#pop" char="&gt;"/>
+        <RegExpr attribute="Error" context="#stay" String="\S"/>
+      </context>
+      <context name="CSS" attribute="Error" lineEndContext="#stay">
+        <RegExpr attribute="Attribute" context="Style-Type" String="(?:\s+|^)lang(?=\=|\s|$)" insensitive="true"/>
+        <Detect2Chars attribute="Element Symbols" context="#pop" char="/" char1="&gt;" endRegion="style"/>
+        <DetectChar attribute="Element Symbols" context="CSS content" char="&gt;"/>
+        <IncludeRules context="FindAttributes"/>
+      </context>
+      <context name="DefaultCSS" attribute="Other Text" lineEndContext="#stay">
+        <Detect2Chars attribute="Element Symbols" context="#pop" char="/" char1="&gt;" endRegion="style"/>
+        <DetectChar attribute="Attribute Separator" context="Value" char="="/>
+        <RegExpr attribute="Attribute" context="#stay" String="(^|\s+)&attributeName;|\s+"/>
+      </context>
+      <context name="CSS content" attribute="Other Text" lineEndContext="#stay">
+        <RegExpr attribute="Element Symbols" context="StyleTagClose" String="&lt;/(?=style\b)" insensitive="true"/>
+        <IncludeRules context="##CSS" includeAttrib="true"/>
+      </context>
+      <context name="Default CSS content" attribute="Other Text" lineEndContext="#stay">
+        <IncludeRules context="FindStyleTagClose"/>
+      </context>
+      <context name="FindStyleTagClose" attribute="Other Text" lineEndContext="#stay">
+        <RegExpr attribute="Element Symbols" context="StyleTagClose" String="&lt;/(?=style\b)" insensitive="true"/>
+      </context>
+      <context name="StyleTagClose" attribute="Other Text" lineEndContext="#stay">
+        <DetectIdentifier attribute="Element" context="#pop#pop#pop!El Close" endRegion="style"/>
+      </context>
+      <context name="JS" attribute="Error" lineEndContext="#stay">
+        <RegExpr attribute="Attribute" context="Script-Type" String="(?:\s+|^)lang(?=\=|\s|$)" insensitive="true"/>
+        <DetectChar attribute="Element Symbols" context="JS content" char="&gt;"/>
+        <IncludeRules context="DefaultJS"/>
+      </context>
+      <context name="DefaultJS" attribute="Other Text" lineEndContext="#stay">
+        <Detect2Chars attribute="Element Symbols" context="#pop" char="/" char1="&gt;" endRegion="script"/>
+        <DetectChar attribute="Attribute Separator" context="Value" char="="/>
+        <RegExpr attribute="Attribute" context="#stay" String="(^|\s+)&attributeName;|\s+"/>
+      </context>
+      <context name="JS content" attribute="Other Text" lineEndContext="#stay">
+        <IncludeRules context="Default JS content"/>
+        <IncludeRules context="Normal##JavaScript" includeAttrib="true"/>
+      </context>
+      <context name="Default JS content" attribute="Other Text" lineEndContext="#stay">
+        <IncludeRules context="FindScriptTagClose"/>
+        <RegExpr attribute="Comment" context="JS comment close" String="//(?=.*&lt;/script\b)" insensitive="true"/>
+      </context>
+      <context name="FindScriptTagClose" attribute="Other Text" lineEndContext="#stay">
+        <RegExpr attribute="Element Symbols" context="ScriptTagClose" String="&lt;/(?=script\b)" insensitive="true"/>
+      </context>
+      <context name="ScriptTagClose" attribute="Other Text" lineEndContext="#stay">
+        <DetectIdentifier attribute="Element" context="#pop#pop#pop!El Close" endRegion="script"/>
+      </context>
+      <context name="JS comment close" attribute="Comment" lineEndContext="#pop">
+        <RegExpr attribute="Element Symbols" context="#pop!ScriptTagClose" String="&lt;/(?=script\b)" insensitive="true"/>
+        <DetectSpaces/>
+        <IncludeRules context="##Comments"/>
+      </context>
+      <context name="Value" attribute="Other Text" lineEndContext="#stay" fallthroughContext="Value NQ">
+        <DetectChar attribute="Value" context="Value DQ" char="&quot;"/>
+        <DetectChar attribute="Value" context="Value SQ" char="'"/>
+        <DetectSpaces/>
+      </context>
+      <context name="Value NQ" attribute="Other Text" lineEndContext="#pop#pop" fallthroughContext="#pop#pop">
+        <!-- '{' and '}' are valid, but used with twig -->
+        <RegExpr attribute="Value" String="[^&gt;&lt;&quot;'&amp;\s=`{}]+"/>
+        <IncludeRules context="FindEntityRefs"/>
+        <AnyChar attribute="Error" String="&quot;'`="/>
+        <AnyChar attribute="Value" String="{}"/>
+      </context>
+      <context name="Value DQ" attribute="Value" lineEndContext="#stay">
+        <DetectChar attribute="Value" context="#pop#pop" char="&quot;"/>
+        <IncludeRules context="FindEntityRefs"/>
+      </context>
+      <context name="Value SQ" attribute="Value" lineEndContext="#stay">
+        <DetectChar attribute="Value" context="#pop#pop" char="'"/>
+        <IncludeRules context="FindEntityRefs"/>
+      </context>
+      <!-- Read content from the "lang" attribute to change the language to
+       highlight in the <style> tag. The default language is CSS. -->
+      <context name="Style-Type" attribute="Other Text" lineEndContext="#stay" fallthroughContext="#pop">
+        <DetectSpaces/>
+        <DetectChar attribute="Attribute" context="#pop!Style-Type Value" char="="/>
+      </context>
+      <context name="Style-Type Value" attribute="Other Text" lineEndContext="#stay" fallthroughContext="#pop!Value">
+        <DetectSpaces/>
+        <!-- SASS -->
+        <StringDetect attribute="Value" context="#pop#pop!SASS" String="&quot;sass&quot;"/>
+        <StringDetect attribute="Value" context="#pop#pop!SASS" String="'sass'"/>
+        <!-- SCSS -->
+        <StringDetect attribute="Value" context="#pop#pop!SCSS" String="&quot;scss&quot;"/>
+        <StringDetect attribute="Value" context="#pop#pop!SCSS" String="'scss'"/>
+      </context>
+      <context name="SASS" attribute="Error" lineEndContext="#stay">
+        <DetectChar attribute="Element Symbols" context="SASS content" char="&gt;"/>
+        <IncludeRules context="DefaultCSS"/>
+      </context>
+      <context name="SASS content" attribute="Other Text" lineEndContext="#stay">
+        <IncludeRules context="Default CSS content"/>
+        <IncludeRules context="##SASS" includeAttrib="true"/>
+      </context>
+      <context name="SCSS" attribute="Error" lineEndContext="#stay">
+        <DetectChar attribute="Element Symbols" context="SCSS content" char="&gt;"/>
+        <IncludeRules context="DefaultCSS"/>
+      </context>
+      <context name="SCSS content" attribute="Other Text" lineEndContext="#stay">
+        <IncludeRules context="Default CSS content"/>
+        <IncludeRules context="##SCSS" includeAttrib="true"/>
+      </context>
+      <!-- Read content from the "lang" attribute to change the language to
+       highlight in the <script> tag. The default language is JavaScript. -->
+      <context name="Script-Type" attribute="Other Text" lineEndContext="#stay" fallthroughContext="#pop">
+        <DetectSpaces/>
+        <DetectChar attribute="Attribute" context="#pop!Script-Type Value" char="="/>
+      </context>
+      <context name="Script-Type Value" attribute="Other Text" lineEndContext="#stay" fallthroughContext="#pop!Value">
+        <DetectSpaces/>
+        <!-- TypeScript -->
+        <StringDetect attribute="Value" context="#pop#pop!TypeScript" String="&quot;ts&quot;"/>
+        <StringDetect attribute="Value" context="#pop#pop!TypeScript" String="'ts'"/>
+      </context>
+      <context name="TypeScript" attribute="Error" lineEndContext="#stay">
+        <DetectChar attribute="Element Symbols" context="TypeScript content" char="&gt;"/>
+        <IncludeRules context="DefaultJS"/>
+      </context>
+      <context name="TypeScript content" attribute="Other Text" lineEndContext="#stay">
+        <IncludeRules context="Default JS content"/>
+        <IncludeRules context="Normal##TypeScript" includeAttrib="true"/>
+      </context>
+    </contexts>
+    <itemDatas>
+      <itemData name="Normal Text" defStyleNum="dsNormal"/>
+      <itemData name="Other Text" defStyleNum="dsNormal" spellChecking="false"/>
+      <itemData name="Comment" defStyleNum="dsComment"/>
+      <itemData name="Element" defStyleNum="dsKeyword" spellChecking="false"/>
+      <itemData name="Element Symbols" defStyleNum="dsDataType" spellChecking="false"/>
+      <itemData name="Attribute" defStyleNum="dsOthers" spellChecking="false"/>
+      <itemData name="Attribute Separator" defStyleNum="dsOperator" spellChecking="false"/>
+      <itemData name="Value" defStyleNum="dsString" spellChecking="false"/>
+      <itemData name="EntityRef" defStyleNum="dsDecVal" spellChecking="false"/>
+      <itemData name="Error" defStyleNum="dsError" spellChecking="false"/>
+    </itemDatas>
+  </highlighting>
+  <general>
+    <comments>
+      <comment name="multiLine" start="&lt;!--" end="--&gt;" region="comment"/>
+    </comments>
+  </general>
+</language>
+<!-- kate: replace-tabs on; tab-width 2; indent-width 2; -->
diff -pruN 6.0.0-2/data/syntax/xml.xml 6.3.0-1/data/syntax/xml.xml
--- 6.0.0-2/data/syntax/xml.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/xml.xml	2024-05-31 13:29:46.000000000 +0000
@@ -6,7 +6,7 @@
 	<!ENTITY name    "(?![0-9])[\w_:][\w.:_-]*">
 	<!ENTITY entref  "&amp;(?:#[0-9]+|#[xX][0-9A-Fa-f]+|&name;);">
 ]>
-<language name="XML" version="20" kateversion="5.0" section="Markup" extensions="*.page;*.docbook;*.xml;*ui.rc;*.daml;*.rdf;*.rss;*.xspf;*.xsd;*.svg;*.ui;*.kcfg;*.qrc;*.wsdl;*.scxml;*.xbel;*.dae;*.sch;*.brd" mimetype="text/xml;text/book;text/daml;text/rdf;application/rss+xml;application/xspf+xml;image/svg+xml;application/x-designer;application/x-xbel;application/xml;application/scxml+xml;application/vnd.oasis.opendocument.text-flat-xml;application/vnd.oasis.opendocument.graphics-flat-xml;application/vnd.oasis.opendocument.presentation-flat-xml;application/vnd.oasis.opendocument.spreadsheet-flat-xml;application/gpx+xml" casesensitive="1" indenter="xml" author="Wilbert Berendsen (wilbert@kde.nl)" license="LGPL">
+<language name="XML" version="21" kateversion="5.0" section="Markup" extensions="*.page;*.docbook;*.xml;*ui.rc;*.daml;*.rdf;*.rss;*.xspf;*.xsd;*.svg;*.ui;*.kcfg;*.qrc;*.wsdl;*.scxml;*.xbel;*.dae;*.sch;*.brd;*.fb2" mimetype="text/xml;text/book;text/daml;text/rdf;application/rss+xml;application/xspf+xml;image/svg+xml;application/x-designer;application/x-xbel;application/xml;application/scxml+xml;application/vnd.oasis.opendocument.text-flat-xml;application/vnd.oasis.opendocument.graphics-flat-xml;application/vnd.oasis.opendocument.presentation-flat-xml;application/vnd.oasis.opendocument.spreadsheet-flat-xml;application/gpx+xml;application/x-fictionbook+xml" casesensitive="1" indenter="xml" author="Wilbert Berendsen (wilbert@kde.nl)" license="LGPL">
 
 <highlighting>
 <contexts>
diff -pruN 6.0.0-2/data/syntax/yaml.xml 6.3.0-1/data/syntax/yaml.xml
--- 6.0.0-2/data/syntax/yaml.xml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/syntax/yaml.xml	2024-05-31 13:29:46.000000000 +0000
@@ -53,7 +53,7 @@
 <!-- Modifications (YAML 1.2), values & support for literal/folded style:
        Nibaldo González S. <nibgonz@gmail.com>
        These modifications are under the MIT license. //-->
-<language name="YAML" version="11" kateversion="5.0" section="Markup"
+<language name="YAML" alternativeNames="YML" version="12" kateversion="5.0" section="Markup"
           extensions="*.yaml;*.yml" mimetype="text/yaml" priority="9"
           author="Dr Orlovsky MA (dr.orlovsky@gmail.com), Nibaldo González (nibgonz@gmail.com)" license="LGPL">
   <highlighting>
diff -pruN 6.0.0-2/data/themes/catppuccin-frappe.theme 6.3.0-1/data/themes/catppuccin-frappe.theme
--- 6.0.0-2/data/themes/catppuccin-frappe.theme	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/themes/catppuccin-frappe.theme	2024-05-31 13:29:46.000000000 +0000
@@ -167,7 +167,6 @@
                 "text-color": "#c6d0f5"
             },
             "Region Marker": {
-                "italic": true,
                 "selected-text-color": "#838ba7",
                 "text-color": "#838ba7"
             },
@@ -195,10 +194,6 @@
             }
         },
         "CSS": {
-            "Annotation": {
-                "selected-text-color": "#babbf1",
-                "text-color": "#babbf1"
-            },
             "At Rule": {
                 "italic": true,
                 "selected-text-color": "#e78284",
@@ -233,7 +228,6 @@
                 "text-color": "#8caaee"
             },
             "Selector Pseudo": {
-                "italic": false,
                 "selected-text-color": "#81c8be",
                 "text-color": "#81c8be"
             },
@@ -351,11 +345,38 @@
                 "bold": true
             }
         },
+        "Godot": {
+            "Definition Keyword": {
+                "italic": true,
+                "selected-text-color": "#e5c890",
+                "text-color": "#e5c890"
+            },
+            "Function Call": {
+                "italic": true
+            },
+            "Special Variable": {
+                "selected-text-color": "#ef9f76",
+                "text-color": "#ef9f76"
+            },
+            "UnusedVariable": {
+                "italic": false,
+                "selected-text-color": "#c6d0f5",
+                "text-color": "#c6d0f5"
+            }
+        },
         "HTML": {
             "Attribute": {
+                "selected-text-color": "#e5c890",
+                "text-color": "#e5c890"
+            },
+            "Element": {
                 "selected-text-color": "#8caaee",
                 "text-color": "#8caaee"
             },
+            "Element Symbols": {
+                "selected-text-color": "#81c8be",
+                "text-color": "#81c8be"
+            },
             "Other Text": {
                 "selected-text-color": "#8caaee",
                 "text-color": "#8caaee"
@@ -452,7 +473,6 @@
                 "text-color": "#c6d0f5"
             },
             "Object Method (Built-in)": {
-                "italic": false,
                 "selected-text-color": "#c6d0f5",
                 "text-color": "#c6d0f5"
             },
@@ -469,7 +489,6 @@
                 "text-color": "#c6d0f5"
             },
             "Reserved": {
-                "italic": false,
                 "selected-text-color": "#c6d0f5",
                 "text-color": "#c6d0f5"
             },
@@ -736,8 +755,7 @@
             "Reference-Link Target: Link": {
                 "italic": true,
                 "selected-text-color": "#f2d5cf",
-                "text-color": "#f2d5cf",
-                "underline": false
+                "text-color": "#f2d5cf"
             },
             "Reference-Link: Email": {
                 "selected-text-color": "#f2d5cf",
@@ -1019,7 +1037,7 @@
         ],
         "license": "SPDX-License-Identifier: MIT",
         "name": "Catppuccin Frappé",
-        "revision": 2
+        "revision": 3
     },
     "text-styles": {
         "Alert": {
@@ -1036,8 +1054,8 @@
             "text-color": "#babbf1"
         },
         "BaseN": {
-            "selected-text-color": "#e78284",
-            "text-color": "#e78284"
+            "selected-text-color": "#ef9f76",
+            "text-color": "#ef9f76"
         },
         "BuiltIn": {
             "selected-text-color": "#e78284",
@@ -1058,8 +1076,8 @@
             "text-color": "#737994"
         },
         "Constant": {
-            "selected-text-color": "#8caaee",
-            "text-color": "#8caaee"
+            "selected-text-color": "#ef9f76",
+            "text-color": "#ef9f76"
         },
         "ControlFlow": {
             "selected-text-color": "#ca9ee6",
diff -pruN 6.0.0-2/data/themes/catppuccin-latte.theme 6.3.0-1/data/themes/catppuccin-latte.theme
--- 6.0.0-2/data/themes/catppuccin-latte.theme	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/themes/catppuccin-latte.theme	2024-05-31 13:29:46.000000000 +0000
@@ -167,7 +167,6 @@
                 "text-color": "#4c4f69"
             },
             "Region Marker": {
-                "italic": true,
                 "selected-text-color": "#8c8fa1",
                 "text-color": "#8c8fa1"
             },
@@ -195,10 +194,6 @@
             }
         },
         "CSS": {
-            "Annotation": {
-                "selected-text-color": "#7287fd",
-                "text-color": "#7287fd"
-            },
             "At Rule": {
                 "italic": true,
                 "selected-text-color": "#d20f39",
@@ -233,7 +228,6 @@
                 "text-color": "#1e66f5"
             },
             "Selector Pseudo": {
-                "italic": false,
                 "selected-text-color": "#179299",
                 "text-color": "#179299"
             },
@@ -351,11 +345,38 @@
                 "bold": true
             }
         },
+        "Godot": {
+            "Definition Keyword": {
+                "italic": true,
+                "selected-text-color": "#df8e1d",
+                "text-color": "#df8e1d"
+            },
+            "Function Call": {
+                "italic": true
+            },
+            "Special Variable": {
+                "selected-text-color": "#fe640b",
+                "text-color": "#fe640b"
+            },
+            "UnusedVariable": {
+                "italic": false,
+                "selected-text-color": "#4c4f69",
+                "text-color": "#4c4f69"
+            }
+        },
         "HTML": {
             "Attribute": {
+                "selected-text-color": "#df8e1d",
+                "text-color": "#df8e1d"
+            },
+            "Element": {
                 "selected-text-color": "#1e66f5",
                 "text-color": "#1e66f5"
             },
+            "Element Symbols": {
+                "selected-text-color": "#179299",
+                "text-color": "#179299"
+            },
             "Other Text": {
                 "selected-text-color": "#1e66f5",
                 "text-color": "#1e66f5"
@@ -452,7 +473,6 @@
                 "text-color": "#4c4f69"
             },
             "Object Method (Built-in)": {
-                "italic": false,
                 "selected-text-color": "#4c4f69",
                 "text-color": "#4c4f69"
             },
@@ -469,7 +489,6 @@
                 "text-color": "#4c4f69"
             },
             "Reserved": {
-                "italic": false,
                 "selected-text-color": "#4c4f69",
                 "text-color": "#4c4f69"
             },
@@ -736,8 +755,7 @@
             "Reference-Link Target: Link": {
                 "italic": true,
                 "selected-text-color": "#dc8a78",
-                "text-color": "#dc8a78",
-                "underline": false
+                "text-color": "#dc8a78"
             },
             "Reference-Link: Email": {
                 "selected-text-color": "#dc8a78",
@@ -1019,7 +1037,7 @@
         ],
         "license": "SPDX-License-Identifier: MIT",
         "name": "Catppuccin Latte",
-        "revision": 2
+        "revision": 3
     },
     "text-styles": {
         "Alert": {
@@ -1036,8 +1054,8 @@
             "text-color": "#7287fd"
         },
         "BaseN": {
-            "selected-text-color": "#d20f39",
-            "text-color": "#d20f39"
+            "selected-text-color": "#fe640b",
+            "text-color": "#fe640b"
         },
         "BuiltIn": {
             "selected-text-color": "#d20f39",
@@ -1058,8 +1076,8 @@
             "text-color": "#9ca0b0"
         },
         "Constant": {
-            "selected-text-color": "#1e66f5",
-            "text-color": "#1e66f5"
+            "selected-text-color": "#fe640b",
+            "text-color": "#fe640b"
         },
         "ControlFlow": {
             "selected-text-color": "#8839ef",
diff -pruN 6.0.0-2/data/themes/catppuccin-macchiato.theme 6.3.0-1/data/themes/catppuccin-macchiato.theme
--- 6.0.0-2/data/themes/catppuccin-macchiato.theme	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/themes/catppuccin-macchiato.theme	2024-05-31 13:29:46.000000000 +0000
@@ -167,7 +167,6 @@
                 "text-color": "#cad3f5"
             },
             "Region Marker": {
-                "italic": true,
                 "selected-text-color": "#8087a2",
                 "text-color": "#8087a2"
             },
@@ -195,10 +194,6 @@
             }
         },
         "CSS": {
-            "Annotation": {
-                "selected-text-color": "#b7bdf8",
-                "text-color": "#b7bdf8"
-            },
             "At Rule": {
                 "italic": true,
                 "selected-text-color": "#ed8796",
@@ -233,7 +228,6 @@
                 "text-color": "#8aadf4"
             },
             "Selector Pseudo": {
-                "italic": false,
                 "selected-text-color": "#8bd5ca",
                 "text-color": "#8bd5ca"
             },
@@ -351,11 +345,38 @@
                 "bold": true
             }
         },
+        "Godot": {
+            "Definition Keyword": {
+                "italic": true,
+                "selected-text-color": "#eed49f",
+                "text-color": "#eed49f"
+            },
+            "Function Call": {
+                "italic": true
+            },
+            "Special Variable": {
+                "selected-text-color": "#f5a97f",
+                "text-color": "#f5a97f"
+            },
+            "UnusedVariable": {
+                "italic": false,
+                "selected-text-color": "#cad3f5",
+                "text-color": "#cad3f5"
+            }
+        },
         "HTML": {
             "Attribute": {
+                "selected-text-color": "#eed49f",
+                "text-color": "#eed49f"
+            },
+            "Element": {
                 "selected-text-color": "#8aadf4",
                 "text-color": "#8aadf4"
             },
+            "Element Symbols": {
+                "selected-text-color": "#8bd5ca",
+                "text-color": "#8bd5ca"
+            },
             "Other Text": {
                 "selected-text-color": "#8aadf4",
                 "text-color": "#8aadf4"
@@ -452,7 +473,6 @@
                 "text-color": "#cad3f5"
             },
             "Object Method (Built-in)": {
-                "italic": false,
                 "selected-text-color": "#cad3f5",
                 "text-color": "#cad3f5"
             },
@@ -469,7 +489,6 @@
                 "text-color": "#cad3f5"
             },
             "Reserved": {
-                "italic": false,
                 "selected-text-color": "#cad3f5",
                 "text-color": "#cad3f5"
             },
@@ -736,8 +755,7 @@
             "Reference-Link Target: Link": {
                 "italic": true,
                 "selected-text-color": "#f4dbd6",
-                "text-color": "#f4dbd6",
-                "underline": false
+                "text-color": "#f4dbd6"
             },
             "Reference-Link: Email": {
                 "selected-text-color": "#f4dbd6",
@@ -1019,7 +1037,7 @@
         ],
         "license": "SPDX-License-Identifier: MIT",
         "name": "Catppuccin Macchiato",
-        "revision": 2
+        "revision": 3
     },
     "text-styles": {
         "Alert": {
@@ -1036,8 +1054,8 @@
             "text-color": "#b7bdf8"
         },
         "BaseN": {
-            "selected-text-color": "#ed8796",
-            "text-color": "#ed8796"
+            "selected-text-color": "#f5a97f",
+            "text-color": "#f5a97f"
         },
         "BuiltIn": {
             "selected-text-color": "#ed8796",
@@ -1058,8 +1076,8 @@
             "text-color": "#6e738d"
         },
         "Constant": {
-            "selected-text-color": "#8aadf4",
-            "text-color": "#8aadf4"
+            "selected-text-color": "#f5a97f",
+            "text-color": "#f5a97f"
         },
         "ControlFlow": {
             "selected-text-color": "#c6a0f6",
diff -pruN 6.0.0-2/data/themes/catppuccin-mocha.theme 6.3.0-1/data/themes/catppuccin-mocha.theme
--- 6.0.0-2/data/themes/catppuccin-mocha.theme	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/data/themes/catppuccin-mocha.theme	2024-05-31 13:29:46.000000000 +0000
@@ -167,7 +167,6 @@
                 "text-color": "#cdd6f4"
             },
             "Region Marker": {
-                "italic": true,
                 "selected-text-color": "#7f849c",
                 "text-color": "#7f849c"
             },
@@ -195,10 +194,6 @@
             }
         },
         "CSS": {
-            "Annotation": {
-                "selected-text-color": "#b4befe",
-                "text-color": "#b4befe"
-            },
             "At Rule": {
                 "italic": true,
                 "selected-text-color": "#f38ba8",
@@ -233,7 +228,6 @@
                 "text-color": "#89b4fa"
             },
             "Selector Pseudo": {
-                "italic": false,
                 "selected-text-color": "#94e2d5",
                 "text-color": "#94e2d5"
             },
@@ -351,11 +345,38 @@
                 "bold": true
             }
         },
+        "Godot": {
+            "Definition Keyword": {
+                "italic": true,
+                "selected-text-color": "#f9e2af",
+                "text-color": "#f9e2af"
+            },
+            "Function Call": {
+                "italic": true
+            },
+            "Special Variable": {
+                "selected-text-color": "#fab387",
+                "text-color": "#fab387"
+            },
+            "UnusedVariable": {
+                "italic": false,
+                "selected-text-color": "#cdd6f4",
+                "text-color": "#cdd6f4"
+            }
+        },
         "HTML": {
             "Attribute": {
+                "selected-text-color": "#f9e2af",
+                "text-color": "#f9e2af"
+            },
+            "Element": {
                 "selected-text-color": "#89b4fa",
                 "text-color": "#89b4fa"
             },
+            "Element Symbols": {
+                "selected-text-color": "#94e2d5",
+                "text-color": "#94e2d5"
+            },
             "Other Text": {
                 "selected-text-color": "#89b4fa",
                 "text-color": "#89b4fa"
@@ -452,7 +473,6 @@
                 "text-color": "#cdd6f4"
             },
             "Object Method (Built-in)": {
-                "italic": false,
                 "selected-text-color": "#cdd6f4",
                 "text-color": "#cdd6f4"
             },
@@ -469,7 +489,6 @@
                 "text-color": "#cdd6f4"
             },
             "Reserved": {
-                "italic": false,
                 "selected-text-color": "#cdd6f4",
                 "text-color": "#cdd6f4"
             },
@@ -736,8 +755,7 @@
             "Reference-Link Target: Link": {
                 "italic": true,
                 "selected-text-color": "#f5e0dc",
-                "text-color": "#f5e0dc",
-                "underline": false
+                "text-color": "#f5e0dc"
             },
             "Reference-Link: Email": {
                 "selected-text-color": "#f5e0dc",
@@ -1019,7 +1037,7 @@
         ],
         "license": "SPDX-License-Identifier: MIT",
         "name": "Catppuccin Mocha",
-        "revision": 2
+        "revision": 3
     },
     "text-styles": {
         "Alert": {
@@ -1058,8 +1076,8 @@
             "text-color": "#6c7086"
         },
         "Constant": {
-            "selected-text-color": "#89b4fa",
-            "text-color": "#89b4fa"
+            "selected-text-color": "#fab387",
+            "text-color": "#fab387"
         },
         "ControlFlow": {
             "selected-text-color": "#cba6f7",
diff -pruN 6.0.0-2/debian/changelog 6.3.0-1/debian/changelog
--- 6.0.0-2/debian/changelog	2024-05-14 05:48:35.000000000 +0000
+++ 6.3.0-1/debian/changelog	2024-06-09 12:53:30.000000000 +0000
@@ -1,3 +1,12 @@
+kf6-syntax-highlighting (6.3.0-1) experimental; urgency=medium
+
+  [ Patrick Franz ]
+  * New upstream release (6.3.0).
+  * Update build-deps and deps with the info from cmake.
+  * Update symbols from buildlogs.
+
+ -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:53:30 +0200
+
 kf6-syntax-highlighting (6.0.0-2) experimental; urgency=medium
 
   * Team upload.
diff -pruN 6.0.0-2/debian/control 6.3.0-1/debian/control
--- 6.0.0-2/debian/control	2024-05-14 05:48:02.000000000 +0000
+++ 6.3.0-1/debian/control	2024-06-08 09:09:57.000000000 +0000
@@ -9,7 +9,7 @@ Build-Depends: cmake (>= 3.16~),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.0.0~),
+               extra-cmake-modules (>= 6.3.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,
diff -pruN 6.0.0-2/debian/libkf6syntaxhighlighting6.symbols 6.3.0-1/debian/libkf6syntaxhighlighting6.symbols
--- 6.0.0-2/debian/libkf6syntaxhighlighting6.symbols	2024-05-14 05:47:11.000000000 +0000
+++ 6.3.0-1/debian/libkf6syntaxhighlighting6.symbols	2024-06-08 13:11:49.000000000 +0000
@@ -1,4 +1,4 @@
-# SymbolsHelper-Confirmed: 6.0.0 amd64 armel armhf i386 powerpc ppc64 riscv64 s390x
+# SymbolsHelper-Confirmed: 6.3.0 amd64
 libKF6SyntaxHighlighting.so.6 libkf6syntaxhighlighting6 #MINVER#
 * Build-Depends-Package: libkf6syntaxhighlighting-dev
  _ZGVZN9QMetaType21registerConverterImplI5QListIN19KSyntaxHighlighting10DefinitionEE9QIterableI13QMetaSequenceEEEbSt8functionIFbPKvPvEES_S_E10unregister@Base 6.0.0
@@ -121,6 +121,7 @@ libKF6SyntaxHighlighting.so.6 libkf6synt
  _ZNK19KSyntaxHighlighting10Definition14foldingEnabledEv@Base 6.0.0
  _ZNK19KSyntaxHighlighting10Definition14translatedNameEv@Base 6.0.0
  _ZNK19KSyntaxHighlighting10Definition15isWordDelimiterE5QChar@Base 6.0.0
+ _ZNK19KSyntaxHighlighting10Definition16alternativeNamesEv@Base 6.3.0
  _ZNK19KSyntaxHighlighting10Definition17foldingIgnoreListEv@Base 6.0.0
  _ZNK19KSyntaxHighlighting10Definition17translatedSectionEv@Base 6.0.0
  _ZNK19KSyntaxHighlighting10Definition18characterEncodingsEv@Base 6.0.0
diff -pruN 6.0.0-2/debian/upstream/signing-key.asc 6.3.0-1/debian/upstream/signing-key.asc
--- 6.0.0-2/debian/upstream/signing-key.asc	2024-05-14 05:45:58.000000000 +0000
+++ 6.3.0-1/debian/upstream/signing-key.asc	2024-06-07 22:16:52.000000000 +0000
@@ -80,3 +80,24 @@ RUqSlBSJqC4WqZmkB73i16MljvT0+4v2upmud4JK
 oS4=
 =yOFv
 -----END PGP PUBLIC KEY BLOCK-----
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+
+mDMEZZxtxBYJKwYBBAHaRw8BAQdAm/8PHszWuXJwUEeEwowgbi7fIeUDP/r9X14f
+Azm23ay0JU5pY29sYXMgRmVsbGEgPG5pY29sYXMuZmVsbGFAa2RlLm9yZz6IkwQT
+FgoAOxYhBJCpaKyoRTfMJ7meryyN9Yem1KrBBQJlnG8zAhsDBQsJCAcCAiICBhUK
+CQgLAgQWAgMBAh4HAheAAAoJECyN9Yem1KrBeP4BAIKpXwECsL4VtZtg2h6uUCZg
+e6oALUd6LYH6+DAM2cGzAP9nRCB06lOnWPiz3PccQDeGPGTl4fJXM63rXIKvxI8n
+C7QkTmljb2xhcyBGZWxsYSA8bmljb2xhcy5mZWxsYUBnbXguZGU+iJMEExYKADsW
+IQSQqWisqEU3zCe5nq8sjfWHptSqwQUCZZxtxAIbAwULCQgHAgIiAgYVCgkICwIE
+FgIDAQIeBwIXgAAKCRAsjfWHptSqwb/cAQDdwi3Ujltdb58uFEN9Wxvv2a/PmJJr
+v76mHWmXqia0UwD/fpQfF7W6Iv6tEoqE2VQjMdboRqumV2m9lDyB3OPwtg+4MwRl
+nG3EFgkrBgEEAdpHDwEBB0ABCziM0Ive6TFO3hWrLxpYFCti3xUL7fLLdJqIJYHc
+O4h4BBgWCgAgFiEEkKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGyAACgkQLI31
+h6bUqsFXfQD9G8xNZ6QbfOeP/ARYPH7xUcc2U4/kPjoP8+R/MRnshPMBANDv6T3y
+BxoNXQRYK65x7ghXOSZcQyBLfVuSQshzf/oBuDgEZZxtxBIKKwYBBAGXVQEFAQEH
+QAOAXtH8j+F4XstbXodRsjUSLSQx3doS6cssY8XiZWZ5AwEIB4h4BBgWCgAgFiEE
+kKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGwwACgkQLI31h6bUqsFomwD/Zy41
+I8jssyuukIKsRefmsvFeeMKEJgFp0WuZQaZnKEIBANbtyBSxCOkD+5GYm1cjG6nr
+yPRSi/2EuYie6axT6ZIN
+=Noyp
+-----END PGP PUBLIC KEY BLOCK-----
diff -pruN 6.0.0-2/metainfo.yaml 6.3.0-1/metainfo.yaml
--- 6.0.0-2/metainfo.yaml	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/metainfo.yaml	2024-05-31 13:29:46.000000000 +0000
@@ -1,4 +1,3 @@
-maintainer: vkrause
 description: Syntax Highlighting
 tier: 1
 type: functional
diff -pruN 6.0.0-2/poqm/af/syntaxhighlighting6_qt.po 6.3.0-1/poqm/af/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/af/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/af/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -181,6 +181,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skripte"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -596,6 +603,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1706,6 +1717,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2137,14 +2152,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/ar/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ar/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ar/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ar/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -174,6 +174,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "السّكربتات"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -537,6 +544,10 @@ msgid "Go"
 msgstr "اذهب"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1483,6 +1494,10 @@ msgctxt "Language|"
 msgid "VRML"
 msgstr "لغة نمذجة الواقع الافتراضي"
 
+msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
 #, fuzzy
 msgctxt "Language|"
 msgid "V"
@@ -1878,14 +1893,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/ast/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ast/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ast/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ast/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -142,6 +142,10 @@ msgid "CartoCSS MSS"
 msgstr ""
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr ""
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
 
@@ -442,6 +446,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1258,6 +1266,10 @@ msgid "VRML"
 msgstr ""
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1618,12 +1630,12 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
diff -pruN 6.0.0-2/poqm/az/syntaxhighlighting6_qt.po 6.3.0-1/poqm/az/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/az/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/az/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -141,6 +141,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Ssenari dilləri"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -442,6 +449,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] Qrammatikası"
 
@@ -1265,6 +1276,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1657,15 +1672,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Bütün mövcud sintaksislər yenilənib."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "'%1' üçün yeni sintaksis tərifləri yüklənir..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "'%1' sintaksis təriflərinin %2 versiyasına qədər yenilənməsi..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/be/syntaxhighlighting6_qt.po 6.3.0-1/poqm/be/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/be/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/be/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -188,6 +188,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Сцэнары"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -604,6 +611,10 @@ msgid "Go"
 msgstr "Ісці"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1715,6 +1726,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2147,14 +2162,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/bg/syntaxhighlighting6_qt.po 6.3.0-1/poqm/bg/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/bg/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/bg/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -9,14 +9,14 @@ msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-15 11:04+0100\n"
+"PO-Revision-Date: 2024-05-30 19:38+0200\n"
 "Last-Translator: Mincho Kondarev <mkondarev@yahoo.de>\n"
 "Language-Team: Bulgarian <kde-i18n-doc@kde.org>\n"
 "Language: bg\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 23.08.4\n"
+"X-Generator: Lokalize 24.05.0\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
 "X-Qt-Contexts: true\n"
 
@@ -149,6 +149,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -449,6 +453,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] Grammar"
 
@@ -1265,6 +1273,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1620,8 +1632,8 @@ msgid ""
 "(default: the filename or \"KSyntaxHighlighter\" if reading from stdin)."
 msgstr ""
 "Задаване на заглавието на HTML страницата \n"
-"(по подразбиране: името на файла или \\ \"KSyntaxHighlighter\", ако сечете "
-"от stdin)."
+"(по подразбиране: името на файла или  \"KSyntaxHighlighter\", ако сечете от "
+"stdin)."
 
 #: cli/ksyntaxhighlighter.cpp:121
 msgctxt "SyntaxHighlightingCLI|"
@@ -1640,12 +1652,12 @@ msgstr "Всички дефиниции
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Изтегля се нова дефиниция на синтаксис за \"%1\"..."
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Актуализиране на дефиницията на синтаксис за \"%1\" до версия %2..."
diff -pruN 6.0.0-2/poqm/bn/syntaxhighlighting6_qt.po 6.3.0-1/poqm/bn/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/bn/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/bn/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -165,6 +165,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Scripts"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -547,6 +554,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1568,6 +1579,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1981,14 +1996,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/br/syntaxhighlighting6_qt.po 6.3.0-1/poqm/br/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/br/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/br/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -179,6 +179,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Urzhiaouegoù"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -595,6 +602,10 @@ msgid "Go"
 msgstr "Mont"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1704,6 +1715,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2132,14 +2147,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/bs/syntaxhighlighting6_qt.po 6.3.0-1/poqm/bs/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/bs/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/bs/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -228,6 +228,13 @@ msgid "CartoCSS MSS"
 msgstr ""
 
 #, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "skriptni"
+
+#, fuzzy
 #| msgctxt "Language"
 #| msgid "CleanCSS"
 msgctxt "Language|"
@@ -689,6 +696,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "Idi"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG[-Qt] Grammar"
@@ -1942,6 +1953,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2397,14 +2412,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/ca/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ca/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ca/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ca/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: syntax-highlighting\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"PO-Revision-Date: 2024-01-14 10:58+0100\n"
+"PO-Revision-Date: 2024-05-08 16:08+0200\n"
 "Last-Translator: Josep M. Ferrer <txemaq@gmail.com>\n"
 "Language-Team: Catalan <kde-i18n-ca@kde.org>\n"
 "Language: ca\n"
@@ -151,6 +151,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -451,6 +455,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Gramàtica KDev-PG[-Qt]"
 
@@ -1267,6 +1275,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1642,12 +1654,12 @@ msgstr "Totes les definicions de sintaxi
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "S'està baixant una definició de sintaxi nova del «%1»..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "S'està baixant una definició de sintaxi nova del «%1»…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "S'està actualitzant la definició de sintaxi del «%1» a la versió %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "S'està actualitzant la definició de sintaxi del «%1» a la versió %2…"
diff -pruN 6.0.0-2/poqm/ca@valencia/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ca@valencia/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ca@valencia/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ca@valencia/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: syntax-highlighting\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"PO-Revision-Date: 2024-01-14 10:58+0100\n"
+"PO-Revision-Date: 2024-05-08 16:08+0200\n"
 "Last-Translator: Josep M. Ferrer <txemaq@gmail.com>\n"
 "Language-Team: Catalan <kde-i18n-ca@kde.org>\n"
 "Language: ca@valencia\n"
@@ -151,6 +151,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -451,6 +455,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Gramàtica KDev-PG[-Qt]"
 
@@ -1267,6 +1275,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1644,12 +1656,12 @@ msgstr "Totes les definicions de sintaxi
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "S'està baixant una definició de sintaxi nova de «%1»..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "S'està baixant una definició de sintaxi nova de «%1»…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "S'està actualitzant la definició de sintaxi de «%1» a la versió %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "S'està actualitzant la definició de sintaxi de «%1» a la versió %2…"
diff -pruN 6.0.0-2/poqm/cs/syntaxhighlighting6_qt.po 6.3.0-1/poqm/cs/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/cs/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/cs/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -3,22 +3,22 @@
 # SPDX-FileCopyrightText: 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020, 2023, 2024 Vít Pelčák <vit@pelcak.org>
 # Lukáš Tinkl <ltinkl@redhat.com>, 2011.
 # Tomáš Chvátal <tomas.chvatal@gmail.com>, 2012, 2013.
-# Vit Pelcak <vit@pelcak.org>, 2021, 2022, 2023.
+# SPDX-FileCopyrightText: 2021, 2022, 2023, 2024 Vit Pelcak <vit@pelcak.org>
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2023-11-08 14:26+0100\n"
-"Last-Translator: Vit Pelcak <vit@pelcak.org>\n"
+"PO-Revision-Date: 2024-05-29 11:23+0200\n"
+"Last-Translator: Vit Pelcak <vpelcak@suse.cz>\n"
 "Language-Team: Czech <kde-i18n-doc@kde.org>\n"
 "Language: cs\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
-"X-Generator: Lokalize 23.08.4\n"
+"X-Generator: Lokalize 24.02.2\n"
 "X-Qt-Contexts: true\n"
 
 msgctxt "Language|"
@@ -150,6 +150,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -450,6 +454,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] gramatika"
 
@@ -1267,6 +1275,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1628,12 +1640,12 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr ""
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "Stahování informací o syntaxi pro '%1'..."
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
diff -pruN 6.0.0-2/poqm/cy/syntaxhighlighting6_qt.po 6.3.0-1/poqm/cy/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/cy/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/cy/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -154,6 +154,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Sgriptiau"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -483,6 +490,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1391,6 +1402,10 @@ msgid "VRML"
 msgstr ""
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1792,14 +1807,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/da/syntaxhighlighting6_qt.po 6.3.0-1/poqm/da/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/da/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/da/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -150,6 +150,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Scripts"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -454,6 +461,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt]-grammatik"
 
@@ -1285,6 +1296,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1679,15 +1694,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Alle syntaksdefinitioner er opdaterede."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Downloader nye syntaksdefinitioner for \"%1\"..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Opdaterer syntaksdefinition for \"%1\" til version %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/de/syntaxhighlighting6_qt.po 6.3.0-1/poqm/de/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/de/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/de/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -153,6 +153,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skripte"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -454,6 +461,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt]-Grammatik"
 
@@ -1275,6 +1286,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1667,15 +1682,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Alle Syntax-Definitionen sind auf dem neuesten Stand."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Neue Syntax-Definition für „%1“ wird heruntergeladen ..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Syntax-Definition für „%1“ wird auf Version %2 aktualisiert ..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/el/syntaxhighlighting6_qt.po 6.3.0-1/poqm/el/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/el/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/el/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -159,6 +159,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Σενάρια"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -460,6 +467,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Γραμματική KDev-PG[-Qt]"
 
@@ -1276,6 +1287,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1665,15 +1680,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Όλοι οι ορισμοί σύνταξης είναι ενημερωμένοι."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Λήψη νέων ορισμών σύνταξης για το '%1'..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Ενημέρωση ορισμών σύνταξης για το '%1' στην έκδοση %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/en_GB/syntaxhighlighting6_qt.po 6.3.0-1/poqm/en_GB/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/en_GB/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/en_GB/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -5,13 +5,13 @@
 # Andrew Coles <andrew_coles@yahoo.co.uk>, 2004, 2005, 2009, 2010, 2011.
 # Peter Murdoch <pete@pmurdoch.com>, 2007.
 # Brendan Osborne <danborne.kde@gmail.com>, 2007.
-# Steve Allewell <steve.allewell@gmail.com>, 2014, 2015, 2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023.
+# SPDX-FileCopyrightText: 2014, 2015, 2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024 Steve Allewell <steve.allewell@gmail.com>
 msgid ""
 msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2023-05-21 14:47+0100\n"
+"PO-Revision-Date: 2024-05-23 19:29+0100\n"
 "Last-Translator: Steve Allewell <steve.allewell@gmail.com>\n"
 "Language-Team: British English\n"
 "Language: en_GB\n"
@@ -19,7 +19,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Lokalize 23.03.70\n"
+"X-Generator: Lokalize 24.02.2\n"
 "X-Qt-Contexts: true\n"
 
 msgctxt "Language|"
@@ -76,7 +76,7 @@ msgstr "Ansys"
 
 msgctxt "Language|"
 msgid "ANTLR"
-msgstr ""
+msgstr "ANTLR"
 
 msgctxt "Language|"
 msgid "Apache Configuration"
@@ -151,6 +151,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -451,6 +455,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] Grammar"
 
@@ -472,7 +480,7 @@ msgstr "Haml"
 
 msgctxt "Language|"
 msgid "Hare"
-msgstr ""
+msgstr "Hare"
 
 msgctxt "Language|"
 msgid "Haskell"
@@ -560,7 +568,7 @@ msgstr "Jira"
 
 msgctxt "Language|"
 msgid "Jsonnet"
-msgstr ""
+msgstr "Jsonnet"
 
 msgctxt "Language|"
 msgid "JSON"
@@ -586,18 +594,13 @@ msgctxt "Language|"
 msgid "Kconfig"
 msgstr "Kconfig"
 
-#, fuzzy
-#| msgid "Folder Config File"
 msgctxt "Language|"
 msgid "Klipper Config"
-msgstr "Folder Config File"
+msgstr "Klipper Config"
 
-#, fuzzy
-#| msgctxt "Language|"
-#| msgid "G-Code"
 msgctxt "Language|"
 msgid "Klipper G-Code"
-msgstr "G-Code"
+msgstr "Klipper G-Code"
 
 msgctxt "Language|"
 msgid "Kotlin"
@@ -845,7 +848,7 @@ msgstr "Octave"
 
 msgctxt "Language|"
 msgid "Odin"
-msgstr ""
+msgstr "Odin"
 
 msgctxt "Language|"
 msgid "OORS"
@@ -1265,13 +1268,17 @@ msgstr "VHDL"
 
 msgctxt "Language|"
 msgid "Viper"
-msgstr ""
+msgstr "Viper"
 
 msgctxt "Language|"
 msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1489,38 +1496,30 @@ msgstr "Solarised Light"
 
 msgctxt "Theme|"
 msgid "Tokyo Night Light"
-msgstr ""
+msgstr "Tokyo Night Light"
 
 msgctxt "Theme|"
 msgid "Tokyo Night Storm"
-msgstr ""
+msgstr "Tokyo Night Storm"
 
-#, fuzzy
-#| msgctxt "Theme|"
-#| msgid "ayu Light"
 msgctxt "Theme|"
 msgid "Tokyo Night"
-msgstr "ayu Light"
+msgstr "Tokyo Night"
 
 msgctxt "Theme|"
 msgid "Vim Dark"
 msgstr "Vim Dark"
 
-#, fuzzy
-#| msgctxt "Theme|"
-#| msgid "Vim Dark"
 msgctxt "Theme|"
 msgid "VSCodium Dark"
-msgstr "Vim Dark"
+msgstr "VSCodium Dark"
 
 #: cli/ksyntaxhighlighter.cpp:64
-#, fuzzy
-#| msgctxt "SyntaxHighlightingCLI|"
-#| msgid "Command line syntax highlighter using Kate syntax definitions."
 msgctxt "SyntaxHighlightingCLI|"
 msgid ""
 "Command line syntax highlighter using KSyntaxHighlighting syntax definitions."
-msgstr "Command line syntax highlighter using Kate syntax definitions."
+msgstr ""
+"Command line syntax highlighter using KSyntaxHighlighting syntax definitions."
 
 #: cli/ksyntaxhighlighter.cpp:68
 msgctxt "SyntaxHighlightingCLI|"
@@ -1533,6 +1532,8 @@ msgid ""
 "The source file to highlight. If absent, read the file from stdin and the --"
 "syntax option must be used."
 msgstr ""
+"The source file to highlight. If absent, read the file from stdin and the --"
+"syntax option must be used."
 
 #: cli/ksyntaxhighlighter.cpp:72
 msgctxt "SyntaxHighlightingCLI|"
@@ -1598,12 +1599,6 @@ msgid "format"
 msgstr "format"
 
 #: cli/ksyntaxhighlighter.cpp:104
-#, fuzzy
-#| msgctxt "SyntaxHighlightingCLI|"
-#| msgid ""
-#| "Add information to debug a syntax file. Only works with --output-"
-#| "format=ansi or ansi256Colors. Possible values are format, region, context "
-#| "and stackSize."
 msgctxt "SyntaxHighlightingCLI|"
 msgid ""
 "Add information to debug a syntax file. Only works with --output-format=ansi "
@@ -1611,7 +1606,8 @@ msgid ""
 "all."
 msgstr ""
 "Add information to debug a syntax file. Only works with --output-format=ansi "
-"or ansi256Colors. Possible values are format, region, context and stackSize."
+"or ansi256Colors. Possible values are format, region, context, stackSize and "
+"all."
 
 #: cli/ksyntaxhighlighter.cpp:107
 msgctxt "SyntaxHighlightingCLI|"
@@ -1628,21 +1624,16 @@ msgctxt "SyntaxHighlightingCLI|"
 msgid ""
 "For ansi and ansi256Colors formats, flush the output buffer on each line."
 msgstr ""
+"For ansi and ansi256Colors formats, flush the output buffer on each line."
 
 #: cli/ksyntaxhighlighter.cpp:120
-#, fuzzy
-#| msgctxt "SyntaxHighlightingCLI|"
-#| msgid ""
-#| "Set HTML page's title\n"
-#| "(default: the filename or \"Kate Syntax Highlighter\" if reading from "
-#| "stdin)."
 msgctxt "SyntaxHighlightingCLI|"
 msgid ""
 "Set HTML page's title\n"
 "(default: the filename or \"KSyntaxHighlighter\" if reading from stdin)."
 msgstr ""
 "Set HTML page's title\n"
-"(default: the filename or \"Kate Syntax Highlighter\" if reading from stdin)."
+"(default: the filename or \"KSyntaxHighlighter\" if reading from stdin)."
 
 #: cli/ksyntaxhighlighter.cpp:121
 msgctxt "SyntaxHighlightingCLI|"
@@ -1661,15 +1652,15 @@ msgstr "All syntax definitions are up-to
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "Downloading new syntax definition for '%1'…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "Updating syntax definition for '%1' to version %2…"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
 #~ msgid "The source file to highlight."
diff -pruN 6.0.0-2/poqm/eo/syntaxhighlighting6_qt.po 6.3.0-1/poqm/eo/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/eo/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/eo/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -2,7 +2,7 @@
 # Copyright (C) 2003, 2007, 2008 Free Software Foundation, Inc.
 # This file is distributed under the same license as the syntax-highlighting package.
 # Heiko Evermann <heiko@evermann.de>, 2003.
-# Oliver M. Kellogg <okellogg@users.sourceforge.net>, 2007.
+# Oliver M. Kellogg <olivermkellogg@gmail.com>, 2007.
 # Cindy McKee <cfmckee@gmail.com>, 2007, 2008.
 #
 # Minuskloj: ĉ ĝ ĵ ĥ ŝ ŭ   Majuskloj: Ĉ Ĝ Ĵ Ĥ Ŝ Ŭ
@@ -12,8 +12,8 @@ msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-14 12:36+0100\n"
-"Last-Translator: Oliver Kellogg <okellogg@users.sourceforge.net>\n"
+"PO-Revision-Date: 2024-05-09 22:01+0100\n"
+"Last-Translator: Oliver Kellogg <olivermkellogg@gmail.com>\n"
 "Language-Team: Esperanto <kde-i18n-eo@kde.org>\n"
 "Language: eo\n"
 "MIME-Version: 1.0\n"
@@ -152,6 +152,10 @@ msgid "CartoCSS MSS"
 msgstr "KartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "PurCSS"
 
@@ -452,6 +456,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] Gramatiko"
 
@@ -1268,6 +1276,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1642,12 +1654,12 @@ msgstr "Ĉiuj sintaksdifinoj estas ĝisd
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "Elŝutanta novajn sintaksdifinojn por '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "Elŝutanta novajn sintaksdifinojn por '%1'…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "Alŝutanta sintaksdifinon por '%1' al versio %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "Alŝutanta sintaksdifinon por '%1' al versio %2…"
diff -pruN 6.0.0-2/poqm/es/syntaxhighlighting6_qt.po 6.3.0-1/poqm/es/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/es/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/es/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -17,7 +17,7 @@ msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-14 18:46+0100\n"
+"PO-Revision-Date: 2024-05-08 12:48+0200\n"
 "Last-Translator: Eloy Cuadra <ecuadra@eloihr.net>\n"
 "Language-Team: Spanish <kde-l10n-es@kde.org>\n"
 "Language: es\n"
@@ -25,7 +25,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "First-Translator: Boris Wesslowski <Boris@Wesslowski.com>\n"
-"X-Generator: Lokalize 23.08.4\n"
+"X-Generator: Lokalize 24.02.2\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
 "X-Qt-Contexts: true\n"
 
@@ -158,6 +158,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -458,6 +462,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Gramática de KDev-PG[-Qt]"
 
@@ -1274,6 +1282,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1650,14 +1662,14 @@ msgstr "Todas las definiciones de sintax
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Descargando nuevas definiciones de sintaxis para «%1»..."
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Actualizando la definición de sintaxis para «%1» a la versión %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/et/syntaxhighlighting6_qt.po 6.3.0-1/poqm/et/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/et/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/et/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -142,6 +142,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skriptid"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -446,6 +453,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] grammatika"
 
@@ -1271,6 +1282,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1674,15 +1689,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Kõik süntaksi definitsioonid on värsked."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "\"%1\" uue süntaksi definitsiooni allalaadimine ..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "\"%1\" süntaksi definitsiooni uuendamine versioonile %2 ..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/eu/syntaxhighlighting6_qt.po 6.3.0-1/poqm/eu/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/eu/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/eu/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -14,14 +14,14 @@ msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-15 18:31+0100\n"
+"PO-Revision-Date: 2024-04-19 21:59+0200\n"
 "Last-Translator: Iñigo Salvador Azurmendi <xalba@ni.eus>\n"
 "Language-Team: Basque <kde-i18n-eu@kde.org>\n"
 "Language: eu\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 23.08.4\n"
+"X-Generator: Lokalize 24.02.2\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 "X-Qt-Contexts: true\n"
 
@@ -154,6 +154,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -454,6 +458,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] gramatika"
 
@@ -1270,6 +1278,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1645,15 +1657,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Sintaxi definizio guztiak egunean daude."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Jaitsi sintaxi definizio berria '%1'-entzako ..l"
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Eguneratu sintaxi definizioak '%1'etik %2ra..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/fa/syntaxhighlighting6_qt.po 6.3.0-1/poqm/fa/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/fa/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/fa/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -197,6 +197,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "دست‌نوشته‌ها"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -627,6 +634,10 @@ msgid "Go"
 msgstr "برو"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1771,6 +1782,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2214,14 +2229,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/fi/syntaxhighlighting6_qt.po 6.3.0-1/poqm/fi/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/fi/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/fi/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -165,6 +165,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Komentosarjakielet"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -466,6 +473,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt]-kielioppi"
 
@@ -1283,6 +1294,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1655,15 +1670,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Kaikki syntaksimääritelmät ovat ajan tasalla."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Ladataan uutta syntaksimääritelmää kohteelle ”%1”…"
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Päivitetään kohteen ”%1” syntaksimääritelmää versioon %2…"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/fr/syntaxhighlighting6_qt.po 6.3.0-1/poqm/fr/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/fr/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/fr/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -26,15 +26,15 @@ msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-22 21:55+0100\n"
+"PO-Revision-Date: 2024-05-08 18:09+0200\n"
 "Last-Translator: Xavier Besnard <xavier.besnard@kde.org>\n"
-"Language-Team: French <kde-francophone@kde.org>\n"
+"Language-Team: French <French <kde-francophone@kde.org>>\n"
 "Language: fr\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
-"X-Generator: Lokalize 23.08.4\n"
+"X-Generator: Lokalize 23.08.5\n"
 "X-Environment: kde\n"
 "X-Accelerator-Marker: &\n"
 "X-Text-Markup: qtrich\n"
@@ -169,6 +169,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -469,6 +473,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Grammaire « KDev-PG[-Qt] »"
 
@@ -642,7 +650,7 @@ msgstr "Lex / Flex"
 
 msgctxt "Language|"
 msgid "LilyPond"
-msgstr "LilyPond"
+msgstr "Lilypond"
 
 msgctxt "Language|"
 msgid "Literate Curry"
@@ -1285,6 +1293,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1665,14 +1677,14 @@ msgstr "Toutes les définitions de synta
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Téléchargement d'une nouvelle définition de syntaxe pour « %1 »…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 "Mise à jour de la définition de syntaxe pour « %1 » à la version « %2 »…"
 
diff -pruN 6.0.0-2/poqm/fy/syntaxhighlighting6_qt.po 6.3.0-1/poqm/fy/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/fy/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/fy/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -203,6 +203,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skripts"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -630,6 +637,10 @@ msgid "Go"
 msgstr "Gean nei"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1785,6 +1796,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2232,14 +2247,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/ga/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ga/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ga/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ga/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -216,6 +216,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Scripteanna"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -663,6 +670,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "Téigh"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG[-Qt] Grammar"
@@ -1863,6 +1874,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2315,14 +2330,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/gl/syntaxhighlighting6_qt.po 6.3.0-1/poqm/gl/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/gl/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/gl/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -13,7 +13,7 @@ msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-15 19:24+0100\n"
+"PO-Revision-Date: 2024-05-09 19:25+0200\n"
 "Last-Translator: Adrián Chaves (Gallaecio) <adrian@chaves.io>\n"
 "Language-Team: Proxecto Trasno (proxecto@trasno.gal)\n"
 "Language: gl\n"
@@ -21,7 +21,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Lokalize 23.08.4\n"
+"X-Generator: Lokalize 24.02.2\n"
 "X-Qt-Contexts: true\n"
 
 msgctxt "Language|"
@@ -153,6 +153,10 @@ msgid "CartoCSS MSS"
 msgstr "MSS de CartoCSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -454,6 +458,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Gramática KDev-PG[-Qt]"
 
@@ -1271,6 +1279,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1650,14 +1662,14 @@ msgstr "Todas as definicións de sintaxe
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Descargando unha nova definición de sintaxe para «%1»…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Actualizando a definición de sintaxe para «%1» á versión %2…"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/gu/syntaxhighlighting6_qt.po 6.3.0-1/poqm/gu/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/gu/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/gu/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -200,6 +200,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "સ્ક્રિપ્ટ્સ"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -633,6 +640,10 @@ msgid "Go"
 msgstr "જાવ"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1781,6 +1792,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2226,14 +2241,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/he/syntaxhighlighting6_qt.po 6.3.0-1/poqm/he/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/he/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/he/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -19,14 +19,14 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
-"PO-Revision-Date: 2024-02-17 14:06+0200\n"
+"PO-Revision-Date: 2024-05-08 09:11+0300\n"
 "Last-Translator: Yaron Shahrabani <sh.yaron@gmail.com>\n"
 "Language-Team: צוות התרגום של KDE ישראל\n"
 "Language: he\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 23.08.4\n"
+"X-Generator: Lokalize 23.08.5\n"
 "Plural-Forms: nplurals=4; plural=(n == 1) ? 0 : ((n == 2) ? 1 : ((n > 10 && "
 "n % 10 == 0) ? 2 : 3));\n"
 "X-Qt-Contexts: true\n"
@@ -160,6 +160,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -460,6 +464,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "תחביר של KDev-PG[-Qt]‎"
 
@@ -1276,6 +1284,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1645,14 +1657,14 @@ msgstr "כל הגדרות התחביר 
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "נמשכת הגדרת תחביר חדשה עבור ‚%1’…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "גרסת התחביר של ‚%1’ מתעדכנת לגרסה %2…"
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/hi/syntaxhighlighting6_qt.po 6.3.0-1/poqm/hi/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/hi/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/hi/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -178,6 +178,12 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "स्क्रिप्ट्स"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -565,6 +571,10 @@ msgid "Go"
 msgstr "जाएँ"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1603,6 +1613,10 @@ msgid "VRML"
 msgstr "वीआरएमएल"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2023,14 +2037,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/hr/syntaxhighlighting6_qt.po 6.3.0-1/poqm/hr/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/hr/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/hr/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -215,6 +215,12 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skripte"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -647,6 +653,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "Kreni"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG Grammar"
@@ -1796,6 +1806,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2240,14 +2254,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/hsb/syntaxhighlighting6_qt.po 6.3.0-1/poqm/hsb/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/hsb/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/hsb/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -152,6 +152,10 @@ msgid "CartoCSS MSS"
 msgstr ""
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr ""
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
 
@@ -460,6 +464,10 @@ msgid "Go"
 msgstr "Skoč"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1296,6 +1304,10 @@ msgid "VRML"
 msgstr ""
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1666,14 +1678,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/hu/syntaxhighlighting6_qt.po 6.3.0-1/poqm/hu/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/hu/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/hu/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -10,7 +10,7 @@ msgstr ""
 "Project-Id-Version: KDE 4.4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-14 21:48+0100\n"
+"PO-Revision-Date: 2024-05-10 10:52+0200\n"
 "Last-Translator: Kristof Kiszel <ulysses@fsf.hu>\n"
 "Language-Team: Hungarian <kde-l10n-hu@kde.org>\n"
 "Language: hu\n"
@@ -18,7 +18,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Lokalize 23.08.4\n"
+"X-Generator: Lokalize 24.07.70\n"
 "X-Qt-Contexts: true\n"
 
 msgctxt "Language|"
@@ -150,6 +150,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -450,6 +454,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] Grammar"
 
@@ -1266,6 +1274,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1642,14 +1654,14 @@ msgstr "Minden szintaxisdefiníció napr
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Új szintaxisdefiníciók letöltése ehhez: „%1”…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "A(z) „%1” szintaxisdefiníció frissítése erre a verzióra: %2…"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/ia/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ia/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ia/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ia/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -8,7 +8,7 @@ msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-15 18:46+0100\n"
+"PO-Revision-Date: 2024-05-09 11:59+0200\n"
 "Last-Translator: giovanni <g.sora@tiscali.it>\n"
 "Language-Team: Italian <kde-i18n-doc@kde.org>\n"
 "Language: ia\n"
@@ -148,6 +148,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -448,6 +452,10 @@ msgid "Go"
 msgstr "Vade"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] Grammar"
 
@@ -1264,6 +1272,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1639,15 +1651,15 @@ msgstr "Omne definitiones de syntaxe es
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Discargante nove definition de syntaxe per '%1'..."
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "Actualisante definition de syntaxe per '%1' a version '%2'..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "Actualisante definition de syntaxe per '%1' a version %2.."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
 #~ msgid "The source file to highlight."
diff -pruN 6.0.0-2/poqm/id/syntaxhighlighting6_qt.po 6.3.0-1/poqm/id/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/id/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/id/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -143,6 +143,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skrip"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -447,6 +454,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] Grammar"
 
@@ -1284,6 +1295,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1668,15 +1683,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Semua definisi sintaks telah terbarukan."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Mengunduh definisi sintaks baru untuk '%1'..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Mengupdate definisi sintaks untuk '%1' ke versi %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/is/syntaxhighlighting6_qt.po 6.3.0-1/poqm/is/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/is/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/is/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -1,19 +1,19 @@
 # translation of katepart4.po to Icelandic
 # íslensk þýðing á katepart4.po
 #
+# SPDX-FileCopyrightText: 2023, 2024 gummi <gudmundure@gmail.com>
 # Bjarni R. Einarsson, <bre@mmedia.is>, 1998.
 # Richard Allen <ra@ra.is>, 1998.
 # Pjetur G. Hjaltason <pjetur@pjetur.net>, 2003, 2004.
 # Arnar Leósson <leosson@frisurf.no>, 2003.
 # Arnar Leosson <leosson@frisurf.no>, 2004, 2005.
 # Sveinn í Felli <sveinki@nett.is>, 2008, 2009, 2010, 2016, 2023, 2024.
-# gummi <gudmundure@gmail.com>, 2023.
 msgid ""
 msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-02-19 09:49+0000\n"
+"PO-Revision-Date: 2024-05-09 10:56+0000\n"
 "Last-Translator: Sveinn í Felli <sv1@fellsnet.is>\n"
 "Language-Team: Icelandic\n"
 "Language: is\n"
@@ -156,6 +156,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -456,6 +460,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] málsnið"
 
@@ -1272,6 +1280,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1647,15 +1659,15 @@ msgstr "Allar málsniðsskilgreiningar e
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "Sæki nýjar málsniðsskilgreiningar fyrir '%%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "Sæki nýjar málsniðsskilgreiningar fyrir '%%1'…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "Uppfæri málsniðsskilgreiningu fyrir '%1' í útgáfu %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "Uppfæri málsniðsskilgreiningu fyrir '%1' í útgáfu %2…"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
 #~ msgid "The source file to highlight."
diff -pruN 6.0.0-2/poqm/it/syntaxhighlighting6_qt.po 6.3.0-1/poqm/it/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/it/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/it/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -13,7 +13,7 @@ msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-14 13:50+0100\n"
+"PO-Revision-Date: 2024-05-08 17:16+0200\n"
 "Last-Translator: Vincenzo Reale <smart2128vr@gmail.com>\n"
 "Language-Team: Italian <kde-i18n-it@kde.org>\n"
 "Language: it\n"
@@ -21,7 +21,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Lokalize 23.08.4\n"
+"X-Generator: Lokalize 24.02.2\n"
 "X-Qt-Contexts: true\n"
 
 msgctxt "Language|"
@@ -153,6 +153,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -453,6 +457,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Grammatica KDev-PG[-Qt]"
 
@@ -1275,6 +1283,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1649,14 +1661,14 @@ msgstr "Tutte le definizioni di sintassi
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Scaricamento di una nuova definizione di sintassi per «%1»..."
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 "Aggiornamento della definizione di sintassi per «%1» alla versione %2..."
 
diff -pruN 6.0.0-2/poqm/ja/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ja/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ja/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ja/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -219,6 +219,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "スクリプト"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -650,6 +657,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "移動"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG[-Qt] Grammar"
@@ -1803,6 +1814,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2243,12 +2258,12 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
diff -pruN 6.0.0-2/poqm/ka/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ka/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ka/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ka/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -142,6 +142,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -442,6 +446,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] Grammar"
 
@@ -1258,6 +1266,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1633,15 +1645,15 @@ msgstr "სინტაქსის ყ
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "%1-სთვის ახალი სინტაქსის აღწერების გადმოწერა ..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "%1-სთვის ახალი სინტაქსის აღწერების გადმოწერა …"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "%1-სთვის სინტაქსის აღწერის ახალ ვერსიამდე (%2) განახლება ..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "%1-სთვის სინტაქსის აღწერის ახალ ვერსიამდე (%2) განახლება …"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
 #~ msgid "The source file to highlight."
diff -pruN 6.0.0-2/poqm/kk/syntaxhighlighting6_qt.po 6.3.0-1/poqm/kk/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/kk/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/kk/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -223,6 +223,13 @@ msgid "CartoCSS MSS"
 msgstr ""
 
 #, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Скрипттер"
+
+#, fuzzy
 #| msgctxt "Language"
 #| msgid "CleanCSS"
 msgctxt "Language|"
@@ -684,6 +691,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "Өту"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG[-Qt] Grammar"
@@ -1939,6 +1950,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2394,14 +2409,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/km/syntaxhighlighting6_qt.po 6.3.0-1/poqm/km/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/km/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/km/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -220,6 +220,13 @@ msgid "CartoCSS MSS"
 msgstr ""
 
 #, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Scripts"
+
+#, fuzzy
 #| msgctxt "Language"
 #| msgid "CleanCSS"
 msgctxt "Language|"
@@ -672,6 +679,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "ទៅ"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG[-Qt] Grammar"
@@ -1906,6 +1917,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2361,14 +2376,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/ko/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ko/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ko/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ko/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -150,6 +150,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "스크립트"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -451,6 +458,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] 문법"
 
@@ -1267,6 +1278,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1639,15 +1654,19 @@ msgid "All syntax definitions are up-to-
 msgstr "모든 구문 강조 정의 파일이 최신 상태입니다."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "'%1'의 새 구문 강조 정의 다운로드 중..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "'%1'의 구문 강조 정의를 버전 %2(으)로 업데이트 중..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/ku/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ku/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ku/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ku/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -151,6 +151,10 @@ msgid "CartoCSS MSS"
 msgstr ""
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr ""
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
 
@@ -456,6 +460,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1302,6 +1310,10 @@ msgid "VRML"
 msgstr ""
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1674,14 +1686,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/lb/syntaxhighlighting6_qt.po 6.3.0-1/poqm/lb/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/lb/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/lb/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -182,6 +182,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skripter"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -597,6 +604,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1709,6 +1720,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2134,14 +2149,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/lt/syntaxhighlighting6_qt.po 6.3.0-1/poqm/lt/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/lt/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/lt/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -224,6 +224,13 @@ msgid "CartoCSS MSS"
 msgstr ""
 
 #, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Scenarijai"
+
+#, fuzzy
 #| msgctxt "Language"
 #| msgid "CleanCSS"
 msgctxt "Language|"
@@ -685,6 +692,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "Eiti"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG[-Qt] Grammar"
@@ -1942,6 +1953,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2397,14 +2412,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/lv/syntaxhighlighting6_qt.po 6.3.0-1/poqm/lv/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/lv/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/lv/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -153,6 +153,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skripti"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -454,6 +461,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] gramatika"
 
@@ -1270,6 +1281,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1644,15 +1659,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Visu sintakses definīciju versijas ir aktuālas."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Lejupielādē jaunu „%1“ sintakses definīciju..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Atjaunina „%1“ sintakses definīciju uz „%2“ versiju..."
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/mai/syntaxhighlighting6_qt.po 6.3.0-1/poqm/mai/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/mai/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/mai/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -207,6 +207,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "स्क्रिप्ट"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -640,6 +647,10 @@ msgid "Go"
 msgstr "जाउ"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1797,6 +1808,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2243,14 +2258,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/mk/syntaxhighlighting6_qt.po 6.3.0-1/poqm/mk/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/mk/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/mk/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -193,6 +193,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Скрипти"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -607,6 +614,10 @@ msgid "Go"
 msgstr "Оди"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1717,6 +1728,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2148,14 +2163,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/ml/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ml/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ml/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ml/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -164,6 +164,11 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "സ്ക്രിപ്റ്റുകള്‍"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -503,6 +508,10 @@ msgid "Go"
 msgstr "പോകുക"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1374,6 +1383,10 @@ msgid "VRML"
 msgstr ""
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1753,14 +1766,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/mr/syntaxhighlighting6_qt.po 6.3.0-1/poqm/mr/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/mr/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/mr/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -161,6 +161,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "स्क्रिप्ट"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -525,6 +532,10 @@ msgid "Go"
 msgstr "जा"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1471,6 +1482,10 @@ msgid "VRML"
 msgstr ""
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1892,14 +1907,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/ms/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ms/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ms/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ms/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -183,6 +183,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skrip"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -594,6 +601,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1698,6 +1709,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2131,14 +2146,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/nb/syntaxhighlighting6_qt.po 6.3.0-1/poqm/nb/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/nb/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/nb/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -159,6 +159,10 @@ msgid "CartoCSS MSS"
 msgstr ""
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr ""
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
 
@@ -459,6 +463,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1275,6 +1283,10 @@ msgid "VRML"
 msgstr ""
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1635,12 +1647,12 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
diff -pruN 6.0.0-2/poqm/nds/syntaxhighlighting6_qt.po 6.3.0-1/poqm/nds/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/nds/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/nds/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -225,6 +225,13 @@ msgid "CartoCSS MSS"
 msgstr ""
 
 #, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skripten"
+
+#, fuzzy
 #| msgctxt "Language"
 #| msgid "CleanCSS"
 msgctxt "Language|"
@@ -693,6 +700,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "Jumpen"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG[-Qt] Grammar"
@@ -1974,6 +1985,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2428,14 +2443,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/ne/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ne/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ne/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ne/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -201,6 +201,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "स्क्रिप्ट"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -625,6 +632,10 @@ msgid "Go"
 msgstr "जानुहोस्"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1763,6 +1774,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2203,14 +2218,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/nl/syntaxhighlighting6_qt.po 6.3.0-1/poqm/nl/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/nl/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/nl/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -3,7 +3,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
-"PO-Revision-Date: 2024-01-14 13:53+0100\n"
+"PO-Revision-Date: 2024-05-08 10:40+0200\n"
 "Last-Translator: Freek de Kruijf <freekdekruijf@kde.nl>\n"
 "Language-Team: \n"
 "Language: nl\n"
@@ -12,7 +12,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "X-Qt-Contexts: true\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Lokalize 23.08.4\n"
+"X-Generator: Lokalize 24.02.2\n"
 
 msgctxt "Language|"
 msgid "4DOS BatchToMemory"
@@ -143,6 +143,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -443,6 +447,10 @@ msgid "Go"
 msgstr "Ga naar"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] Grammar"
 
@@ -1259,6 +1267,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1634,15 +1646,15 @@ msgstr "Alle syntaxis definities zijn bi
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "Nieuwe syntax-definitie voor '%1' wordt gedownload..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "Nieuwe syntax-definitie voor '%1' wordt gedownload…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "Syntaxis definitie voor '%1' naar versie %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "Syntaxis definitie voor '%1' naar versie %2…"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
 #~ msgid "The source file to highlight."
diff -pruN 6.0.0-2/poqm/nn/syntaxhighlighting6_qt.po 6.3.0-1/poqm/nn/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/nn/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/nn/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -152,6 +152,11 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
+#, fuzzy
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skript"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -453,6 +458,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt]-grammatikk"
 
@@ -1272,6 +1281,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1647,13 +1660,13 @@ msgid "All syntax definitions are up-to-
 msgstr "Alle syntaksdefinisjonane er oppdaterte."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Lastar ned nye syntaksdefinisjonar for «%1» …"
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Oppdaterer syntaksdefinisjonar for «%1» til versjon %2 …"
diff -pruN 6.0.0-2/poqm/oc/syntaxhighlighting6_qt.po 6.3.0-1/poqm/oc/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/oc/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/oc/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -153,6 +153,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language"
+#| msgid "JavaScript"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "JavaScript"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -495,6 +502,10 @@ msgid "Go"
 msgstr "Anar"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1437,6 +1448,10 @@ msgid "VRML"
 msgstr ""
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1842,14 +1857,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/pa/syntaxhighlighting6_qt.po 6.3.0-1/poqm/pa/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/pa/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/pa/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -172,6 +172,13 @@ msgid "CartoCSS MSS"
 msgstr ""
 
 #, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "ਸਕ੍ਰਿਪਟਾਂ"
+
+#, fuzzy
 #| msgctxt "Language"
 #| msgid "CleanCSS"
 msgctxt "Language|"
@@ -518,6 +525,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "ਗੋ"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG[-Qt] Grammar"
@@ -1551,6 +1562,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1926,14 +1941,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/pl/syntaxhighlighting6_qt.po 6.3.0-1/poqm/pl/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/pl/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/pl/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -4,17 +4,16 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
-"PO-Revision-Date: 2024-01-21 08:06+0100\n"
+"PO-Revision-Date: 2024-05-12 08:32+0200\n"
 "Last-Translator: Łukasz Wojniłowicz <lukasz.wojnilowicz@gmail.com>\n"
 "Language-Team: Polish <kde-i18n-doc@kde.org>\n"
 "Language: pl\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Qt-Contexts: true\n"
 "Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
 "|| n%100>=20) ? 1 : 2);\n"
-"X-Generator: Lokalize 23.08.4\n"
+"X-Qt-Contexts: true\n"
 
 msgctxt "Language|"
 msgid "4DOS BatchToMemory"
@@ -145,6 +144,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -445,6 +448,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Gramatyka KDev-PG[-Qt]"
 
@@ -1261,6 +1268,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1632,15 +1643,15 @@ msgstr "Wszystkie definicje składni są
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "Pobieranie nowej definicji składni dla '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "Pobieranie nowej definicji składni dla '%1'…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "Uaktualnianie definicji składni dla '%1' do wersji %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "Uaktualnianie definicji składni dla '%1' do wersji %2…"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
 #~ msgid "The source file to highlight."
diff -pruN 6.0.0-2/poqm/pt/syntaxhighlighting6_qt.po 6.3.0-1/poqm/pt/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/pt/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/pt/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -177,6 +177,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Programas"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -478,6 +485,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Gramática do KDev-PG[-Qt]"
 
@@ -1300,6 +1311,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1692,15 +1707,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Todas as definições de sintaxe estão actualizadas."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "A obter uma nova definição de sintaxe para '%1'..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Foi actualizada a definição de sintaxe de '%1' para a versão %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/pt_BR/syntaxhighlighting6_qt.po 6.3.0-1/poqm/pt_BR/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/pt_BR/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/pt_BR/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -149,6 +149,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Scripts"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -450,6 +457,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Gramática do KDev-PG[-Qt]"
 
@@ -1266,6 +1277,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1649,15 +1664,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Todas as definições de sintaxe estão atualizadas."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Baixando nova definição de sintaxe para '%1'..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Atualizando a definição de sintaxe de '%1' para a versão '%2'..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/ro/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ro/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ro/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ro/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -149,6 +149,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Scripturi"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -453,6 +460,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Gramatică KDev-PG[-Qt]"
 
@@ -1288,6 +1299,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1666,14 +1681,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/ru/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ru/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ru/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ru/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -161,6 +161,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Языки сценариев"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -463,6 +470,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Грамматика KDev-PG[-Qt]"
 
@@ -1279,6 +1290,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1657,15 +1672,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Список доступных синтаксисов не требует обновления."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Загрузка нового определения синтаксиса для «%1»..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Обновление определения синтаксиса для «%1» до версии %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/se/syntaxhighlighting6_qt.po 6.3.0-1/poqm/se/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/se/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/se/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -149,6 +149,10 @@ msgid "CartoCSS MSS"
 msgstr ""
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr ""
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
 
@@ -449,6 +453,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1265,6 +1273,10 @@ msgid "VRML"
 msgstr ""
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1625,12 +1637,12 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
diff -pruN 6.0.0-2/poqm/si/syntaxhighlighting6_qt.po 6.3.0-1/poqm/si/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/si/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/si/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -209,6 +209,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "ස්ක්‍රිප්ට්"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -647,6 +654,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "යන්න"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG[-Qt] Grammar"
@@ -1825,6 +1836,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2274,14 +2289,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/sk/syntaxhighlighting6_qt.po 6.3.0-1/poqm/sk/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/sk/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/sk/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -146,6 +146,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skripty"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -450,6 +457,10 @@ msgid "Go"
 msgstr "Prejsť"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] gramatika"
 
@@ -1275,6 +1286,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1669,15 +1684,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Všetky definície syntaxe sú aktuálne."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Sťahujem novú definíciu syntaxe pre '%1'..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Aktualizujem definíciu syntaxe pre '%1' na verziu %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/sl/syntaxhighlighting6_qt.po 6.3.0-1/poqm/sl/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/sl/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/sl/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -20,7 +20,7 @@ msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-14 09:55+0100\n"
+"PO-Revision-Date: 2024-05-08 09:15+0200\n"
 "Last-Translator: Matjaž Jeran <matjaz.jeran@amis.net>\n"
 "Language-Team: Slovenian <lugos-slo@lugos.si>\n"
 "Language: sl\n"
@@ -162,6 +162,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -462,6 +466,10 @@ msgid "Go"
 msgstr "Pojdi"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Slovnica KDev-PG[-Qt]"
 
@@ -1278,6 +1286,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1652,15 +1664,15 @@ msgstr "Vsa določila skladnje so posodo
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "Prejemanje novega določila skladnje za »%1« ..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "Prejemanje novega določila skladnje za '%1'…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "Posodabljanje določila skladnje za »%1« na različico %2 ..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "Posodabljanje določila skladnje za '%1' na različico %2…"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
 #~ msgid "The source file to highlight."
diff -pruN 6.0.0-2/poqm/sq/syntaxhighlighting6_qt.po 6.3.0-1/poqm/sq/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/sq/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/sq/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -199,6 +199,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skripte"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -618,6 +625,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1768,6 +1779,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2210,14 +2225,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/sr/syntaxhighlighting6_qt.po 6.3.0-1/poqm/sr/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/sr/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/sr/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -154,6 +154,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "скриптни"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "клинЦСС"
@@ -461,6 +468,10 @@ msgid "Go"
 msgstr "го"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "граматика К‑дев‑ПГ‑а[КуТ]"
 
@@ -1307,6 +1318,10 @@ msgid "VRML"
 msgstr "ВРМЛ"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1680,15 +1695,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Све дефиниције синтаксе ажурне."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Преузимам нову дефиницију синтаксе за „%1“..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Ажурирам дефиницију синтаксе за „%1“ на издање %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/sr@ijekavian/syntaxhighlighting6_qt.po 6.3.0-1/poqm/sr@ijekavian/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/sr@ijekavian/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/sr@ijekavian/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -153,6 +153,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "скриптни"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "клинЦСС"
@@ -460,6 +467,10 @@ msgid "Go"
 msgstr "го"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "граматика К‑дев‑ПГ‑а[КуТ]"
 
@@ -1306,6 +1317,10 @@ msgid "VRML"
 msgstr "ВРМЛ"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1679,15 +1694,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Све дефиниције синтаксе ажурне."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Преузимам нову дефиницију синтаксе за „%1“..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Ажурирам дефиницију синтаксе за „%1“ на издање %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/sr@ijekavianlatin/syntaxhighlighting6_qt.po 6.3.0-1/poqm/sr@ijekavianlatin/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/sr@ijekavianlatin/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/sr@ijekavianlatin/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -153,6 +153,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "skriptni"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -460,6 +467,10 @@ msgid "Go"
 msgstr "go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "gramatika KDev‑PG‑a[Qt]"
 
@@ -1306,6 +1317,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1679,15 +1694,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Sve definicije sintakse ažurne."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Preuzimam novu definiciju sintakse za „%1“..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Ažuriram definiciju sintakse za „%1“ na izdanje %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/sr@latin/syntaxhighlighting6_qt.po 6.3.0-1/poqm/sr@latin/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/sr@latin/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/sr@latin/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -153,6 +153,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "skriptni"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -460,6 +467,10 @@ msgid "Go"
 msgstr "go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "gramatika KDev‑PG‑a[Qt]"
 
@@ -1306,6 +1317,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1679,15 +1694,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Sve definicije sintakse ažurne."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Preuzimam novu definiciju sintakse za „%1“..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Ažuriram definiciju sintakse za „%1“ na izdanje %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/sv/syntaxhighlighting6_qt.po 6.3.0-1/poqm/sv/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/sv/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/sv/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -147,6 +147,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr "CartoCSS"
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skript"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -451,6 +458,10 @@ msgid "Go"
 msgstr "Gå"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDevelop-PG[-Qt] grammatik"
 
@@ -1276,6 +1287,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1670,15 +1685,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Alla syntaxdefinitioner är aktuella."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Laddar ner ny syntaxdefinition för '%1'..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Uppdaterar syntaxdefinition för '%1' till version %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/ta/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ta/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ta/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ta/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -8,13 +8,13 @@
 # ஸ்ரீராமதாஸ் <shriramadhas@gmail.com>, 2007.
 # ஆமாச்சு <amachu@ubuntu.com>, 2007.
 # amachu <amachu@amachu.com>, 2010.
-# Kishore G <kishore96@gmail.com>, 2023.
+# SPDX-FileCopyrightText: 2023, 2024 Kishore G <kishore96@gmail.com>
 msgid ""
 msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2023-08-06 19:27+0530\n"
+"PO-Revision-Date: 2024-04-07 16:37+0530\n"
 "Last-Translator: Kishore G <kishore96@gmail.com>\n"
 "Language-Team: Tamil <kde-i18n-doc@kde.org>\n"
 "Language: ta\n"
@@ -22,7 +22,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Lokalize 23.04.3\n"
+"X-Generator: Lokalize 24.02.1\n"
 "X-Qt-Contexts: true\n"
 
 msgctxt "Language|"
@@ -190,6 +190,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "சிறுநிரல்"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -608,6 +615,10 @@ msgid "Go"
 msgstr "செல்க"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1720,6 +1731,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2022,12 +2037,9 @@ msgid ""
 msgstr ""
 
 #: cli/ksyntaxhighlighter.cpp:68
-#, fuzzy
-#| msgctxt "Language Section"
-#| msgid "Sources"
 msgctxt "SyntaxHighlightingCLI|"
 msgid "source"
-msgstr "மூலங்கள்"
+msgstr "மூலம்"
 
 #: cli/ksyntaxhighlighter.cpp:69
 msgctxt "SyntaxHighlightingCLI|"
@@ -2035,16 +2047,19 @@ msgid ""
 "The source file to highlight. If absent, read the file from stdin and the --"
 "syntax option must be used."
 msgstr ""
+"முன்னிலைப்படுத்துவேண்டிய நிரல்மொழிக்கோப்பு. இது குறிப்பிடப்படவில்லையெனில், கோப்பு stdin-"
+"இலிருந்து படிக்கப்பட்டும், மேலும் -- தனை பயன்படுத்த வேண்டும்."
 
 #: cli/ksyntaxhighlighter.cpp:72
+#, fuzzy
 msgctxt "SyntaxHighlightingCLI|"
 msgid "List all available syntax definitions."
-msgstr ""
+msgstr "உள்ள அனைத்து இலக்கண"
 
 #: cli/ksyntaxhighlighter.cpp:74
 msgctxt "SyntaxHighlightingCLI|"
 msgid "List all available themes."
-msgstr ""
+msgstr "உள்ள நிறத்திட்டங்களை பட்டியலிடு."
 
 #: cli/ksyntaxhighlighter.cpp:78
 msgctxt "SyntaxHighlightingCLI|"
@@ -2054,12 +2069,12 @@ msgstr ""
 #: cli/ksyntaxhighlighter.cpp:82
 msgctxt "SyntaxHighlightingCLI|"
 msgid "File to write HTML output to (default: stdout)."
-msgstr ""
+msgstr "HTML வெளியீட்டை எழுத வேண்டிய கோப்பு (இயல்பிருப்பு: stdout)."
 
 #: cli/ksyntaxhighlighter.cpp:83
 msgctxt "SyntaxHighlightingCLI|"
 msgid "output"
-msgstr ""
+msgstr "வெளியீடு"
 
 #: cli/ksyntaxhighlighter.cpp:87
 msgctxt "SyntaxHighlightingCLI|"
@@ -2074,19 +2089,14 @@ msgid "syntax"
 msgstr ""
 
 #: cli/ksyntaxhighlighter.cpp:92
-#, fuzzy
-#| msgid "Kate Syntax Highlighting Parser"
 msgctxt "SyntaxHighlightingCLI|"
 msgid "Color theme to use for highlighting."
-msgstr "கேட் தொடரமைப்பை முன்னிலைப்படுத்தும் பார்சர்"
+msgstr "முன்னிலைப்படுத்த பயன்படுத்த வேண்டிய நிறத்திட்டம்"
 
 #: cli/ksyntaxhighlighter.cpp:93
-#, fuzzy
-#| msgctxt "Language"
-#| msgid "Scheme"
 msgctxt "SyntaxHighlightingCLI|"
 msgid "theme"
-msgstr "திட்டமுறை"
+msgstr "நிறத்திட்டம்"
 
 #: cli/ksyntaxhighlighter.cpp:98
 msgctxt "SyntaxHighlightingCLI|"
@@ -2148,14 +2158,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/tg/syntaxhighlighting6_qt.po 6.3.0-1/poqm/tg/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/tg/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/tg/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -151,6 +151,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section|"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Нақшҳо"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
@@ -455,6 +462,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Дастурдиҳии KDev-PG[-Qt]"
 
@@ -1302,6 +1313,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1688,15 +1703,19 @@ msgid "All syntax definitions are up-to-
 msgstr "Ҳамаи таърифҳои наҳв нав карда шудаанд."
 
 #: lib/definitiondownloader.cpp:78
-#, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Дар ҳоли боргирии таърифи наҳви нав барои '%1'..."
 
 #: lib/definitiondownloader.cpp:85
-#, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+#, fuzzy, qt-format
+#| msgctxt "QObject|"
+#| msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Дар ҳоли навсозии таърифи наҳв барои '%1' то нашри %2..."
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/th/syntaxhighlighting6_qt.po 6.3.0-1/poqm/th/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/th/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/th/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -206,6 +206,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "ภาษาสคริปต์"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -625,6 +632,10 @@ msgid "Go"
 msgstr "ไปยัง"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1681,6 +1692,10 @@ msgid "VRML"
 msgstr "ภาษา VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2113,14 +2128,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/tr/syntaxhighlighting6_qt.po 6.3.0-1/poqm/tr/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/tr/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/tr/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -19,7 +19,7 @@ msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-14 12:32+0300\n"
+"PO-Revision-Date: 2024-05-09 19:25+0300\n"
 "Last-Translator: Emir SARI <emir_sari@icloud.com>\n"
 "Language-Team: Turkish <kde-l10n-tr@kde.org>\n"
 "Language: tr\n"
@@ -27,7 +27,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
-"X-Generator: Lokalize 24.01.90\n"
+"X-Generator: Lokalize 24.07.70\n"
 "X-Qt-Contexts: true\n"
 
 msgctxt "Language|"
@@ -159,6 +159,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -459,6 +463,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] Dil Bilgisi"
 
@@ -1275,6 +1283,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1529,7 +1541,7 @@ msgid ""
 "The source file to highlight. If absent, read the file from stdin and the --"
 "syntax option must be used."
 msgstr ""
-"Vurgulanacak kaynak dosyası. Yoksa dosyayı stdin'den oku; --syntax seçeneği "
+"Vurgulanacak kaynak dosyası. Yoksa dosyayı stdin’den oku; --syntax seçeneği "
 "kullanılmalıdır."
 
 #: cli/ksyntaxhighlighter.cpp:72
@@ -1631,7 +1643,7 @@ msgid ""
 "(default: the filename or \"KSyntaxHighlighter\" if reading from stdin)."
 msgstr ""
 "HTML sayfasının başlığını ayarla\n"
-"(öntanımlı: dosya adı veya stdin'den okunuyorsa \"KSyntaxHighlighter\")."
+"(öntanımlı: dosya adı veya stdin’den okunuyorsa “KSyntaxHighlighter”)."
 
 #: cli/ksyntaxhighlighter.cpp:121
 msgctxt "SyntaxHighlightingCLI|"
@@ -1650,15 +1662,15 @@ msgstr "Tüm sözdizim tanımları günc
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "'%1' için yeni sözdizim tanımları indiriliyor..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "“%1” için yeni sözdizim tanımları indiriliyor…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "'%1' sözdizim tanımları %2 sürümüne güncelleniyor..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "“%1” sözdizim tanımları %2 sürümüne güncelleniyor…"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
 #~ msgid "The source file to highlight."
diff -pruN 6.0.0-2/poqm/ug/syntaxhighlighting6_qt.po 6.3.0-1/poqm/ug/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/ug/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/ug/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -209,6 +209,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "قوليازما"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -647,6 +654,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "يۆتكەل"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG[-Qt] Grammar"
@@ -1835,6 +1846,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2284,14 +2299,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/uk/syntaxhighlighting6_qt.po 6.3.0-1/poqm/uk/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/uk/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/uk/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -7,9 +7,9 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: syntaxhighlighting5_qt\n"
-"PO-Revision-Date: 2024-01-14 09:07+0200\n"
+"PO-Revision-Date: 2024-05-08 09:33+0300\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
-"Language-Team: Ukrainian <kde-i18n-uk@kde.org>\n"
+"Language-Team: Ukrainian\n"
 "Language: uk\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -18,7 +18,7 @@ msgstr ""
 "X-Qt-Contexts: true\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Generator: Lokalize 23.04.1\n"
+"X-Generator: Lokalize 23.04.3\n"
 
 msgctxt "Language|"
 msgid "4DOS BatchToMemory"
@@ -149,6 +149,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -449,6 +453,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "Граматика KDev-PG[-Qt]"
 
@@ -1265,6 +1273,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1645,14 +1657,14 @@ msgstr "У оновленні визна
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr "Отримуємо нове визначення синтаксису для «%1»…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr "Оновлюємо визначення синтаксису для «%1» до версії %2…"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
diff -pruN 6.0.0-2/poqm/uz/syntaxhighlighting6_qt.po 6.3.0-1/poqm/uz/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/uz/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/uz/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -180,6 +180,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Skriptlar"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -585,6 +592,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1696,6 +1707,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2114,14 +2129,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/uz@cyrillic/syntaxhighlighting6_qt.po 6.3.0-1/poqm/uz@cyrillic/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/uz@cyrillic/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/uz@cyrillic/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -180,6 +180,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Скриптлар"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -585,6 +592,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1696,6 +1707,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2114,14 +2129,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/vi/syntaxhighlighting6_qt.po 6.3.0-1/poqm/vi/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/vi/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/vi/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -193,6 +193,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Văn lệnh"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -617,6 +624,10 @@ msgid "Go"
 msgstr "Tới"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1751,6 +1762,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2192,14 +2207,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/wa/syntaxhighlighting6_qt.po 6.3.0-1/poqm/wa/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/wa/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/wa/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -213,6 +213,13 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+#| msgctxt "Language Section"
+#| msgid "Scripts"
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Scripes"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -648,6 +655,10 @@ msgctxt "Language|"
 msgid "Go"
 msgstr "Potchî"
 
+msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
 #, fuzzy
 #| msgctxt "Language"
 #| msgid "KDev-PG[-Qt] Grammar"
@@ -1821,6 +1832,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -2268,14 +2283,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/xh/syntaxhighlighting6_qt.po 6.3.0-1/poqm/xh/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/xh/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/xh/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -164,6 +164,11 @@ msgctxt "Language|"
 msgid "CartoCSS MSS"
 msgstr ""
 
+#, fuzzy
+msgctxt "Language|"
+msgid "CashScript"
+msgstr "Amagama ashicilelweyo azakuposwa"
+
 msgctxt "Language|"
 msgid "CleanCSS"
 msgstr ""
@@ -502,6 +507,10 @@ msgid "Go"
 msgstr ""
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr ""
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr ""
 
@@ -1424,6 +1433,10 @@ msgid "VRML"
 msgstr "Ulwimi"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr ""
+
+msgctxt "Language|"
 msgid "V"
 msgstr ""
 
@@ -1811,14 +1824,14 @@ msgstr ""
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
 msgstr ""
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
 msgstr ""
 
 #, fuzzy
diff -pruN 6.0.0-2/poqm/zh_CN/syntaxhighlighting6_qt.po 6.3.0-1/poqm/zh_CN/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/zh_CN/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/zh_CN/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -1,7 +1,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: kdeorg\n"
-"PO-Revision-Date: 2024-02-05 11:37\n"
+"PO-Revision-Date: 2024-04-22 15:58\n"
 "Language-Team: Chinese Simplified\n"
 "Language: zh_CN\n"
 "MIME-Version: 1.0\n"
@@ -50,7 +50,7 @@ msgstr "AutoHotKey"
 
 msgctxt "Language|"
 msgid "Alerts"
-msgstr "警告"
+msgstr "Alerts"
 
 msgctxt "Language|"
 msgid "AMPLE"
@@ -90,7 +90,7 @@ msgstr "Asm6502"
 
 msgctxt "Language|"
 msgid "AVR Assembler"
-msgstr "AVR 汇编语言"
+msgstr "AVR 汇编"
 
 msgctxt "Language|"
 msgid "Motorola DSP56k"
@@ -145,6 +145,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -214,15 +218,15 @@ msgstr "CSS"
 
 msgctxt "Language|"
 msgid "CSV (pipe)"
-msgstr "CSV ( | 分隔)"
+msgstr "CSV (竖线分隔符)"
 
 msgctxt "Language|"
 msgid "CSV (semicolon)"
-msgstr "CSV ( ; 分隔)"
+msgstr "CSV (分号分隔符)"
 
 msgctxt "Language|"
 msgid "CSV (whitespace)"
-msgstr "CSV (空白分隔)"
+msgstr "CSV (空格分隔符)"
 
 msgctxt "Language|"
 msgid "CSV"
@@ -234,7 +238,7 @@ msgstr "C#"
 
 msgctxt "Language|"
 msgid "CubeScript"
-msgstr "CoffeeScript"
+msgstr "CubeScript"
 
 msgctxt "Language|"
 msgid "CUE Sheet"
@@ -306,7 +310,7 @@ msgstr "Elm"
 
 msgctxt "Language|"
 msgid "Elvish"
-msgstr "精灵语"
+msgstr "Elvish"
 
 msgctxt "Language|"
 msgid "Email"
@@ -386,7 +390,7 @@ msgstr "GAP"
 
 msgctxt "Language|"
 msgid "G-Code"
-msgstr "G-Code"
+msgstr "G-码"
 
 msgctxt "Language|"
 msgid "GDB Backtrace"
@@ -410,7 +414,7 @@ msgstr "GNU Gettext"
 
 msgctxt "Language|"
 msgid "Cucumber Gherkin feature"
-msgstr "Cucumber Gherkin 功能"
+msgstr "Cucumber Gherkin 特性"
 
 msgctxt "Language|"
 msgid "Git Ignore"
@@ -434,7 +438,7 @@ msgstr "GLSL"
 
 msgctxt "Language|"
 msgid "GNU Assembler"
-msgstr "GNU 汇编语言"
+msgstr "GNU 汇编"
 
 msgctxt "Language|"
 msgid "Gnuplot"
@@ -445,6 +449,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] 语法"
 
@@ -586,7 +594,7 @@ msgstr "Klipper 剪贴板配置"
 
 msgctxt "Language|"
 msgid "Klipper G-Code"
-msgstr "Klipper 剪贴板 G 代码"
+msgstr "Klipper 剪贴板 G 码"
 
 msgctxt "Language|"
 msgid "Kotlin"
@@ -610,7 +618,7 @@ msgstr "GNU Linker Script"
 
 msgctxt "Language|"
 msgid "LESSCSS"
-msgstr "LESSCSS"
+msgstr "LESS"
 
 msgctxt "Language|"
 msgid "Lex/Flex"
@@ -742,7 +750,7 @@ msgstr "MIB"
 
 msgctxt "Language|"
 msgid "MIPS Assembler"
-msgstr "MIPS 汇编语言"
+msgstr "MIPS 汇编"
 
 msgctxt "Language|"
 msgid "Modelica"
@@ -874,7 +882,7 @@ msgstr "Perl"
 
 msgctxt "Language|"
 msgid "PHP/PHP"
-msgstr "PHP/PHP"
+msgstr "PHP"
 
 msgctxt "Language|"
 msgid "PicAsm"
@@ -1038,7 +1046,7 @@ msgstr "Rust"
 
 msgctxt "Language|"
 msgid "R Script"
-msgstr "R 脚本"
+msgstr "R Script"
 
 msgctxt "Language|"
 msgid "SASS"
@@ -1261,6 +1269,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1370,7 +1382,7 @@ msgstr "标记"
 
 msgctxt "Language Section|"
 msgid "Assembler"
-msgstr "汇编语言"
+msgstr "汇编"
 
 msgctxt "Language Section|"
 msgid "Database"
@@ -1505,7 +1517,7 @@ msgstr "使用 KSyntaxHighlighting 语
 #: cli/ksyntaxhighlighter.cpp:68
 msgctxt "SyntaxHighlightingCLI|"
 msgid "source"
-msgstr "源"
+msgstr "源码"
 
 #: cli/ksyntaxhighlighter.cpp:69
 msgctxt "SyntaxHighlightingCLI|"
@@ -1556,7 +1568,7 @@ msgstr "语法"
 #: cli/ksyntaxhighlighter.cpp:92
 msgctxt "SyntaxHighlightingCLI|"
 msgid "Color theme to use for highlighting."
-msgstr "用于高亮的色彩主题"
+msgstr "用于高亮的色彩主题。"
 
 #: cli/ksyntaxhighlighter.cpp:93
 msgctxt "SyntaxHighlightingCLI|"
@@ -1627,12 +1639,12 @@ msgstr "所有语法定义已为最新
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "正在下载“%1”的新语法定义..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "正在下载“%1”的新语法定义…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "正在更新“%1”的语法定义到版本“%2”..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "正在更新“%1”的语法定义到版本 %2…"
diff -pruN 6.0.0-2/poqm/zh_TW/syntaxhighlighting6_qt.po 6.3.0-1/poqm/zh_TW/syntaxhighlighting6_qt.po
--- 6.0.0-2/poqm/zh_TW/syntaxhighlighting6_qt.po	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/poqm/zh_TW/syntaxhighlighting6_qt.po	2024-05-31 13:29:46.000000000 +0000
@@ -17,14 +17,14 @@ msgstr ""
 "Project-Id-Version: katepart4\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2016-09-08 07:30+0000\n"
-"PO-Revision-Date: 2024-01-14 21:15+0900\n"
+"PO-Revision-Date: 2024-05-09 07:01+0900\n"
 "Last-Translator: Kisaragi Hiu <mail@kisaragi-hiu.com>\n"
 "Language-Team: Traditional Chinese <zh-l10n@lists.slat.org>\n"
 "Language: zh_TW\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 24.01.90\n"
+"X-Generator: Lokalize 24.04.70\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 "X-Qt-Contexts: true\n"
 
@@ -157,6 +157,10 @@ msgid "CartoCSS MSS"
 msgstr "CartoCSS MSS"
 
 msgctxt "Language|"
+msgid "CashScript"
+msgstr "CashScript"
+
+msgctxt "Language|"
 msgid "CleanCSS"
 msgstr "CleanCSS"
 
@@ -457,6 +461,10 @@ msgid "Go"
 msgstr "Go"
 
 msgctxt "Language|"
+msgid "GPRBuild"
+msgstr "GPRBuild"
+
+msgctxt "Language|"
 msgid "KDev-PG[-Qt] Grammar"
 msgstr "KDev-PG[-Qt] 文法"
 
@@ -1273,6 +1281,10 @@ msgid "VRML"
 msgstr "VRML"
 
 msgctxt "Language|"
+msgid "Vue"
+msgstr "Vue"
+
+msgctxt "Language|"
 msgid "V"
 msgstr "V"
 
@@ -1641,15 +1653,15 @@ msgstr "所有語法定義皆已最新
 
 #: lib/definitiondownloader.cpp:78
 #, qt-format
-msgctxt "QObject|"
-msgid "Downloading new syntax definition for '%1'..."
-msgstr "正在為 '%1' 下載新語法定義..."
+msgctxt "QObject|@info"
+msgid "Downloading new syntax definition for '%1'…"
+msgstr "正在為 '%1' 下載新語法定義…"
 
 #: lib/definitiondownloader.cpp:85
 #, qt-format
-msgctxt "QObject|"
-msgid "Updating syntax definition for '%1' to version %2..."
-msgstr "正在為 '%1' 更新語法定義到版本 %2 ..."
+msgctxt "QObject|@info"
+msgid "Updating syntax definition for '%1' to version %2…"
+msgstr "正在為 '%1' 更新語法定義到版本 %2…"
 
 #~ msgctxt "SyntaxHighlightingCLI|"
 #~ msgid "The source file to highlight."
diff -pruN 6.0.0-2/src/cli/ksyntaxhighlighter.cpp 6.3.0-1/src/cli/ksyntaxhighlighter.cpp
--- 6.0.0-2/src/cli/ksyntaxhighlighter.cpp	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/src/cli/ksyntaxhighlighter.cpp	2024-05-31 13:29:46.000000000 +0000
@@ -141,7 +141,7 @@ int main(int argc, char **argv)
 
     if (parser.isSet(updateDefs)) {
         DefinitionDownloader downloader(&repo);
-        QObject::connect(&downloader, &DefinitionDownloader::informationMessage, [](const QString &msg) {
+        QObject::connect(&downloader, &DefinitionDownloader::informationMessage, &app, [](const QString &msg) {
             std::cout << qPrintable(msg) << std::endl;
         });
         QObject::connect(&downloader, &DefinitionDownloader::done, &app, &QCoreApplication::quit);
diff -pruN 6.0.0-2/src/indexer/katehighlightingindexer.cpp 6.3.0-1/src/indexer/katehighlightingindexer.cpp
--- 6.0.0-2/src/indexer/katehighlightingindexer.cpp	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/src/indexer/katehighlightingindexer.cpp	2024-05-31 13:29:46.000000000 +0000
@@ -2817,9 +2817,9 @@ int main(int argc, char *argv[])
     }
 
     // text attributes
-    const QStringList textAttributes = QStringList() << QStringLiteral("name") << QStringLiteral("section") << QStringLiteral("mimetype")
-                                                     << QStringLiteral("extensions") << QStringLiteral("style") << QStringLiteral("author")
-                                                     << QStringLiteral("license") << QStringLiteral("indenter");
+    const QStringList textAttributes = QStringList() << QStringLiteral("name") << QStringLiteral("alternativeNames") << QStringLiteral("section")
+                                                     << QStringLiteral("mimetype") << QStringLiteral("extensions") << QStringLiteral("style")
+                                                     << QStringLiteral("author") << QStringLiteral("license") << QStringLiteral("indenter");
 
     // index all given highlightings
     HlFilesChecker filesChecker;
diff -pruN 6.0.0-2/src/lib/definition.cpp 6.3.0-1/src/lib/definition.cpp
--- 6.0.0-2/src/lib/definition.cpp	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/src/lib/definition.cpp	2024-05-31 13:29:46.000000000 +0000
@@ -86,6 +86,11 @@ QString Definition::name() const
     return d->name;
 }
 
+QStringList Definition::alternativeNames() const
+{
+    return d->alternativeNames;
+}
+
 QString Definition::translatedName() const
 {
     if (d->translatedName.isEmpty()) {
@@ -455,6 +460,9 @@ bool DefinitionData::loadMetaData(const
     hidden = obj.value(QLatin1String("hidden")).toBool();
     fileName = file;
 
+    const auto names = obj.value(QLatin1String("alternativeNames")).toString();
+    alternativeNames = names.split(QLatin1Char(';'), Qt::SkipEmptyParts);
+
     const auto exts = obj.value(QLatin1String("extensions")).toString();
     extensions = exts.split(QLatin1Char(';'), Qt::SkipEmptyParts);
 
@@ -474,6 +482,10 @@ bool DefinitionData::loadLanguage(QXmlSt
     }
 
     name = reader.attributes().value(QLatin1String("name")).toString();
+    const auto names = reader.attributes().value(QLatin1String("alternativeNames"));
+    for (const auto &n : names.split(QLatin1Char(';'), Qt::SkipEmptyParts)) {
+        alternativeNames.push_back(n.toString());
+    }
     section = reader.attributes().value(QLatin1String("section")).toString();
     // toFloat instead of toInt for backward compatibility with old Kate files
     version = reader.attributes().value(QLatin1String("version")).toFloat();
diff -pruN 6.0.0-2/src/lib/definition.h 6.3.0-1/src/lib/definition.h
--- 6.0.0-2/src/lib/definition.h	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/src/lib/definition.h	2024-05-31 13:29:46.000000000 +0000
@@ -163,6 +163,13 @@ public:
     QString name() const;
 
     /**
+     * Alternate names the syntax can be referred to by.
+     *
+     * @since 6.1
+     */
+    QStringList alternativeNames() const;
+
+    /**
      * Translated name for display.
      */
     QString translatedName() const;
diff -pruN 6.0.0-2/src/lib/definition_p.h 6.3.0-1/src/lib/definition_p.h
--- 6.0.0-2/src/lib/definition_p.h	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/src/lib/definition_p.h	2024-05-31 13:29:46.000000000 +0000
@@ -102,6 +102,7 @@ public:
 
     QString fileName;
     QString name = QStringLiteral(QT_TRANSLATE_NOOP("Language", "None"));
+    QStringList alternativeNames;
     QByteArray nameUtf8;
     mutable QString translatedName;
     QString section;
diff -pruN 6.0.0-2/src/lib/definitiondownloader.cpp 6.3.0-1/src/lib/definitiondownloader.cpp
--- 6.0.0-2/src/lib/definitiondownloader.cpp	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/src/lib/definitiondownloader.cpp	2024-05-31 13:29:46.000000000 +0000
@@ -75,14 +75,14 @@ void DefinitionDownloaderPrivate::update
 
     auto localDef = repo->definitionForName(name.toString());
     if (!localDef.isValid()) {
-        Q_EMIT q->informationMessage(QObject::tr("Downloading new syntax definition for '%1'...").arg(name));
+        Q_EMIT q->informationMessage(QObject::tr("Downloading new syntax definition for '%1'…", "@info").arg(name));
         downloadDefinition(QUrl(parser.attributes().value(QLatin1String("url")).toString()));
         return;
     }
 
     const auto version = parser.attributes().value(QLatin1String("version"));
     if (localDef.version() < version.toFloat()) {
-        Q_EMIT q->informationMessage(QObject::tr("Updating syntax definition for '%1' to version %2...").arg(name, version));
+        Q_EMIT q->informationMessage(QObject::tr("Updating syntax definition for '%1' to version %2…", "@info").arg(name, version));
         downloadDefinition(QUrl(parser.attributes().value(QLatin1String("url")).toString()));
     }
 }
diff -pruN 6.0.0-2/src/lib/repository.cpp 6.3.0-1/src/lib/repository.cpp
--- 6.0.0-2/src/lib/repository.cpp	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/src/lib/repository.cpp	2024-05-31 13:29:46.000000000 +0000
@@ -119,7 +119,7 @@ Repository::~Repository()
 
 Definition Repository::definitionForName(const QString &defName) const
 {
-    return d->m_defs.value(defName);
+    return d->m_fullDefs.value(defName.toLower());
 }
 
 Definition Repository::definitionForFileName(const QString &fileName) const
@@ -253,6 +253,13 @@ void RepositoryPrivate::load(Repository
         return comparison < 0;
     });
 
+    for (auto it = m_sortedDefs.constBegin(); it != m_sortedDefs.constEnd(); ++it) {
+        m_fullDefs.insert(it->name().toLower(), *it);
+        for (const auto &altName : it->alternativeNames()) {
+            m_fullDefs.insert(altName.toLower(), *it);
+        }
+    }
+
     // load themes
 
     // do lookup in standard paths, if not disabled
@@ -387,6 +394,7 @@ void Repository::reload()
     }
     d->m_defs.clear();
     d->m_sortedDefs.clear();
+    d->m_fullDefs.clear();
 
     d->m_themes.clear();
 
diff -pruN 6.0.0-2/src/lib/repository.h 6.3.0-1/src/lib/repository.h
--- 6.0.0-2/src/lib/repository.h	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/src/lib/repository.h	2024-05-31 13:29:46.000000000 +0000
@@ -141,9 +141,10 @@ public:
      * If no Definition is found, Definition::isValid() of the returned instance
      * returns false.
      *
-     * @note This uses case sensitive, untranslated names. For instance,
-     *       the javascript.xml definition file sets its name to @e JavaScript.
-     *       Therefore, only the string "JavaScript" will return a valid
+     * @note The search is @e Qt::CaseInsensitive using untranslated names or
+     *       alternative names. For instance, the cpp.xml definition file sets
+     *       its name to @e C++ with an alternative name of @e CPP. Therefore, the
+     *       strings "C++", "c++", "CPP" and "cpp" will all return a valid
      *       Definition file.
      */
     Q_INVOKABLE KSyntaxHighlighting::Definition definitionForName(const QString &defName) const;
diff -pruN 6.0.0-2/src/lib/repository_p.h 6.3.0-1/src/lib/repository_p.h
--- 6.0.0-2/src/lib/repository_p.h	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/src/lib/repository_p.h	2024-05-31 13:29:46.000000000 +0000
@@ -44,6 +44,9 @@ public:
     // sorted map to have deterministic iteration order for e.g. definitionsForFileName
     QMap<QString, Definition> m_defs;
 
+    // map relating all names and alternative names, case insensitively to the correct definition.
+    QMap<QString, Definition> m_fullDefs;
+
     // this vector is sorted by translated sections/names
     QList<Definition> m_sortedDefs;
 
diff -pruN 6.0.0-2/src/lib/state_p.h 6.3.0-1/src/lib/state_p.h
--- 6.0.0-2/src/lib/state_p.h	2024-02-21 11:28:42.000000000 +0000
+++ 6.3.0-1/src/lib/state_p.h	2024-05-31 13:29:46.000000000 +0000
@@ -36,7 +36,7 @@ public:
         return state.d.data();
     }
 
-    int size() const
+    std::size_t size() const
     {
         return m_contextStack.size();
     }
